Anmelden und Verwalten von Konten

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Anmelden
  • Server-Informationen
  • Benutzerinformationen
  • Lizenztypen

Remedy, a BMC Software company.
Copyright © 2005 BMC Software, Inc. Alle Rechte vorbehalten.
Wenden Sie sich bitte per E-Mail an den Remedy Kundendienst unter support@remedy.com, um Unterstützung zu erhalten.
Bei Fragen und Anmerkungen zur Remedy Dokumentation, senden Sie bitte eine E-Mail an doc_feedback@remedy.com.


Anmelden

Für den Zugriff auf Remedy User benötigen Sie folgende Informationen:

  • Ihren Benutzernamen und Ihr Passwort, wie sie vom Administrator festgelegt wurden. Wenn Sie in einer externen Domäne arbeiten, benötigen Sie möglicherweise auch den Domänennamen oder den Namen des Echtheitsbestätigungs-Servers, bei dem Sie sich anmelden. Diese Angaben erhalten Sie von Ihrem Administrator.
  • Die Position (den Pfad) Ihres AR System-Ausgangsordners, den Ihnen der Administrator möglicherweise zugewiesen hat.
  • Die AR System-Server mit den Applikationen, Forms und Leitfäden, die Sie für Ihre Arbeit benötigen. Wenn Sie nicht finden, wonach Sie suchen, erkundigen Sie sich bei Ihrem Administrator. Sie können den Server wechseln, um auf die benötigten Forms zuzugreifen.

    • Wenn Sie AR System nicht von Ihrem eigenen Rechner aus verwenden und auf Ihre Einstellungen zugreifen möchten, benötigen Sie auch den Namen des Einstellungs-Servers, auf dem Ihre Einstellungen abgelegt sind.

Wenn Sie sich ohne Angabe besonderer Anmeldeinformationen anmelden, werden von Remedy User Standard-Anmeldeinformationen bereitgestellt. Die Standard-Anmeldeinformationen werden in Ihrem Ausgangsordner gespeichert.

Sie können die aktuelle Anmeldung ändern. Dies ist z. B. sinnvoll, wenn Remedy User von einem anderen Benutzer gestartet wurde und Sie sich unter Ihrem Namen anmelden möchten. Bei der Änderung der Anmeldung werden alle geöffneten Fenster geschlossen. Speichern Sie alle Änderungen, die Sie vorgenommen haben, bevor Sie die Anmeldung ändern.

Anmelden

Damit Sie Remedy User verwenden können, müssen Sie angemeldet sein. Je nachdem, welche lokalen Optionen eingestellt sind, werden Sie möglicherweise automatisch angemeldet, wenn Sie Remedy User öffnen. Anderenfalls wird ein Dialogfeld angezeigt, in dem Sie sich anmelden können.

Hinweis: Wenn Sie Remedy User so konfiguriert haben, dass eine automatische Anmeldung möglich ist, Remedy User von Ihrem Administrator aber so konfiguriert wurde, dass Benutzer sich anmelden müssen, wird Ihre lokale Einstellung ignoriert. Sie müssen sich in den folgenden Situationen ebenfalls anmelden:

  • Sie greifen vom Rechner eines anderen Benutzers aus auf Remedy User zu. Weitere Informationen finden Sie unter Festlegen zentralisierter Einstellungen.
  • Für Ihren Benutzernamen wurde kein Verzeichnispfad für den Ausgangsordner angegeben. Weitere Informationen finden Sie unter So ändern Sie einen ungültigen Ausgangsordner:.

So melden Sie sich an:

  1. Geben Sie im Feld Benutzername Ihren AR System-Namen ein oder wählen ihn aus.
  2. Geben Sie in das Feld Passwort Ihr Passwort ein. Wenn Sie Ihr Passwort nicht kennen, wenden Sie sich an Ihren Administrator.
  3. Im Feld Einstellungs-Server haben Sie folgende Eingabemöglichkeiten:
    • Wenn der Administrator einen Einstellungs-Server festgelegt hat, können Sie von einem beliebigen Rechner aus auf Ihre Einstellungen zugreifen, indem Sie den Namen des Einstellungs-Servers eingeben oder auswählen. Es werden zwei weitere optionale Felder angezeigt, die Sie zur Angabe einer TCP-Port-Nummer und einer RPC-Nummer auffordern. Die TCP-Port-Nummer ist die Port-Nummer des AR System-Servers. Die RPC (Remote Procedure Call)-Nummer ist die Programm-Nummer des jeweiligen AR System-Servers und ermöglicht Ihnen, eine Verbindung mit einem privaten Server herzustellen. Weitere Informationen zu Einstellungs-Servern finden Sie unter Einstellungs-Server und Einstellungs-Forms.

      • Hinweis: AR System-Clients mit Versionen vor 5.0 können nicht auf TCP-Port-Nummern kleiner als 1024 zugreifen.

    • Wenn Sie nur lokal arbeiten und keinen Fernzugriff auf Ihre Einstellungen benötigen, wählen Sie (keine). Das System verwendet dann Einstellungsdaten aus der lokalen Datei ar.ini.
  4. Wenn Sie in einer Domäne arbeiten, bei der es sich nicht um die Standarddomäne Ihres Unternehmens handelt, oder Sie in Ihrer eigenen Domäne arbeiten und dafür ein Passwort angeben müssen, geben Sie den Domänennamen, den Ihnen Ihr Administrator genannt hat, im Feld Authentifizierung ein. Wenn Sie nur innerhalb der Standarddomäne Ihres Unternehmens arbeiten, können Sie dieses Feld leer lassen.
  5. Klicken Sie auf OK.

    6. Wenn Sie sich korrekt angemeldet haben, wird das Dialogfeld geschlossen, und Sie können mit der Arbeit in Remedy User beginnen. Wenn Sie einen ungültigen Benutzernamen oder ein falsches Passwort eingeben, wird eine Fehlermeldung angezeigt. Wenn Sie einen gültigen Benutzernamen und ein richtiges Passwort eingegeben haben, jedoch weiterhin eine Fehlermeldung erhalten, fragen Sie Ihren Administrator, ob Sie einen Wert im Feld Authentifizierung eingeben müssen.

    Warnung: Wenn Zum Anmelden auffordern deaktiviert ist und Sie als letzter Benutzer angemeldet waren, werden andere Benutzer, die auf diesem Rechner auf Remedy User zugreifen, automatisch unter Ihrem Namen angemeldet. Um dies zu verhindern, wählen Sie im Dialogfeld Optionen auf der Registerkarte Allgemein die Option Zum Anmelden auffordern aus. Dadurch werden nachfolgende Benutzer gezwungen, sich anzumelden. Weitere Informationen finden Sie unter Allgemeine Optionen.

Wenn Sie automatisch angemeldet wurden, der Benutzername in der Statusleiste jedoch nicht Ihr Name ist, ändern Sie die Anmeldung. Weitere Informationen finden Sie unter Ändern der aktuellen Anmeldung.

Ändern der aktuellen Anmeldung

Wenn Remedy User von einem anderen Benutzer gestartet wurde und Sie sich unter Ihrem eigenen Benutzernamen anmelden möchten oder wenn Sie die Server-Liste geändert haben und sich erneut anmelden müssen, können Sie die aktuelle Anmeldung ändern. Bei der Änderung der Anmeldung werden alle geöffneten Fenster geschlossen. Speichern Sie alle Änderungen, die Sie vorgenommen haben, bevor Sie die Anmeldung ändern.

Hinweis: Lokale Voreinstellungen, benutzerdefinierte Ansichten, Makros, benutzerdefinierte Berichte und Standardeinstellungen werden im AR System-Ausgangsordner der einzelnen Benutzer gespeichert. Falls zu Ihrer Installation von AR System ein Einstellungs-Server gehört und Sie sich an diesem Server anmelden, werden Ihre Einstellungen in der User Preferences-Form auf diesem Server gespeichert.

So ändern Sie die aktuelle Anmeldung:

  1. Wählen Sie Extras > Anmeldung aus.

    2. Das Dialogfeld Anmeldung wird angezeigt.

  2. Geben Sie die erforderlichen Daten zur Anmeldung ein. Weitere Informationen finden Sie unter Anmelden.

Abbrechen einer Anmeldung

Sobald Sie den Benutzernamen und das Passwort eingegeben haben, zeigt Remedy User ein Dialogfeld mit dem Status der Anmeldung an, in dem Sie sehen können, mit welchem Server gerade eine Verbindung aufgebaut wird. Während dieses Zeitraumes können Sie die Anmeldung abbrechen oder Server überspringen, die nicht antworten.

Die Möglichkeit abzubrechen ist z. B. dann hilfreich, wenn Sie den Namen eines Servers falsch geschrieben haben oder der Server heruntergefahren wurde. Sie müssen dann nicht warten, bis eine Zeitüberschreitung für den gesamten Server-Prozess auftritt. Falls die Verbindung mit einem bestimmten Server zu lange dauert, gehen Sie nach einer der folgenden Möglichkeiten vor:

  • Klicken Sie auf Überspringen, um die Anmeldung am aktuellen Server zu stoppen. Remedy User versucht dann, eine Verbindung zum nächsten Server in der Liste herzustellen.
  • Klicken Sie auf Abbrechen, um die gesamte Anmeldung abzubrechen.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • AR System-Ausgangsordner
  • Einstellungs-Server und Einstellungs-Forms
  • Lokale und zentralisierte Einstellungen


Server-Informationen

Sie können Server-Informationen über das Dialogfeld Konto anzeigen und aktualisieren. Alle geänderten Server-Informationen werden im Ausgangsordner von AR System gespeichert und gelten auch für andere Benutzer, mit denen Sie Ihren Ausgangsordner gemeinsam verwenden. Wenn Sie an einem Einstellungs-Server angemeldet sind, werden Ihre Server-Einstellungen auf diesem Server aktualisiert und gelten nur für Sie selbst, andere Benutzer sind davon nicht betroffen.

Das Dialogfeld Konto enthält die folgenden Informationen für den aktuellen Benutzer:

  • Den Namen des aktuellen Benutzers (in der Titelleiste).
  • Ob ein Einstellungs-Server ausgewählt wurde.
    • Eine rote Schaltfläche und der Text „Kein Einstellungs-Server ausgewählt“ geben an, dass für diese Anmeldung kein Einstellungs-Server ausgewählt wurde. Alle aufgelisteten Server werden lokal gespeichert.
    • Eine grüne Schaltfläche und der Text „<Name>: Einstellungs-Server aktiv“ geben an, dass für diese Sitzung ein Einstellungs-Server aktiv ist. Alle aufgelisteten Server werden auf dem Einstellungs-Server gespeichert.
  • Eine Liste der Server, die bei der Installation von AR System ausgewählt wurden, und ihr aktueller Verbindungsstatus.
    • Ein grünes Häkchen vor dem Namen eines Servers gibt an, dass das System bei der Anmeldung versucht, eine Verbindung zu diesem Server herzustellen.
    • Ein rotes Kreuz bedeutet, dass das System nicht versucht, bei der Anmeldung eine Verbindung zu diesem Server herzustellen.
    • Server-Namen mit Fett-Formatierung sind Server, mit denen Sie zurzeit verbunden sind.

So fügen Sie einen Server hinzu:

  1. Wählen Sie in der Menüleiste Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt. Weitere Informationen finden Sie unter So ändern Sie einen Server:.

    Hinweis: Wenn der Pfad zum Ausgangsordner für das Konto des Benutzers ungültig ist, wird eine Fehlermeldung angezeigt. Informationen zum Ändern eines ungültigen Ausgangsordnerpfads finden Sie unter So ändern Sie einen ungültigen Ausgangsordner:.

  2. Klicken Sie auf Hinzufügen.

    3. Oben in der Liste wird ein Bereich für den Namen des neuen Servers angezeigt.

  3. Geben Sie den Namen des Servers ein, den Sie hinzufügen möchten. Informationen über den Status jedes aufgeführten Servers finden Sie unter So ändern Sie einen Server:.
  4. Wenn der Server für die Verwendung einer Firewall eingerichtet ist, muss der Administrator eine Port-Nummer angeben, damit die Benutzer eine Verbindung herstellen können. (Sie können auch die Nummer eines Ports eingeben, wenn Sie eine Verbindung zu einem privaten Server hinter einer Firewall herstellen möchten.) Weitere Informationen finden Sie unter So legen Sie eine Port-Nummer fest:. Die Port-Nummern der aufgelisteten Server zeigen Sie an, indem Sie das Kontrollkästchen Erweiterte Server-Eigenschaften aktivieren.
  5. Klicken Sie auf OK.
  6. Wählen Sie Extras > Anmeldung aus.

    7. Das Dialogfeld Anmeldung wird angezeigt.

  7. Geben Sie die erforderlichen Daten zur Anmeldung ein. Weitere Informationen finden Sie unter Anmelden.
  8. Klicken Sie auf OK.

So legen Sie eine Port-Nummer fest:

  1. Aktivieren Sie im Dialogfeld Konto (Auswahl von Extras > Konto in der Menüleiste) das Kontrollkästchen Erweiterte Server-Eigenschaften, um die erweiterten Port-Spalten anzuzeigen.
  2. Klicken Sie in eine der folgenden Spalten und geben Sie die Port-Nummer oder die Nummer des privaten Servers ein, zu der Sie eine Verbindung herstellen möchten. Führen Sie diesen Schritt nur durch, wenn Sie eine Verbindung zu einem privaten Server herstellen wollen. Weitere Informationen zur Verwendung von AR System Portmapper mit AR System finden Sie im Handbuch „Configuring AR System“.
    • AR-TCP-Port ist die Port-Nummer des angegebenen AR System-Servers oder des privaten Servers.

      • Hinweis: AR System-Clients mit Versionen vor 5.0 können nicht auf TCP-Port-Nummern kleiner als 1024 zugreifen.

    • AR-RPC-Nr. ist die Programmnummer des angegebenen AR System-Servers. Über diese Nummer können Sie eine Verbindung zu einem privaten Server herstellen.

So ändern Sie einen Server:

  1. Wählen Sie Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt und der Benutzername steht in der Titelleiste.

    Hinweis: Wenn der Pfad zum Ausgangsordner für das Konto des Benutzers ungültig ist, wird eine Fehlermeldung angezeigt. Informationen zum Ändern eines ungültigen Ausgangsordnerpfads finden Sie unter So ändern Sie einen ungültigen Ausgangsordner:.

  2. Klicken Sie in der Liste Server auf den Namen des Servers, den Sie ändern möchten.
  3. Klicken Sie auf Ändern.

    4. Der Name des Servers ist nun von einem Feld umrandet.

  4. Setzen Sie den Cursor in das Eingabefeld, geben Sie einen neuen Namen ein, und drücken Sie die Eingabetaste. Der neue Server-Name muss ein im Netzwerk bekannter Name sein.
  5. Klicken Sie auf OK.

Um eine Verbindung zum Server herzustellen, klicken Sie auf das Symbol vor dem Server-Namen.

Wenn der Server für die Verwendung einer Firewall eingerichtet ist, müssen Sie eine Port-Nummer angeben, damit die Benutzer eine Verbindung herstellen können. (Sie können auch die Nummer eines Ports eingeben, wenn Sie eine Verbindung zu einem privaten Server hinter einer Firewall herstellen möchten.) Weitere Informationen finden Sie unter So legen Sie eine Port-Nummer fest:.

Sie müssen sich erneut anmelden, damit die Änderungen wirksam werden. Weitere Informationen finden Sie unter Anmelden.

So deaktivieren Sie einen Server:

  1. Wählen Sie Extras > Konto aus.

    2. Das Dialogfeld Konten wird angezeigt.

  2. Klicken Sie auf Benutzer.
  3. Klicken Sie im Dialogfeld Benutzer auf den Namen des Benutzers, für den dieser Server deaktiviert werden soll.
  4. Klicken Sie auf OK, um zum Dialogfeld Konto zurückzukehren.
  5. Klicken Sie in der Server-Liste auf das Symbol mit dem grünen Pfeil neben dem Server, den Sie deaktivieren möchten. Als Symbol wird jetzt ein rotes X angezeigt.
  6. Klicken Sie auf OK.
  7. Wählen Sie Extras > Anmeldung aus.

    8. Das Dialogfeld Anmeldung wird angezeigt.

  8. Geben Sie die erforderlichen Daten zur Anmeldung ein (siehe Anmelden).
  9. Klicken Sie auf OK.

    10. Zum Reaktivieren des Servers wiederholen Sie diese Schritte und klicken dann auf das rote X neben dem Server, der reaktiviert werden soll.

So löschen Sie einen Server:

  1. Wählen Sie in der Menüleiste Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt und der Benutzername steht in der Titelleiste.

  2. Klicken Sie in der Liste Server auf den Namen des Servers, den Sie löschen möchten.
  3. Klicken Sie auf Löschen oder drücken Sie die Entf-Taste.

    4. In einem Dialogfeld werden Sie um Bestätigung gebeten.

  4. Klicken Sie auf Ja.
  5. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.
  6. Wählen Sie Extras > Anmeldung aus.

    7. Das Dialogfeld Anmeldung wird angezeigt.

  7. Geben Sie die erforderlichen Daten zur Anmeldung ein.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Anmelden
  • Einstellungs-Server und Einstellungs-Forms.


Benutzerinformationen

Remedy User kann auf einem Rechner von mehr als einem Benutzer verwendet werden. Wenn mehrere Benutzer dieses Programm auf demselben Computer nutzen, können Sie neue Benutzer hinzufügen, um die Konfigurationen für jeden Benutzer getrennt zu verwalten. Alle hinzugefügten Benutzer werden im Dialogfeld Benutzer angezeigt. Dieses Dialogfeld kann über das Dialogfeld Konto aufgerufen werden.

Vergewissern Sie sich vor dem Hinzufügen von Benutzern, dass diese Benutzer vom Administrator registriert wurden. Ob sich ein nicht registrierter Benutzer anmelden und Remedy User verwenden kann, hängt von den Konfigurationseinstellungen des Systems ab:

  • Wenn nicht registrierte Benutzer keine Zugriffsberechtigung für die Server in der Server-Liste haben, können sie sich nicht an Remedy User anmelden.
  • Wenn nicht registrierte Benutzer Zugriffsberechtigung für die Server in der Server-Liste haben, werden sie als Gastbenutzer angemeldet. Ein Gastbenutzer kann alle im System vorhandenen öffentlichen Informationen abrufen. Außerdem können Gastbenutzer die Möglichkeit erhalten, nach Requests zu suchen oder solche zu erstellen sowie Berichte zu erstellen.

Wenn mehr als ein Benutzer Remedy User auf demselben Computer ausführt, legen Sie für jeden Benutzer einen eigenen AR System-Ausgangsordner an, damit die Benutzerdateien getrennt sind.

Hinweis: Auf dem lokalen Rechner eines Benutzers kann jeder beliebige Benutzer die Server-Liste eines anderen Benutzers und den Ausgangsordner ändern, aber nicht das Passwort. Wenn Sie an einem Einstellungs-Server angemeldet sind, werden Ihre Server-Einstellungen auf diesem Server gespeichert.

AR System-Ausgangsordner

Der Ausgangsordner von AR System enthält Ihre persönlichen Konfigurationsinformationen für Remedy User. Dazu gehören:

  • Options- und Voreinstellungen
  • Makros
  • Benutzerdefinierte Berichte
  • Benutzerdefinierte Ansichten
  • Server-Liste
  • Persönliche Auswahl an Forms, Applikationen und Leitfäden
  • Verlauf der zuletzt verwendeten Requests und Forms
  • Gespeicherte und zuletzt verwendete Suchvorgänge
  • Form-Definitionen
  • AR System-Importinformation (zum Beispiel Zuordnungsdateien)

Standardmäßig wird der Ausgangsordner im Installationsordner von Remedy User angelegt. Dies ist in der Regel C:\Programme\AR System\Home.

Falls mehrere Personen Remedy User auf dem gleichen Computer verwenden, sollte für jeden Benutzer ein eigener Ausgangsordner eingerichtet werden. Damit verfügt jeder Benutzer über einen eigenen Konfigurationsordner.

Falls Sie nicht mehrere Ausgangsordner festlegen und andere Benutzer sich auf Ihrem Computer bei Remedy User anmelden, werden Ihre lokalen Einstellungen überschrieben. Ihre persönliche Auswahl, der Verlauf der zuletzt verwendeten Dateien sowie gespeicherte Suchen werden allerdings beibehalten.

Falls der Administrator einen Einstellungs-Server festgelegt hat, können Sie von jedem Computer aus auf Ihre Optionseinstellungen zugreifen. Diese Einstellungen sind in der AR System User Preferences-Form gespeichert. Weitere Informationen finden Sie unter Festlegen zentralisierter Einstellungen.

Hinweis: Zuletzt verwendete Requests und Forms sind in der Datei ar.ini gespeichert. Falls mehrere Benutzer denselben Ausgangsordner gemeinsam verwenden, werden die zuletzt benutzten Forms und Requests geändert.

Weitere Informationen zu Namen und Speicherorten von Konfigurations- und Optionsdateien einer AR System-Installation finden Sie im Handbuch Installing AR System.

So legen Sie den AR System-Ausgangsordner fest:

  1. Wählen Sie in der Menüleiste Extras > Konto aus.

    2. Das Dialogfeld Konten wird angezeigt.

  2. Klicken Sie auf Benutzer.

    3. Das Dialogfeld Benutzer wird angezeigt.

  3. Klicken Sie auf die Zeile für den Benutzer, dessen Ausgangsordner Sie festlegen möchten.
  4. Klicken Sie auf Ändern.

    5. Das Dialogfeld Benutzer ändern wird angezeigt.

  5. Geben Sie im Feld Ausgangsverzeichnis den vollständigen Pfad für den Ausgangsordner des Benutzers ein.
  6. Klicken Sie in der Eingabeaufforderung auf Ja, wenn der Ausgangsordner des Benutzers nicht vorhanden ist, um den Ordner zu erstellen.
  7. Klicken Sie auf OK, um zum Dialogfeld Benutzer zurückzukehren. Der Name des neuen Ausgangsordners wird nun im Dialogfeld Konto angezeigt.
  8. Klicken Sie auf OK, um das Dialogfeld Konto zu schließen.
  9. Wählen Sie Extras > Anmeldung aus.

    10. Das Dialogfeld Anmeldung wird angezeigt.

  10. Geben Sie die erforderlichen Daten zur Anmeldung ein. Weitere Informationen finden Sie unter Anmelden.
  11. Klicken Sie auf OK.

So ändern Sie einen ungültigen Ausgangsordner:

  1. Wählen Sie Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt.

    Wenn der Pfad zum Ausgangsordner für das Konto des Benutzers ungültig ist, wird eine Fehlermeldung angezeigt. Führen Sie folgende Schritte durch, um den ungültigen Pfad zu ändern.

  2. Klicken Sie auf Benutzer.

    3. Das Dialogfeld Benutzer wird angezeigt.

  3. Klicken Sie auf den Namen des Benutzers, den Sie ändern möchten, und klicken Sie auf Ändern.

    4. Das Dialogfeld Benutzer ändern wird angezeigt.

  4. Nehmen Sie in den Feldern Benutzer oder Ausgangsverzeichnis die gewünschten Änderungen vor.
  5. Klicken Sie auf OK, um die Dialogfelder Benutzer ändern, Benutzer und Konto zu schließen.
  6. Wählen Sie Extras > Anmeldung aus.

    7. Das Dialogfeld Anmeldung wird angezeigt.

  7. Geben Sie die erforderlichen Daten für die Anmeldung des neuen Benutzers ein (siehe Anmelden).
  8. Klicken Sie auf OK.

    9. Ihre Änderungen werden beim nächsten Anmelden wirksam.

So fügen Sie einen Benutzer hinzu:

  1. Wählen Sie in der Menüleiste Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt.

  2. Klicken Sie auf Benutzer.

    3. Das Dialogfeld Benutzer wird angezeigt.

  3. Klicken Sie auf Hinzufügen.

    4. Das Dialogfeld Benutzer hinzufügen wird angezeigt.

  4. Geben Sie den Namen des neuen Benutzers in das Feld Benutzer ein.
  5. Geben Sie das Ausgangsverzeichnis des neuen Benutzers in das Feld Ausgangsverzeichnis ein. Wenn das Verzeichnis nicht vorhanden ist, werden Sie gefragt, ob das Verzeichnis erstellt werden soll. Klicken Sie in der Eingabeaufforderung auf Ja. Sie können auch auf die Schaltfläche Durchsuchen klicken, um ein Verzeichnis auszuwählen.
  6. Klicken Sie auf OK, um zum Dialogfeld Benutzer zurückzukehren.

    7. Der Name des neuen Benutzers wird unten in der Liste angezeigt.

  7. Wählen Sie Extras > Anmeldung aus.

    8. Das Dialogfeld Anmeldung wird angezeigt.

  8. Geben Sie die erforderlichen Daten für die Anmeldung des neuen Benutzers ein (siehe Anmelden).
  9. Klicken Sie auf OK.

So löschen Sie einen Benutzer:

  1. Wählen Sie Extras > Konto aus.

    2. Das Dialogfeld Konto wird angezeigt.

  2. Klicken Sie auf Benutzer.

    3. Das Dialogfeld Benutzer wird angezeigt.

  3. Klicken Sie auf den Namen des Benutzers, den Sie löschen möchten.
  4. Klicken Sie auf Löschen.

    5. In einem Dialogfeld werden Sie um Bestätigung gebeten.

  5. Klicken Sie auf Ja.

    6. Der Benutzer wird aus der Liste Benutzer entfernt.

  6. Klicken Sie auf OK, um zum Dialogfeld Konto zurückzukehren.

    7. Hinweis: Wenn Sie einen Benutzer löschen, bleiben der AR System-Ausgangsordner und die darin enthaltenen Dateien auf Ihrem System erhalten.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Lokale und zentralisierte Einstellungen
  • Anmelden.


Lizenztypen

Von dem Ihrem Benutzernamen zugeordneten Lizenztyp hängt ab, welche Tasks und Vorgänge Sie in Remedy User ausführen können:

  • Read-Lizenz: Wenn Sie über eine Read-Lizenz verfügen, können Sie innerhalb der vom Administrator festgelegten Einschränkungen Requests lesen und eingeben. Normalerweise können Sie vorhandene Requests nicht aktualisieren. Es kann Ihnen jedoch ermöglicht werden, von Ihnen selbst erstellte Requests zu aktualisieren.
  • Restricted Read-Lizenz: Wenn Sie über eine Restricted Read-Lizenz verfügen, können Sie Requests lesen und eingeben. Sie können auf keinen Fall vorhandene Daten aktualisieren. Sie können jedoch unter Verwendung derselben Anmeldeinformationen von mehreren Computern aus gleichzeitig auf einen AR System-Server zugreifen.
  • Fixed-Lizenz: Wenn Sie über eine Fixed-Lizenz verfügen, können Sie innerhalb der vom Administrator festgelegten Einschränkungen Requests lesen und eingeben sowie vorhandene Requests aktualisieren. Fixed-Lizenzen sind einem einzelnen Benutzernamen dauerhaft zugeordnet. Mit diesem Lizenztyp können Sie jederzeit auf das System zugreifen.
  • Floating-Lizenz: Wenn Sie über eine Floating-Lizenz verfügen, haben Sie dieselben Rechte wie mit einer Fixed-Lizenz. Floating-Lizenzen werden jedoch nicht einzelnen Benutzernamen zugeordnet. Es steht nur eine bestimmte Anzahl von Lizenz-Token zur Verfügung. Wenn beim Zugriff auf das System kein Lizenz-Token verfügbar ist, wird eine entsprechende Meldung angezeigt, und Sie werden vorübergehend mit Nur-Lese-Zugriff angemeldet. Sollte ein Lizenz-Token verfügbar werden, wird Ihnen in einer Meldung mitgeteilt, dass Ihnen nun eine Floating-Lizenz zugewiesen wurde.


Remedy User-Grundlagen

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Hauptfenster
  • Verwenden der Menü- und Symbolleisten
  • Tastenkombinationen
  • Schließen von Fenstern
  • Überblick über die Hilfe
  • Anzeigen von Versions- und Umgebungsinformationen


Hauptfenster

Das Remedy User-Hauptfenster wird angezeigt, nachdem Sie sich angemeldet haben. In diesem Fenster werden Ihre Homepage sowie eine geöffnete AR System-Form angezeigt. Nach dem Öffnen einer Form können Sie Requests erstellen und ändern, Berichte ausgeben, Optionen einstellen und Form-Ansichten sowie Standardeinstellungen für Felder anpassen.

Applikationen werden ebenfalls im Hauptfenster angezeigt. Allerdings wird eine neue Instanz von Remedy User geladen, wenn Sie eine Applikation öffnen.

Wenn Sie eine Suche durchführen, werden die Ergebnisse der Suche ebenfalls im Remedy User-Hauptfenster angezeigt.

Homepage

Die Ihnen zugewiesene Homepage-Form wird bei der Anmeldung automatisch angezeigt. Darin wird eine Liste der Links oder Einstiegspunkte zu Forms, Applikationen und Leitfäden angezeigt, die Sie anzeigen dürfen.

Der Name der Applikation wird als Überschrift angezeigt. Dahinter steht eine Liste der Einstiegspunkte zu den Forms und Leitfäden in dieser Applikation.

Wenn Sie auf einen Einstiegspunkt klicken, wird die Form im festgelegten, für Ihre Tasks geeigneten Modus (Suchen oder Neu) geöffnet. Unter Umständen werden mehrere Einstiegspunkte zu der gleichen Form angezeigt, wenn Sie beide Modi verwenden.

Das System verfügt über eine Standard-Homepage. Eventuell wurde von Ihrem Administrator auch eine für Sie oder Ihre Gruppe erstellt. Sie können eine andere Form für Ihre Homepage auswählen, indem Sie den Namen der Form auf der Registerkarte Homepage des Dialogfelds Optionen angeben. Weitere Informationen finden Sie unter So legen Sie eine Homepage fest: und So aktivieren bzw. deaktivieren Sie die Objektliste:.

Sie können jederzeit auf Ihre Homepage zugreifen, indem Sie in der Standard-Symbolleiste auf das Symbol Homepage klicken (eine entsprechende Grafik finden Sie unter Verwenden der Menü- und Symbolleisten).

Detailbereich

Wenn Sie eine Form, eine Applikation oder einen Leitfaden öffnen, wird im Hauptfenster von Remedy User ein Form-Fenster, der so genannte Detailbereich, angezeigt.

In diesem Bereich können Sie neue Requests erstellen, vorhandene Requests ändern und Suchkriterien zum Suchen nach Requests festlegen. Sie können auch das Layout der Form ändern und Standardwerte für Felder festlegen.

Von der Konfiguration von Remedy User hängt ab, ob die Position des Detailbereichs geändert werden kann. Wenn der Ergebnisbereich sichtbar ist, können Sie den Detailbereich ausblenden. Sie können nicht beide Bereiche, Detail- und Ergebnisbereich, gleichzeitig ausblenden. Weitere Informationen finden Sie unter Ergebnisbereich und Anzeigen von Detailbereich und Ergebnisbereich.

Wenn Sie eine Applikation öffnen, wird eine neue Instanz von Remedy User geöffnet und die Primär-Form der Applikation angezeigt.

Modi des Detailbereichs

Der Modus des Detailbereichs bestimmt, welche Aufgaben Sie in einer Form ausführen können. Das Banner des Bereichs zeigt den aktuellen Modus an. Folgende Modi stehen zur Verfügung:

Neu
Sie können einen neuen Request erstellen, indem Sie die entsprechenden Felder der Form ausfüllen und den Request speichern. Weitere Informationen finden Sie unter Erstellen von Requests.
Suchen
Sie können Suchkriterien in den Feldern der Form oder über die Leiste für erweiterte Suche angeben. Die Requests, die den von Ihnen angegebenen Suchkriterien entsprechen, werden im Ergebnisbereich aufgelistet. Weitere Informationen finden Sie unter Suchen nach Requests.
Ändern
Sie können einen ausgewählten Request im Detailbereich ändern. Weitere Informationen finden Sie unter So ändern Sie einen einzelnen Request:.
Alle ändern
Sie können alle Requests im Detailbereich ändern. Weitere Informationen finden Sie unter So ändern Sie mehrere Requests gleichzeitig:.
Anzeigen
Falls oben im Banner kein Symbol angezeigt wird, können Sie nur den Inhalt der Form anzeigen, aber nicht nach Requests suchen oder diese ändern.

Falls die automatische Aktualisierung aktiviert ist (Ansicht > Autom. Aktualisierung) und der Ergebnisbereich nach der Suche leer ist, werden im Detailbereich keine Daten angezeigt. Dies kann vorkommen, wenn die von Ihnen gesuchten Requests seit der letzten automatischen Aktualisierung geändert wurden. Wenn Sie manuell nach den gleichen Kriterien suchen, erhalten Sie im Ergebnisbereich die Meldung „Für diese Ansicht sind keine Requests anzuzeigen“.

Das Fenster „Ansicht anpassen“

Falls Sie vom Administrator die Berechtigung zum Anpassen von Forms erhalten haben, können Sie über das Fenster Ansicht anpassen Layout und Aussehen einer Form und ihrer Felder ändern. Wenn Sie eine Form an Ihre Anforderungen anpassen, können Sie Ansichten, die dieser Form zugeordnet sind, erstellen oder aktualisieren.

Weitere Informationen finden Sie unter Anpassen einer Form.

Fenster „Feldstandardwerte anpassen“

Sie können über das Fenster Feldstandardwerte anpassen Standardwerte für die Felder in einer Form festlegen.

Weitere Informationen finden Sie unter Standardfeldwerte.

Ergebnisbereich

Im Ergebnisbereich wird die Liste mit den Suchergebnissen angezeigt, das sind die Requests, die den angegebenen Suchkriterien entsprechen. Sie können Position und Größe des Ergebnisbereichs ändern oder ihn ganz ausblenden.

Welche Spalten im Ergebnisbereich angezeigt werden, ist für jede Form vorher festgelegt. Sie haben keinen Einfluss darauf, welche Spalten angezeigt werden, Sie können aber ihre Position und Größe ändern.

Wenn Sie einmal auf einen Request im Ergebnisbereich klicken, werden die Einzelheiten für diesen Request im Detailbereich angezeigt. Wenn Sie auf einen Request doppelklicken, wird er in einem neuen Fenster geöffnet.

Möglicherweise hat der Administrator für einige Forms definiert, dass die Ergebnisse in Gruppen angezeigt werden, falls sehr viele Requests gefunden werden. So kann eine Ergebnisliste möglicherweise nur jeweils 10 Datenzeilen anzeigen und über Schaltflächen können Sie zu den vorhergehenden und folgenden Gruppen von Datenzeilen gelangen.

Anzeigen von Detailbereich und Ergebnisbereich

Ergebnisbereich und Detailbereich können im Remedy User-Fenster gleichzeitig angezeigt werden.

Sie können Layout und Aussehen des Ergebnis- und Detailbereichs anpassen.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Anpassen des Hauptfensters
  • So legen Sie eine Homepage fest:
  • So aktivieren bzw. deaktivieren Sie die Objektliste:
  • Öffnen einer Form auf Ihrer Homepage
  • Öffnen einer Form in der Objektliste
  • Ändern des Form-Modus
  • Suchen nach Requests
  • Sortieroptionen
  • Vorgehensoptionen.
  • Anpassen des Ergebnis- oder Detailbereichs.


Verwenden der Menü- und Symbolleisten

Hinweis: Sie können steuern, ob bestimmte Elemente der Menü- und Symbolleisten angezeigt werden. Dazu verwenden Sie die Registerkarte Menu Access im Dialogfeld View Properties in Remedy Administrator. Weitere Informationen zum Steuern des Menüzugriffs finden Sie im Abschnitt „Basic Guide“ des Handbuchs Developing AR System Applications.

In Remedy User gibt es folgende Menü- und Symbolleisten:

  • Menüleiste: Die Menüleiste wird oben im Hauptfenster über der Symbolleiste angezeigt. Aus den dort aufgelisteten Menüs können Sie Befehle auswählen. Welche Menüs angezeigt werden, hängt von den geöffneten Fenstern und vom Modus des Detailbereichs ab (Neu, Suchen oder Ändern). Die Standard-Menüleiste wird angezeigt, wenn sich der Detailbereich im Modus Ändern befindet. Neben den Standard-Menüs können auch Form-spezifische Menüs zur Verfügung stehen.
  • Standard-Symbolleiste: Diese Symbolleiste wird oben im Hauptfenster unter der Menüleiste angezeigt. Welche Symbole dort angezeigt werden, hängt vom Modus der Detailansicht ab. Diese Symbolleiste kann eingeblendet, ausgeblendet oder verschoben werden.

    • Die hier abgebildeten Schaltflächen sind die Standardschaltflächen, die angezeigt werden, wenn sich der Detailbereich im Modus Ändern befindet.

    Abhängig von der angezeigten Form werden in einer eigenen Symbolleiste eventuell noch weitere Symbole angezeigt.

  • Form-spezifische Symbolleisten: Je nach der Form, die Sie verwenden, steht möglicherweise eine separate Symbolleiste mit zusätzlichen Symbolen zur Verfügung. Diese Symbolleiste kann separat verschoben werden.
  • Leiste für erweiterte Suche: Die Leiste für erweiterte Suche wird im unteren Bereich des Fensters angezeigt. Über diese Leiste können Sie komplexere Suchkriterien eingeben. Diese Leiste kann eingeblendet oder ausgeblendet werden, wenn sich der Detailbereich im Modus Suchen befindet.
  • Makroleiste: Die Makroleiste wird auf der Standard-Symbolleiste angezeigt. Sie verwenden die Makroleiste, um die Aufzeichnung eines Makros zu starten oder zu stoppen oder ein Makro aus der Liste auszuwählen und auszuführen. Sie können die Makroleiste einblenden, ausblenden und verschieben.
  • Ausgabeleiste: In der Ausgabeleiste werden Informationen über Felder angezeigt. Wenn ein Leitfaden ausgeführt wird, werden die Anleitungen und Schaltflächen zur Steuerung des Leitfadens auf der Ausgabeleiste angezeigt. Wenn kein Leitfaden ausgeführt wird, ist in der Ausgabeleiste ein Hilfetext zu dem gerade in der Form markierten Feld zu sehen.

    • Die Ausgabeleiste kann eingeblendet, ausgeblendet oder an den oberen bzw. unteren Rand des Detailbereichs verschoben werden. Weitere Informationen finden Sie unter So blenden Sie die Ausgabeleiste ein oder aus:.

  • Die Symbolleiste „Ansicht anpassen“: Die Symbolleiste Ansicht anpassen wird über dem Detailbereich angezeigt, wenn das Hauptfenster sich im Modus Ansicht anpassen befindet. Diese Symbolleiste kann nicht ausgeblendet oder verschoben werden.
  • Statusleiste: Die Statusleiste wird am unteren Rand des Hauptfensters angezeigt. Auf ihr werden die folgenden Informationen angezeigt: der angemeldete Benutzer, der Name des Servers, auf dem sich die aktuelle Form befindet, die aus der Ergebnisliste ausgewählten Requests, allgemeine Statusmeldungen sowie die Funktion des Menüeintrags unter dem Mauszeiger.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Anpassen des Hauptfensters.
  • Verwenden der Leiste für erweiterte Suche.


Tastenkombinationen

In Remedy User können Sie für die Durchführung vieler Aktionen Tastenkombinationen verwenden.

Tastenkombinationen in Form-Fenstern

Funktion
Tastenkombination
Inhalt aller Felder in die Zwischenablage kopieren
Strg+A
Auswahl in die Zwischenablage kopieren
Strg+C
Auswahl einfügen
Strg+V
Ausgewählten Request anzeigen
Strg+Alt+D
Request löschen (nur Administratoren)
Strg+D
Alle Einträge in den Feldern der Form löschen
Strg+E
Statusverlauf für den Request anzeigen
Strg+H
Warnmeldungen anzeigen
Strg+L
Dialogfeld Makro ausführen öffnen, in dem ein Makro ausgeführt werden kann
Strg+I
Homepage öffnen
Alt+Pos1
Die Objektliste öffnen, um Forms, Leitfäden und Applikationen zu öffnen
Strg+O
Alle Feldinformationen in der aktuellen Form im Modus Suchen oder Ändern in einen neuen Request kopieren
Strg+T
Das Dialogfeld Drucken öffnen, in dem das aktuelle Fenster gedruckt werden kann
Strg+P
Das Dialogfeld Suchen nach Forms öffnen
Strg+F
Die Felder der Form mit den Standardinformationen füllen
Strg+U
Aktuelles Fenster schließen
Strg+F4
Alle Fenster schließen
Strg+W
Auswahl ausschneiden und in die Zwischenablage kopieren
Strg+X
Den aktuellen Request speichern und zum nächsten Request in der Ergebnisliste wechseln
Strg+Y
Die letzte Aktion in einem Character- oder Journal-Feld rückgängig machen
Strg+Z
Dialogfeld schließen, ohne Änderungen zu speichern
Esc
Kontextbezogene Hilfe für das Dialogfeld anzeigen (wenn ein Dialogfeld angezeigt wird) Die Hilfe von Remedy User anzeigen (wenn eine Form angezeigt wird)
F1
Kontextbezogene Hilfe für das Dialogfeld anzeigen (wenn ein Dialogfeld angezeigt wird) Direkthilfe für die Form anzeigen (wenn eine Form angezeigt wird)
Umschalt+F1
Detailbereich in den Modus Neu umschalten
F2
Detailbereich in den Modus Suchen umschalten
F3
Suche aktualisieren
F5
Fokus zwischen Ergebnisbereich und Detailbereich wechseln
F6
Inhalt der Zwischenablage an der aktuellen Position einfügen
Umschalt+Einfg
Vorherigen Request in der Ergebnisliste auswählen
Strg+Bild-auf
Nächsten Request in der Ergebnisliste auswählen
Strg+Bild-ab
Änderungen des Requests speichern (Modus Neu oder Ändern) Suche durchführen (Modus Suchen)
Strg+Eingabe
Durch Forms navigieren
Strg+Tab
Text-Editor oder Journal-Editor für ein Textfeld bzw. ein Journalfeld öffnen, Kalender- oder Zeitsteuerelement für ein Datums- oder Uhrzeitfeld öffnen
Umschalt+Alt+F7
Menü in einem Menüfeld öffnen
Alt+ [image] oder Alt+ [image] %
Einen Active Link in einem mehrzeiligen Feld ausführen (wird normalerweise auf Rechnern ohne Maus verwendet)
Umschalt+Alt+F5
Cursor an den Anfang des aktuellen Felds setzen
Strg+Pos1
Cursor an das Ende des aktuellen Felds setzen
Strg+Ende
Cursor in das erste Feld einer Form setzen
Umschalt+Strg+Pos1
Cursor in das letzte Feld einer Form setzen
Umschalt+Strg+Ende

Tastenkombinationen im Fenster „Bericht“

Funktion
Tastenkombination
Dialogfeld Makro ausführen öffnen, in dem ein Makro ausgewählt und ausgeführt werden kann
Strg+I
Makro ausführen
Strg+R
Das Dialogfeld Drucken öffnen, in dem der Bericht gedruckt werden kann
Strg+P
Das Dialogfeld Berichtsformat speichern unter öffnen, in dem die Berichtsdefinition in einer Datei gespeichert werden kann
Alt+S
Das aktuell ausgewählte Berichtsformat löschen
Entf
Kontextbezogene Hilfe öffnen
F1
Kontextbezogene Hilfe öffnen
Umschalt+F1
Berichtsfenster schließen
Strg+F4
Das Dialogfeld Eigenschaften für den ausgewählten Bericht öffnen
Eingabetaste


Schließen von Fenstern

Wenn Sie in Remedy User ein einzelnes geöffnetes Fenster schließen möchten, klicken Sie auf Datei > Schließen.

Wenn Sie in Remedy User alle geöffneten Fenster schließen möchten, klicken Sie auf Datei > Alle schließen.


Überblick über die Hilfe

Remedy User enthält verschiedene Hilfeformen.

Feld-Hilfe

Die Feld-Hilfe beschreibt die einzelnen Felder einer Form und ihre Funktion. Die Feld-Hilfe wird von Remedy User automatisch bereitgestellt. Der Administrator kann diese Hilfe an die jeweilige Applikation anpassen. So kann er z. B. Hilfe für Active Link-Aktionen erstellen.

Die Feld-Hilfe können Sie folgendermaßen anzeigen:

  • Wenn ein bestimmtes Feld im Fokus ist und kein Leitfaden ausgeführt wird, wird für dieses Feld automatisch Hilfe in der Ausgabeleiste angezeigt, wenn diese sichtbar ist. (Wählen Sie Ansicht > Ausgabeleiste > Sichtbar, um die Ausgabeleiste einzublenden).
  • Drücken Sie Umschalt+F1, wählen Sie Hilfe > Direkthilfe aus, oder klicken Sie auf die Symbolleisten-Schaltfläche Hilfe. Der Cursor nimmt die Form eines Fragezeichens an. Wenn Sie auf ein Feld klicken, über das Sie sich informieren möchten, wird ein Popup-Fenster mit dem Hilfetext für das Feld angezeigt. Klicken Sie auf eine Stelle außerhalb des Popup-Fensters, um es zu schließen.

    • Hinweis: Für Benutzer mit Administrator-Rechten werden zusätzliche Informationen wie der Feldname und die ID im Hilfetext angegeben.

Form-Hilfe

Der Administrator kann für jede Form einen Hilfetext verfassen, der ihre Funktion beschreibt. Die Form-Hilfe wird wie die Feld-Hilfe in einem Popup-Fenster angezeigt, wenn Sie Hilfe > Direkthilfe auswählen oder auf die Schaltfläche Hilfe in der Symbolleiste klicken. Klicken Sie in der Form auf eine beliebige Stelle außerhalb eines Felds, um die Form-Hilfe anzuzeigen.

So zeigen Sie die Feld- oder Form-Hilfe an:

  1. Wählen Sie Hilfe > Direkthilfe aus, oder klicken Sie auf die Symbolleisten-Schaltfläche Hilfe.

    2. Der Mauszeiger wird zu einem Fragezeichen.

  2. Klicken Sie auf das Feld oder die Form, für das bzw. die Sie Hilfe benötigen.

    3. Die Hilfe für das Feld bzw. die Form wird in einem Popup-Fenster oder in einem Dialogfeld angezeigt.

  3. Klicken Sie auf eine Stelle außerhalb des Popup-Fensters, um es zu schließen.

Direkthilfe in Dialogfeldern

Die Direkthilfe ist auch in Dialogfeldern verfügbar. Sie enthält Informationen über die Funktion des jeweiligen Dialogfelds.

So zeigen Sie die Direkthilfe in Dialogfeldern an:

  1. Klicken Sie auf das Hilfesymbol in der oberen rechten Ecke des Dialogfelds.

    2. Der Mauszeiger wird zu einem Fragezeichen.

  2. Klicken Sie auf den Bereich des Dialogfelds, zu dem Sie Erläuterungen erhalten möchten.

    3. Daraufhin wird ein Popup-Fenster mit Informationen über das Dialogfeld oder die Komponente angezeigt, auf die Sie geklickt haben.

  3. Klicken Sie auf eine Stelle außerhalb des Popup-Fensters, um es zu schließen.

Online-Hilfe

Die Online-Hilfe für Remedy User (die Hilfe, die Sie gerade verwenden) enthält Informationen und Anleitungen zu den Vorgängen, die Sie durchführen können, z. B. das Erstellen von Requests, das Durchführen von Suchen und das Erstellen von Berichten.


Anzeigen von Versions- und Umgebungsinformationen

  • Wählen Sie Hilfe > Info aus.

    • Das Dialogfeld Info wird angezeigt. Es enthält Informationen wie die Versionsnummer und das Datum des Copyright.

    Hinweis: Wenn Sie mit einer Applikation arbeiten, zeigt das Dialogfeld stattdessen möglicherweise Informationen über die Applikation an (oder das Unternehmen, von dem die Applikation stammt).


Forms, Applikationen und Leitfäden

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Forms
  • Applikationen
  • Leitfäden


Forms

Jede Form wurde erstellt, um damit eine bestimmte Aufgabe auszuführen. Beispielsweise wird eine Form möglicherweise zum Protokollieren aller beim Help Desk eingehenden Anfragen verwendet, während eine andere einen Datensatz über die Ausstattung aller Benutzer enthält.

Der Administrator legt fest, ob Sie vollständige, begrenzte oder gar keine Zugriffsberechtigung für eine Form und die darin enthaltenen Informationen erhalten.

Jede Form enthält eine Reihe von Feldern, in die Sie Informationen über Requests eingeben können. Jedes Feld enthält einen bestimmten Informationstyp und es verfügt über eigene Regeln darüber, wer die Informationen in dem Feld einsehen oder ändern kann.

Mit Forms können Sie neue Requests erstellen oder vorhandene Requests suchen und ändern. Jede Form wird in einem der folgenden Modi angezeigt:

  • Neu: In diesem Modus können Sie neue Requests erstellen.
  • Suchen: In diesem Modus können Sie vorhandene Requests suchen.
  • Ändern: In diesem Modus können Sie vorhandene Requests ändern. Wenn Sie nach einem Request suchen, wird dieser im Modus Ändern angezeigt.
  • Anzeige: In diesem Modus können Sie den Inhalt einer Form anzeigen, aber nicht nach Requests suchen oder diese ändern.

Die verfügbaren Forms werden auf der Ihnen zugewiesenen Homepage als Einstiegspunkte aufgelistet. Wenn Sie auf den Einstiegspunkt klicken, wird die Form direkt in dem für den Task geeigneten Modus geöffnet.

Sie können auch in der Objektliste auf Forms zugreifen, falls diese Option aktiviert ist. Die Liste kann alle verfügbaren Forms oder nur diejenigen enthalten, die auf Ihrer Homepage als Einstiegspunkte aufgelistet sind. Weitere Informationen zu dieser Einstellung finden Sie unter Homepage-Optionen. Auf jeder Registerkarte der Objektliste können Sie die Forms verwalten.

Öffnen einer Form

Öffnen einer Form auf Ihrer Homepage

Die verfügbaren Forms werden auf der Ihnen zugewiesenen Homepage als Einstiegspunkte aufgelistet. Wenn Sie auf den Einstiegspunkt klicken, wird die Form direkt in dem für den Task geeigneten Modus geöffnet.

Öffnen einer Form in der Objektliste

Sie können auch in der Objektliste auf Forms zugreifen, falls diese Option aktiviert ist. Die Liste kann alle verfügbaren Forms oder nur diejenigen enthalten, die auf Ihrer Homepage als Einstiegspunkte aufgelistet sind. Weitere Informationen zu dieser Einstellung finden Sie unter Homepage-Optionen.

So öffnen Sie eine Form in der Objektliste:

  1. Wählen Sie in der Menüleiste Datei > Öffnen > Objektliste aus.

    2. In der Objekliste werden die Forms aufgelistet. Jede Form wird eindeutig identifiziert durch einen Namen und den Server, auf dem sie gespeichert ist.

  2. Klicken Sie auf die Registerkarte, von der aus Sie die Form öffnen möchten:
    • Alle: Listet alle verfügbaren Forms auf.
    • Suche: Dient zur Suche nach einer Form.
    • Persönliche Auswahl: Enthält die Forms, die Sie in Ihre persönliche Auswahl aufgenommen haben.
    • Zuletzt benutzt: Enthält die zuletzt geöffneten Forms.
    • Wählen Sie die Form, die Sie öffnen möchten.
    • Klicken Sie auf Neu oder Suchen.

Die Form wird im angegebenen Modus geöffnet. Sie können nun neue Requests erstellen bzw. vorhandene Requests suchen.

Hinweis: Wenn der Administrator Standardwerte für bestimmte Felder einer Form festgelegt hat, werden diese Werte angezeigt, wenn Sie die Form öffnen.

Suchen einer Form in der Objektliste

Wenn Sie anhand des Namens nach einer Form suchen müssen und die Option Objektliste aktiviert ist, können Sie in der Objektliste nach einer Form suchen. Informationen zum Aktivieren dieser Liste in Ihren Einstellungen finden Sie unter Homepage-Optionen.

So suchen Sie eine Form in der Objektliste:

  1. Wählen Sie Datei > Öffnen > Objektliste aus.

    2. Das Dialogfeld Öffnen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Suche.
  3. Geben Sie im Feld Suchbegriff(e) eingeben ein Wort oder einen Begriff ein, das bzw. der die gesuchte Form beschreibt. Folgende Kriterien können eingegeben werden:
    • Der Name der Form oder eine beliebige im Form-Namen enthaltene Buchstabenfolge. Wenn Sie z. B. nach der Form „Kaufanforderung“ suchen und „Kaufan“ eingeben, wird die Form gefunden.
    • Der vollständige Name des Servers oder darin enthaltene Buchstaben.

      • Mehrere Wörter oder Suchoperatoren sind als Schlüsselwörter nicht zulässig.

  4. Klicken Sie auf Suchen.

Die Form-Namen, die das von Ihnen eingegebene Wort oder den Begriff enthalten, werden aufgelistet. Sie werden in der Reihenfolge des Grades ihrer Übereinstimmung mit den Suchkriterien aufgeführt. Im Feld unterhalb der Form-Liste wird die Anzahl der übereinstimmenden Forms angegeben.

Zum Öffnen der Form wählen Sie sie aus und klicken auf Suchen oder Neu.

Sortieren der Liste der Forms in der Objektliste

Wenn die Objektliste aktiviert ist, können Sie die Liste der Forms sortieren. Informationen zum Aktivieren dieser Liste in Ihren Einstellungen finden Sie unter Homepage-Optionen.

So sortieren Sie die Liste der Forms in der Objektliste:

  1. Wählen Sie im Hauptfenster von Remedy User Datei > Öffnen > Objektliste aus.

    2. Die Objektliste wird angezeigt.

  2. Klicken Sie auf die Registerkarte, auf der Sie sortieren möchten.
  3. Klicken Sie auf den Titel der Spalte, nach der Sie sortieren möchten. Sie können die Form-Liste nach jeder der Spalten sortieren. Dazu gehören Name, Server, Persönliche Auswahl und Bereich (nur auf der Registerkarte Suche verfügbar).

    4. Die Forms werden entsprechend der Spalte alphabetisch sortiert. Der Pfeil im Spaltentitel gibt die Sortierreihenfolge an.

  4. Zum Umkehren der Sortierreihenfolge klicken Sie erneut auf den Titel der Spalte.

    5. Hinweis: Sie können auch die Breite der Spalten ändern. Setzen Sie den Cursor auf die Grenze zwischen den Spalten, deren Größe Sie ändern möchten. Der Zeiger nimmt die Gestalt eines Doppelpfeils an. Klicken Sie, und ziehen Sie den Zeiger bei gedrückter Maustaste in die Richtung, in der die Größe der Spalte geändert werden soll. Wenn die Spalte die gewünschte Größe erreicht hat, lassen Sie die Maustaste los.

Arbeiten mit persönlichen Auswahlen in der Objektliste

Wenn die Objektliste aktiviert ist, können Sie auf der Registerkarte Persönliche Auswahl in der Task-Liste von Remedy User die Forms auflisten, die Sie am häufigsten benötigen. Informationen zum Aktivieren der Objektliste finden Sie unter Homepage-Optionen.

So legen Sie eine Form als persönliche Auswahl fest:

  1. Wählen Sie im Hauptfenster von Remedy User Datei > Öffnen > Objektliste aus.

    2. Die Objektliste wird angezeigt.

  2. Klicken Sie mit der rechten Maustaste auf einer beliebigen Registerkarte auf die Form, die Sie als persönliche Auswahl festlegen möchten.
  3. Wählen Sie aus dem angezeigten Menü Persönliche Auswahl aus.

    4. Neben der persönlichen Auswahl wird in der Liste ein Häkchen angezeigt. In der Spalte Persönliche Auswahl wird ein x angezeigt. Damit wird gekennzeichnet, dass die Form der Liste auf der Registerkarte Persönliche Auswahl hinzugefügt wurde.

So entfernen Sie eine Form aus der persönlichen Auswahl in der Objektliste

  1. Wählen Sie im Hauptfenster von Remedy User Datei > Öffnen > Objektliste aus.
  2. Klicken Sie auf die Registerkarte Persönliche Auswahl.
  3. Klicken Sie mit der rechten Maustaste auf die Form, die Sie aus der Liste Persönliche Auswahl entfernen möchten.
  4. Wählen Sie aus dem Menü die Option Persönliche Auswahl.

    5. Das Häkchen bei dem Menüeintrag wird entfernt und die Form wird aus der Liste Persönliche Auswahl entfernt.

Erstellen einer Verknüpfung für eine Form

Sie können über die Menüleiste oder die Objektliste eine Verknüpfung für eine Form erstellen.

So erstellen Sie über das Menü eine Verknüpfung für eine Form:

  1. Öffnen Sie eine Form. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Wählen Sie in der Menüleiste Datei > Senden > Form > Desktop aus.

    3. Das Dialogfeld Form-Verknüpfung speichern wird angezeigt. Standardmäßig ist der Dateityp eine AR System-Task (*.ARTask) und der Name lautet <Form-Name> .ARTASK.

  3. Ändern Sie Namen und Speicherort nach Bedarf. Ändern Sie nicht die Dateierweiterung.
  4. Klicken Sie auf Speichern.

    5. Ein Verweis auf die Form wird am angegebenen Speicherort gespeichert. Durch einen Doppelklick auf diesen Verweis wird Remedy User gestartet (falls es nicht bereits ausgeführt wird) und die Form in dem Modus geöffnet, in dem sie gespeichert wurde.

So erstellen Sie über die Objektliste eine Verknüpfung für eine Form:

  1. Wählen Sie in der Menüleiste Datei > Öffnen > Objektliste aus.

    2. Die Objektliste wird angezeigt.

  2. Klicken Sie auf die Registerkarte, auf der Sie eine Verknüpfung für die Form erstellen möchten.
  3. Klicken Sie mit der rechten Maustaste auf die Form, für die Sie eine Verknüpfung erstellen möchten.
  4. Wählen Sie aus dem angezeigten Menü die Option Verknüpfung erstellen > Neue Form oder Verknüpfung erstellen > Such-Form.

    5. Das Dialogfeld Verknüpfung mit Task speichern wird angezeigt.

  5. Geben Sie den Speicherort und den Namen für die Verknüpfung an.
  6. Klicken Sie auf Speichern.

    7. Die Form wird am angegebenen Ort mit der Dateierweiterung .ARTask gespeichert. Sie können auf die Datei doppelklicken, um die Form aufzurufen, ohne Remedy User zu starten.


Applikationen

Eine Applikation ist eine Zusammenstellung von Forms, die eine oder mehrere Tasks ausführen. Ihr Administrator kann Applikationen so konfigurieren, dass sie in Remedy User im Applikationsmodus ausgeführt werden. Wenn Remedy User im Applikationsmodus ausgeführt wird, wird der Name der Applikation in der Titelleiste angezeigt. Sie haben nur Zugriff auf die Forms, die in der Applikation eingetragen sind.

Sie können eine Applikation über eine Desktop-Verknüpfung im Applikationsmodus öffnen. Wenn die Objektliste aktiviert ist, können Sie auch durch Auswahl der Menübefehle Datei > Öffnen > Objektliste auf die Applikation zugreifen. Unabhängig davon, für welche dieser Methoden Sie sich entscheiden, wird auf jeden Fall eine neue Instanz von Remedy User gestartet. Sie können neue Requests erstellen, nach Requests suchen und Requests ändern.

So beenden Sie eine Applikation:

  • Wählen Sie Datei > Beenden aus.

    • Die Applikation wird geschlossen. Falls Sie Änderungen vorgenommen haben, die noch nicht gespeichert sind, werden Sie aufgefordert, diese zu speichern.


Leitfäden

Leitfäden werden als Hilfe für den Benutzer zu Forms hinzugefügt. Leitfäden dienen verschiedenen Zwecken: Einige Leitfäden dienen als Hilfe bei der Navigation, indem sie den Benutzer Schritt für Schritt durch einen Vorgang führen oder Hilfestellung beim Ausfüllen erforderlicher Felder geben. Andere Leitfäden helfen beim Festlegen von Einstellungen.

Leitfäden werden in der Regel in Remedy User angezeigt.

Alle Leitfäden und das Verhalten von Leitfäden werden vom Administrator festgelegt. Dazu gehören beispielsweise das Ausführen, Fortsetzen und Schließen von Leitfäden.

Suchen eines Leitfadens in der Objektliste

Wenn Sie anhand des Namens nach einem Leitfaden suchen müssen und die Option Objektliste aktiviert ist, können Sie in der Objektliste nach einem Leitfaden suchen. Informationen zum Aktivieren dieser Liste in Ihren Einstellungen finden Sie unter Homepage-Optionen.

So suchen Sie einem Leitfaden in der Objektliste:

  1. Wählen Sie in der Menüleiste Datei > Öffnen > Objektliste aus.

    2. Die Objektliste wird angezeigt.

  2. Klicken Sie auf die Registerkarte Suche.
  3. Geben Sie im Feld Suchbegriff(e) eingeben ein Wort oder einen Begriff ein, das bzw. der den gesuchten Leitfaden beschreibt. Folgende Kriterien können eingegeben werden:
    • Der Name eines Leitfadens oder eine beliebige im Namen enthaltene Buchstabenfolge. Wenn Sie z. B. nach dem Leitfaden „Kaufanforderung“ suchen und „Kaufan“ eingeben, wird der Leitfaden gefunden.
    • Der vollständige Name des Servers oder darin enthaltene Buchstaben.
    • Klicken Sie auf Suchen.

      • Die Namen der Leitfäden, die das von Ihnen eingegebene Wort oder den Begriff enthalten, werden aufgelistet. Sie werden in der Reihenfolge des Grades ihrer Übereinstimmung mit den Suchkriterien aufgeführt. Im Feld unterhalb der Leitfaden-Liste wird die Anzahl der übereinstimmenden Leitfäden angegeben.

  4. Zum Öffnen eines Leitfadens wählen Sie ihn aus und klicken auf Öffnen.

Ausführen eines Leitfadens in der Objektliste

Sie können auch in der Objektliste auf Leitfäden zugreifen, falls diese Option aktiviert ist. Weitere Informationen zum Aktivieren der Objektliste finden Sie unter Homepage-Optionen.

So führen Sie einen Leitfaden in der Objektliste aus:

  1. Öffnen Sie den Leitfaden.
    1. Wählen Sie in der Menüleiste Datei > Öffnen > Objektliste aus.

      2. Die Objektliste wird angezeigt.

    2. Klicken Sie auf die Registerkarte, von der aus Sie den Leitfaden öffnen möchten:
      • Alle: Listet alle für Sie verfügbaren Forms und Leitfäden auf.
      • Suche: Dient zur Suche nach einem Leitfaden.
      • Persönliche Auswahl: Listet die Forms und Leitfäden auf, die Sie in Ihre persönliche Auswahl aufgenommen haben.
      • Zuletzt verwendet: Listet die zuletzt geöffneten Forms und Leitfäden auf.
    3. Wählen Sie den gewünschten Leitfaden aus.
    4. Klicken Sie auf OK.

      5. Der Leitfaden wird geöffnet.

  2. Befolgen Sie die angezeigten Anweisungen. Die Anweisungen können entweder in der Ausgabeleiste oder in einem Dialogfeld erscheinen. Möglicherweise wird um ein Feld ein hellgrauer Rand angezeigt. Das bedeutet, dass Sie in dieses Feld Daten eingeben müssen.
  3. Gegebenenfalls können Sie einen Leitfaden beenden.

Beenden eines Leitfadens

Sie können einen Leitfaden jederzeit beenden und die Aufgabe in einer anderen Reihenfolge ausführen, die Ihnen besser zusagt.

So beenden Sie einen Leitfaden:

  • Klicken Sie, während der Leitfaden ausgeführt wird, auf die Schaltfläche Leitfaden unterbrechen in der Ausgabeleiste.

    • Oder

  • Klicken Sie bei aktiviertem Leitfaden auf ein anderes Feld.

    • Das Dialogfeld Leitfaden einblenden wird geöffnet. Sie können nun den Leitfaden fortsetzen und Anleitungen zum Ausfüllen der Felder erhalten, oder Sie können den Leitfaden abbrechen und die Felder der Form ohne Leitfaden ausfüllen.

  • Klicken Sie auf Leitfaden ausblenden.

    • Hinweis: Wenn Sie den Leitfaden beenden, müssen Sie ihn erneut öffnen, um ihn wieder auszuführen.


Arbeiten mit Feldern

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Felder
  • Ausfüllen von Feldern
  • Felddatentypen
  • Character-Felder
  • Währungsfelder
  • Datum- und Uhrzeit-Felder
  • Decimal-Felder
  • Journal-Felder
  • Integer-Felder
  • Real-Felder
  • Auswahlfelder
  • Tabellenfelder
  • Anlagengruppe-Felder
  • Schaltflächenfelder
  • Globale Felder
  • Seitenfelder
  • Umrandungsfelder
  • Ansichtsfelder


Felder

Wenn Sie einen neuen Request erstellen oder einen bestehenden Request ändern, geben Sie in bestimmte Felder der Form Informationen ein. Jedes Feld in der Form ist üblicherweise durch eine Bezeichnung gekennzeichnet, die links neben dem Feld oder darüber angezeigt wird.

In der Form werden nur die Felder angezeigt, die zu sehen oder zu ändern Sie berechtigt sind. Der Administrator legt fest, auf welche Felder Sie Zugriff haben und welche Art von Zugriffsberechtigung Sie besitzen.

Kennzeichnen eines Felds als erforderlich, optional oder vom System erzeugt

In der Standardeinstellung wird durch das für die Feldbezeichnung verwendete Schriftformat angezeigt, ob das Feld erforderlich, optional oder vom System erzeugt ist.

  • Fett: Das Feld ist erforderlich. Sie müssen in diesem Feld eine Eingabe vornehmen.
  • Normal: Das Feld ist optional. Sie können Daten eingeben oder das Feld leer lassen.
  • Kursiv: Das Feld wird automatisch vom System verwaltet. Sie können in dieses Feld keine Informationen eingeben.

    • Hinweis: Sie können das Schriftformat für erforderliche Felder und für Systemfelder ändern. Wenn Sie die Formate ändern, sollten Sie eine Schrift wählen, durch die diese Felder weiterhin voneinander und von optionalen Feldern unterschieden werden können. Weitere Informationen zum Ändern von Schriftarten finden Sie unter Anzeigeoptionen.


Ausfüllen von Feldern

In jedes Feld, in das Sie Zeichenwerte eingeben können, können Sie Schlüsselwörter eintragen. Sie können folgende Verfahren anwenden, um Felder auszufüllen:

  • Geben Sie die Daten direkt in das Feld ein.
  • Fügen Sie Daten aus der Zwischenablage in das Feld ein.
  • Verwenden Sie ein Menü.
  • Verwenden Sie Optionsfelder.
  • Verwenden Sie für einige numerische Felder den Pfeil nach oben bzw. den Pfeil nach unten.
  • Öffnen Sie für bestimmte Felder mit der Texteditor-Schaltfläche einen Texteditor oder einen Kalender.

    • Hinweis: Der Feldtyp bestimmt, welche Art von Daten eingegeben werden kann. Manche Zeichen werden möglicherweise wegen Konflikten durch mehrere Sprachen nicht korrekt angezeigt. Weitere Informationen finden Sie in den AR System Versionshinweisen.

So löschen Sie Daten aus Feldern:

Abhängig von Ihren Optionseinstellungen können die Felder in einer Form beim Öffnen der Form Standardinformationen enthalten, oder sie können nach dem Erstellen eines neuen Requests Informationen beibehalten. Diese Option wird im Dialogfeld Optionen festgelegt (siehe Vorgehensoptionen). Wenn die Felder Daten enthalten, können Sie diese löschen.

  • Wählen Sie in der Menüleiste Bearbeiten > Alles löschen aus.

    • Hinweis: Dieser Vorgang wirkt sich nicht auf globale Felder aus.

So geben Sie Informationen ein und bearbeiten Sie diese direkt in einem Feld:

  1. Klicken Sie auf das Feld.
  2. Geben Sie entweder Informationen ein, oder bearbeiten Sie diese je nach Bedarf. Die folgende Tabelle enthält Informationen über die Tasten und Tastenkombinationen, die beim Arbeiten in Feldern verwendet werden können.

    3. Taste(n)
    Funktion
    Pos1
    Bewegen der Einfügemarke an den Anfang des Felds.
    Ende
    Bewegen der Einfügemarke an das Ende des Felds.
    Bewegen der Einfügemarke nach rechts.
    Bewegen der Einfügemarke nach links.
    Umschalt+
    Bewegen der Einfügemarke nach rechts und Markieren jedes Zeichens.
    Umschalt+
    Bewegen der Einfügemarke nach links und Markieren jedes Zeichens.
    Strg+X
    Löschen und Verschieben des markierten Textes in die Zwischenablage.
    Strg+C
    Kopieren des markierten Textes in die Zwischenablage.
    Strg+V
    Einfügen des Inhalts der Zwischenablage in das ausgewählte Feld.
    Mit der rechten Maustaste auf das Feld klicken
    Öffnen des Kontextmenüs (wenn für das Feld eines erstellt wurde). Zum Löschen von Text markieren Sie den Text und wählen Bearbeiten > Löschen oder drücken Entf.

  3. Zum Löschen von Text markieren Sie den Text und wählen Bearbeiten > Löschen oder drücken Entf.

Verwenden von Schlüsselwörtern

In jedes Feld, in das Sie Zeichenwerte eingeben können, können Sie Schlüsselwörter eintragen. Wenn Sie einen Request erstellen oder ändern, werden die Schlüsselwörter durch ihre entsprechenden Werte ersetzt.

Am häufigsten werden die folgenden Schlüsselwörter verwendet: $DATE$, $NULL$, $TIME$, $TIMESTAMP$, $USER$ und $WEEKDAY$.

Hinweis: Bei Schlüsselwörtern wird die Groß-/Kleinschreibung berücksichtigt. Verwenden Sie bei der Eingabe von Schlüsselwörtern nur GROSSBUCHSTABEN (siehe folgende Tabelle).

Schlüsselwort
Ersatzwert
$APPLICATION$
Der Name der Applikation, wenn die Applikation aktiv ist; $NULL$, wenn keine Applikation aktiv ist.
$BROWSER$
Der in der aktuellen Sitzung verwendete Browser. Für Remedy User wird eine leere Zeichenfolge (“ „) zurückgegeben.
$CLIENT-TYPE$
Der ganzzahlige Wert für den Typ des Clients, auf dem AR System ausgeführt wird. Für Remedy User wird der Wert „3“ zurückgegeben.
$DATABASE$
Der Name der Datenbank, in der die Daten der aktuellen Form gespeichert sind.
$DATE$
In einem Character-Feld wird das aktuelle Datum angezeigt. In einem Date/Time-Feld wird standardmäßig Mitternacht (00:00:00) angezeigt.
$DEFAULT$
Der Standardwert für das zugeordnete Feld (wird nur beim Zuweisen eines Werts zu einem Feld verwendet).
$FIELDHELP$
Der Text der Feldhilfe für das aktuell ausgewählte Feld.
$FIELDID$
Die ID des aktuell ausgewählten Feldes. Ist kein Feld ausgewählt, wird NULL zurückgegeben.
$FIELDNAME$
Der Name des aktuell ausgewählten Feldes. Ist kein Feld ausgewählt, wird NULL zurückgegeben.
$FIELDLABEL$
Die Bezeichnung des aktuell ausgewählten Feldes. Ist kein Feld ausgewählt, wird NULL zurückgegeben.
$GROUPS$
Die Gruppen, zu denen der Benutzer gehört.
$GROUPID$
Die IDs der Gruppen, in denen der aktuelle Benutzer Mitglied ist. Wenn keine Gruppen vorhanden sind, wird der Wert NULL zurückgegeben.
$GUIDE$
Der Name des Leitfadens, wenn der Leitfaden aktiv ist; NULL, wenn kein Leitfaden aktiv ist.
$GUIDETEXT$
Der Hilfetext mit Anweisungen, wenn ein Leitfaden aktiv ist.
$HARDWARE$
Die Hardware-Plattform, auf der der aktuelle Prozess ausgeführt wird.
$LASTCOUNT$
Die Anzahl der Übereinstimmungen, die im letzten Suchvorgang gefunden wurden.
$LASTID$
Die ID des letzten erfolgreich erstellten Requests.
$LOCALE$
Der Sprach- und Ländercode für das angegebene Gebietsschema im Format <Sprache>_<Ländercode>.
$NULL$
Ein leerer Wert.
$OPERATION$
Der aktuelle Modus bzw. die aktuell durchgeführte Operation. Einer der folgenden Werte wird zurückgegeben:
  • CREATE: beim Erstellen eines Requests.
  • DELETE: bei einem Löschvorgang.
  • DIALOG: beim Öffnen einer Form als Dialogfeld.
  • GET: beim Abrufen eines Eintrags.
  • MERGE: beim Zusammenführen.
  • QUERY: bei einer Datenbanksuche.
  • SET: beim Ändern.
  • SET ALL: bei einer Operation Alle ändern.
$OS$
Das Betriebssystem, unter dem der aktuelle Prozess ausgeführt wird.
$ROLES$
Gibt bei einer einsetzbaren Applikation die Liste der Rollen zurück, die den Gruppen entsprechen, zu denen der aktuelle Benutzer gehört.
$ROWCHANGED$
Wertet aus, ob eine Zeile in einem Tabellenfeld in einem Tabellenschleifenleitfaden geändert wurde.
  • 0 = nicht geändert
  • 1 = geändert
$ROWSELECTED$
Wertet aus, ob eine Zeile in einem Tabellenfeld in einem Tabellenschleifenleitfaden ausgewählt wurde.
  • 0 = nicht ausgewählt
  • 1 = Markiert als sekundäre Auswahl
  • 2 = Markiert als primäre Auswahl
$SCHEMA$
Die Form, in der Sie zurzeit arbeiten.
$SCHEMA-ALIAS$
Der für eine Form verwendete einzelne Alias.
$SERVER$
Der AR System-Server, auf dem der aktuelle Prozess ausgeführt wird.
$SERVERTIMESTAMP$
Die Werte für die folgenden Elemente für den AR System-Server:
  • Für Datum/Uhrzeit-Felder das aktuelle Datum und die aktuelle Uhrzeit.
  • Für Uhrzeit-Felder die aktuelle Uhrzeit.
  • Für Datum-Felder das aktuelle Datum.
$TIME$
In einem Character-Feld wird die aktuelle Uhrzeit angezeigt. In einem Date/Time-Feld wird für das Datum standardmäßig das aktuelle Datum angezeigt.
$TIMESTAMP$
Der aktuelle Datum/Uhrzeit-Stempel.
$USER$
Der Name des Benutzers, der zurzeit angemeldet ist.
$VERSION$
Die Version von Remedy User. Enthält die Version einen Patch, wird er ebenfalls angegeben.
$VUI$
Der Name der Ansicht des zurzeit aktiven Fensters.
$VUI-TYPE$
Die Ansichtsplattform (z. B. Web oder Windows).
$WEEKDAY$
Der aktuelle Tag der Woche.

Verwenden von URL-Verknüpfungen

Ihr Administrator kann URL-Verknüpfungen (Universal Resource Locator) in Ihre Forms einfügen, die Sie verwenden können. Mögliche URL-Verknüpfungen sind: HTTP, FILE, FTP, MAILTO und GOPHER.

Sie können URL-Verknüpfungen auch direkt in Text-, Journal- und Character-Felder eingeben. Diese Verknüpfungen werden in Hyperlinks konvertiert, wenn der Fokus auf dem Feld ist. Wenn auf die URL-Verknüpfung geklickt wird, wird die betreffende Webseite oder Datei in einem neuen Fenster geöffnet.

URL-Verknüpfungen werden in der Form als farbiger, unterstrichener Text dargestellt. Halten Sie zum Anzeigen des URLs den Mauszeiger über die Verknüpfung.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • So geben Sie Informationen im Text-Editor ein:
  • Währungsfelder
  • So geben Sie Datums- und Uhrzeitangaben über den Kalender an:
  • So geben Sie Informationen in das Journal ein:
  • So verwenden Sie ein numerisches Drehtextfeld für die Eingabe von Feldinformationen:
  • So geben Sie Feldinformationen mit Optionsfeldern ein:
  • So geben Sie Feldinformationen mit einer Liste ein:.


Felddatentypen

Remedy User verwendet verschiedene Feldtypen zur Anzeige und Aktualisierung von Informationen.

Ermitteln von Felddatentypen

Sie können eines der folgenden Verfahren anwenden, um Informationen über Felddatentypen zu finden:

Ermitteln von Felddatentypen, Methode 1:

  1. Wählen Sie in der Menüleiste Ansicht > Ausgabeleiste > Sichtbar aus, um die Ausgabeleiste anzuzeigen.
  2. Setzen Sie den Cursor in das Feld, zu dem Sie Hilfe benötigen.

Ermitteln von Felddatentypen, Methode 2:

  1. Wählen Sie Hilfe > Direkthilfe, drücken Sie Umschalt+F1, oder klicken Sie auf die Symbolleisten-Schaltfläche Hilfe.

    2. Der Cursor nimmt die Form eines Pfeils mit Fragezeichen an.

  2. Klicken Sie auf das Feld, dessen Datentyp Sie herausfinden möchten.

    3. Die Hilfe zu diesem Feld wird daneben in einem Popup-Fenster angezeigt. Standardmäßig gibt diese Hilfe den Datentyp des Felds und die Art der Informationen an, die Sie darin eingeben können. Wenn Sie über Administrator-Rechte verfügen, zeigt Ihnen die Direkthilfe auch den Datenbankfeldnamen und die Feld-ID an.

  3. Klicken Sie auf eine Stelle außerhalb des Popup-Fensters, um es zu schließen.

    4. Hinweis: Ihr Administrator hat an der Hilfe zu diesem Feld möglicherweise Anpassungen vorgenommen. Die vom Administrator erstellte Hilfe enthält u. U. keinen Hinweis zum Datentyp.


Character-Felder

Character-Felder können beliebige Zeichen enthalten, die Sie über die Tastatur eingeben oder aus einer anderen Quelle einfügen können. Der Administrator gibt die maximale Länge jedes Felds und (optional) ein Muster vor, welches die zulässigen Zeichen festlegt.

Hinweis: Auf japanischen Umgebungen unterstützt AR System nur JIS X 0201 und JIS X 0208. Japanisches Kanji wird von AR System nur auf den Ebenen 1 und 2 unterstützt. Andere Zeichensätze, wie z. B. der erweiterte IBM-Zeichensatz, werden nicht unterstützt.

Ein Character-Feld kann ein Menü enthalten, das als Eingabehilfe dient. Je nach verwendetem Menü kann durch die Auswahl eines Menüeintrags entweder der bestehende Feldinhalt überschrieben oder der Menüeintrag an den Feldinhalt angehängt werden.

Die maximale Länge für ein Character-Feld ist unbegrenzt. Möglicherweise hat der Administrator beim Entwerfen der Form eine Schaltfläche zum Erweitern rechts neben dem Editor angebracht. Sie können auf diese Schaltfläche klicken, um das Dialogfeld des Text-Editors zu öffnen.

Wenn Sie den Cursor auf ein Textfeld setzen, das mehr Text enthält, als in diesem Feld angezeigt werden kann, wird ein Popup-Fenster geöffnet, das den gesamten Text enthält.

Wenn Sie einen URL eingeben, wird dieser zu einem Hyperlink konvertiert, wenn der Fokus auf dem Feld ist. Wenn Sie auf den Hyperlink klicken, wird die Zieldatei in einem eigenen Fenster geöffnet.

So geben Sie Informationen im Text-Editor ein:

  1. Klicken Sie auf die Schaltfläche für den Texteditor neben dem Feld.

    2. Ein Dialogfeld wird angezeigt. Es kann zuvor eingegebenen Text enthalten oder leer sein.

  2. Klicken Sie in das Feld und beginnen Sie mit der Eingabe. Sie können auch Text einfügen oder eine externe Textdatei einbinden. Verwenden Sie dazu die Befehle in den Menüs Datei und Bearbeiten.

    3. Hinweis: Wenn Sie in ein Textfeld einen URL eingeben, konvertiert das System diesen in einen Hyperlink. Wenn der Benutzer darauf klickt, wird die darin angegebene Seite in einem neuen Browserfenster angezeigt. Wenn Sie ein Textfeld in einer Form anzeigen, ist der Hyperlink aktiv, wenn der Fokus auf dem Feld ist.

  3. Klicken Sie auf OK.

So schneiden Sie Text aus, kopieren Sie Text und fügen Sie Text ein:

  1. Markieren Sie im Text-Editor oder Journal den Text, den Sie ausschneiden oder kopieren möchten.
  2. Wählen Sie aus, ob Sie den Text in die Zwischenablage verschieben oder kopieren möchten:
    • Wählen Sie Bearbeiten > Ausschneiden, um den Text in die Zwischenablage zu verschieben und damit den bisherigen Inhalt der Zwischenablage zu überschreiben.
    • Wählen Sie Bearbeiten > Kopieren, um den Text in die Zwischenablage zu kopieren und damit den bisherigen Inhalt der Zwischenablage zu überschreiben.
  3. Setzen Sie die Einfügemarke an die Stelle, an der Sie den Text einfügen möchten.

    4. Sie können den Text in dasselbe Feld, in ein anderes Feld oder in ein Dokument in einer anderen Anwendung einfügen.

  4. Wählen Sie Bearbeiten > Einfügen, um den Text an der neuen Position einzufügen.

So markieren Sie Text:

  1. Klicken Sie im Text- oder Journal-Editor an den Beginn der zu markierenden Textstelle.
  2. Drücken Sie die linke Maustaste und halten Sie sie gedrückt, ziehen Sie die Maus, um den Text hervorzuheben, und lassen Sie die Maustaste los.

    3. Die Hervorhebung des markierten Textes bleibt bestehen.

So löschen Sie Text:

  1. Markieren Sie im Text- oder Journal-Editor den Text, den Sie löschen möchten.
  2. Wählen Sie Bearbeiten > Löschen oder drücken Sie die Entf-Taste.

    3. Der Text wird gelöscht.

  3. Klicken Sie auf OK.

So speichern Sie den Text- oder Journal-Eintrag in einer Datei:

  1. Geben Sie im Text-Editor oder im Journal Text ein.
  2. Wählen Sie Datei > Speichern unter aus. Das Dialogfeld Speichern unter wird angezeigt.
  3. Geben Sie den Namen der Datei in das Feld Dateiname ein, und geben Sie das Verzeichnis an, in dem die Datei gespeichert werden soll.
  4. Klicken Sie auf OK.
  5. Klicken Sie auf OK, um den Texteditor oder das Journal zu schließen.

Importieren einer externen Textdatei

Sie können in den Text- oder den Journal-Editor externe Textdateien importieren. Die Zeichenanzahl der importierten Datei darf den für das Feld festgelegten Grenzwert nicht überschreiten.

Sie können den vorhandenen Text mit einer externen Datei überschreiben oder die Datei an den bestehenden Text anhängen.

So überschreiben Sie vorhandenen Text mit einer externen Textdatei:

  1. Wählen Sie im Text- oder Journal-Editor Datei > Datei lesen.

    2. Das Dialogfeld Datei lesen wird angezeigt.

  2. Markieren Sie die zu importierende Textdatei.
  3. Klicken Sie auf Öffnen.

    4. Der in der Datei enthaltene Text wird in den Editor importiert. Dadurch wird der gesamte vorhandene Text ersetzt.

  4. Klicken Sie auf OK.

    5. Hinweis: Im Journal können Sie nur den Text im Feld Journal-Editor überschreiben. Der Journal-Verlauf kann nicht überschrieben werden.

So fügen Sie eine externen Textdatei zu vorhandenem Text hinzu:

  1. Setzen Sie im Texteditor oder im Journal-Editor den Cursor an den Punkt, wo Sie Text hinzufügen möchten.
  2. Wählen Sie im Menü des Journal-Editors Datei > Datei einschließen.
  3. Wählen Sie im angezeigten Dialogfeld die Textdatei, die Sie importieren möchten.
  4. Klicken Sie auf Öffnen.

    5. Der in der Datei enthaltene Text wird in den Editor importiert. Der Text aus der Datei wird an der Stelle der Einfügemarke in den Text eingefügt.

  5. Klicken Sie auf OK.

Umkehren (Rückgängigmachen) einer Aktion

  • Wählen Sie im Text- oder Journal-Editor Bearbeiten > Rückgängig.

    • Die letzte Aktion wird rückgängig gemacht.

Sie können die Aktion erneut durchführen, indem Sie noch einmal Bearbeiten > Rückgängig auswählen.

Der Eingabemethoden-Editor (IME)

Ein IME-Programm wandelt Tastenanschläge und Ideogramme oder andere Zeichen in asiatischen Sprachen um. Dabei wird normalerweise ein Benutzerwörterbuch verwendet.

AR System verwendet eine intelligente IME-Umschaltung. IME wird automatisch deaktiviert, wenn der Benutzer numerische oder alphabetische Daten eingeben muss.

Beachten Sie bei der Verwendung von IME die folgenden Regeln:

  • In numerischen Feldern (Integer, Decimal, Real) ist IME deaktiviert.
  • IME wird aktiviert, wenn sich der Cursor in einem Character-Feld für die Eingabe von Ziffern, Buchstaben oder alphanumerischen Zeichen befindet.

IME wird abhängig vom globalen Status aktiviert bzw. deaktiviert.


Währungsfelder

In Währungsfeldern werden Währungsdaten gespeichert, die Sie eingeben, sowie Daten, die vom System aufgezeichnet werden. Sie geben einen Dezimalwert (z. B. 100) und einen Währungscode (z. B. USD) ein, der einen Währungstyp bezeichnet (z. B. US-Dollar). Das System zeichnet das Datum und den Wert einer oder mehrerer funktionaler Währungen (Währungen, in welche die eingegebenen Daten umgerechnet werden) auf, die Sie anzeigen können, indem Sie auf das Erweiterungsfeld neben dem Feld klicken (sofern verfügbar). Der Administrator steuert die Währungen, die Ihnen bei der Eingabe von Daten in das Feld zur Verfügung stehen. Der Administrator legt auch die Liste der funktionalen Währungen und die Berechnungsmethode für die funktionalen Währungen fest.

Sie können den Währungswert und -code direkt in das Feld eingeben oder den dezimalen Wert eingeben und einen Währungscode aus dem Menü neben dem Feld auswählen. Sie können auch eine Vorzugseinstellung für den Währungstyp festlegen, der beim Öffnen einer leeren Form angezeigt wird (siehe Beschreibung in Optionen für das Gebietsschema). Wenn Sie einen neuen Währungscode aus dem Menü auswählen, werden die funktionalen Währungswerte aktualisiert.

Sie können das Währungsfeld auch nach beliebigen Bestandteilen des Werts durchsuchen, wie z. B. Dezimalwert, Datum oder Betrag der funktionalen Währung.

Wenn Sie die Liste der Felder in einer Tabelle oder einem Bericht sortieren, werden die Währungswerte zuerst nach dem Währungstyp und dann nach dem Dezimalwert sortiert werden.

So geben einen Währungscode mit Hilfe des Währungsfeldes an:

  1. Klicken Sie auf das Währungsfeld.
  2. Geben Sie einen Währungswert ein.

Sie können Währungswerte in einem der folgenden Formate eingeben:

  • <Wert> <Währungscode>, z. B. 500 USD
  • <Wert>, z. B. 500

    • Von Ihrem Administrator wurde u. U. ein Anfangswährungstyp festgelegt, der beim Öffnen der Form im Modus Neu geladen und angezeigt wird. Sie können auch eine Vorzugseinstellung für den Währungstyp festlegen, der beim Öffnen einer Form im Modus Neu angezeigt wird. Weitere Informationen zum Festlegen dieser Option finden Sie unter Optionen für das Gebietsschema.

    Wenn Sie nur einen Dezimalwert eingeben, verwendet das System den Währungstyp, der vom Administrator festgelegt wurde. Dieser Typ wird die primär zulässige Währung genannt.

  1. Wenn Sie nur den Dezimalwert eingegeben haben, können Sie auf die Liste neben dem Währungsfeld klicken, um einen Währungstyp einzugeben.

    2. Eine Liste der verfügbaren Währungscodes wird angezeigt.

  2. Wählen Sie einen Währungscode aus.

    3. Der Währungscode wird an den Dezimalwert angehängt.

Nach dem Speichern des Requests wird der dezimale Währungswert mit der vom Administrator festgelegten dezimalen Genauigkeit angezeigt.

So zeigen Sie funktionale Währungswerte an:

  1. Geben Sie einen Währungswert in ein Währungsfeld ein.
  2. Klicken Sie auf das Erweiterungsfeld neben dem Währungsfeld.

    3. Eine Liste der funktionalen Währungen und Dezimalwerte wird angezeigt. Die Dezimalwerte basieren auf den vom Administrator festgelegten Währungswechselkursen.

Wenn Sie einen neuen Dezimalwert oder Währungscode in das Währungsfeld eingeben, werden die funktionalen Währungsbeträge aktualisiert.


Datum- und Uhrzeit-Felder

AR System stellt drei Typen von Datum- und Uhrzeit-Feldern zur Verfügung, in denen Datums- und Uhrzeitangaben angezeigt werden:

  • Datum-Felder: In diesen Feldern wird lediglich das Datum als Anzahl der Tage vom Beginn des Bereichs gespeichert. Verwenden Sie ein Datum-Feld, wenn Sie zwei Datumsangaben vergleichen oder Berechnungen basierend auf dem Datum durchführen möchten, z. B. Berechnung der Anzahl von Tagen zwischen zwei Datumsangaben. Datum-Felder können Werte vom 1. Januar 4713 v. Chr. bis zum 1. Januar 9999 n. Chr. aufnehmen.
  • Uhrzeit-Felder: In diesen Feldern wird nur die Uhrzeit als Anzahl der Sekunden seit 00:00 Uhr gespeichert. Verwenden Sie ein Uhrzeit-Feld, wenn Sie zwei Uhrzeiten vergleichen oder Berechnungen basierend auf der Uhrzeit durchführen möchten, z. B. Berechnung der Anzahl vergangener Sekunden. Der Wert in einem Uhrzeit-Feld ist unabhängig von der Zeitzone. Während bei einem Datum/Uhrzeit-Feld der angezeigte Wert an die Zeitzone des Benutzers angepasst wird, bleibt der Uhrzeitwert bei der Anzeige unverändert.
  • Datum/Uhrzeit-Felder, in denen Kalenderdatum und Uhrzeit zusammen gespeichert werden. Diese Felder können so konfiguriert werden, dass nur Datum oder Uhrzeit sichtbar sind. In Datum/Uhrzeit-Felder können keine Werte vor dem 1. Januar 1970 eingegeben werden.

Wenn Sie auf die Schaltfläche neben einem Datum- oder Uhrzeit-Feld klicken, wird ein Kalender- oder Zeitsteuerelement angezeigt, in dem Sie Datum und/oder Uhrzeit angeben können. Sie können Datum oder Uhrzeit auch direkt in das Feld eingeben.

Wenn Sie bei Datum/Uhrzeit-Feldern nur die Uhrzeit eingeben, wird als Datum das aktuelle Datum eingetragen. Wenn Sie nur ein Datum eingeben, wird als Uhrzeit 0:00:00 (Mitternacht) eingetragen. Wenn ein Datum verwendet wird, muss es vor der Uhrzeit eingegeben werden.

Falls Sie bei Date/Time-Feldern ein Gebietsschema und eine Zeitzone auf der Registerkarte Gebietsschema des Dialogfelds Optionen angegeben haben, verwendet das System die Zeitzone des Gebietsschemas. Falls Sie kein Gebietsschema angegeben haben, verwendet das System das Gebietsschema und die Zeitzone, die in der Windows-Systemsteuerung unter Ländereinstellungen angegeben sind. Der Administrator steuert das Anzeigeformat und legt fest, ob das Datum, die Uhrzeit oder beides angezeigt wird.

Hinweis: Die japanische Kalenderrechnung nach den Jahresdevisen des regierenden Kaisers wird vom AR System nicht unterstützt. Selbst wenn dieses Kalenderformat in der Systemsteuerung festgelegt wurde, wird das Datum im AR System im westlichen Datumsformat angezeigt. Statt „Heisei 10“ wird z. B. das Jahr „1999“ angezeigt.

Datum oder Uhrzeit können in den Feldern Erstellungsdatum oder Änderungsdatum nicht geändert werden.

Direktes Eingeben von Datum und Uhrzeit in ein Feld

Geben Sie das Datum und die Uhrzeit in dem für Ihr System festgelegten Format in das Feld ein.

Eingeben des Datums

Bei der Eingabe von Kalenderangaben müssen Groß- und Kleinschreibung sowie das Datumsformat des jeweiligen Gebietsschemas beachtet werden. In den folgenden Beispielen sind die verschiedenen Arten dargestellt, in denen Sie im englischen Gebietsschema (USA) den 5. Februar 2001 in ein Datum-Feld eingeben können:

  • MMMM d, yyyy: February 5, 2001
  • MMM d, yy: Feb 5, 01
  • M/d/yy: 2/5/01
  • M/d/yyyy: 2/5/2001

Geben Sie den Monat als ausgeschriebenes Wort oder Abkürzung an (February oder Feb) oder als Zahl mit oder ohne vorangestellte Null (02 oder 2).

Geben Sie den Tag mit oder ohne Komma oder vorangestellte Null ein (z. B. February 5, 2001; Feb 5 01 oder 02/05/01).

Falls Sie nicht mit englischen Ländereinstellungen arbeiten, verwenden Sie die langen oder kurzen Formate für Datum und Uhrzeit auf der Registerkarte Gebietsschema des Dialogfelds Optionen oder auf der Registerkarte Datum im Dialogfeld Eigenschaften von Ländereinstellungen, das Sie über die Systemsteuerung von Windows aufrufen. Bitte beachten Sie, dass die japanische Kalenderrechnung nach den Jahresdevisen des regierenden Kaisers (z. B. Heisei) nicht unterstützt wird.

Eingeben der Uhrzeit

Sie können die Uhrzeit sowohl im 24-Stunden- als auch im 12-Stunden-Format eingeben. Sie können beliebige Trennzeichen verwenden, um Stunden, Minuten und Sekunden voneinander zu trennen. (So wird zum Beispiel in 13:30:28 und in 1:30:28 PM ein Doppelpunkt verwendet.) Die Angabe von Minuten und Sekunden ist optional. Wenn diese nicht eingegeben werden, wird jeweils 0 eingetragen.

Nach dem Speichern oder Öffnen eines Requests wird das Datum entsprechend dem Format angezeigt, das auf der Registerkarte Gebietsschema des Dialogfelds Optionen angegeben ist. Weitere Informationen finden Sie unter Optionen für das Gebietsschema.

Eingeben von Datum und Uhrzeit in ein Feld über den Kalender

Sie können Datum und Uhrzeit auch über einen Popup-Kalender des Zeitsteuerelement-Dialogfeldes in ein Feld eingeben.

So geben Sie Datums- und Uhrzeitangaben über den Kalender an:

  1. Klicken Sie auf das Steuerelement rechts neben dem Datums- oder Zeitfeld.

    2. Ein Dialogfeld mit einem Kalender- bzw. Zeitsteuerelement wird angezeigt.

    • Bei Datum/Uhrzeit-Feldern sieht das Steuerelement-Dialogfeld wie ein Monatskalender aus (siehe Abbildung).
    • Bei Datum/Uhrzeit-Feldern sieht das Steuerelement-Dialogfeld wie ein Monatskalender aus (siehe Abbildung).
    • Bei Datum-Feldern verfügt das Steuerelement-Dialogfeld über Felder für die Eingabe von Monat, Tag und Jahr (siehe Abbildung).

    Im Kalendersteuerelement für Datum/Uhrzeit-Feldern können Sie Daten vom 1. Januar 1970 bis zum 1. Januar 1 2038 eingeben. Im Steuerelement für Datum-Felder können Sie Daten vom 1. Januar 4713 v.Chr. (mit dem Kontrollkästchen v. Chr.) bis zum 1. Januar 9999 n. Chr. eingeben.

    Wenn Sie den Kalender in einem leeren Feld öffnen, wird automatisch das aktuelle Datum ausgewählt. Wenn Sie ein Feld mit einem Wert öffnen, wird das betreffende Datum angezeigt.

  2. Sie geben neue Datumsangaben wie folgt ein:

    3. Beim Datum/Uhrzeit-Feldsteuerelement:

    • Jahr verringern (<<): Klicken Sie auf diesen Pfeil, um das Jahr um Eins zu verringern.
    • Monat verringern (<): Klicken Sie auf diesen Pfeil, um den Monat um Eins zu verringern.
    • Monat erhöhen (>): Klicken Sie auf diesen Pfeil, um den Monat um Eins zu erhöhen.
    • Jahr verringern (>>): Klicken Sie auf diesen Pfeil, um das Jahr um Eins zu erhöhen.
    • Vorheriger Monat oder Nächster Monat In den abgeblendeten Bereichen wird der vorherige bzw. der nächste Monat angezeigt. Wenn Sie auf eine der Schaltflächen klicken, wird der vorherige bzw. nächste Monat angezeigt.
    • Tag des Monats: Klicken Sie auf die Zahl für den Tag des Monats.

    Beim Datum-Feldsteuerelement:

    • Geben Sie ein Jahr in das Feld Jahr ein. Wenn Sie ein Jahr vor dem Jahr 0 (Null) eingeben möchten, aktivieren Sie das Kontrollkästchen v.Chr.
    • Klicken Sie auf das Menü im Feld Monat, um einen Monat auszuwählen.
    • Klicken Sie auf das Menü im Feld Tag, um einen Tag auszuwählen.
  3. Bei Uhrzeit-Feldern und Datum/Uhrzeit-Feldern, in denen die Uhrzeitkomponente eingestellt werden kann, haben Sie die beiden folgenden Möglichkeiten, Uhrzeitangaben einzugeben:
    • Klicken Sie auf die Einstellung, die Sie ändern möchten (Stunden, Minuten, Sekunden oder Vormittag bzw. Nachmittag), und geben Sie die gewünschte Uhrzeit ein.

      • ODER

    • Klicken Sie auf die Einstellung, die Sie ändern möchten, und anschließend auf die Schaltfläche zum Erhöhen oder Verringern der Uhrzeit rechts neben dem Feld.

      • Hinweis: Das Feld Uhrzeit in Kalender- und Uhrzeitdialogfeldern erkennt nicht die Einstellungen auf der Registerkarte Gebietsschema des Dialogfelds Optionen. Stellen Sie das Gebietsschema in der Systemsteuerung von Windows ein.

  4. Wenn Sie die Datums- und Uhrzeiteinstellungen wie gewünscht eingegeben haben, klicken Sie auf OK.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Optionen für das Gebietsschema


Decimal-Felder

Decimal-Felder enthalten eine Festkommazahl. Die Anzahl der anzuzeigenden Dezimalstellen wird vom Administrator festgelegt. Dezimalzahlen werden je nach Sprachraum bzw. Einstellungen der Systemsteuerung mit dem entsprechenden Dezimaltrennzeichen, Zeichen für die Zifferngruppierung, Gruppierungsgröße und Vorzeichen angezeigt. Dezimalzahlen werden in Berichten und in der Form rechtsbündig ausgegeben.

Hinweis: In Decimal-Felder können Sie keine japanischen Doppelbyte-Ziffern (Zenkaku) eingeben. Sie werden als Schriftzeichen interpretiert und zurückgewiesen.


Journal-Felder

Journal-Felder enthalten mehrere Character-Einträge, die automatisch mit dem Datum, der Uhrzeit und dem Namen des Benutzers versehen werden, der den Eintrag eingegeben hat. Jeder Journal-Eintrag kann sämtliche Zeichen enthalten, die Sie über die Tastatur eingeben bzw. in den Zwischenspeicher kopieren und dann einfügen können. Die maximale Länge eines Journal-Felds wird von der Datenbank bestimmt. Weitere Informationen finden Sie in Database Reference Guide.

Das Journal wird angezeigt, wenn Sie auf das Journal-Symbol neben einem Journal-Feld klicken. Das Symbol gibt an, ob das Journal bereits Einträge enthält:

Das Journal ist leer.
Das Journal enthält Einträge.

Das Journal enthält ein Protokoll aller vorhergehenden Einträge. Sie können im Journal festhalten, welche Aktionen Sie für einen Request durchgeführt haben. Normalerweise aktualisieren Sie ein Journal-Feld bei jeder Änderung, die nicht automatisch im Feld Statusverlauf oder in einem anderen Feld aufgenommen wird.

Sie haben verschiedene Möglichkeiten, um Journal-Informationen einzugeben:

  • Sie können neuen Text (einschließlich URLs) in das Eingabefeld des Journals eingeben. Wenn Sie einen URL eingeben, wird dieser in einen Hyperlink konvertiert. Durch Klicken auf diesen Hyperlink wird die Zieldatei in einem eigenen Fenster geöffnet.
  • Sie können Text durch Kopieren bzw. Ausschneiden und Einfügen zwischen einem anderen Texteditor oder Textverarbeitungsprogramm und dem Journal austauschen.
  • Sie können externe Textdateien importieren.

Jedes Mal, wenn Sie Daten in das Journal eingeben, wird der Eintrag mit dem aktuellen Datum, der Uhrzeit und Ihrem Namen versehen.

Vorhandene Journal-Einträge können nicht geändert oder gelöscht werden.

So geben Sie Informationen in das Journal ein:

  1. Klicken Sie neben dem Feld auf das Journal-Symbol.

    2. Das Dialogfeld Journal wird angezeigt. Im Feld Journal-Verlauf werden frühere Einträge angezeigt. Diese Einträge können nicht geändert werden.

  2. Klicken Sie in das Feld Journal-Editor, und beginnen Sie mit der Eingabe.

    3. Sie können auch einen Text aus der Zwischenablage oder eine externe Textdatei einfügen. Außerdem können Sie Registerkarten mit Hilfe des Dialogfelds Journal einbetten. Klicken Sie auf das Symbol auf der rechten Seite, um dieses Dialogfeld zu öffnen.

    Hinweis: Wenn Sie in ein Journal-Feld einen URL eingeben, konvertiert das System diesen in einen Hyperlink. Wenn der Benutzer darauf klickt, wird die darin angegebene Seite in einem neuen Browserfenster angezeigt.

  3. Klicken Sie auf OK.

    4. Der eingegebene Text wird im Feld Journal-Verlauf angezeigt, wenn Sie den Journal-Editor das nächste Mal öffnen.

Sortieren von Journal-Einträgen

Im Feld Journal-Verlauf werden vorhandene Journal-Einträge angezeigt. In der Voreinstellung werden Journal-Felder in umgekehrter zeitlicher Reihenfolge sortiert.

So ändern Sie die Sortierreihenfolge der Journal-Einträge:

  • Wählen Sie Ansicht > Zuletzt benutzte zuerst im Menü des Journal-Feldes, sodass der Menüeintrag markiert ist.

So zeigen Sie die neuesten Einträge in allen Journal-Feldern zuerst an:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Vorgehen.
  3. Aktivieren Sie im Bereich Journal-Feld das Kontrollkästchen Zuletzt benutzte zuerst anzeigen.

Weitere Informationen

Weitere Informationen zum Verwalten von Text finden Sie in den folgenden Abschnitten.

  • So schneiden Sie Text aus, kopieren Sie Text und fügen Sie Text ein:
  • So löschen Sie Text:
  • So markieren Sie Text:
  • Importieren einer externen Textdatei
  • So überschreiben Sie vorhandenen Text mit einer externen Textdatei:
  • So fügen Sie eine externen Textdatei zu vorhandenem Text hinzu:
  • So speichern Sie den Text- oder Journal-Eintrag in einer Datei:
  • Umkehren (Rückgängigmachen) einer Aktion


Integer-Felder

Integer-Felder enthalten eine Zahl zwischen -2147483647 und 2147483647. Dieser Bereich kann durch den Administrator jedoch auch eingeschränkt werden. Mit dem Aufwärtspfeil und dem Abwärtspfeil, die sich rechts neben dem Feld befinden, können Sie den im Feld angegebenen Wert erhöhen oder verringern, wenn der Administrator das Feld entsprechend konfiguriert hat.

So verwenden Sie ein numerisches Drehtextfeld für die Eingabe von Feldinformationen:

  • Klicken Sie auf den nach oben weisenden Pfeil, um den Feldwert zu erhöhen. Klicken Sie auf den nach unten weisenden Pfeil, um den Feldwert zu senken.

    • Sie können die Pfeilsymbole am Feld oder die Pfeiltasten auf der Tastatur verwenden.

    Hinweis: In Integer-Felder können Sie keine japanischen Doppelbyte-Ziffern (Zenkaku) eingeben. Sie werden als Schriftzeichen interpretiert und zurückgewiesen.


Real-Felder

Real-Felder enthalten eine Gleitkommazahl. Abhängig davon, wie der Administrator das Feld konfiguriert hat, können Sie Zahlen mit Dezimalkomma eingeben oder in wissenschaftlicher Notation (zum Beispiel 1,43 oder 2,9e-9). Der Administrator legt den Wertebereich für Real-Felder fest.

Hinweis: In Real-Felder können Sie keine japanischen Doppelbyte-Ziffern (Zenkaku) eingeben. Sie werden als Schriftzeichen interpretiert und zurückgewiesen.


Auswahlfelder

In Auswahlfeldern steht Ihnen eine Liste mit Namen versehener Auswahlmöglichkeiten zur Verfügung, aus denen Sie eine, keine oder mehrere auswählen können. Die Wahlmöglichkeiten werden als Optionsfelder, Kontrollkästchen oder als Elemente einer Liste angezeigt.

So geben Sie Feldinformationen mit Optionsfeldern ein:

  • Aktivieren Sie das gewünschte Optionsfeld. Sie können nur ein Optionsfeld aktivieren.

    • Um Ihre Auswahl zu ändern, aktivieren Sie ein anderes Optionsfeld, oder klicken Sie auf das Optionsfeld, um es zu deaktivieren.

So geben Sie Feldinformationen mit einer Liste ein:

  1. Klicken Sie auf das neben dem Feld befindliche Listen-Symbol und wählen Sie ein Element aus dem angezeigten Menü.

    2. Ihre Auswahl ersetzt die eventuell vorhandene Auswahl, da Auswahlfelder nur eine Auswahl enthalten können.

  2. Um alle Daten aus diesem Feld zu löschen, wählen Sie das Listensymbol aus und wählen Sie Löschen.


Tabellenfelder

Tabellenfelder zeigen Requests aus derselben oder aus anderen Forms in einem Tabellenformat an. Sie können die Daten in Tabellenfeldern anzeigen und aktualisieren. Sie können auch eine Form über ein Tabellenfeld öffnen und die Daten in der Form bearbeiten oder aus der Tabelle einen Bericht erstellen.

In einer Tabelle können Sie die Daten mehrerer Requests aus einer Form anzeigen. Jede Zeile in einer Tabelle stellt einen Request aus der Quellen-Form dar. Die einzelnen Spalten stellen ein Feld in dem Request dar.

Eine Tabelle funktioniert ähnlich wie eine Ergebnisliste, da die Inhalte auf einer Suchdefinition basieren. Die in der Tabelle angezeigten Informationen geben den Inhalt der Datenbank wieder. Wenn sich der Inhalt der Datenbank ändert, muss die Tabelle u. U. aktualisiert werden, damit diese Änderungen angezeigt werden. Sie können diese neuen Daten anzeigen, indem Sie die Tabelle manuell oder automatisch aktualisieren.

Möglicherweise hat der Administrator für einige Tabellenfelder definiert, dass die Datenzeilen in Gruppen angezeigt werden, falls sehr viele Requests gefunden werden. So kann ein Tabellenfeld möglicherweise nur jeweils 10 Datenzeilen anzeigen und über Menüeinträge können Sie zu den vorhergehenden und folgenden Gruppen von Datenzeilen gelangen.

Falls Sie die erforderlichen Berechtigungen haben, können Sie die Datensätze in einer Tabelle aktualisieren oder einen Bericht erstellen. Sie können in einer Tabelle auch die Quellen-Form öffnen und die Daten dort ändern.

Sie können die Breite der Tabellenspalten und die Sortierreihenfolge der Requests in der Tabelle ändern.

Wenn Sie einen Request drucken, der eine Tabelle enthält, werden nur die sichtbaren Daten in der Tabelle gedruckt. Sie können jedoch alle Requests in einer Tabelle drucken, auch wenn diese sich nicht im sichtbaren Bereich befinden.

Sie können in den Suchkriterien jedoch nicht mit Hilfe von Tabellen nach Requests suchen.

So sortieren Sie die Requests in einer Tabelle:

  1. Klicken Sie in der Tabelle auf den Titel der Spalte, nach der Sie sortieren möchten.

    2. Die Requests in der Tabelle werden anhand dieser Spalte sortiert.

  2. Zum Umkehren der Sortierreihenfolge klicken Sie erneut auf den Titel der Spalte.

So ändern Sie die Größe von Tabellenspalten:

  1. Setzen Sie den Cursor im Spaltentitel der Tabelle auf die Linie, welche die Spalte begrenzt, deren Größe geändert werden soll.

    2. Der Zeiger nimmt die Gestalt eines Doppelpfeils an.

  2. Klicken Sie, und ziehen Sie den Zeiger bei gedrückter Maustaste in die Richtung, in der die Größe der Spalte geändert werden soll.
  3. Wenn die Spalte die gewünschte Größe erreicht hat, lassen Sie die Maustaste los.

    4. Die Spalte behält diese Breite als Standardeinstellung bei.

    Hinweis: Sie können in Tabellen nur die Breite von Spalten ändern. Die Größe des Felds selbst können Sie nur im Modus Ansicht anpassen ändern. Weitere Informationen finden Sie unter Ausfüllen von Feldern.

Anzeigen der Tabellendaten in Gruppen

Ein Tabellenfeld kann so konzipiert sein, dass die Datenzeilen in Gruppen angezeigt werden, falls sehr viele Requests gefunden werden. So kann ein Tabellenfeld möglicherweise nur jeweils 10 Datenzeilen anzeigen und über Menüeinträge können Sie zu den vorhergehenden und folgenden Gruppen von Datenzeilen gelangen.

So zeigen Sie Gruppen von Daten in einer Tabelle an:

  1. Klicken Sie mit der rechten Maustaste auf eine beliebige Stelle der Tabelle.
  2. Wählen Sie aus dem angezeigten Menü die Option Vorherige oder Nächste aus. (Der genaue Wortlaut der Menüeinträge wird vom Administrator festgelegt.)

    3. Hinweis: Wenn es sich bei der aktuellen Gruppe um die letzte Gruppe handelt, wird die Menüoption Nächste nicht angezeigt. Wenn es sich bei der aktuellen Gruppe um die erste Gruppe handelt, wird die Menüoption Vorherige nicht angezeigt.

    Wenn Sie die einzelnen Datengruppen in der Tabelle anzeigen, werden in der Statusleiste die laufende Nummer der Gruppe und die Anzahl der Einträge in der Tabelle angezeigt, wie z. B. „1-10 von 40 wird gezeigt“. (Der genaue Wortlaut wird vom Administrator festgelegt.)

    Hinweis: Wenn Sie die Datensätze in einer Tabelle sortieren, in der eine Gruppierung verwendet wird, werden alle Einträge im Tabellenfeld aktualisiert und die erste Gruppe neu angezeigt. In der Gruppe sind nach dem Sortiervorgang jedoch andere Datensätze enthalten.

Ändern von Datensätzen in einer Tabelle

Sie können Datensätze in einem Tabellenfeld ändern, wenn Ihnen der Administrator die entsprechenden Rechte für die einzelnen Spalten der entsprechenden Tabelle zugewiesen hat. Der Administrator kann Ihnen Rechte für einzelne oder alle Tabellenspalten zuweisen.

Hinweis: Die Änderungen, die Sie an einer editierbaren Tabellenspalte vornehmen, können nicht gespeichert werden.

So ändern Sie den Inhalt einer editierbaren Tabellenspalte:

  1. Öffnen Sie die Form, welche die Tabelle mit den zu ändernden Daten enthält.
  2. Setzen Sie den Cursor in die Zelle, deren Daten Sie bearbeiten möchten.
  3. Nehmen Sie die gewünschten Änderungen vor.

Öffnen der Quellen-Form für einen Request in einer Tabelle

Nachstehend werden zwei Möglichkeiten beschrieben, um die Quelle eines in einer Tabelle aufgeführten Requests zu öffnen.

So öffnen Sie einen einzelnen Request:

  • Doppelklicken Sie in der Tabelle auf den Request.

    • Wenn Sie die entsprechende Berechtigung haben, wird die Quellen-Form für den Request im Modus Ändern geöffnet. Wenn Sie keine Berechtigung für den Zugriff auf die Quellen-Form besitzen, wird eine Fehlermeldung angezeigt.

So öffnen Sie mehrere Requests:

  1. Markieren Sie die Requests:
    • Um nebeneinander liegende Requests auszuwählen, ziehen Sie mit gedrückter Maustaste die Maus von einem Request zum nächsten, bis alle gewünschten Requests markiert sind.
    • Um nicht nebeneinander liegende Requests auszuwählen, klicken Sie auf den ersten Request, halten die Strg-Taste gedrückt und klicken auf den bzw. die gewünschten Request(s).

      • Die ausgewählten Requests werden hervorgehoben.

  2. Klicken Sie mit der rechten Maustaste auf die Tabelle.

    3. Ein Kontextmenü wird angezeigt.

  3. Wählen Sie Ausgewählte öffnen. Wenn der Befehl Ausgewählte öffnen nicht angezeigt wird, hat der Administrator Ihnen nicht gestattet, die Quellen-Form zu öffnen.

    4. Die Quellen-Form für die Requests wird im Modus Ändern geöffnet.

  4. Bearbeiten Sie die Requests nach Bedarf.
  5. Um von einem Request zum nächsten zu gelangen, wählen Sie Aktionen > Nächste oder Aktionen > Vorherige oder klicken auf die entsprechende Schaltfläche im Detailbereichs-Banner.

Aktualisieren des Tabelleninhalts

Ein Tabellenfeld zeigt Requests aus einer Form an. Falls an diesen Requests Änderungen vorgenommen werden (z. B. wird ein Request geändert oder gelöscht oder ein Request wird neu hinzugefügt), haben Sie die Möglichkeit, die in der Tabelle angezeigten Daten zu aktualisieren.

Manuelles Aktualisieren einer Tabelle

Sie können die Tabelle jederzeit manuell aktualisieren, wenn Sie vermuten, dass die Daten geändert wurden und Sie diese einsehen möchten. Sie können die Aktualisierung auf verschiedene Weise durchführen:

So aktualisieren Sie eine leere Tabelle:

Wenn Sie die Form zum ersten Mal öffnen, ist die Tabelle möglicherweise leer und zeigt den Befehl Zum Aktualisieren hier klicken an.

  • Klicken Sie auf die Tabelle.

    • Die Tabellendaten werden angezeigt.

So aktualisieren Sie eine Tabelle mit Daten:

  1. Klicken Sie mit der rechten Maustaste auf die Tabelle.

    2. Ein Kontextmenü wird angezeigt.

  2. Wählen Sie einen der folgenden Befehle zum Aktualisieren:
    • Tabelle aktualisieren: Dieser Befehl lädt die aktuellen Daten in die Tabelle. Der Administrator kann eine Obergrenze für die Anzahl Requests festlegen, die in die Tabelle geladen werden. In der Statusleiste des Hauptfensters wird die Anzahl der geladenen Requests angezeigt.
    • Alle Werte in Tabelle aktualisieren: Dieser Befehl lädt die aktuellen Daten in die Tabelle ohne Rücksicht auf Beschränkungen der Anzahl der zurückgegebenen Requests, die möglicherweise vom Administrator festgelegt wurden. Falls viele Requests zurückgegeben werden, verschlechtert sich die Serverleistung eventuell. In der Statusleiste des Hauptfensters wird die Anzahl der geladenen Requests angezeigt.

    Die Daten werden entsprechend dem von Ihnen gewählten Befehl aktualisiert.

Automatisches Aktualisieren einer Tabelle

Der Administrator kann festlegen, dass die Tabelle immer dann aktualisiert wird, wenn ein angezeigter Request geändert wird. Dies ist nur möglich, wenn der Request, der die Tabelle enthält, in der Form im Modus Ändern geöffnet ist.

Hinweis: Zur Verbesserung des Zeitverhaltens können Sie einige Arten der automatischen Aktualisierung für alle Tabellen in allen Forms deaktivieren.

So aktivieren bzw. deaktivieren Sie die automatische Aktualisierung:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Erweitert.
  3. Aktivieren Sie das Kontrollkästchen Angezeigte Inhalte aktualisieren im Bereich Tabellenfelder, damit die vom Administrator definierte automatische Aktualisierung von Tabellendaten aktiviert wird, wenn ein vorhandener Request angezeigt wird. Dies ist die Voreinstellung. Wenn Sie das Kontrollkästchen deaktivieren, werden nur einige Arten der automatischen Aktualisierung deaktiviert.
  4. Klicken Sie auf OK.

    5. Hinweis: Die automatische Aktualisierung von Tabellen kann die Reaktionszeiten Ihres Netzwerks verlangsamen. Daher sollten Sie diese Option nicht zu häufig verwenden.

Drucken von Tabellen

Wenn Sie einen Request drucken, der eine Tabelle enthält, wird nur der sichtbare Tabelleninhalt gedruckt. Durch diesen Vorgang werden Requests in einer Tabelle gedruckt, auch wenn diese sich nicht im sichtbaren Bereich befinden.

So drucken Sie Tabelleninhalte:

  1. Klicken Sie mit der rechten Maustaste auf die Tabelle, die Sie drucken möchten.

    2. Ein Kontextmenü wird angezeigt.

  2. Wählen Sie Tabelle drucken.

    3. Das Dialogfeld Drucken wird angezeigt.

  3. Wählen Sie den Drucker und die Anzahl der Exemplare.
  4. Klicken Sie auf OK.

    5. Der gesamte Inhalt der Tabelle wird gedruckt.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • So erstellen Sie einen neuen Bericht aus einer Tabelle:
  • Anzeigen und Sortieren von Suchergebnissen.
  • Bei Suchvorgängen.


Anlagengruppe-Felder

Anlagengruppe-Felder sind ein Bereich in einer Form, in dem Anlagen wie Textdateien, HTML-Dateien, Kalkulationstabellen oder Grafiken eingebunden werden können. Jede Anlagengruppe kann eine bestimmte Anzahl von Anlagen enthalten. Diese Anzahl wird vom Administrator festgelegt.

Wenn Sie einem Request eine Datei hinzufügen, wird diese Anlage im Feld für die Anlagengruppe aufgelistet. Wenn Sie den Request speichern, werden die Daten der Anlage in der Datenbank gespeichert. Andere Benutzer können dann auf die Anlage zugreifen und sie speichern, wenn sie die Form öffnen. Voraussetzung dafür ist, dass die Anwendung, in der die Anlage erstellt wurde, auf ihrem Computer installiert ist und ihre Zugriffsberechtigung den Zugriff auf die Anlage erlaubt. Weitere Informationen finden Sie unter Anlagen.


Schaltflächenfelder

Schaltflächenfelder sind Steuerungsfelder, die verwendet werden, um Active Links auszuführen. Ein Administrator kann beispielsweise einem anderen Feld ein Schaltflächenfeld hinzufügen, um die Daten in diesem Feld anzuzeigen.


Globale Felder

Globale Felder sind Felder, deren Werte von mehr als einer Form verwendet und bearbeitet werden können. Wenn ein Wert in ein globales Feld eingetragen wird, gilt dieser Wert für alle geöffneten Forms, die dieses globale Feld verwenden. So kann eine Applikation beispielsweise ein globales Feld verwenden, damit dieselben Daten zu einem Benutzer (z. B. Lizenzinformationen) in allen Forms verwendet werden.

Globale Felder können folgende Feldtypen verwenden:

  • Character
  • Datum/Uhrzeit
  • Datum
  • Uhrzeit
  • Journal
  • Integer
  • Real
  • Decimal
  • Auswahlliste (Optionsschaltfläche, Dropdown-Liste oder Kontrollkästchen)
  • Währung

Der Administrator legt bei der Konfiguration des globalen Felds fest, ob die Daten direkt in das Feld eingegeben oder durch eine Workflow-Aktion eingefüllt werden. Da es für globale Felder keine Standardwerte gibt, sind die Werte in diesen Feldern nicht betroffen, wenn Sie in einer Form die Option Bearbeiten > Alle löschen oder Bearbeiten > Auf Standard zurücksetzen auswählen.


Seitenfelder

Seitenfelder sind Container-Felder, die zum Gruppieren von Feldern in einer Form verwendet werden können. In Remedy User haben diese Container sichtbare Rahmen und Registerkarten, ähnlich wie in einem Dialogfeld mit Registerkarten. Mit Hilfe von Seitenfeldern können Sie Daten in größeren Forms bequem gruppieren. Bei Seitenfeldern mit Registerkarten wird für jede Registerkarte in der Regel als Bezeichnung der Datentyp verwendet, der in den Feldern dieser Registerkarte enthalten ist.

Sie können keine Suche in der Bezeichnung eines Seitenfelds durchführen, Sie führen Suchen in den Feldern, die auf einem Seitenfeld enthalten sind, durch.


Umrandungsfelder

Umrandungsfelder sind Linien, Kästen und Text, die verwendet werden, um Daten auf einer Form zu gruppieren oder bestimmte Bereiche der Form hervorzuheben. So kann zum Beispiel eine Gruppe ähnlicher Felder in einer Form von einem Kasten umschlossen sein.


Ansichtsfelder

Ansichtsfelder sind schreibgeschützte Container-Felder, die verschiedene Datentypen anzeigen.

Ein Ansichtsfeld kann den Inhalt einer Webseite, der durch den Workflow dorthin gesendet wird, anzeigen, HTML-Code oder den Inhalt eines Anlagenfelds. So kann eine Form beispielsweise ein Ansichtsfeld enthalten, ein Character-Feld für die Eingabe eines URL und eine Schaltfläche mit einem Active Link, der die Anzeige der durch diesen URL bezeichneten Seite veranlasst. Wenn Sie einen URL in das Character-Feld eingeben und auf die Schaltfläche klicken, wird die Zielseite im Ansichtsfeld angezeigt, ohne dass dafür extra ein Browser-Fenster geöffnet werden muss.

Ansichtsfelder können von Workflow-Ereignissen wie Active Links und Filtern verwendet werden, können aber keine Active Links starten.


Anlagen

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über Anlagen
  • Hinzufügen einer Anlage
  • Öffnen einer Anlage
  • Speichern einer Anlage
  • Löschen einer Anlage
  • Auswählen von Anlage-Ansichten


Überblick über Anlagen

Forms können Anlagegruppen enthalten, mit denen externe Dateien wie Kalkulationstabellen oder Textdateien mit Anlagefeldern verknüpft werden können. Für eine Anlagengruppe wird eine Liste der enthaltenen Anlagen angezeigt. Die maximale Anzahl wird vom Administrator festgelegt. In der Liste werden Dateiname und Dateigröße der einzelnen Anlagen angezeigt.

Wenn Sie eine Datei an einen Request anhängen und den Request speichern, werden die Daten der einzelnen Anlagen in der Datenbank gespeichert. Wenn andere Benutzer die Form öffnen, können sie die Datei nutzen, sofern sie über eine geeignete Anwendung verfügen, um die Datei zu öffnen.

Der Administrator legt die Anzahl der Anlagen fest, die in einer Anlagengruppe gespeichert werden können, sowie die maximale Größe der einzelnen Anlagen.


Hinzufügen einer Anlage

Falls der Administrator die dazu notwendigen Berechtigungen eingerichtet hat, gehen Sie folgendermaßen zum Hinzufügen von Anlagen vor.

So fügen Sie eine Anlage zu einer Anlagengruppe in einer Form hinzu:

  1. Klicken Sie in einer Form mit der rechten Maustaste auf eine beliebige Stelle im Feld für die Anlagengruppe.
  2. Wählen Sie aus dem angezeigten Menü die Option Anlage hinzufügen aus. (Der genaue Wortlaut dieser Option ist möglicherweise etwas anders. Dies hängt davon ab, wie die Anlagengruppe und die dazugehörigen Felder konzipiert wurden.)

    3. Das Dialogfeld Anlage hinzufügen wird angezeigt.

  3. Wählen Sie die Datei aus, die Sie anhängen möchten.
  4. Klicken Sie auf Öffnen.

    5. Die Datei wird der Liste der Anlagen hinzugefügt.

    Der Administrator kann eine Beschränkung für Anzahl und Größe der Anlagen im Feld für die Anlagengruppe festlegen. Wenn die Datei zu groß ist oder Sie die maximale Anzahl der Anlagen überschreiten, wird eine Warnung angezeigt.

    Sie können eine Datei auch durch Ziehen und Ablegen dem Anlagenfeld hinzufügen.


Öffnen einer Anlage

Gehen Sie folgendermaßen vor, um die Anlage in einem anderen Fenster zu öffnen.

So öffnen Sie eine Anlage:

  1. Klicken Sie im Feld für die Anlagengruppe mit der rechten Maustaste auf den Namen der Anlage, die Sie öffnen möchten.
  2. Wählen Sie aus dem angezeigten Menü die Option Anlage öffnen aus.

    3. Die Anlage wird in der ihr zugeordneten Anwendung geöffnet.

    Die Datei kann auch durch Doppelklicken geöffnet werden.


Speichern einer Anlage

Sie können eine Kopie einer Anlage in einem beliebigen Verzeichnis speichern.

So speichern Sie eine Anlage:

  1. Klicken Sie mit der rechten Maustaste auf die Datei im Anlagefeld.
  2. Wählen Sie aus dem angezeigten Menü die Option Anlage speichern aus.

    3. Das Dialogfeld Anlage speichern wird angezeigt.

  3. Wählen Sie den Dateinamen und das Verzeichnis aus, in dem die Datei gespeichert werden soll.
  4. Klicken Sie auf Speichern.

    5. Die Datei wird im angegebenen Verzeichnis gespeichert.


Löschen einer Anlage

Gehen Sie folgendermaßen vor, um eine Anlage aus der Anlagengruppe zu entfernen. Das Anlagenfeld bleibt in der Gruppe, damit später eine andere Anlage hinzugefügt werden kann.

So löschen Sie eine Anlage:

  1. Klicken Sie im Feld für die Anlagengruppe mit der rechten Maustaste auf den Namen der Anlage, die Sie löschen möchten.
  2. Wählen Sie aus dem angezeigten Menü die Option Anlage löschen aus.

    3. Die Anlage wird gelöscht, und der Name der Datei wird aus dem Feld mit der Anlagengruppe entfernt.


Auswählen von Anlage-Ansichten

Sie können festlegen, wie die Anlagen in der Anlagengruppe angezeigt werden.

So wählen Sie eine Anlagen-Ansicht aus:

  1. Klicken Sie mit der rechten Maustaste an eine beliebige Stelle im Feld für die Anlagengruppe.
  2. Wählen Sie aus dem angezeigten Menü die Optionen Ansicht > <Ansichtsoption> und dann eine der folgenden Optionen aus:
    • Große Symbole: Zeigt für die Anlagen ein großes Symbol an.
    • Kleine Symbole: Zeigt für die Anlagen ein kleines Symbol an. Dies ist die Voreinstellung.
    • Liste: Zeigt die Anlagen als Liste an.
    • Details: Zeigt die Bezeichnung der Anlage, den Dateinamen und die Größe der Anlagen in KB an.


Arbeiten mit Requests

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Erstellen von Requests
  • Ändern von Requests
  • Kopieren von Daten aus einem vorhandenen Request in einen neuen Request
  • Speichern von Requests
  • Anzeigen des Statusverlaufs für einen Request
  • Senden von Requests an den Desktop
  • Löschen von Requests


Erstellen von Requests

Ein Request ist ein Datensatz, der sich auf eine bestimmte Aufgabe bezieht. Ein Request kann beispielsweise die Beschreibung eines Softwareproblems oder die Bestellung eines Kunden sein.

Wenn Sie einen Request erstellen, geben Sie die einzelnen Informationen zu diesem Request in Felder ein. Beim Speichern wird der Request der Datenbank hinzugefügt.

Falls Sie die entsprechenden Berechtigungen besitzen, können Sie Requests öffnen und ändern. Nur Administratoren und Subadministratoren können Requests löschen.

Sie haben verschiedene Möglichkeiten, um neue Requests zu erstellen:

  • Forms: Öffnen Sie eine Form im Modus Neu, geben Sie die erforderlichen Informationen in die entsprechenden Felder ein und speichern Sie den Request. Weitere Informationen finden Sie unter Forms.
  • Leitfäden: Öffnen Sie einen Leitfaden und befolgen Sie die Anweisungen. Weitere Informationen finden Sie unter Leitfäden.
  • Applikationen: Öffnen Sie eine Applikation und erstellen Sie einen Request auf die gleiche Art und Weise wie in einer Form. Weitere Informationen finden Sie unter Applikationen.

So erstellen Sie einen neuen Request

  1. Öffnen Sie im Modus Neu die Form, in der Sie einen neuen Request erstellen möchten. Weitere Informationen finden Sie unter Öffnen einer Form.

    2. Die Form wird im Detailbereich angezeigt.

  2. Füllen Sie die entsprechenden Felder aus.
  3. Wählen Sie Aktionen > Speichern aus. Weitere Informationen finden Sie unter Speichern von Requests.

Wenn die Option Nach dem Erstellen eines neuen Requests (Dialogfeld Optionen, Registerkarte Bestätigung) aktiviert ist, erhalten Sie eine Meldung mit der Bestätigung der Erstellung eines neuen Requests sowie der ID-Nummer des Requests.

Falls eine Form im Modus Suchen oder Ändern ist, können Sie diesen Modus zu Neu ändern und damit neue Requests erstellen. Diese Option ist für Join-Forms nicht verfügbar.

Löschen aller Feldeinträge

Abhängig von Ihren Optionseinstellungen können die Felder in einer Form beim Öffnen der Form Standardinformationen enthalten, oder sie können nach dem Erstellen eines neuen Requests Informationen beibehalten. Diese Option wird im Dialogfeld Optionen festgelegt (siehe Vorgehensoptionen).

Wenn die Felder Daten enthalten, können Sie diese löschen.

So löschen Sie Daten aus Feldern:

  • Wählen Sie in der Menüleiste Bearbeiten > Alles löschen aus.

    • Hinweis: Dieser Vorgang wirkt sich nicht auf globale Felder aus.

So wechseln Sie in den Form-Modus „Neu“:

  1. Wählen Sie Aktionen > Neu <Request-Name> bzw. <Form-Name> aus.

    2. Falls die Form im Modus Ändern ist und Sie Änderungen an einem vorhandenen Request vorgenommen haben, wird das Dialogfeld Speichern von Request bestätigen angezeigt.

  2. Wählen Sie eine Option.

    3. Wählen Sie Ja bzw. Nein, um die Änderungen zu speichern bzw. zu verwerfen. Anschließend wechselt der Detailbereich in den Modus Neu. Sie können nun neue Requests erstellen, indem Sie die Felder ausfüllen. Wenn Sie Abbrechen wählen, bleibt die Form im Modus Ändern.

  3. Vervollständigen Sie Ihre Änderungen, speichern Sie diese, und wiederholen Sie die vorhergehenden Schritte.

    4. Sie können mit den Symbolen in der Symbolleiste zwischen dem Modus Neu und Suchen wechseln.


Ändern von Requests

Falls Sie die entsprechenden Berechtigungen besitzen, können Sie Requests ändern. Zuvor müssen Sie nach dem betreffenden Request suchen und ihn im Detailbereich anzeigen. Weitere Informationen zum Suchen von Requests finden Sie unter Überblick über Suchvorgänge.

Sie können Änderungen an einzelnen Requests oder an einer Gruppe von Requests vornehmen. Füllen Sie beim gleichzeitigen Ändern mehrerer Requests nur die Felder aus, die Sie für jeden der ausgewählten Requests aktualisieren möchten.

Änderungen am Feld Status werden im Statusverlauf des Requests festgehalten. Sie können eine Liste dieser Änderungen im Statusverlaufsfenster einsehen (wählen Sie dazu Ansicht > Statusverlauf). In diesem Dialogfeld wird der Standardname des Felds angezeigt (Status), der aber vom Administrator geändert werden kann.

So ändern Sie einen einzelnen Request:

  1. Öffnen Sie die Form, die den zu ändernden Request enthält, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie den Request. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. In der Ergebnisliste werden die Requests angezeigt, die mit den Suchkriterien übereinstimmen. Der erste Request wird im Detailbereich angezeigt. Der Detailbereich befindet sich im Modus Ändern

  3. Klicken Sie auf den zu ändernden Request, um ihn im Detailbereich anzuzeigen.
  4. Nehmen Sie die notwendigen Änderungen an den Feldern der Form vor. Weitere Informationen finden Sie unter Felder.
  5. Wählen Sie eine der Speichern-Optionen:
    • Wählen Sie Speichern, um die Änderungen anzuwenden und den Request in der Form zu behalten.
    • Wählen Sie Speichern und weiter, um die Änderungen anzuwenden und den nächsten Request in der Ergebnisliste auszuwählen. Dieser Request wird im Detailbereich angezeigt.

So ändern Sie mehrere Requests gleichzeitig:

  1. Öffnen Sie im Modus Suchen die Form, welche die zu ändernden Requests enthält. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie nach den Requests. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. Die Ergebnisliste wird angezeigt. Darin sind alle Requests aufgelistet, die den Suchkriterien entsprechen.

  3. Markieren Sie die zu ändernden Requests. Weitere Informationen finden Sie unter So wählen Sie mehrere Requests aus:.

    4. Hinweis: Wenn Sie in Remedy User vor dem Durchführen einer Abfrage Aktionen > Alle ändern auswählen, führt Remedy User automatisch eine Suche durch, und alle Suchergebnisse werden ausgewählt. Anschließend wird in den Modus Alle ändern gewechselt.

  4. Wählen Sie in der Menüleiste Aktionen > Alle ändern aus.

    5. Der Detailbereich wechselt in den Modus Alle ändern, und es wird eine leere Form angezeigt. Die Daten, die Sie in die Felder eingeben, werden auf alle ausgewählten Requests angewendet, füllen Sie daher nur die Felder aus, die Sie in allen ausgewählten Requests aktualisieren möchten.

  5. Füllen Sie nun die Felder aus, die für jeden Request aktualisiert werden sollen. Weitere Informationen finden Sie unter Felder.
  6. Wählen Sie Aktionen > Speichern aus. Ein Dialogfeld mit einer Liste der zu ändernden Requests wird angezeigt, und Sie werden aufgefordert, Ihre Änderungen zu bestätigen.

    7. Warnung: Sie können diesen Vorgang nicht rückgängig machen, wenn Sie Ja auswählen

  7. Klicken Sie zur Bestätigung auf Ja.

    8. Während die Requests geändert werden, wird ein Dialogfeld angezeigt. Sie können den Vorgang abbrechen. Einige der Requests werden jedoch bereits geändert worden sein.

    Hinweis: Die Filter werden bei einem Alle ändern-Vorgang ausgeführt, Active Links aber nicht.


Kopieren von Daten aus einem vorhandenen Request in einen neuen Request

Mit der Funktion In neuen Request können Sie Feldinformationen aus einer Form im Modus Suchen in eine Form im Modus Neu kopieren. Dies kann hilfreich sein, wenn Sie eigentlich einen neuen Request ausfüllen wollten, aber stattdessen eine Form zum Suchen ausgefüllt haben. Oder Sie haben versehentlich Änderungen an einem vorhandenen Request vorgenommen, wollten aber tatsächlich einen neuen Request erstellen.

Sie können mit diesem Verfahren auf schnelle Weise einen neuen Request erstellen, der einem bestehenden Request sehr ähnlich ist.

Hinweis: Mit dieser Funktion werden alle Daten außer Anlagen und Journalfelder in den neuen Request übertragen. Anlagen müssen Sie in Dateien speichern und diese an den neuen Request anhängen.

So kopieren Sie Daten aus einem vorhandenen Request in einen neuen Request:

  1. Nehmen Sie die gewünschten Änderungen am vorhandenen Request vor.
  2. Wählen Sie in der Menüleiste Bearbeiten > In neuen Request kopieren aus.

    3. Es wird ein neues Fenster geöffnet, das dieselbe Form im Modus Neu anzeigt. Die Daten aus den Feldern werden in dem neuen Fenster genau wie im ursprünglichen Fenster dargestellt.

    Hinweis: Daten aus Journal-Feldern und Anlagen werden nicht in den neuen Request kopiert.

  3. Geben Sie die restlichen Informationen im neuen Request ein.
  4. Wählen Sie Aktionen > Speichern aus oder klicken Sie auf die Schaltfläche Speichern im Detailbereichs-Banner.

    5. Der neue Request wird gespeichert.

    Hinweis: Wenn Sie die Änderungen am vorhandenen Request nicht speichern möchten, schließen Sie diesen Request, ohne ihn zu speichern.


Speichern von Requests

Wenn Sie einen neuen Request erstellt haben, müssen Sie ihn speichern. Sie können dazu nach einer der folgenden Methoden vorgehen:

So speichern Sie einen neuen Request:

  1. Füllen Sie alle für einen neuen Request notwendigen Felder aus. Weitere Informationen finden Sie unter So erstellen Sie einen neuen Request.
  2. Wählen Sie eine der folgenden Optionen aus, um die von Ihnen im Detailbereich vorgenommenen Änderungen am Request zu speichern:
    • Wählen Sie in der Menüleiste Aktionen > Speichern aus.
    • Klicken Sie auf die Schaltfläche Speichern in der oberen linke Ecke des Detailbereichs.
    • Mit der Option Speichern in der Symbolleiste können Sie den erstellten oder geänderten Request speichern und die Informationen in den Feldern beibehalten. Nach dem Speichern eines Berichts bleibt die Form geöffnet.

      • Wenn Sie mit neuen Requests arbeiten, kann es praktisch sein, den Feldinhalt für den nächsten Request, den Sie eingeben möchten, beizubehalten. Wenn Sie den Feldinhalt behalten möchten, wählen Sie die Option Vorherige Feldwerte behalten auf der Registerkarte Vorgehen des Dialogfelds Optionen (siehe Vorgehensoptionen).

    • Die Option Speichern und weiter ist verfügbar, wenn Sie einen Request ändern. Wenn Sie in der Menüleiste Aktionen > Speichern und weiter wählen oder auf das Symbol in der Symbolleiste klicken, wird der gerade ausgewählte Request gespeichert und der nächste Request in der Liste wird im Detailbereich angezeigt.

    Wenn die Option Nach dem Erstellen eines neuen Requests auf der Registerkarte Bestätigung des Dialogfelds Optionen ausgewählt ist (siehe Bestätigungsoptionen), wird durch eine Meldung bestätigt, dass Sie den Request erstellt haben.

So speichern Sie einen Request und bearbeiten Sie den nächsten Request:

  1. Öffnen Sie die Form, die den zu ändernden Request enthält, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie nach den Requests. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. Alle übereinstimmenden Requests werden im Ergebnisbereich aufgelistet.

    Der erste Request in der Liste wird im Detailbereich angezeigt, der sich im Modus Ändern befindet.

  3. Klicken Sie auf den zu ändernden Request, um ihn im Detailbereich anzuzeigen.
  4. Ändern Sie die Felder nach Bedarf.
  5. Wählen Sie in der Menüleiste Aktionen > Speichern und weiter aus, um die Änderungen einzugeben und den nächsten Request in der Ergebnisliste zu öffnen.

So speichern Sie einen geänderten Request:

  1. Suchen Sie nach einem Request (siehe Überblick über Suchvorgänge).

    2. Der Request wird im Modus Ändern angezeigt.

  2. Nehmen Sie die gewünschten Änderungen an den Feldern vor. Weitere Informationen finden Sie unter So ändern Sie einen einzelnen Request:.
  3. Wählen Sie Aktionen > Speichern aus.


Anzeigen des Statusverlaufs für einen Request

Das Feld Statusverlauf ist über die Menüleiste erreichbar.

So zeigen Sie den Statusverlauf für einen Request an:

  1. Markieren Sie die Requests, für die der Statusverlauf angezeigt werden soll.
  2. Wählen Sie in der Menüleiste Ansicht > Statusverlauf aus.

    3. Das Statusverlaufsfenster wird für den zuerst ausgewählten Request angezeigt. Für jede Änderung des Status ist ein Eintrag vorhanden. Dieses Fenster zeigt nur den Benutzernamen an sowie den Zeitpunkt, an dem das Statusfeld geändert wurde.

  3. Klicken Sie auf einen anderen Request, um dessen Statusverlauf einzusehen.

    4. Wenn Sie mehrere Requests ausgewählt haben, können Sie auch Aktionen > Nächste bzw. Aktionen > Vorherige wählen oder auf die Schaltfläche Nächste bzw. Vorherige im Detailbereichs-Banner klicken, um durch die Requests zu blättern.

    Der Statusverlauf für den aktuell markierten Request wird im Dialogfeld angezeigt.

  4. Klicken Sie auf Schließen, um das Statusverlaufsfenster zu schließen.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Ändern des Form-Modus.


Senden von Requests an den Desktop

So senden Sie Requests an den Desktop:

  1. Suchen Sie nach einem Request und markieren Sie ihn. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.
  2. Wählen Sie in der Menüleiste Datei > Senden > Request > Desktop aus.

    3. Das Dialogfeld Request-Verknüpfung speichern wird angezeigt. Dem Request wird automatisch ein Name und eine Nummer zugewiesen. Standardmäßig ist der Dateityp eine AR System-Task (*.ARTask) und der Name lautet <Form-Name> #<Request-ID>.ARTASK.

  3. Ändern Sie Namen und Speicherort nach Bedarf. Ändern Sie nicht die Dateierweiterung.
  4. Klicken Sie auf Speichern.

    5. Ein Verweis auf den Request wird am angegebenen Speicherort gespeichert.

Durch einen Doppelklick auf diesen Verweis wird Remedy User gestartet (falls es nicht bereits ausgeführt wird) und der Request im Modus Ändern geöffnet.


Löschen von Requests

Requests dürfen Sie nur als AR System-Administrator oder -Subadministrator löschen.

So löschen Sie Requests:

  1. Öffnen Sie die Form, welche die zu löschenden Requests enthält, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie nach den Requests. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. Die Liste mit den Suchergebnissen wird angezeigt.

  3. Markieren Sie die Requests, die Sie löschen möchten.
  4. Wählen Sie in der Menüleiste Aktionen > Löschen aus.

    5. In einem Dialogfeld wird die Anzahl der zu löschenden Objekte angezeigt und Sie werden zur Bestätigung aufgefordert.

    Hinweis: Diesen Vorgang können Sie nicht rückgängig machen.

  5. Klicken Sie auf Ja, um den Löschvorgang zu bestätigen.


Suchen nach Requests

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über Suchvorgänge
  • Ändern des Form-Modus
  • Suchen eines Requests anhand eines Beispiels
  • Verwenden der Leiste für erweiterte Suche
  • Suchen mit Hilfe von Feldern und der Leiste für erweiterte Suche
  • Ausführen definierter, gespeicherter und zuletzt durchgeführter Suchvorgänge
  • Verwalten von Suchvorgängen


Überblick über Suchvorgänge

Wenn eine Form im Modus Suchen angezeigt wird, können Sie mit dieser Form einen oder mehrere beliebige Requests suchen, für den/die Sie die Berechtigung zum Anzeigen oder Ändern haben.

Zum Auffinden bestimmter Requests müssen Sie die Suchkriterien zur Festlegung des Request-Typs, nach dem Sie suchen möchten, eingeben. Zum Beispiel könnten Sie sich alle Requests anzeigen lassen, die innerhalb des letzten Monats für einen bestimmten Ausrüstungsgegenstand erstellt wurden.

Sie haben verschiedene Möglichkeiten, um nach Requests zu suchen:

  • Suche anhand eines Beispiels (Request anhand eines Beispiels): Suchkriterien lassen sich am einfachsten angeben, indem Sie im Detailbereich Form-Felder ausfüllen und aus den gegebenen Wahlmöglichkeiten die Auswahl treffen und die Schaltflächen wählen, die den zu suchenden Requests entsprechen. Sie können in mehr als einem Feld Werte festlegen. Je mehr Felder Sie ausfüllen, desto genauer wird Ihre Suche. Im System wird nach Requests gesucht, die alle Kriterien erfüllen, und diese werden im Ergebnisbereich angezeigt. Weitere Informationen finden Sie unter Suchen eines Requests anhand eines Beispiels.

    • Hinweis: Es hängt von der jeweiligen Datenbank ab, ob Sie bei der Suche die Groß- und Kleinschreibung beachten müssen. Außerdem hängt das Suchverhalten von der Suchmethode für die einzelnen Felder ab. Weitere Informationen finden Sie unter Suchstile in Character-Feldern.

  • Leiste für erweiterte Suche: Die Leiste für erweiterte Suche wird im unteren Bereich des Hauptfensters angezeigt. Mit der Leiste für erweiterte Suche können Sie komplexere Suchkriterien festlegen. Sie können zum Beispiel nach allen Requests mit zwei verschiedenen Werten im gleichen Feld suchen. Weitere Informationen finden Sie unter Verwenden der Leiste für erweiterte Suche.

    • Zum Festlegen von Suchkriterien können Sie die Suchleiste gemeinsam mit Feldern in einer Form verwenden.

  • Definierte Suchen: Sie können Suchen auswählen und ausführen, die für die jeweilige Form vordefiniert wurden. Remedy User kann eine Liste von bis zu 18 definierten Suchen anzeigen. Weitere Informationen finden Sie unter Ausführen definierter, gespeicherter und zuletzt durchgeführter Suchvorgänge.
  • Eigene Suchvorgänge: Sie können Suchen auswählen und ausführen, die Sie selbst zuvor erstellt und gespeichert haben. Es kann eine unbegrenzte Anzahl von Suchvorgängen definiert werden. Weitere Informationen finden Sie unter So führen Sie eine gespeicherte Suche aus:.
  • Zuletzt durchgeführte Suchvorgänge: Remedy User zeichnet kürzlich durchgeführte Suchen auf. Zum Wiederholen einer kürzlich durchgeführten Suche wählen Sie sie aus der Liste der zuletzt durchgeführten Suchvorgänge aus. Remedy User kann bis zu neun kürzlich durchgeführte Suchen auflisten. Weitere Informationen finden Sie unter So führen Sie eine zuletzt durchgeführte Suche aus:.

Wenn Sie einen Request oder eine Gruppe von Requests finden, können Sie damit eine Vielzahl von Vorgängen ausführen. Dazu gehören das Anzeigen, Sortieren, Ändern, Löschen und Erstellen von Berichten oder Statistiken, die auf den Request-Daten basieren.

Weitere Informationen

Weitere Informationen finden Sie unter Verwalten von Suchvorgängen.


Ändern des Form-Modus

Wenn sich die Form, in der Sie gerade arbeiten, im Modus Neu befindet, können Sie einfach in den Modus Suchen wechseln und so vorhandene Requests suchen.

So wechseln Sie in den Form-Modus „Suchen“:

  1. Wählen Sie in der Menüleiste Aktionen > Neue Suche aus.

    2. Wenn Sie den neuen Request nicht gespeichert haben, werden Sie im Dialogfeld Speichern von Request bestätigen aufgefordert, Ihre Änderungen zu speichern.

  2. Wählen Sie eine Option:
    • Wählen Sie Ja bzw. Nein, um die Änderungen zu speichern bzw. zu verwerfen. Anschließend wechselt der Detailbereich in den Modus Suchen. Sie können nun bereits vorhandene Requests suchen.
    • Wählen Sie Abbrechen, um in den Modus Neu der Form zurückzukehren. Vervollständigen Sie Ihre Änderungen, speichern Sie diese und wiederholen Sie Schritt 1 und 2.

So wechseln Sie in den Form-Modus „Neu“:

  1. Wählen Sie Aktionen > Neu <Request-Name> bzw. <Form-Name> aus.

    2. Falls die Form im Modus Ändern ist und Sie Änderungen an einem vorhandenen Request vorgenommen haben, wird das Dialogfeld Speichern von Request bestätigen angezeigt.

  2. Wählen Sie eine Option.

    3. Wählen Sie Ja bzw. Nein, um die Änderungen zu speichern bzw. zu verwerfen. Anschließend wechselt der Detailbereich in den Modus Neu. Sie können nun neue Requests erstellen, indem Sie die Felder ausfüllen. Wenn Sie Abbrechen wählen, bleibt die Form im Modus Ändern.

  3. Vervollständigen Sie Ihre Änderungen, speichern Sie diese, und wiederholen Sie die vorhergehenden Schritte.

    4. Sie können mit den Symbolen in der Symbolleiste zwischen dem Modus Neu und Suchen wechseln.


Suchen eines Requests anhand eines Beispiels

Bei der Suche anhand eines Beispiels können Sie Informationen direkt in die Form eingeben und für die Suche verwenden.

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Geben Sie in den entsprechenden Feldern der Form die Suchkriterien ein, mit denen die Requests übereinstimmen müssen. Für Anlagefelder können keine Suchkriterien festgelegt werden.

    3. Sie können Werte für mehrere Felder eingeben und dadurch ein logisches UND für die Suchkriterien erstellen. Je mehr Felder Sie ausfüllen, desto genauer wird Ihre Suche. In dem obigen Beispiel werden nur die Schulungen der Kategorie Manager Skills in London abgerufen.

    Hinweis: Es hängt von der jeweiligen Datenbank ab, ob Sie bei der Suche die Groß- und Kleinschreibung beachten müssen. Außerdem hängt das Suchverhalten von der Suchmethode für die einzelnen Felder ab. Weitere Informationen finden Sie unter Suchstile in Character-Feldern.

  3. Wählen Sie in der Menüleiste Aktionen > Suchen aus.

    4. Die Ergebnisliste wird im Ergebnisbereich angezeigt und enthält alle Requests, die mit den Suchkriterien übereinstimmen. Der erste Request in der Liste wird automatisch ausgewählt und erscheint im Detailbereich der Form. Der Detailbereich befindet sich nun im Modus.

    Sie können die Requests bearbeiten oder einen Bericht erstellen.

Sie können genauere Suchkriterien definieren oder Änderungen an Suchen vornehmen, indem Sie die Suchkriterien erneut anzeigen und bearbeiten. Weitere Informationen finden Sie unter Ändern oder Verfeinern eines zuletzt durchgeführten Suchvorgangs.

Hinweis: Wenn Sie nach allen in einer Form erstellten Requests suchen möchten, löschen Sie alle Feldinhalte, indem Sie Bearbeiten > Alles löschen auswählen. Wählen Sie anschließend Aktionen > Suchen aus. Dies ist eine unqualifizierte Suche. Wenn diese Form jedoch sehr viele Requests enthält, könnte durch diese Suche Ihr Server überlastet werden. Möglicherweise verfügen Sie nicht über die Berechtigungen, die für das Ausführen von unqualifizierten Suchen nach allen Forms auf einem bestimmten Server erforderlich sind. In diesem Fall teilt Ihnen eine Fehlermeldung mit, dass Sie Suchkriterien festlegen müssen.

Suchstile in Character-Feldern

Jedem Character-Feld in der Form ist ein bestimmter Suchstil zugewiesen, über den festgelegt ist, wie nach passenden Requests gesucht wird. Diese werden von Ihrem Administrator festgelegt. Es gibt drei Suchstile:

  • Gleich: Es wird nach genau der Zeichenfolge gesucht, die Sie eingeben.

    • Geben Sie beispielsweise „Franz Schmidt“ in das Feld Erstellt von ein, werden alle Requests gesucht, die von Franz Schmidt erstellt wurden, jedoch keine Requests von Franz Schmitt.

  • Führend: Es wird gesucht, in welchem Request die von Ihnen eingegebene Zeichenfolge am Anfang eines Felds steht. Die Anzahl der folgenden Zeichen ist unerheblich. Das bedeutet, dass jeder Request zurückgegeben wird, bei dem in diesem Feld die ersten Zeichen exakt Ihrer Eingabe entsprechen, wobei beliebig viele weitere Zeichen folgen können.

    • Geben Sie beispielsweise „Franz“ in das Feld Erstellt von ein, werden alle Requests gesucht, die von Franz Schmidt erstellt wurden, ebenso alle Requests von Franz Schmitt und Franziska Becker. Sie finden jedoch keine von Andrea Franzen erstellten Requests. (Die Zeichenfolge „Franz“ im Namen „Andrea Franzen“ sind keine führenden Zeichen.)

  • Irgendwo: Es wird an einer beliebigen Position innerhalb des Felds nach der Zeichenfolge gesucht, die Sie eingeben.

    • Geben Sie beispielsweise „Franz“ in das Feld Erstellt von ein, werden alle Requests gesucht, die von Franz Schmidt erstellt wurden, ebenso alle Requests von Franz Schmitt, Franziska Becker und Andrea Franzen.

    Suchen des Stils Gleich und Führend sind schneller als Suchen des Stils Irgendwo, denn bei Suchen des Stils Irgendwo werden alle Zeichen im Feld verglichen, bei Suchen des Stils Gleich und Führend ist dies dagegen nicht der Fall.

    Hinweis: Sie können den Standard-Suchstil eines Felds außer Kraft setzen, indem Sie genau eingeben, wonach Sie suchen und dabei relationale Operatoren und Wildcard-Zeichen verwenden. Dabei verlieren Sie allerdings die Geschwindigkeitsvorteile der Suchstile Gleich oder Führend.

Außerkraftsetzen des vordefinierten Suchstils

Wenn Sie den Standard-Suchstil für ein Character-Feld außer Kraft setzen möchten, geben Sie den genauen Suchbegriff in das Feld ein und verwenden einen relationalen Operator oder ein Wildcard-Symbol.

Sie können beispielsweise ein Ist-gleich-Symbol (=) verwenden, um nach einer genauen Entsprechung des Suchbegriffs zu suchen, selbst wenn der Suchstil des Felds Irgendwo ist. Wenn Sie „=Johann Meier“ im Feld Urheber einer Form eingeben, ermittelt die Suche alle Requests, die von Johann Meier erstellt wurden. Bei der Suche werden keine von Johann Meierhöfer erstellten Requests gefunden.

Sie können auch mit Hilfe der Leiste für erweiterte Suche den Suchstil eines Felds außer Kraft setzen. Um zum Beispiel den Suchstil für das Feld Urheber aus dem vorherigen Beispiel auf eine Suche vom Typ Führend einzustellen, müssen Sie in der Leiste für erweiterte Suche die folgenden Kriterien eingeben:

’'Urheber' LIKE "Johann Meier%"

Verwenden von relationalen Operatoren in der Form

Relationale Operatoren sind besonders in Feldern von Nutzen, die keinen Text enthalten (z. B. Datum- und Uhrzeit-Felder), wenn Sie nach einem Wert innerhalb eines numerischen Bereichs suchen möchten. (Weitere Informationen zu Datums- und Uhrzeitformaten finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.)

Die folgenden relationalen Operatoren können Sie als führende Zeichen in den Feldern der Form und auf der Leiste für die erweiterte Suche verwenden. Weitere Informationen finden Sie unter Direktes Eingeben von Datum und Uhrzeit in ein Feld.

Operator
Aktion
<
Sucht Inhalte, die kleiner als der angegebene Wert sind.
>
Sucht Inhalte, die größer als der angegebene Wert sind.
<=
Sucht Inhalte, die kleiner als der oder gleich dem angegebene(n) Wert sind.
>=
Sucht Inhalte, die größer als der oder gleich dem angegebene(n) Wert sind.
=
Sucht Inhalte, die genau gleich dem angegebenen Wert sind.
!=
Sucht Inhalte, die nicht gleich dem angegebenen Wert sind.

Wenn Sie beispielsweise nach allen Requests suchen möchten, die nach einem bestimmten Datum erstellt wurden, verwenden Sie den relationalen Operator „größer als“ (>) und geben ein Format für Datum und Uhrzeit an. Beispielsweise sucht > "6. Juli 2001" im Feld Erstellungsdatum nach allen Requests, die nach dem 6. Juli 2001 erstellt wurden. (Da keine Uhrzeit angegeben wurde, wird automatisch 0:00:00 als Tagesanfang in die Suchkriterien eingegeben.)

Hinweis: Sie können den Suchstil eines Felds durch die Verwendung von relationalen Operatoren außer Kraft setzen. Sie können beispielsweise ein Ist-gleich-Symbol (=) verwenden, um nach einer genauen Entsprechung des Suchbegriffs zu suchen, selbst wenn der Suchstil des Felds Irgendwo ist. Weitere Informationen finden Sie unter Suchstile in Character-Feldern.

Verwenden von Wildcard-Zeichen in einer Form

Wenn Sie Suchkriterien zur Suche nach Requests verwenden, können Sie Wildcard-Symbole an Stelle eines oder mehrerer Zeichen einsetzen. Sie können in einer Form überall die folgenden Wildcard-Symbole verwenden.

Hinweis: Eckige Klammern und die dazugehörigen Symbole können nicht mit Oracle- oder Informix-Datenbanken verwendet werden. Weitere Informationen finden Sie im Handbuch Installing AR System.

Wildcard:
Funktion:
% (Prozent)
Steht für eine Zeichenkette von 0 oder mehr Zeichen.
Beispiel: A%mann entspricht Angermann, Amtmann und Amann.
_ (Unterstrich)
Steht für ein beliebiges einzelnes Zeichen.
Beispiel: Sus_ entspricht Suse, Susa und Susi.
- (Bindestrich)
Steht für einen Bereich. Verwenden Sie dieses Zeichen immer innerhalb von eckigen Klammern ([]).
[ ] (Eckige Klammern)
Steht für ein beliebiges einzelnes Zeichen innerhalb eines festgelegten Bereichs oder Satzes. Beispiel: [a-f] entspricht dem Bereich der Zeichen von a bis f und [abcf] entspricht a, b, c oder f.
[^] (Eckige Klammern mit Zirkumflex)
Steht für ein beliebiges einzelnes Zeichen, das nicht innerhalb eines festgelegten Bereichs oder Satzes vorkommt. Beispiel: [^a-f] entspricht allen Zeichen außer dem Bereich von a bis f und [^abcf] entspricht allen Zeichen außer a, b, c oder f.

Verwenden Sie das Prozentzeichen (%), wenn Sie führende oder nachfolgende Zeichen in die Suche einschließen möchten. Wenn Sie zum Beispiel nach allen Requests suchen möchten, die von Julia Marian, Klaus Mauerhann und Maximilian Schulze eingegeben wurden, geben Sie Ma%an in das Feld Submitter ein, wenn der Suchstil für das Feld Irgendwo ist Die Suche schließt dann automatisch die führenden Zeichen vor „Ma“ und die nachfolgenden Zeichen nach „an“ ein.

In einer Form werden das Prozentzeichen (%), der Unterstrich (_) und eine öffnende eckige Klammer ([) immer als Wildcard-Zeichen interpretiert. Lediglich in den folgenden Situationen werden sie als eigenständige Zeichen interpretiert:

  • Wenn Sie einen relationalen Operator angeben (z. B. > oder =).
  • Wenn der Standard-Suchstil des Felds Gleich ist und Sie kein führendes oder nachfolgendes Prozentzeichen (%) verwenden.

    • Hinweis: Sie können den Suchstil eines Felds durch die Verwendung eines führenden Prozentzeichens außer Kraft setzen. Wenn der Suchstil eines Felds beispielsweise Gleich ist und Sie %Franz in das Feld Submitter eingeben, findet die Suche Franz Schmidt und Andrea Franzen (nicht nur genaue Entsprechungen zu %Franz). Wenn Sie ein führendes Prozentzeichen verwenden, büßen Sie allerdings etwaige Verbesserungen der Suchleistung (schnellere Suche) wieder ein, die sich aus den Suchstilen Gleich oder Führend ergeben würden.

Weitere Informationen zu Suchstilen finden Sie unter Suchstile in Character-Feldern.

Verwenden von Wildcard-Zeichen als eigenständige Zeichen in einer Form

Gelegentlich ist es nötig, nach genau den Zeichen zu suchen, die als Wildcard-Symbole verwendet werden. So müssen Sie möglicherweise nach allen Vorkommen des Prozentzeichens suchen, und dabei soll das Prozentzeichen natürlich nicht als Wildcard verwendet werden. Dazu müssen Sie dafür sorgen, dass das System diese Wildcard-Zeichen als eigenständige Zeichen behandelt.

Wenn Sie nach dem Prozentzeichen (%), dem Unterstrich (_) oder einer öffnenden eckigen Klammer ([) als eigenständiges Zeichen suchen müssen, umschließen Sie das Zeichen mit eckigen Klammern. Sie geben das Prozentzeichen in eckigen Klammern ein ([%]) und das System sucht nach Vorkommen des Prozentzeichens, anstatt es als Wildcard-Zeichen zu verwenden.

Die schließende eckige Klammer (]) wird nur als Wildcard-Zeichen interpretiert, wenn es eine dazugehörige öffnende eckige Klammer (]) gibt. Der Bindestrich (-) wird nur als Wildcard-Zeichen interpretiert, wenn davor eine öffnende eckige Klammer, ([) oder ([^), steht.


Verwenden der Leiste für erweiterte Suche

Sie können die Leiste für erweiterte Suche ein- oder ausblenden, indem Sie auf die Schaltfläche Erweitert in einem Suchfenster klicken. Wenn die Leiste eingeblendet ist, wird sie am unteren Rand des Detailbereichs angezeigt.

Damit die Leiste für erweiterte Suche immer angezeigt wird, wenn Sie Remedy User öffnen, aktivieren Sie die entsprechende Option auf der Registerkarte Allgemein des Dialogfelds Optionen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.

Mit der Leiste für erweiterte Suche können Sie komplexere Kriterien festlegen als nur mit den Feldern einer Form. Sie können zum Beispiel nach allen Requests mit zwei verschiedenen Werten im gleichen Feld suchen. So können Sie nach allen Requests suchen mit dem Status Behoben oder Abgeschlossen.

Sie können auch einen Eintrag aus dem Feld Statusverlauf auf der Leiste für erweiterte Suche verwenden. In der Form ist das nicht möglich. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.

Wenn Sie Suchkriterien auf der Leiste für erweiterte Suche festlegen, können Sie die gleichen Operatoren wie in der Form verwenden. Sie können aber auch eine Reihe weiterer Operatoren verwenden. Weitere Informationen finden Sie unter Verwenden von relationalen Operatoren in der Leiste für erweiterte Suche.

Wenn Sie mehrere Operatoren zum Erstellen einer Suche verwenden, werden diese in einer bestimmten Reihenfolge verarbeitet. Weitere Informationen finden Sie unter Priorität von Operatoren.

Sie können in der Leiste für erweiterte Suche dieselben Wildcard-Symbole wie in der Form verwenden (siehe Verwenden von Wildcard-Zeichen in einer Form).

Beispiele für Suchanweisungen in der Leiste für erweiterte Suche finden Sie unter Beispiele für Suchanweisungen in der Leiste für erweiterte Suche.

Hinweis: Wenn Sie Suchkriterien auf der Leiste für erweiterte Suche eingeben und die Leiste danach ausblenden, werden die Kriterien weiterhin für die Suche verwendet. Wenn Sie in der Leiste für erweiterte Suche Kriterien eingegeben haben und die Leiste dann nicht weiter verwenden, vergessen Sie auf keinen Fall, die Daten aus der Leiste zu löschen, bevor Sie sie ausblenden.

So erstellen Sie eine erweiterte Suche:

  1. Klicken Sie in einem Suchfenster auf die Schaltfläche Erweitert.
  2. Definieren Sie in der Leiste für erweiterte Suche eine Suchanweisung.

    3. Sie können relationale Operatoren und Wildcard-Symbole zum Definieren der Suchkriterien verwenden. Achten Sie beim Erstellen einer Suchbedingung auf die Priorität der verwendeten Operatoren.

  3. Wenn Sie die Suchkriterien definiert haben, wählen Sie Aktionen > Suchen.

    4. Requests, welche die Suchkriterien erfüllen, werden im Ergebnisbereich angezeigt.

    Weitere Informationen finden Sie unter:

    • Verwenden von Wildcard-Zeichen in einer Form
    • Verwenden von Wildcard-Zeichen in einer Form
    • Verwenden von relationalen Operatoren in der Leiste für erweiterte Suche
    • Verwenden von Wildcard-Symbolen in der Leiste für erweiterte Suche
    • Priorität von Operatoren
    • Beispiele für Suchanweisungen in der Leiste für erweiterte Suche

Konventionen für die Leiste für erweiterte Suche

Der einfachste Weg, in der Leiste für erweiterte Suche eine Suche zusammenzustellen, ist, die Felder, Statusverlauffelder, Schlüsselwörter, Werte, Währungscodes, Teilwerte von Währungsfeldern und Werte von Auswahlfeldern direkt aus dem Menü Felder rechts neben der Leiste auszuwählen. Wenn Sie direkt aus diesem Menü Elemente auswählen, wird automatisch die korrekte Syntax verwendet.

Sie können aber auch direkt in die Leiste für erweiterte Suche Daten eingeben. Wenn Sie sich für diese Option entscheiden, beachten Sie die folgenden Konventionen:

Felder

Schließen Sie die Feldbezeichnungen in einfache Anführungszeichen ein. Beispiel:

'Kurzbeschreibung'

Falls ein Feldname ein einfaches Anführungszeichen (Apostroph) enthält, geben Sie daneben ein weiteres einfaches Anführungszeichen ein. Lautet der Feldname beispielsweise c't-Abonnent, geben Sie 'c''t-Abonnent' ein.

Wenn Sie in einem Feld suchen müssen, das keine Bezeichnung hat, erkundigen Sie sich bei Ihrem Administrator nach der Feld-ID. Verwenden Sie diese ID anstelle des in einfache Anführungszeichen eingeschlossenen Namens.

Hinweis: Anstatt die Bezeichnung des Felds und die einfachen Anführungszeichen in die Leiste für erweiterte Suche einzugeben, klicken Sie auf die Bezeichnung des Felds in der Form oder wählen Sie das Feld aus dem Dialogfeld Feldliste. Der Feldname wird dann automatisch unter Verwendung der korrekten Syntax dem Suchbegriff hinzugefügt.

Statusverlaufsfelder

Statusverlaufsfelder müssen alle folgenden Informationen, eingeschlossen in einfache Anführungszeichen, enthalten:

  • Name oder ID des Statusverlaufsfelds, das Sie suchen (gefolgt von einem Punkt).
  • Name oder Index des Statuswerts, den Sie suchen (gefolgt von einem Punkt).
  • Das Schlüsselwort USER (für den Benutzer, der den Request in den aktuellen Status versetzt hat) oder TIME (für die Uhrzeit der letzten Statusänderung).

Das folgende Beispiel verwendet Namen:

'Statusverlauf.Behoben.TIME' < "01.07.99"

Weitere Informationen zu Datums- und Uhrzeitformaten finden Sie unter Direktes Eingeben von Datum und Uhrzeit in ein Feld.

Währungsfelder

Währungsfelder müssen eine der folgenden Informationen, eingeschlossen in einfache Anführungszeichen, enthalten:

  • Name oder ID des Währungsfelds.

    • Beispiel: 'Währungsfeld' = $NULL$

  • Der Name des Währungsfeldes, gefolgt von einem Punkt und dahinter ein bestimmter Bestandteil des Währungsfeldwertes, wie z. B. das Datum oder ein funktionaler Währungswert.

    • Beispiel: 'Währungsfeld.VALUE' < 5000

Schlüsselwörter

Sie können Schlüsselwörter überall dort verwenden, wo Sie auch Zeichenwerte eingeben können. Informationen über Schlüsselwörter finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.

Sie können das Schlüsselwort $NULL$ verwenden, um nach Requests zu suchen, die in einem Feld keinen Wert enthalten. Um beispielsweise nach Requests zu suchen, die niemandem zugewiesen wurden (d. h. das Feld Zugewiesen an enthält keinen Wert), geben Sie Folgendes ein:
'Zugewiesen an' = $NULL$.

Werte

Schließen Sie nicht numerische Werte (einschließlich Werte für Uhrzeit, Auswahl und Währung) in doppelte Anführungszeichen ein (Beispiel: "01.07.01" für den 1. Juli 2001).

Auswahlfeldwerte

Werte für Auswahlfelder können als Textwerte in Anführungszeichen oder als numerische Werte oder Indizes, nicht in Anführungszeichen, angegeben werden. Beispiel: Sie haben das Feld Status mit Optionsfeldern namens Offen, Behoben und Bestätigt. Sie können entweder „Offen“ oder 0 eingeben, um den Wert von Offen anzugeben, weil Offen der erste Auswahlwert im Auswahlfeld ist.

Währungsfeldwerte

Bei Währungsfeldern können Sie im Untermenü Währungscodes einen verfügbaren Währungscode auswählen. Wenn Sie einen Währungscode eingeben, werden die doppelten Anführungszeichen automatisch eingegeben (z. B. "USD"). Fügen Sie den Währungswert innerhalb der doppelten Anführungszeichen hinzu (z. B. "100 USD").

Wenn Sie keinen Währungscode angeben, wird der erste zulässige Währungstyp verwendet.

Weitere Informationen zu Währungsfeldern finden Sie unter Währungsfelder.

Verwenden von relationalen Operatoren in der Leiste für erweiterte Suche

Relationale Operatoren sind besonders in Feldern von Nutzen, die keinen Text enthalten (z. B. Datum- und Uhrzeit-Felder), wenn Sie nach einem Wert innerhalb eines numerischen Bereichs suchen möchten.

Sie können die folgenden relationalen Operatoren nur in der Leiste für erweiterte Suche verwenden. Sie können sie nicht in einer Form verwenden. Weitere Informationen zum Verwenden dieser Operatoren in einer Form finden Sie unter Verwenden von relationalen Operatoren in der Form.

Operator
Aktion
( )
Mit Klammern steuern Sie die Reihenfolge, in welcher der Ausdruck ausgeführt wird. Vorgänge innerhalb von Klammern werden zusammen als eine Einheit ausgeführt.
So werden z. B. im Ausdruck 'Bruttogehalt' – ('Arbeitslosenversicherung' + 'Altersversorgung' + 'Einkommensteuer') die Elemente in Klammern addiert, bevor sie vom Bruttogehalt abgezogen werden.
AND &&
Logisches UND des Ergebnisses aus zwei Bedingungen. Das Ergebnis ist nur wahr, wenn beide Bedingungen erfüllt sind. Beispielsweise sucht 'Status'="Neu" AND 'Zugewiesen an'="Fischer" nach allen neuen Requests, die Herrn oder Frau Fischer zugewiesen sind.
Sie können auch zwei Und-Zeichen (&&) verwenden anstelle des Wortes AND.
OR ||
Logisches ODER des Ergebnisses aus zwei Bedingungen. Das Ergebnis ist nur wahr, wenn eine der beiden Bedingungen erfüllt wird. Beispielsweise sucht 'Status'="Neu" OR 'Zugewiesen an'="Fischer" alle neuen Requests (egal, wem sie zugewiesen sind) und alle Requests, die Herrn oder Frau Fischer zugewiesen sind (egal in welchem Status).
Sie können zwei senkrechte Striche (||) verwenden anstelle des Wortes OR.
NOT !
Hierdurch wird die nachfolgende Bedingung negiert. Wenn die Bedingung falsch ist, ist das Ergebnis wahr. Beispielsweise sucht NOT 'Status'="Neu" alle Requests, die nicht neu sind.
Sie können ein Ausrufezeichen (!) verwenden anstelle des Wortes NOT.
LIKE
Hierdurch wird eine Mustersuche durchgeführt. Beispielsweise sucht 'Submitter' LIKE "Franz%mann" alle Requests, die von einer Person eingegeben wurden, deren Name mit "Franz" beginnt und mit "mann" endet, beispielsweise Franz Lehmann oder Franziska Angermann. Der Operator LIKE ist nur in Character- und Journal-Feldern von Nutzen.
Verwenden Sie eckige Klammern und den Operator LIKE für Flatfile- und Sybase-Datenbanken. Eckige Klammern und der Operator LIKE können nicht mit Oracle- oder Informix-Datenbanken verwendet werden. Weitere Informationen finden Sie im Handbuch Installing AR System.
+
  • Addieren zweier numerischer Werte (ganze Zahlen, reelle Werte, Dezimalzahlen).
  • Addieren eines ganzzahligen Intervalls zu einem Datum/Uhrzeit-Wert.
  • Verketten zweier Zeichenfolgen.
Beispielsweise sucht 'Erstellungsdatum' > $DATE$ + (8*60*60) alle Requests, die am heutigen Datum nach 08.00 Uhr erstellt wurden. (8*60*60 ist die Anzahl der Sekunden in 8 Stunden.)
-
  • Subtrahieren zweier numerischer Werte (ganze Zahlen, reelle Werte, Dezimalzahlen).
  • Subtrahieren zweier Datum/Uhrzeit-Werte (mit einer ganzen Zahl als Ergebnis). Subtrahieren eines ganzzahligen Intervalls von einem Datum/Uhrzeit-Wert.
Beispielsweise sucht 'Erstellungsdatum' > $TIMESTAMP$ - (7*24*60*60) alle Requests, die in der letzten Woche erstellt wurden. (7*24*60*60 ist die Anzahl der Sekunden in einer Woche.) Dies lässt sich in einen benutzerdefinierten Bericht mit allen in der letzten Woche erstellten Requests einfügen.
*
Hiermit werden zwei numerische Werte multipliziert. Beispielsweise sucht 'Menge' * 'Preis' > 50 alle Requests, bei der das Ergebnis einer Multiplikation des Felds Menge mit dem Feld Preis über 50 liegt.
/
Hiermit werden zwei numerische Werte dividiert. Beispielsweise sucht 'Gesamtausgaben' / 'Gesamteinnahmen' = 2 alle Requests, bei denen die Gesamtausgaben doppelt so hoch sind wie die Gesamteinnahmen.
%
Modulo von zwei ganzzahligen Werten (der Rest einer Division der Werte). Da ein Prozentzeichen auch ein gültiges Wildcard-Zeichen ist, bestimmt der Kontext, wie es interpretiert wird. Wenn es als Teil des Suchausdrucks verwendet wird, wird es als Wildcard interpretiert. Wenn es in einem Ausdruck an einer Position verwendet wird, wo ein Operator erwartet wird, wird es als Modulo interpretiert.
<
Sucht Inhalte, die kleiner als der angegebene Wert sind. Beispielsweise sucht 'Erstellungsdatum' < ($TIMESTAMP$ - 24*60*60) alle Requests, die vor mehr als 24 Stunden erstellt wurden. ([24*60*60] oder 86400 ist die Anzahl der Sekunden in 24 Stunden.)
>
Sucht Inhalte, die größer als der angegebene Wert sind. Beispielsweise sucht 'Erstellungsdatum' > "24.09.01 00:00:00" alle Requests mit Erstellungsdaten ab 24. September 2001, 0:00 Uhr.
!=
Sucht Inhalte, die nicht gleich dem angegebenen Wert sind. Beispielsweise sucht 'Status' != "Abgeschlossen" alle Requests, die nicht abgeschlossen sind.
<=
Sucht Inhalte, die kleiner als der oder gleich dem angegebene(n) Wert sind. Beispielsweise sucht 'Gehalt' <= 30000 alle Requests, bei denen der Inhalt des Felds Gehalt kleiner oder gleich 30000 sind.
>=
Sucht Inhalte, die größer als der oder gleich dem angegebene(n) Wert sind. Beispielsweise sucht 'Erstellungsdatum' > "30.09.01" alle Requests, deren Erstellungsdaten gleich dem oder höher als der 30. September 2001 sind.
=
Sucht Inhalte, die genau gleich dem angegebenen Wert sind. Beispielsweise sucht 'Status' = 0 alle Requests, deren Statuswert gleich dem ersten ausgewählten Wert ist.

Priorität von Operatoren

Wenn Sie mehrere Operatoren zum Erstellen von Qualifizierungskriterien verwenden, werden diese in der folgenden Prioritätsreihenfolge ausgeführt: ( ) !, NOT, _ (unäres Minus) *, /, % +, - < <=, >, >+, =, != &amp;&amp; (AND) || (OR)

Wenn die Qualifizierung mehrere Operatoren derselben Priorität enthält, werden diese ihrer Reihenfolge nach (von links nach rechts) ausgeführt. So wird z.B. im Ausdruck A * (B+C) die Addition zuerst ausgeführt, da diese in Klammern gesetzt ist, welche eine höhere Priorität haben als eine Multiplikation.

Verwenden von Wildcard-Symbolen in der Leiste für erweiterte Suche

Wenn Sie Suchkriterien zur Suche nach Requests verwenden, können Sie die in der folgenden Tabelle aufgeführten Wildcard-Symbole an Stelle eines oder mehrerer Zeichen einsetzen.

Wildcard:
Funktion:
% (Prozent)
Steht für eine Zeichenkette von 0 oder mehr Zeichen.
Beispiel: A%mann entspricht Angermann, Amtmann und Amann.
_ (Unterstrich)
Steht für ein beliebiges einzelnes Zeichen.
Beispiel: Sus_ entspricht Suse, Susa und Susi.
- (Bindestrich)
Steht für einen Bereich. Verwenden Sie dieses Zeichen immer innerhalb von eckigen Klammern ([]).
[ ] (Eckige Klammern)
Steht für ein beliebiges einzelnes Zeichen innerhalb eines festgelegten Bereichs oder Satzes. Beispiel: [a-f] entspricht dem Bereich der Zeichen von a bis f und [abcf] entspricht a, b, c oder f.
[^] (Eckige Klammern mit Zirkumflex)
Steht für ein beliebiges einzelnes Zeichen, das nicht innerhalb eines festgelegten Bereichs oder Satzes vorkommt. Beispiel: [^a-f] entspricht allen Zeichen außer dem Bereich von a bis f und [^abcf] entspricht allen Zeichen außer a, b, c oder f.

In der Leiste für erweiterte Suche werden Wildcard-Zeichen nur als Wildcard-Zeichen interpretiert, wenn sie mit dem Operator LIKE verwendet werden. Anderenfalls werden sie als eigenständige Zeichen behandelt. Sie müssen das Prozentzeichen (%) verwenden, wenn Sie führende oder nachfolgende Zeichen in die Suche einschließen möchten. Wenn Sie zum Beispiel nach allen Requests suchen möchten, die von Julia Marian, Klaus Mauerhann und Maximilian Schulze eingegeben wurden, geben Sie Folgendes in die Leiste für erweiterte Suche ein:

'Submitter' LIKE "%Ma%an%"

Hinweis: Eckige Klammern und die dazugehörigen Symbole können nicht mit Oracle- oder Informix-Datenbanken verwendet werden. Weitere Informationen finden Sie im Handbuch Installing AR System.

Beispiele für Suchanweisungen in der Leiste für erweiterte Suche

Die folgenden Beispiele zeigen, wie Sie mit der Leiste für erweiterte Suche komplexe Suchen erstellen können.

So suchen Sie alle von einem anderen als dem derzeitigen Benutzer erstellten Requests:

  • Geben Sie Folgendes ein:

    • 'Submitter' != $USER$

    Dieses Beispiel verwendet den Operator ungleich (!=), um Requests zu finden, bei denen der Wert im Feld Submitter ungleich dem aktuell angemeldeten Benutzer ist. Außerdem wird das Schlüsselwort $USER$ verwendet.

So suchen Sie alle Requests, die am aktuellen Tag nach 10:00 Uhr erstellt wurden:

  • Geben Sie Folgendes ein:

    • 'Erstellungsdatum' > "10:00:00"

    Dieses Beispiel verwendet den Operator größer als (>), um Requests zu suchen, bei denen der Wert im Feld Erstellungsdatum größer als das aktuelle Datum, 10:00 Uhr, ist.

So suchen Sie alle Requests, die aufgrund eines Problems beim Drucken erstellt wurden:

  • Geben Sie Folgendes ein:

    • 'Art des eingegebenen Problems' LIKE "%drucken%"

    Dieses Beispiel verwendet den Operator LIKE, um eine Mustersuche nach Requests durchzuführen, die das Wort „drucken“ im Feld Art des eingegebenen Problems enthalten.

So suchen Sie alle Requests mit dem Status „Vergeben“:

  • Geben Sie Folgendes ein:

    • 'Status ' = "Vergeben"

    Beachten Sie das Leerzeichen nach dem Wort Status in der Feldangabe. In diesem Fall sind die Leerzeichen in der Feldbezeichnung vorhanden, die für die verwendete Form festgelegt wurde. Da von Remedy User vorhandene Leerzeichen berücksichtigt werden, müssen die Leerzeichen auch in jeder Qualifizierungs-Bedingung für dieses Feld enthalten sein. Wenn Sie im Dialogfeld Feldliste arbeiten, das Sie über die Schaltfläche Felder auf der Leiste für erweiterte Suche aufrufen, werden die Leerzeichen und die einfachen Anführungszeichen automatisch hinzugefügt.

    Hinweis: Es kann vorkommen, dass eine Suche, die den Operator ungleich (!=) enthält, zu unerwarteten Ergebnissen führt. Das liegt daran, dass die Leiste für erweiterte Suche den Standards von ANSI SQL entspricht. Einer dieser Standards unterscheidet zwischen Feldern, in denen sich Daten befinden, und solchen, in denen nie Daten vorhanden waren.

    Beispielsweise liefert die Suchbedingung

    'CharacterFeld' != "eins"

    keine Requests, bei denen CharacterFeld leer ist. Damit auch Requests zurückgegeben werden, bei denen CharacterFeld leer ist, verwenden Sie folgende Suchanweisung:

    'CharacterFeld' != "eins" OR 'CharacterFeld' = $NULL$


Suchen mit Hilfe von Feldern und der Leiste für erweiterte Suche

Sie können sowohl Felder in einer Form als auch die Leiste für erweiterte Suche verwenden, um Suchkriterien festzulegen. Die an beiden Orten angegebenen Kriterien werden logisch verknüpft mit UND. Somit werden Kriterien, die Sie in der Leiste für erweiterte Suche eingegeben haben, zusätzlich zu den Kriterien verwendet, die Sie in der Form definiert haben.


Ausführen definierter, gespeicherter und zuletzt durchgeführter Suchvorgänge

Sie können Suchvorgänge ausführen, die Sie zuvor gespeichert oder zuletzt durchgeführt haben. Unter Umständen wurden auch von Ihrem Administrator einige Suchen vordefiniert, auf die Sie durch Auswählen von Aktionen > Definierte Suchvorgänge im Menü zugreifen können.

So führen Sie eine vordefinierte Suche aus:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Wählen Sie in der Menüleiste Aktionen > Definierte Suchvorgänge, und wählen Sie eine Suche aus der Liste aus. Es können bis zu 18 vordefinierte Suchvorgänge angezeigt werden.

    3. Die Requests, welche die Suchkriterien erfüllen, werden im Ergebnisbereich angezeigt. Der erste Request in der Liste ist automatisch markiert. Er wird im Detailbereich angezeigt, der sich jetzt im Modus Ändern befindet.

    Sie können den Request bearbeiten oder einen Bericht erstellen.

So führen Sie eine gespeicherte Suche aus:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Wählen Sie in der Menüleiste Aktionen > Eigene Suchvorgänge, und wählen Sie eine Suche aus der Liste aus.

    3. Im Ergebnisbereich werden alle übereinstimmenden Requests angezeigt.

    Falls nur ein Request vorhanden ist, wird dieser automatisch im Detailbereich im Modus Ändern angezeigt. Falls mehrere Requests vorhanden sind, wird der erste Request automatisch im Detailbereich im Modus Ändern angezeigt.

    Sie können die Requests bearbeiten oder einen Bericht erstellen.

So führen Sie eine zuletzt durchgeführte Suche aus:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Wählen Sie in der Menüleiste Aktionen > Zuletzt durchgeführte Suchvorgänge, und wählen Sie eine Suche aus der Liste aus.

    3. Die Requests, welche die Suchkriterien erfüllen, werden im Ergebnisbereich angezeigt. Es werden bis zu neun zuletzt durchgeführte Suchvorgänge aufgelistet. Der erste Request in der Liste ist automatisch markiert. Er wird im Detailbereich angezeigt, der sich jetzt im Modus Ändern befindet.

    Sie können die Requests bearbeiten oder einen Bericht erstellen.


Verwalten von Suchvorgängen

Speichern eines Suchvorgangs

Wenn Sie eine Suche erstellen, die Sie häufig verwenden möchten, können Sie die Suchkriterien speichern und wieder verwenden.

So speichern Sie eine Suchabfrage:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Geben Sie die Suchkriterien in die entsprechenden Felder ein.

    3. Sie können Suchkriterien auch unter Verwendung der Leiste für erweiterte Suche festlegen. Weitere Informationen finden Sie unter Verwenden der Leiste für erweiterte Suche.

  3. Wählen Sie Aktionen > Suche speichern aus.

    4. Das Dialogfeld Suche speichern wird angezeigt.

  4. Geben Sie im Feld Name der Suche einen Namen für die Suche ein.
  5. Klicken Sie auf OK.

    6. Die Suche wird in einer Datei in Ihrem Ausgangsordner gespeichert. Der Dateiname beginnt mit Ihrem Benutzernamen und hat .srh als Dateinamenerweiterung. Sie können maximal 18 Suchen speichern. Sie können diese gespeicherten Suchen ausführen, indem Sie sie aus der Liste Eigene Suchvorgänge auswählen. Weitere Informationen finden Sie unter So führen Sie eine gespeicherte Suche aus:.

    Hinweis: Sie können auch eine Suche ausführen und dann Aktionen > Suche speichern auswählen. Das Dialogfeld Suche speichern wird angezeigt. Führen Sie zum Speichern der Suche die Schritte 4 und 5 aus.

Anzeigen und Ändern eines vorhandenen Suchvorgangs

Sie können vorhandene Suchen anzeigen und Suchkriterien ändern bzw. weitere hinzufügen, bevor Sie die Suche ausführen.

So zeigen Sie einen vorhandenen Suchvorgang an oder ändern einen vorhandenen Suchvorgang:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Wählen Sie einen der folgenden Menüeinträge:
    • Aktionen > Definierte Suchvorgänge: Listet die Suchvorgänge auf, die für diese Form vordefiniert wurden.
    • Aktionen > Eigene Suchvorgänge: Listet die Suchvorgänge auf, die Sie für die Form definiert und gespeichert haben.
    • Aktionen > Zuletzt durchgeführte Suchvorgänge: Listet die Suchvorgänge auf, die Sie zuletzt für diese Form durchgeführt haben.

      • Die Suchkriterien für den ausgewählten Suchvorgang werden in der Form angezeigt.

  3. Ändern Sie die Kriterien wie gewünscht.
  4. Wählen Sie Aktionen > Suchen aus.

    5. Das System führt die Suche durch und listet die gefundenen Requests im Ergebnisbereich auf.

Ändern oder Verfeinern eines zuletzt durchgeführten Suchvorgangs

Wenn die Ergebnisse einer Suche nicht das gewünschte Ergebnis enthalten, wenn das System beispielsweise keine Requests oder zu viele Requests zurückgibt, können Sie dieselbe Suche neu definieren, ohne noch einmal ganz von vorne beginnen zu müssen.

So verfeinern Sie einen Suchvorgang:

  1. Wählen Sie Aktionen > Zuletzt durchgeführte Suchvorgänge anzeigen und wählen Sie die Suche aus der Liste aus.

    2. Der Detailbereich wird wieder in den Modus Suchen geschaltet. Die Form zeigt die von Ihnen für die betreffende Suche eingegebenen Suchkriterien.

  2. Nehmen Sie die gewünschten Änderungen an den Suchkriterien vor.
  3. Wählen Sie Aktionen > Suchen aus.

    4. Das System führt die geänderte Suche durch und listet die gefundenen Requests im Ergebnisbereich auf.

Abbrechen eines Suchvorgangs

Während eine Suche durchgeführt wird, wird ein Dialogfeld angezeigt, in dem Sie die Suche abbrechen können.

So brechen Sie einen Suchvorgang ab:

  • Klicken Sie auf Suche beenden.

Löschen einer gespeicherten Suche

Sie können Suchen, die Sie zuvor gespeichert haben, löschen.

So löschen Sie eine gespeicherte Suche:

  1. Wählen Sie in der Menüleiste Extras > Eigene Suchvorgänge verwalten aus.
  2. Markieren Sie die zu löschende Suche.
  3. Klicken Sie auf Löschen.
  4. Klicken Sie auf Ja, wenn Sie zu einer Bestätigung aufgefordert werden.
  5. Klicken Sie auf Schließen, um das Dialogfeld Eigene Suchvorgänge verwalten zu schließen.

Senden von Suchabfragen an den Desktop

Beim Senden einer Suchabfrage an den Desktop wird an einer festgelegten Position ein Verweis auf die Suchabfrage gespeichert. Durch einen Doppelklick auf diesen Verweis wird Remedy User gestartet (falls es nicht bereits ausgeführt wird) und die Suchergebnisse werden angezeigt.

So senden Sie eine gespeicherte Suche an den Desktop:

  1. Öffnen Sie eine Form im Modus Suchen. Weitere Informationen finden Sie unter Verwenden von Wildcard-Zeichen in einer Form.
  2. Führen Sie eine Suche durch. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.
  3. Wählen Sie in der Menüleiste Datei > Senden > Suchabfrage > Desktop aus.

    4. Das Dialogfeld Such-Verknüpfung speichern wird angezeigt.

    Dem Request wird automatisch ein Name und eine Nummer zugewiesen. Standardmäßig ist der Dateityp eine AR System-Task (*.ARTask) und der Dateiname lautet Search <Form-Name>.ARTASK.

  4. Ändern Sie Namen und Speicherort nach Bedarf. Ändern Sie nicht die Dateierweiterung.
  5. Klicken Sie auf Speichern.

    6. Auf dem Desktop wird eine Verknüpfung gespeichert.


Anzeigen und Sortieren von Suchergebnissen

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Anzeigen von Suchergebnissen
  • Sortieroptionen


Anzeigen von Suchergebnissen

Der Ergebnisbereich wird beim Ausführen einer Suche automatisch angezeigt und zeigt die übereinstimmenden Requests in der Ergebnisliste an. Jede Zeile in der Liste stellt einen Request dar. Jede Spalte stellt ein Feld in dem Request dar.

Falls keine Requests gefunden wurden, die den Suchkriterien entsprechen, wird die Meldung „Für diese Ansicht sind keine Requests anzuzeigen“ angezeigt.

Festlegen der maximalen Anzahl zurückgegebener Requests

Der Administrator kann eine Obergrenze für die Anzahl der Ergebnisse einstellen oder das Ausführen unqualifizierter Suchen auf einigen Servern nicht zulassen. Diese Einstellungen können Sie nicht überschreiben. Als Grenzwert, wie viele Ergebnisse zurückgegeben werden, gilt der kleinere Wert: entweder der von Ihnen festgelegte oder der vom Administrator festgelegte Grenzwert. Wenn eine unqualifizierte Suche durchgeführt wird und der Administrator dies nicht zugelassen hat, werden keine Ergebnisse angezeigt.

So legen Sie die maximale Anzahl zurückgegebener Requests fest:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Vorgehen.
  3. Legen Sie die maximale Anzahl von Requests fest, die bei einer Suche zurückgegeben werden können:
    • Wenn Sie einen Grenzwert festlegen möchten, aktivieren Sie das Kontrollkästchen Zahl der Suchergebnisse begrenzen. Geben Sie die maximale Anzahl an Rückgaben im nebenstehenden Feld ein. Sie können maximal 9999 als Anzahl eingeben. Wenn Sie 0 eingeben, wird kein Grenzwert für die Ergebnisse gesetzt.
    • Wenn Sie keinen Grenzwert festlegen möchten, deaktivieren Sie das Kontrollkästchen Zahl der Suchergebnisse begrenzen.
  4. Klicken Sie auf OK.

Weitere Informationen zum Dialogfeld Optionen finden Sie unter Festlegen der Einstellungen in Remedy User.

Anzeigen einer Ergebnisliste in Gruppen

Möglicherweise hat der Administrator für einige Forms definiert, dass die Ergebnisse in Gruppen angezeigt werden, falls sehr viele Requests gefunden werden. So kann eine Ergebnisliste möglicherweise nur jeweils 10 Datenzeilen anzeigen und über Schaltflächen können Sie zu den vorhergehenden und folgenden Gruppen von Datenzeilen gelangen.

So zeigen Sie Gruppen von Daten in einer Ergebnisliste an:

  1. Führen Sie eine Suche durch.

    2. Wenn die Form so ausgelegt ist, dass die Suchergebnisse in Gruppen angezeigt werden, werden im Banner-Bereich Schaltflächen angezeigt.

  2. Klicken Sie im Banner-Bereich auf Vorherige Gruppe oder Nächste Gruppe oder wählen Sie Aktionen > Vorherige Gruppe oder Aktionen > Nächste Gruppe. Sie können auch mit der rechten Maustaste auf die Tabelle klicken und Vorherige Gruppe oder Nächste Gruppe auswählen.

    3. Hinweis: Wenn es sich bei der aktuellen Gruppe um die letzte Gruppe handelt, wird die Option Nächste Gruppe nicht angezeigt. Wenn es sich bei der aktuellen Gruppe um die erste Gruppe handelt, wird die Option Vorherige Gruppe nicht angezeigt.

Wenn Sie die einzelnen Datengruppen in der Ergebnisliste anzeigen, werden in der Statusleiste die laufende Nummer der Gruppe und die Anzahl der Einträge in der Liste angezeigt, wie z. B. „1-10 von 40 wird gezeigt“.

Hinweis: Wenn bei der Verwendung von Gruppen eine Sortierung durchgeführt wird, werden alle Einträge in der Ergebnisliste aktualisiert und die erste Gruppe neu angezeigt. Die Gruppe enthält jedoch andere Datensätze, weil die Sortierreihenfolge geändert wurde.

Anzeigen des nächsten oder vorherigen Requests in der Ergebnisliste

Die Requests in der Ergebnisliste können über die Menüleiste angezeigt werden.

So zeigen Sie den nächsten oder vorherigen Request in der Ergebnisliste an:

  1. Klicken Sie in der Ergebnisliste auf den Request, der angezeigt werden soll.

    2. Die Details zu diesem Request werden im Detailbereich angezeigt.

  2. Um den nächsten Request in der Liste anzuzeigen, wählen Sie Aktionen > Nächste. Um den vorherigen Request in der Liste anzuzeigen, wählen Sie Aktionen > Vorherige. Sie können auch auf die Schaltfläche Nächste oder Vorherige im Detailbereichs-Banner klicken.

    3. Der nächste oder der vorherige Request wird im Detailbereich angezeigt.

Ändern der Spaltenposition und –breite in der Ergebnisliste

Sie können die Position der in der Ergebnisliste angezeigten Spalten ändern. Sie können auch die Breite der Spalten vergrößern oder verkleinern. Wenn die Spaltenbreite vergrößert wird, kann eine Bildlaufleiste angezeigt werden, damit alle Spalten der Tabelle angezeigt werden können.

So ändern Sie Spaltenposition in der Ergebnisliste:

  1. Setzen Sie den Cursor in die Spalte, die Sie verschieben möchten.
  2. Klicken Sie und ziehen Sie die Spalte bei gedrückter Maustaste auf die neue Position in der Ergebnisliste.
  3. Lassen Sie die Maustaste los.

    4. Die Spalte wird an der neuen Position angezeigt.

So ändern Sie Spaltenbreite in der Ergebnisliste:

  1. Setzen Sie den Cursor auf die Grenze zwischen den Spalten, deren Größe Sie ändern möchten.

    2. Der Zeiger nimmt die Gestalt eines Doppelpfeils an.

  2. Ziehen Sie mit gedrückter Maustaste die Spalte horizontal.

    3. Die Spalte wird entsprechend vergrößert oder verkleinert.

  3. Lassen Sie die Maustaste los, wenn die Spalte die gewünschte Breite aufweist.

Aktualisieren der Ergebnisliste

In der Ergebnisliste werden die Requests angezeigt, die mit den festgelegten Suchkriterien übereinstimmen. Wenn sich Daten ändern, z. B. weil Requests hinzugefügt, geändert oder gelöscht werden, kann sich auch diese Liste ändern. Sie können die Liste auf den neuesten Stand bringen, indem Sie sie aktualisieren.

Dafür stehen Ihnen zwei Möglichkeiten zur Verfügung:

  • Manuell zu einem beliebigen Zeitpunkt
  • Automatisch in festgelegten Abständen

Das Uhrensymbol rechts neben dem Banner der Ergebnisleiste zeigt an, wie viel Zeit (in Stunden und Minuten) seit der letzten Aktualisierung vergangen ist oder wann die nächste automatische Aktualisierung durchgeführt wird. Die Arbeitsweise hängt davon ab, ob die automatische Aktualisierung aktiviert ist.

Wenn die automatische Aktualisierung deaktiviert ist, wird die Uhr als Sonnenuhr dargestellt. Sie zeigt an, wie viel Zeit seit der Durchführung der Suche vergangen ist oder wann die Liste das letzte Mal aktualisiert wurde. Beim Aktualisieren der Liste wird diese Uhr auf 0:00 zurückgesetzt.
Wenn die automatische Aktualisierung aktiviert ist, wird die Uhr als Stoppuhr angezeigt. Sie zählt rückwärts bis zum nächsten Zeitpunkt einer automatischen Aktualisierung. Beim Aktualisieren der Liste wird die Uhr auf das Intervall für die automatische Aktualisierung zurückgesetzt.

So aktualisieren Sie die Ergebnisliste manuell:

  • Wählen Sie Ansicht > Suche aktualisieren aus.

    • Die in der Ergebnisliste angezeigten Requests werden mit aktuellen Daten aus der Datenbank aktualisiert.

So aktualisieren Sie die Ergebnisliste automatisch:

  1. Wählen Sie Ansicht > Autom. Aktualisierung.

    2. Das Dialogfeld Autom. Aktualisierung wird angezeigt.

  2. Markieren Sie die Option Ein im Bereich Autom. Aktualisierung.
  3. Geben Sie im Feld Aktualisierungsintervall an, nach wie vielen Minuten die Suche erneut durchgeführt und die Liste aktualisiert werden soll. Sie können einen Wert zwischen 1 und 99 Minuten festlegen.

    4. Hinweis: Obwohl Sie ein Intervall von weniger als 5 Minuten einstellen können, führt ein zu häufiges Aktualisieren der Liste zu vielen überflüssigen Suchvorgänge und damit zu einer möglichen Verlangsamung Ihres Computers.

  4. Klicken Sie auf OK.

Solange die Form in der Anzeige zu sehen ist, wird die Ergebnisliste automatisch in den festgelegten Zeitabständen aktualisiert. Nach jedem Aktualisieren der Ergebnisliste wird die Uhr rechts neben dem Banner des Ergebnisbereichs auf das Zeitintervall zurückgesetzt. Wenn Sie beispielsweise als Aktualisierungsintervall 30 Minuten eingestellt haben, zählt die Uhr von 00:30 zurück bis 00:00. Ist die Uhr bei 00:00 angelangt, wird die Ergebnisliste aktualisiert und die Uhr wieder auf 00:30 gestellt.


Sortieroptionen

Wenn Sie eine Suche durchführen, werden standardmäßig alle Requests in der Ergebnisliste in aufsteigender Reihenfolge nach Request-ID sortiert, vom ältesten zum neuesten.

Sie können diese Reihenfolge ändern, indem Sie die Liste manuell sortieren, oder im Dialogfeld Sortieroptionen Sortieroptionen festlegen. Bei einer manuellen Sortierung werden die Sortieroptionen, die im Dialogfeld Sortieroptionen festgelegt wurden, außer Kraft gesetzt.

Festlegen von Sortieroptionen im Dialogfeld „Sortieroptionen“

Sie können im Dialogfeld Sortieroptionen Sortieroptionen festlegen, sodass die Daten vom Server sortiert werden. Die Sortierreihenfolge wird gespeichert, wenn Sie die Form schließen und erneut öffnen.

Sie können in der Ergebnisliste eine Voreinstellung für Sortierreihenfolge mit bis zu fünf Feldern festlegen, außer Statusverlauf-, Journal- oder Character-Feldern, deren maximale Länge 255 Byte übersteigt. Sie können die Sortierreihenfolge auf die nächste Suche oder auf nachfolgende Suchen anwenden.

Wenn Sie im Dialogfeld Sortierreihenfolge eine Suchreihenfolge festlegen, wird die Ergebnisliste in den folgenden Situationen entsprechend der neuen Reihenfolge geändert:

  • Sie führen eine neue Suche durch oder führen eine gespeicherte Suche aus.
  • Sie führen die aktuelle Suche erneut durch, indem Sie Ansicht > Suche aktualisieren auswählen.
  • Die automatische Aktualisierung ist aktiviert, sodass die Suche automatisch neu durchgeführt wird.

Wenn Sie die Ergebnisliste manuell sortiert haben, bleibt diese Sortierreihenfolge nach einer Aktualisierung erhalten.

Hinweis: Wenn sich die Gebietsschemata von Client und Server unterscheiden (z. B. ein japanisches Schema und ein englisches Schema) und der Server nicht über das Gebietsschema des Clients verfügt, werden die Ergebnisse eventuell nicht so wie erwartet sortiert. Weitere Informationen finden Sie in den AR System Versionshinweisen.

Wenn Ihr System so konfiguriert ist, dass die Ergebnisliste gruppenweise angezeigt wird, wird die erste Gruppe nach dem Aktualisieren der Ergebnisse in der Ergebnisliste neu angezeigt. Die Gruppe enthält jedoch andere Datensätze, weil die Sortierreihenfolge geändert wurde.

So legen Sie die Sortieroptionen im Dialogfeld „Sortieroptionen“ fest:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Wählen Sie Aktionen > Sortieroptionen aus.

    3. Das Dialogfeld Sortieroptionen wird angezeigt und enthält eine Liste von Feldern, nach denen Sie sortieren können.

  3. Wählen Sie im ersten Feld Feldname ein Feld aus, nach dem sortiert werden soll.
  4. Wählen Sie neben dem Feld Feldname die Optionsschaltfläche Aufsteigend oder Absteigend für die Sortierreihenfolge aus.

    5. Die Ergebnisse von Datenfeldern werden alphanumerisch sortiert. Dies gilt nicht für Währungsfeldwerte, die zuerst nach dem Währungswert und dann nach dem Dezimalwert sortiert werden. Weitere Informationen finden Sie unter Währungsfelder.

  5. Sie können bis zu fünf Felder und deren Sortierreihenfolge festlegen.

    6. Das zuerst für die Sortierung markierte Feld wird als Hauptbedingung für den Sortiervorgang verwendet. Jedes nachfolgend markierte Feld dient als weitere Sortierbedingung, ist aber dem vorherigen Feld untergeordnet.

  6. Wenn Sie ein Sortierkriterium löschen möchten, wählen Sie <löschen> im Feld Feldname aus.
  7. Wählen Sie eine Option zur Anwendung dieser Sortierreihenfolge auf zukünftige Suchen:
    • Wählen Sie Permanent, um die Sortierreihenfolge auf alle Suchen in dieser Form anzuwenden.
    • Wählen Sie Nächster Vorgang, um diese Sortierreihenfolge nur auf die nächste Suche anzuwenden und danach wieder die vorige Sortierreihenfolge zu verwenden. (Wenn Sie ein Makro aufzeichnen, gilt die Sortierreihenfolge für die Dauer des Makros.)
    • Wählen Sie Deaktivieren, um die ursprüngliche Sortierreihenfolge wiederherzustellen. Wenn keine Sortieroptionen angegeben wurden oder Deaktiviert ausgewählt wurde, werden die Ergebnisse in aufsteigender Reihenfolge nach Request-ID sortiert.
  8. Wenn Sie die Sortierreihenfolge für das Feld festgelegt haben, klicken Sie auf OK, um das Dialogfeld zu schließen.

    9. Wenn Sie das nächste Mal eine Suche durchführen, werden die Ergebnisse in der angegebenen Sortierreihenfolge angezeigt. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

Manuelles Sortieren von Requests in der Ergebnisliste

Sie können Requests manuell sortieren, indem Sie auf die Spaltenüberschrift in der Ergebnisliste klicken. Diese Sortierung wird vom Client-Computer verarbeitet und ist sofort sichtbar.

Die Sortierreihenfolge wird nicht gespeichert, wenn Sie die Form schließen und erneut öffnen oder eine neue Suche durchführen.

So sortieren Sie Requests manuell:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie nach den Requests. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. Die Requests, die den Suchkriterien entsprechen, werden in der Ergebnisliste angezeigt.

  3. Klicken Sie auf die Spaltenüberschrift, nach der Sie sortieren möchten. Sie können nach jeder Spalte in der Ergebnisliste sortieren, in aufsteigender oder absteigender Reihenfolge.

    4. Die Requests in der Ergebnisliste werden nach der markierten Spalte und in aufsteigender oder absteigender Reihenfolge sortiert.

    Die Ergebnisse von Datenfeldern werden alphanumerisch sortiert. Dies gilt nicht für Währungsfeldwerte, die zuerst nach dem Währungswert und dann nach dem Dezimalwert sortiert werden. Weitere Informationen finden Sie unter Währungsfelder.

  4. Klicken Sie zum Ändern dieser Reihenfolge erneut auf die Spaltenüberschrift.

    5. Diese Reihenfolge der Sortierung bleibt so lange gültig, wie die Ergebnisliste geöffnet bleibt. Wenn die Ergebnisliste geschlossen wird, indem die Form geschlossen oder der Form-Modus geändert wird, wird die Sortierreihenfolge nicht gespeichert.

    Das Dialogfeld Sortieroptionen kann auch dazu verwendet werden, um eine Voreinstellung der Sortierreihenfolge vorzunehmen. Weitere Informationen finden Sie unter So legen Sie die Sortieroptionen im Dialogfeld „Sortieroptionen“ fest:.

Wiederherstellen der Standardsortierreihenfolge

Um die ursprüngliche Sortierreihenfolge der Liste wiederherzustellen, klicken Sie mit der rechten Maustaste auf die Spaltenüberschriften. Wählen Sie aus dem angezeigten Menü die Option Zurücksetzen.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Suchen nach Requests
  • Tabellenfelder
  • Bei Suchvorgängen


Auswählen von Requests

So wählen Sie einen einzelnen Request aus:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Suchen Sie nach dem Request, mit dem Sie arbeiten möchten. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    3. Die Liste mit den Ergebnissen wird angezeigt. Der erste Request in der Liste ist automatisch markiert. Er wird im Detailbereich im Modus Ändern angezeigt.

  3. Klicken Sie auf einen Request, um ihn in der Liste zu markieren. Dieser Request wird im Detailbereich angezeigt.

    4. Sie können den Request jetzt bearbeiten. Weitere Informationen finden Sie unter So ändern Sie einen einzelnen Request:.

So wählen Sie mehrere Requests aus:

  1. Öffnen Sie die Form, für die Sie Requests suchen möchten. Starten Sie anschließend eine Suche nach den Requests, mit denen Sie arbeiten möchten. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.

    2. Die Ergebnisliste wird angezeigt. Darin sind alle Requests aufgelistet, die den Suchkriterien entsprechen. Der erste Request in der Liste wird im Detailbereich angezeigt. Der Detailbereich befindet sich nun im Modus Ändern.

  2. Wählen Sie die gewünschten Requests:
    • Um nebeneinander liegende Requests auszuwählen, klicken Sie auf den ersten der Requests, die Sie auswählen möchten. Drücken Sie die Umschalt-Taste und klicken Sie auf den letzten auszuwählenden Request. Die derart ausgewählten Requests werden hervorgehoben. Der erste ausgewählte Request ist von einer gepunkteten Linie umgeben. Er wird im Detailbereich angezeigt.
    • Um nicht nebeneinander liegende Requests auszuwählen, klicken Sie auf den ersten Request, halten die Strg-Taste gedrückt und klicken auf den bzw. die gewünschten Request(s). Die derart ausgewählten Requests werden hervorgehoben. Der erste ausgewählte Request ist von einer gepunkteten Linie umgeben. Er wird im Detailbereich angezeigt.
    • Um die Auswahl einzelner ausgewählter Requests aufzuheben, drücken Sie die Strg-Taste und klicken auf die Requests, deren Auswahl Sie aufheben möchten.

Weitere Informationen

  • So ändern Sie einen einzelnen Request:
  • So ändern Sie mehrere Requests gleichzeitig:
  • So zeigen Sie den Statusverlauf für einen Request an:


Drucken von Requests

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über das Drucken


Überblick über das Drucken

Sie können Ergebnislisten, einzelne Requests, Tabellen und Berichte drucken.

Beim Drucken von Ergebnislisten wird der Inhalt des Ergebnisbereichs gedruckt. Ein einzelner Request wird genau so gedruckt, wie er in der Form im Detailbereich dargestellt ist.

Anzeigen einer Seitenansicht von Requests

Sie können sich vor dem Drucken eine Seitenansicht einzelner Requests anzeigen lassen. Die Schaltflächen Next Page (Nächste Seite), Prev Page (Vorhergehende Seite) und Two Pages (Zwei Seiten) sind im Modus Seitenansicht immer deaktiviert, da Requests immer so skaliert werden, dass sie auf eine Seite passen.

Wenn Ihre Form Felder mit Registerkarten, Tabellen, Journal-Felder oder Felder für langen Text enthält, wird nur der in der Form sichtbare Text gedruckt. Zum Drucken aller Daten eines Felds müssen Sie einen Bericht erstellen und drucken.

So zeigen Sie die Seitenansicht für einen Request an:

  1. Wählen Sie aus der Liste mit den Suchergebnissen den Request aus, den Sie drucken möchten.
  2. Überprüfen Sie, ob der zu druckende Request im Detailbereich angezeigt wird.
  3. Klicken Sie auf den Detailbereich.
  4. Wählen Sie Datei > Seitenansicht aus.

    5. Der Request im Detailbereich wird im Modus Seitenansicht angezeigt.

    Sie können folgende Aktionen ausführen:

    • Die Vergrößerung ändern. Klicken Sie dazu auf Zoom In (Vergrößern) oder Zoom Out (Verkleinern).
    • Klicken Sie zum Drucken auf Drucken.
  5. Klicken Sie auf Schließen, um den Modus Seitenansicht zu schließen.

So ändern Sie die Vergrößerung in der Seitenansicht:

  1. Wählen Sie Datei > Seitenansicht aus.

    2. Der ausgewählte Request wird im Modus Seitenansicht angezeigt.

  2. Um eine vergrößerte Ansicht einzustellen, klicken Sie auf Zoom In (Vergrößern).
  3. Um eine verkleinerte Ansicht einzustellen, klicken Sie auf Zoom Out (Verkleinern).
  4. Klicken Sie auf Schließen, um den Modus Seitenansicht zu schließen.

Drucken von Requests

So drucken Sie einen einzelnen Request:

  1. Erstellen oder öffnen Sie den Request, den Sie drucken möchten.
  2. Klicken Sie auf eine beliebige Stelle im Detailbereich.
  3. Wählen Sie Datei > Drucken aus.

    4. Das Dialogfeld Drucken wird angezeigt.

  4. Wählen Sie einen Drucker aus der Liste aus.
  5. Legen Sie die Anzahl der Exemplare fest.
  6. Klicken Sie auf OK.

    7. Der Request wird so gedruckt, wie er im Detailbereich angezeigt wird.

So drucken Sie eine Ergebnisliste:

  1. Erzeugen Sie eine Ergebnisliste und klicken an einer beliebigen Stelle darauf.
  2. Markieren Sie die Requests, die Sie drucken möchten.
  3. Wählen Sie Datei > Drucken aus.

    4. Das Dialogfeld Drucken wird angezeigt.

  4. Wählen Sie einen Drucker aus der Liste aus.
  5. Legen Sie die Anzahl der Exemplare fest.
  6. Wenn Sie alle Requests in der Ergebnisliste drucken möchten, klicken Sie auf Alles unter den Optionen für den zu druckenden Bereich. Wenn Sie nur ausgewählte Seiten drucken möchten, klicken Sie auf Auswahl.
  7. Klicken Sie auf OK.

    8. Die Ergebnisliste wird gedruckt.

So drucken Sie Tabelleninhalte:

  1. Klicken Sie mit der rechten Maustaste auf die Tabelle, die Sie drucken möchten.

    2. Ein Kontextmenü wird angezeigt.

  2. Wählen Sie Tabelle drucken.

    3. Das Dialogfeld Drucken wird angezeigt.

  3. Wählen Sie den Drucker und die Anzahl der Exemplare.
  4. Klicken Sie auf OK.

    5. Der gesamte Inhalt der Tabelle wird gedruckt.

    Hinweis: Wenn Sie einen Request drucken, der eine Tabelle enthält, wird nur der sichtbare Tabelleninhalt gedruckt. Durch diesen Vorgang werden Requests in einer Tabelle gedruckt, auch wenn diese sich nicht im sichtbaren Bereich befinden.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Drucken eines Berichts.


Berichte

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über Berichte
  • Erstellen von Berichten
  • Anlagen in Berichten
  • Arbeiten mit vorhandenen Berichten
  • Definieren von Feldeigenschaften für einen Bericht
  • Benennen von Berichten
  • Sortieren und Gruppieren von Requests in Berichten
  • Definieren von Berichtsstatistiken
  • Definieren der Seiteneinrichtung für einen Bericht
  • Speichern von Berichten
  • Anzeigen einer Berichtsvorschau vor dem Drucken
  • Drucken eines Berichts
  • Für Berichte verwendete Forms
  • Exportieren von Berichten
  • Gemeinsames Verwenden eines Berichts
  • Verwenden von Crystal Reports in Remedy User


Überblick über Berichte

Mit dem Berichtswerkzeug in Remedy User können Sie Berichte zu Requests aus einer Suche erstellen. Angenommen, Sie arbeiten im Kundendienst und möchten einen Bericht erstellen, der alle von Ihnen entgegengenommenen Anrufe eines Tages auflistet und die Vorgänge nach ihrem Bearbeitungsstatus sortiert. Dazu suchen Sie zuerst nach allen Kundenanfragen, die Sie an diesem Tag entgegengenommen haben. Dann erstellen Sie den Bericht.

Sie können einen neuen Bericht erstellen, oder Sie können einen früher erstellten benutzerdefinierten Bericht auswählen und nach Bedarf ändern. Sie können den Bericht als benutzerdefinierten Bericht speichern. Sie können ihn auch ausführen und auf dem Bildschirm anzeigen lassen oder ihn an einen Drucker, in eine Datei oder an eine andere Anwendung schicken.


Erstellen von Berichten

So erstellen Sie einen neuen Bericht:

  1. Öffnen Sie die Form, welche die Requests enthält, auf die sich der Bericht beziehen soll, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie in der Menüleiste Extras > Berichtserstellung aus.

    4. Das Fenster Bericht für die Form wird angezeigt.

    Darin werden alle vorhandenen Berichte des Ordners aufgelistet, den Sie im Dialogfeld Optionen auf der Registerkarte Allgemein im Bereich Suchpfad angegeben haben. Weitere Informationen zum Einstellen des Suchpfades finden Sie unter Allgemeine Optionen.

  4. Wählen Sie in der Menüleiste Bericht > Neu aus.

    5. Das Dialogfeld Eigenschaften wird angezeigt. Hier können Sie Parameter und Aussehen des Berichts definieren.

    Weitere Informationen finden Sie in den folgenden Abschnitten:

    • Definieren von Feldeigenschaften für einen Bericht.
    • Benennen von Berichten
    • Sortieren und Gruppieren von Requests in Berichten
    • Definieren von Berichtsstatistiken
    • Definieren der Seiteneinrichtung für einen Bericht
  5. Speichern Sie den Bericht.

    6. Weitere Informationen finden Sie unter Speichern von Berichten.

So erstellen Sie einen neuen Bericht aus einer Tabelle:

  1. Wählen Sie in der Tabelle die Requests aus, die im Bericht enthalten sein sollen.

    2. Hinweis: Wenn keine Requests ausgewählt werden, werden alle Requests in den Bericht aufgenommen.

  2. Wählen Sie Extras > Berichtserstellung aus.

    3. Das Fenster Bericht wird angezeigt.

  3. Wählen Sie in der Menüleiste Bericht > Neu aus, oder klicken Sie mit der rechten Maustaste auf eine beliebige Stelle im Berichtsfenster und wählen Sie Eigenschaften.

    4. Das Dialogfeld Eigenschaften wird angezeigt.

  4. Wählen Sie die Eigenschaften für den Bericht aus. Weitere Informationen finden Sie in den folgenden Abschnitten:
    • Definieren von Feldeigenschaften für einen Bericht.
    • Benennen von Berichten
    • Sortieren und Gruppieren von Requests in Berichten
    • Definieren von Berichtsstatistiken
    • Definieren der Seiteneinrichtung für einen Bericht
  5. Speichern Sie den Bericht.

    6. Weitere Informationen finden Sie unter Speichern von Berichten.

Auswählen von Requests zur Aufnahme in einen Bericht

Legen Sie vor dem Erstellen, Anzeigen oder Ausgeben eines Berichts fest, welche Requests enthalten sein sollen.

So wählen Sie Requests zur Aufnahme in einen Bericht aus:

  1. Öffnen Sie eine Form und führen Sie eine Suche durch. Weitere Informationen finden Sie unter Überblick über Suchvorgänge.
  2. Wählen Sie aus der Liste mit den Suchergebnissen die Requests aus, die im Bericht enthalten sein sollen. Stellen Sie sicher, dass die ausgewählten Requests hervorgehoben sind.
  3. Erstellen Sie den Bericht. Weitere Informationen finden Sie unter So erstellen Sie einen neuen Bericht:.

So nehmen Sie alle Requests in einen Bericht auf:

  1. Heben Sie in der Liste mit den Suchergebnissen die Auswahl aller Requests auf. (Standardmäßig ist immer der erste Request ausgewählt, wenn die Liste mit den Suchergebnissen angezeigt wird.) Stellen Sie sicher, dass keine Requests hervorgehoben sind.
  2. Öffnen Sie die Form im Modus Suchen und geben Sie die Suchkriterien ein.
  3. Klicken Sie nicht auf Suchen. Erstellen Sie den Bericht. Weitere Informationen finden Sie unter So erstellen Sie einen neuen Bericht:.


Anlagen in Berichten

Wenn ein Bericht mit der Dateierweiterung .arx aus Requests erstellt wird, die Anlagen enthalten, wird zum Speichern dieser Anlagen ein eigenes Verzeichnis erstellt. Das Verzeichnis erhält einen Namen, der aus dem Dateinamen und einem ganzzahligen Zeitstempel besteht, wie z. B. <Dateiname>_917732184. Diese Datei enthält den Verzeichnisnamen und die Namen der verknüpften Anlagedateien. Wenn Anlagebezeichnungen mehrfach vorkommen, so wird den betreffenden Dateinamen ein Präfix vorangestellt, damit die Bezeichnungen eindeutig werden.

Wenn Berichte mit den Erweiterungen .csv und .rep aus Requests erstellt werden, die Anlagen erhalten, zeigt der Bericht nur den Namen der Anlage. Die Anlagen werden nicht in einem separaten Verzeichnis gespeichert.


Arbeiten mit vorhandenen Berichten

So ändern Sie einen vorhandenen Bericht:

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Wählen Sie in der Menüleiste Extras > Berichtserstellung aus.

    3. Das Fenster Bericht wird angezeigt. Es enthält eine Liste aller vorhandenen Berichte im Ordner Home\Arcmds. Hierzu zählen Remedy User-Berichte (*.rep) und Berichte, die mit Crystal Reports erstellt wurden (*.rpt).

  3. Markieren Sie den Bericht, den Sie bearbeiten möchten.
  4. Wählen Sie Bericht > Eigenschaften oder doppelklicken Sie auf den Bericht.

    5. Das Dialogfeld Eigenschaften wird angezeigt.

  5. Nehmen Sie die gewünschten Änderungen am Bericht vor:
    • Definieren von Feldeigenschaften für einen Bericht.
    • Benennen von Berichten
    • Sortieren und Gruppieren von Requests in Berichten
    • Definieren von Berichtsstatistiken
    • Definieren der Seiteneinrichtung für einen Bericht
  6. Speichern Sie den Bericht.

    7. Siehe So speichern Sie Änderungen in einem vorhandenen Bericht:.

So löschen Sie einen vorhandenen Bericht:

  1. Öffnen oder aktivieren Sie eine Form im Modus Suchen.
  2. Wählen Sie Extras > Berichtserstellung aus.

    3. Das Fenster Bericht wird angezeigt. Im Bereich Formatvorschau werden alle vorhandenen Berichte angezeigt.

  3. Markieren Sie den Bericht, den Sie löschen möchten.
  4. Wählen Sie Bericht > Löschen oder drücken Sie die Entf-Taste.

    5. Je nach den für Ihr AR System festgelegten Einstellungen werden Sie möglicherweise in einem Dialogfeld um Bestätigung gebeten.

  5. Klicken Sie auf Ja, um den Löschvorgang zu bestätigen.

So speichern Sie Änderungen in einem vorhandenen Bericht:

  1. So ändern Sie einen vorhandenen Bericht:.
  2. Nehmen Sie im Dialogfeld Eigenschaften die erforderlichen Änderungen vor.
  3. Klicken Sie abschließend auf OK.
  4. Wählen Sie Bericht > Speichern aus.

    5. Der Bericht wird mit dem aktuellen Namen und im aktuellen Verzeichnis gespeichert.


Definieren von Feldeigenschaften für einen Bericht

Sie können Felder zu einem Bericht hinzufügen. Führen Sie die folgenden Schritte aus, um die Feldbezeichnung im Bericht sowie die Feldbreite anzugeben oder zu ändern.

So nehmen Sie Felder in einen Bericht auf:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Felder.
  3. Wählen Sie aus der Liste Felder die Felder, die im Bericht enthalten sein sollen.
    • Um ein einzelnes Feld auszuwählen, wählen Sie den Feldnamen aus und klicken auf Hinzufügen vor oder Hinzufügen nach.
    • Um nebeneinander liegende Felder auszuwählen, halten Sie die Maustaste gedrückt und ziehen den Mauszeiger über die betreffenden Felder, bis alle gewünschten Felder hervorgehoben sind.
    • Um nicht nebeneinander liegende Requests auszuwählen, klicken Sie auf das erste Feld, halten die Strg-Taste gedrückt und klicken auf das bzw. die gewünschten Feld(er).
    • Um die Auswahl eines Felds aufzuheben, halten Sie die Strg-Taste gedrückt und klicken auf das Feld.
  4. Geben Sie in der Liste Ausgewählte Felder eine Position für das Feld ein:
    • Klicken Sie auf ein Feld, um es zu markieren.
    • Klicken Sie auf Hinzufügen vor oder Hinzufügen nach, um die neuen Felder vor oder nach dem markierten Feld hinzuzufügen.

      • Um der Form alle Felder hinzuzufügen, klicken Sie auf Alle hinzufügen.

      Die von Ihnen ausgewählten Felder werden in der Liste Ausgewählte Felder angezeigt. Wenn kein Feld markiert ist, klicken Sie auf Hinzufügen vor, um die neuen Felder am Anfang der Liste einzufügen, oder auf Hinzufügen nach, um die neuen Felder am Ende der Liste einzufügen.

      Die Reihenfolge, in der die Felder aufgelistet sind, entscheidet über ihre Position im Bericht. Sie können die Pfeile zum Verschieben verwenden, um die Anordnung der Felder zu ändern.

  5. Wenn Sie ein Feld aus der Liste entfernen möchten, wählen Sie das Feld aus und klicken auf Entfernen.
  6. Wenn Sie den Bericht im Bereich Formatvorschau aktualisieren möchten, ohne das Dialogfeld zu schließen, klicken Sie auf Speichern

    7. Die Felder werden im Bereich Formatvorschau so angezeigt, wie sie schließlich im Bericht erscheinen.

  7. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So geben Sie die Feldbezeichnung im Bericht bzw. die Feldbreite an:

Im Bericht wird zusammen mit dem Feldwert die Feldbezeichnung angezeigt. Sie können die gleiche Feldbezeichnung verwenden wie in der Form oder die Bezeichnung bedarfsgerecht anpassen.

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Wählen Sie Bericht > Eigenschaften oder doppelklicken Sie im Berichtsfenster auf den Berichtsnamen, um das Dialogfeld Eigenschaften zu öffnen.
  3. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Felder.
  4. Wenn Sie einen neuen Bericht erstellen, fügen Sie die notwendigen Felder hinzu. Weitere Informationen finden Sie unter So nehmen Sie Felder in einen Bericht auf:.
  5. Klicken Sie in der Liste Ausgewählte Felder auf das zu ändernde Feld.
    1. Geben Sie einen neuen Namen in das Feld Berichtsbezeichnung ein.
    2. Geben Sie einen neuen Wert in das Feld Breite ein.

      3. Das Feld wird aktualisiert, sobald Sie auf eine andere Stelle klicken.

  6. Um den Bericht im Bereich Formatvorschau zu aktualisieren, klicken Sie auf Speichern.

    7. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.


Benennen von Berichten

Auf der Registerkarte Allgemein des Dialogfelds Eigenschaften können Sie einem neuen Bericht einen Namen zuweisen, einen vorhandenen Bericht umbenennen oder einen vorhandenen Bericht unter einem neuen Namen speichern.

So benennen Sie einen neuen Bericht:

  1. Erstellen Sie einen neuen Bericht. Weitere Informationen finden Sie unter So erstellen Sie einen neuen Bericht:.
  2. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Allgemein.
  3. Geben Sie im Feld Berichtsname den Namen für den Bericht ein.
  4. Geben Sie im Feld Kommentar eine Beschreibung des Berichts ein. Führen Sie Details auf wie beispielsweise seine Funktion und die Form, auf die er sich bezieht, um andere Benutzer über die Funktion des Berichts zu informieren.

    5. Dieser Kommentar wird in der Berichtsliste angezeigt und verdeutlicht den Zweck des Berichts. Wenn Sie mit vielen Forms arbeiten, ist es nützlich, einen Bericht an der zugehörigen Form zu erkennen. Das erleichtert Ihnen die Auswahl des richtigen Berichts für die Form.

  5. Klicken Sie auf OK, um das Dialogfeld zu schließen.
  6. Wählen Sie Bericht > Speichern aus.

    7. Das Dialogfeld Berichtsformat speichern unter wird angezeigt.

  7. Wählen Sie im Feld Pfad den Ordner aus, in dem Sie den Bericht speichern möchten.

    8. Sie können nur aus den in der Liste aufgeführten Pfaden auswählen. Die angezeigten Pfade sind jene, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad aufgelistet sind (siehe Allgemeine Optionen).

  8. Klicken Sie auf OK.

    9. Der Bericht wird gespeichert.

So ändern Sie den Namen eines vorhandenen Berichts:

  1. Öffnen Sie einen vorhandenen Bericht (siehe So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Allgemein.
  3. Geben Sie im Feld Berichtsname den Namen für den Bericht ein.
  4. Geben Sie im Feld Kommentar eine Beschreibung des Berichts ein. Diese sollte auch die Funktion des Berichts enthalten sowie die Form, auf die er sich bezieht.

    5. Dieser Kommentar wird in der Berichtsliste angezeigt und verdeutlicht den Zweck des Berichts. Wenn Sie mit vielen Forms arbeiten, ist es nützlich, einen Bericht an der zugehörigen Form zu erkennen. Das hilft Ihnen bei der Auswahl des richtigen Berichts für die Form.

  5. Klicken Sie auf OK.

    6. Wählen Sie Berichte > Speichern, um den Bericht unter dem neuen Namen zu speichern. Dadurch wird der bestehende Name überschrieben.


Sortieren und Gruppieren von Requests in Berichten

Standardmäßig werden Requests in einem Bericht nach der Reihenfolge sortiert, in der sie in der Ergebnisliste angezeigt werden. Diese Reihenfolge kann auf zwei Weisen festgelegt werden:

  • Durch die Einstellungen im Dialogfeld Sortieroptionen (siehe Sortieroptionen) der Form, für die der Bericht erstellt wurde.
  • Durch Klicken auf einen Spaltentitel in der Ergebnisliste. Dadurch wird die Sortierung nach der entsprechenden Spalte vorgenommen. Diese Sortiermethode hebt die Einstellungen im Dialogfeld Sortieroptionen auf. Weitere Informationen finden Sie unter Manuelles Sortieren von Requests in der Ergebnisliste.

Sie können die Reihenfolge der Ergebnisliste außer Kraft setzen. So können Sie beispielsweise nach bis zu fünf Feldern sortieren.

Nach den gleichen fünf Feldern, die Sie für die Sortierung in einem Bericht festgelegt haben, können Sie die Requests auch gruppieren. Auf diese Weise können Requests in getrennten Gruppen angezeigt und statistische Berechnungen zu jeder Gruppe durchgeführt werden. Ein Bericht wird dadurch besser lesbar. Wenn Sie die Gruppierung nach einem der untergeordneten Felder vornehmen möchten, werden alle übergeordneten Felder ebenfalls gruppiert. (Die erste Gruppe ist das in der Rangordnung am höchsten stehende Feld, während die letzte Gruppe das am weitesten untergeordnete Feld ist.)

Die von Ihnen bestimmten Sortier- und Gruppieroptionen werden als Teil des benutzerdefinierten Berichts gespeichert. Der benutzerdefinierte Bericht wird bei jeder Verwendung auf dieselbe Weise sortiert. Weitere Informationen finden Sie unter So legen Sie die Sortier- und Gruppierungsreihenfolge in einem Bericht fest:.

So legen Sie die Sortier- und Gruppierungsreihenfolge in einem Bericht fest:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Sortieren.
  3. Wählen Sie in der Liste Feldname das Feld aus, nach dem sortiert werden soll.
  4. Wählen Sie Aufsteigende oder Absteigende Sortierreihenfolge für das gewählte Feld.
  5. Wenn nach diesem Feld gruppiert werden soll, markieren Sie Nach diesem Feld gruppieren.

    6. Auf diese Weise kann eine Statistik, die Sie auf der Registerkarte Statistiken festlegen, auf die hier angegebene Gruppe beschränkt werden. Weitere Informationen finden Sie unter Festlegen des Statistikbereichs.

  6. Sie können die Schritte 3 bis 5 für bis zu vier weitere Felder wiederholen.
  7. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.


Definieren von Berichtsstatistiken

Wenn Sie einen Bericht erstellen, können Sie Ausdrucke definieren, die Statistiken für die im Bericht enthaltenen Requests berechnen.

So erstellen Sie neue Berichtsstatistiken:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Statistiken.
  3. Wenn bereits Statistiken vorhanden sind, klicken Sie auf den Ausdruck, vor oder hinter dem Ihre neue Statistik erscheinen soll.
  4. Wählen Sie im Feld Vorgang den gewünschten Vorgang (Mindestwert, Höchstwert, Anzahl, Mittelwert, Summe). Weitere Informationen finden Sie unter Berichtsstatistiken: Auswählen eines statistischen Vorgangs.
  5. Wenn Sie ein Feld oder Schlüsselwort als Teil der Statistik verwenden möchten, wählen Sie es aus der Liste Ausdruck aus. Weitere Informationen finden Sie unter Erstellen von Ausdrucken in Berichtsstatistiken.

    6. Diese Liste zeigt alle numerischen Felder oder Datum- und Uhrzeit-Felder in der Form an. Darüber hinaus enthält sie Statusverlaufsfelder und Schlüsselwörter. Weitere Informationen finden Sie unter Verwenden von Schlüsselwörtern.

  6. Geben Sie bei Bedarf einen arithmetischen Operator ein und markieren Sie ein anderes Feld, um die Eingabe des Ausdrucks abzuschließen.
  7. Geben Sie im Feld Bezeichnung eine Bezeichnung ein, die diese Statistik im Bericht kennzeichnet. Sie können bis zu 128 Zeichen eingeben. Weitere Informationen finden Sie unter Definieren von Berichtsbezeichnungen für Statistiken.
  8. Wählen Sie im Feld Berechnen für den Bereich der Statistik aus: Bericht oder <Gruppenebene>. Dadurch wird festgelegt, ob die Statistik auf eine bestimmte Gruppe beschränkt wird. Weitere Informationen finden Sie unter Festlegen des Statistikbereichs.
  9. Wählen Sie in der Liste Layout die Art der Anzeige der statistischen Ergebnisse. Weitere Informationen finden Sie unter So erstellen Sie eine Statistik zur Anzeige in einer Berichtsbezeichnung:.
  10. Klicken Sie auf Hinzufügen vor oder Hinzufügen nach, um die neue Statistik vor oder nach dem markierten Element hinzuzufügen.

    11. Die neue Statistik wird der Statistikliste hinzugefügt.

    Falls noch keine Statistiken vorhanden sind oder falls keiner ausgewählt ist, klicken Sie auf Hinzufügen vor, um die neue Statistik am Anfang der Liste einzufügen, oder auf Hinzufügen nach, um die Statistik am Ende der Liste einzufügen.

    Sie können die Pfeile zum Verschieben rechts neben der Liste verwenden, um die Position der Statistik nach ihrer Erstellung zu ändern.

Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

Berichtsstatistiken: Auswählen eines statistischen Vorgangs

Statistische Vorgänge bestehen aus einer Aktion, die unter Verwendung eines Ausdrucks durchgeführt wird, der aus numerischen Feldern zusammengesetzt ist (einschließlich Datum- und Uhrzeit-Felder). Die statistischen Vorgänge können Sie auf der Registerkarte Statistiken des Dialogfelds Eigenschaften auswählen.

Sie können die folgenden fünf Statistikvorgänge für Requests, die in einem Bericht enthalten sind, ausführen:

  • Mindestwert berechnet den Mindestwert für ein bestimmtes Feld oder eine arithmetische Beziehung zwischen Feldern.
  • Höchstwert berechnet den Höchstwert für ein bestimmtes Feld oder eine arithmetische Beziehung zwischen Feldern.
  • Anzahl zählt die Anzahl der Requests.
  • Mittelwert berechnet den Mittelwert der angegebenen Felder oder eine arithmetische Beziehung zwischen Feldern.
  • Summe addiert die angegebenen Felder oder die arithmetische Beziehung zwischen Feldern.

Mit Ausnahme von Anzahl können diese Vorgänge nur auf numerische und Datum/Uhrzeit-Felder angewendet werden. Jeder Vorgang kann entweder auf den gesamten Bericht angewendet werden oder auf eine Gruppe von Requests in dem Bericht. Gruppen sind auf der Registerkarte Sortieren definiert.

Beim Ausführen eines Berichts werden für das statistische Ergebnis nur die Felder berücksichtigt, in denen sich Daten befinden. Wenn ein Request in einem für eine Statistik bestimmten Feld keinen Wert enthält, wird in einer Meldung angezeigt, dass ein oder mehr Felder einen NULL-Wert enthalten. Der Wert der Statistik für diesen Request wird aus dem Bericht ausgeschlossen.

Erstellen von Ausdrucken in Berichtsstatistiken

AusdruckeAusdrucke sind für alle statistischen Vorgänge erforderlich, mit Ausnahme von Anzahl. Wählen Sie auf der Registerkarte Statistiken des Dialogfelds Eigenschaften einen Ausdruck aus, oder geben Sie einen Ausdruck ein.

Ob Sie einen Ausdruck angeben müssen, hängt davon ab, ob Zeilen mit NULL-Werten gezählt werden sollen:

  • Wenn Sie einen Anzahl-Vorgang definieren, der einen Ausdruck enthält, werden bei der Ausführung des Berichts für den jeweiligen Ausdruck nur Zeilen mit einem Wert ungleich NULL gezählt.
  • Wenn Sie einen Anzahl-Vorgang definieren, der keinen Ausdruck enthält, werden alle zurückgegebenen Zeilen gezählt, auch solche mit einem NULL-Wert.

Bei AusdruckeAusdrucken kann es sich um folgende Werte handeln:

  • Numerische Felder
  • Datum- und Uhrzeit-Felder
  • Statusverlaufsfelder
  • Schlüsselwörter
  • Zahlen. Diese Werte können Sie direkt im Feld Ausdruck eingeben (z. B. 5,25; 33 etc.).
  • Arithmetische Operatoren (+, -, *, / und %). Sie können arithmetische Operatoren direkt in das Feld Ausdruck eingeben, ähnlich wie in die Leiste für erweiterte Suche.

Sie können beispielsweise einen Bericht erstellen, in dem die durchschnittliche Länge eines Interviews berechnet wurde. Subtrahieren Sie hierfür die Statusverlaufsfelder wie folgt:

'Statusverlauf.Akzeptiert.TIME' - 'Statusverlauf.Neu.TIME'

So definieren Sie einen statistischen Ausdruck:

  1. Statistischen Vorgang auswählen
  2. Ausdruck erstellen
  3. Bezeichnung für die Statistik eingeben
  4. Statistikbereich festlegen
  5. Angeben, wo im Bericht die Statistik platziert werden soll

Definieren von Berichtsbezeichnungen für Statistiken

Bezeichnungen kennzeichnen eine Statistik in einem Bericht. Eine Bezeichnung kann bis zu 128 Zeichen lang sein und beliebige Zeichen enthalten. Sie können hinter der Bezeichnung Leerzeichen einfügen, damit bei der späteren Wiedergabe auf dem Bildschirm oder einem Ausdruck ein Abstand zwischen Text und Statistik eingefügt wird.

Sie können Statistiken auch innerhalb der Bezeichnung anzeigen. Erstellen Sie dazu zuerst die Statistik (siehe So erstellen Sie eine Statistik zur Anzeige in einer Berichtsbezeichnung:) und dann die Berichtsbezeichnung (siehe So definieren Sie eine Statistik innerhalb einer Berichtsbezeichnung:).

So erstellen Sie eine Berichtsbezeichnung:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Statistiken.
  3. Erstellen Sie eine Statistik. Weitere Informationen finden Sie unter So erstellen Sie eine Statistik zur Anzeige in einer Berichtsbezeichnung:.
  4. Geben Sie im Feld Bezeichnung eine Bezeichnung ein, die diese Statistik im Bericht kennzeichnet.
  5. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So erstellen Sie eine Statistik zur Anzeige in einer Berichtsbezeichnung:

  1. Öffnen Sie das Dialogfeld Eigenschaften, indem Sie im Berichtsfenster mit der rechten Maustaste auf den Berichtsnamen klicken und Eigenschaften auswählen.
  2. Wenn bereits statistische Ausdrucke vorhanden sind, klicken Sie auf den Ausdruck, vor oder hinter dem Ihre neue Statistik erscheinen soll.
  3. Wählen Sie im Feld Vorgang den gewünschten Vorgang (Mindestwert, Höchstwert, Anzahl, Mittelwert, Summe). Weitere Informationen zu statistischen Vorgängen finden Sie unter Berichtsstatistiken: Auswählen eines statistischen Vorgangs.
  4. Wählen Sie ein Feld oder Schlüsselwort aus der Liste Ausdruck aus, wenn Sie es in den statistischen Ausdruck aufnehmen möchten. Weitere Informationen finden Sie unter Erstellen von Ausdrucken in Berichtsstatistiken.

    5. Diese Liste zeigt alle numerischen Felder oder Datum- und Uhrzeit-Felder in der Form an. Darüber hinaus enthält sie Statusverlaufsfelder und Schlüsselwörter. Weitere Informationen finden Sie unter Verwenden von Schlüsselwörtern.

  5. Geben Sie bei Bedarf einen arithmetischen Operator ein und markieren Sie ein anderes Feld, um die Eingabe des Ausdrucks abzuschließen.
  6. Wählen Sie im Feld Berechnen für den Bereich der Statistik aus: Bericht oder <Gruppenebene>. Dadurch wird festgelegt, ob die Statistik auf eine bestimmte Gruppe beschränkt wird. Weitere Informationen finden Sie unter Festlegen des Statistikbereichs.
  7. Wählen Sie in der Liste Layout die Art der Anzeige der statistischen Ergebnisse.
  8. Klicken Sie auf Hinzufügen vor oder Hinzufügen nach, um den neuen statistischen Vorgang vor oder nach dem markierten Vorgang hinzuzufügen.

    9. Der neue Ausdruck wird der Liste hinzugefügt.

Falls noch keine statistischen Ausdrucke vorhanden sind oder falls keiner ausgewählt ist, klicken Sie auf Hinzufügen vor, um den neuen Ausdruck am Anfang der Liste einzufügen, oder auf Hinzufügen nach, um den Ausdruck am Ende der Liste einzufügen.

So definieren Sie eine Statistik innerhalb einer Berichtsbezeichnung:

Sie können eine Statistik in einer Berichtsbezeichnung anzeigen anstatt hinter der Bezeichnung.

  1. Klicken Sie im Dialogfeld Eigenschaften auf Statistiken.
  2. Erstellen Sie eine Statistik für die Bezeichnung. Weitere Informationen finden Sie unter So erstellen Sie eine Statistik zur Anzeige in einer Berichtsbezeichnung:.
  3. Geben Sie im Feld Bezeichnung eine Bezeichnung ein, welche die Statistik im Bericht kennzeichnet.
  4. Fügen Sie eines der folgenden Ergebnisformate in die Bezeichnung ein:

    5. %* %
    Standardformat
    %#%
    Numerisches Format (Gesamtanzahl der Sekunden)
    %:%
    Uhrzeitformat (SS:mm:ss; Stunden, Minuten und Sekunden)

    Im Bericht wird die Statistik in der Bezeichnung angezeigt. Beispiel: Die Bezeichnung

    Das statistische Ergebnis ist %#% Tage

    kann im Bericht wie folgt angezeigt werden:

    Das statistische Ergebnis ist 123 Tage

    Hinweis: Das numerische Format übernimmt keine Formatierung aus den Ländereinstellungen, wie z. B. digitale Gruppierungssymbole (z. B. Tausendertrennzeichen).

  5. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So fügen Sie Sonderzeichen in Berichtsbezeichnungen ein:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Statistiken.
  3. Geben Sie im Feld Bezeichnung eine Bezeichnung ein, welche die Statistik im Bericht kennzeichnet. Sie können die folgenden Steuerzeichen und Variablen in Berichtsbezeichnungen, Titeln, Kopf- und Fußzeilen verwenden:

    4. Steuerzeichen
    \b
    Rückschritt
    \n
    Neue Zeile
    \t
    Tabulator
    \\
    umgekehrter Schrägstrich
    \<nnn>
    ASCII-Zeichen

    Variablen
    Schlüsselwörter
    $TIMESTAMP$, $USER$ usw.
    Feldwerte
    $Status$, $Kurzbeschreibung$ usw.
    Sonstiges
    $PAGE$

  4. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

    5. Hinweis: Wenn ein Bericht Gruppierungen enthält, können Sie den Wert des gruppierten Felds übernehmen, indem Sie den Feldnamen umschlossen von Dollarzeichen ($<Feldname>$) angeben.

Festlegen des Statistikbereichs

Sie können festlegen, ob eine Statistik für den gesamten Bericht oder für definierte Gruppen innerhalb des Berichts berechnet werden soll, indem Sie im Dialogfeld Eigenschaften auf der Registerkarte Statistik die entsprechende Einstellung im Feld Berechnen für wählen.

  • Bericht berechnet die Statistik für alle Einträge im Bericht. Die Statistik erscheint am Schluss des Berichts.
  • <Gruppenebene> wird nur angezeigt, wenn Sie eine Gruppe auf der Registerkarte Sortieren des Dialogfelds Eigenschaften erstellt haben. Wenn Sie eine Gruppe erstellt haben, können Sie die Statistik für alle Einträge in dieser Gruppe berechnen. Die Statistik erscheint unterhalb der jeweiligen Gruppe.

Anzeigen statistischer Ergebnisse

Sie können angeben, wo die Ergebnisse im Bericht angezeigt werden, indem Sie eine der folgenden Optionen im Feld Layout auf der Registerkarte Statistiken des Dialogfelds Eigenschaften auswählen:

  • Einzelne Zeile: zeigt alle Statistikergebnisse in einer Zeile an.
  • Mehrere Zeilen: verwendet für jedes Statistikergebnis eine eigene Zeile.
  • Spalte: zeigt das Ergebnis für jeden Wert unten in der Spalte des Felds, das im Feld Ausdruck festgelegt wurde, an. Spalte gilt nur für Berichte, die in Spalten formatiert werden.

Zusammen mit der Einstellung Berechnen für bestimmt diese Einstellung, wo die Statistik angezeigt wird.

Ändern und Löschen von Berichtsstatistiken

So ändern Sie Berichtsstatistiken:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Statistiken.
  3. Wählen Sie eine Statistik aus der Liste aus.

    4. Die Statistikeigenschaften werden in den Feldern über der Liste angezeigt.

  4. Ändern Sie die Eigenschaften der Statistik nach Bedarf.
  5. Klicken Sie auf Ändern.

    6. Die Änderungen werden der Statistik zugewiesen.

  6. (Optional) Verwenden Sie die Pfeile zum Verschieben rechts neben der Liste, um die Position der Statistik zu ändern.
  7. Klicken Sie auf OK.

So löschen Sie Berichtsstatistiken:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Statistiken.
  3. Markieren Sie die Statistik in der Liste der vorhandenen Statistiken.
  4. Klicken Sie auf Löschen.

    5. Die Statistik wird gelöscht.

  5. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.


Definieren der Seiteneinrichtung für einen Bericht

Sie können die Seiteneinrichtung für den Bericht auf der Registerkarte Seite einrichten des Dialogfelds Eigenschaften definieren.

So definieren Sie Titel, Kopfzeile und Fußzeile:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Geben Sie den Namen des Berichts in das Feld Titel ein.

    4. Der Berichtstitel erscheint am Anfang des Berichts.

  4. Geben Sie einen Text in das Feld Kopfzeile ein.

    5. Die Kopfzeile erscheint oben auf jeder Seite des Berichts.

  5. Geben Sie einen Text in das Feld Fußzeile ein.

    6. Die Fußzeile erscheint unten auf jeder Seite des Berichts.

  6. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

Sie können die folgenden Steuerzeichen und Variablen in Berichtstiteln, Kopf- und Fußzeilen und Bezeichnungen verwenden:

Steuerzeichen
\b
Rückschritt
\n
Neue Zeile
\t
Tabulator
\\
umgekehrter Schrägstrich
\<nnn>
ASCII-Zeichen

Variablen
Schlüsselwörter
$TIMESTAMP$, $USER$ usw.
Sonstiges
$PAGE$

Sie können alle in Verwenden von Schlüsselwörtern beschriebenen Schlüsselwörter eingeben, mit Ausnahme von $DEFAULT$ und $NULL$. $PAGE$ ist ein spezielles Schlüsselwort für die Berichtserstellung, das das Einfügen einer Seitenzahl ermöglicht.

Hinweis: Feldwerte wie $Status$ und $Kurzbeschreibung$ werden als Text angezeigt. Der Inhalt des Felds wird nicht angezeigt.

Definieren der Position des Spaltentitels

Diese Einstellung gilt nur für Berichte im Spaltenformat oder im komprimierten Textformat.

So definieren Sie die Position des Spaltentitels:

  1. Erstellen Sie einen Bericht oder öffnen Sie einen vorhandenen Bericht.
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Wählen Sie im Feld Spaltentitel pro aus, wo im Bericht der Spaltentitel angezeigt werden soll.
    • Kein bedeutet, dass der Spaltentitel gar nicht angezeigt wird und der Prototyp im Bereich Formatvorschau leer angezeigt wird.
    • Request bedeutet, dass der Spaltentitel über jedem Request steht.
    • Seite bedeutet, dass der Spaltentitel am Anfang jeder Seite steht.
    • <Gruppenname>: Diese Option steht nur zur Auswahl, wenn Sie auf der Registerkarte Sortieren eine Gruppe erstellt haben. Durch diese Option wird der Spaltentitel über jeder angegebenen Gruppe platziert.
  4. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So definieren Sie Seitenränder für Berichte:

  1. Erstellen Sie einen Bericht oder öffnen Sie einen vorhandenen Bericht.
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Legen Sie in der Gruppe Ränder die Seitenränder für den Bericht fest:
    • Links: Geben Sie die Anzahl von Leerzeicheneinheiten an, die am linken Seitenrand frei sein sollen. Die Voreinstellung ist 0.
    • Rechts: Geben Sie die Anzahl von Leerzeicheneinheiten an, die am rechten Seitenrand frei sein sollen. Die Voreinstellung ist 0.
    • Oben: Geben Sie die Anzahl von Leerzeilen an, die am oberen Seitenrand frei sein sollen (einschließlich Kopfzeile und Titel, soweit vorhanden). Die Voreinstellung ist 1.
    • Unten: Geben Sie die Anzahl von Leerzeilen an, die am unteren Seitenrand frei sein sollen (einschließlich Fußzeile, falls vorhanden). Die Voreinstellung ist 1.
  4. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So legen Sie Seitengröße und Ausrichtung des Berichts fest:

  1. Erstellen Sie einen Bericht oder öffnen Sie einen vorhandenen Bericht.
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Legen Sie die Ausrichtung fest: Hochformat oder Querformat.
  4. Sie können festlegen, wie viele Zeilen auf einer Seite der Bericht belegen soll. Geben Sie dazu eine Zahl in das Feld Zeilen pro Seite ein.
  5. Sie können festlegen, wie viele Zeichen eine Zeile maximal enthalten darf. Geben Sie dazu eine Zahl in das Feld Zeichen pro Zeile ein.
  6. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

    7. Hinweis: Wenn Sie die Option Standardseitengröße des Druckers unter Extras > Optionen > Berichte ausgewählt haben, werden die Einstellungen Zeilen pro Seite und Zeichen pro Zeile nur wirksam, wenn Sie den Bericht aus dem Fenster Berichtsvorschau drucken.

So legen Sie Seitenumbrüche in einem Bericht fest:

  1. So erstellen Sie einen neuen Bericht: oder So ändern Sie einen vorhandenen Bericht:.
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Wählen Sie in der Gruppe Größe die Option Seitenumbruch pro und wählen Sie aus, wo sich im Bericht Seitenumbrüche befinden sollen:
    • Keine: Bei dieser Option werden keine zusätzlichen Seitenumbrüche eingefügt. Die Seitenumbrüche hängen dann von der Ausgabeform, beispielsweise dem Drucker, ab.
    • Request: Bei dieser Option wird nach jedem Request ein Seitenumbruch eingefügt.
    • Seite: Bei dieser Option wird nach jeder Seite, wie sie durch die Einstellung unter Zeilen pro Seite definiert ist, ein Seitenumbruch eingefügt.
    • <Gruppenname>: Diese Option steht nur zur Auswahl, wenn Sie auf der Registerkarte Sortieren eine Gruppe erstellt haben. Diese Option erzwingt einen Umbruch nach jeder von Ihnen definierten Gruppe.
  4. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

So definieren Sie Trennzeichen in einem Bericht:

  1. Erstellen Sie einen Bericht oder öffnen Sie einen vorhandenen Bericht.
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Geben Sie in der Gruppe Trennzeichendefinitionen Zeichen in das Feld Spalte ein.

    4. Diese Zeichen dienen als Trennzeichen zwischen Spalten bei Berichten im Spaltenformat oder im komprimierten Textformat. Der Standardwert ist ein Leerzeichen. Außer sämtlichen alphanumerischen Zeichen können die folgenden Sonderzeichen verwendet werden:

    \b
    Rückschritt
    \n
    Neue Zeile
    \t
    Tabulator
    \\
    umgekehrter Schrägstrich
    \<nnn>
    ASCII-Zeichen

  4. Geben Sie in das Feld Request die Zeichen ein, durch die Requests voneinander getrennt werden sollen. Die Standardzeichen sind Leerzeichen.
  5. Geben Sie in das Feld Spaltentitel die Zeichen ein, durch die der Spaltentitel (der Feldname) von den darunter stehenden Daten getrennt sein soll. Das Standardzeichen ist ein Bindestrich (-). Diese Einstellung gilt nur für Berichte im Spaltenformat.
  6. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

Festlegen, ob lange Felder umbrochen oder abgeschnitten werden sollen

Bei in Spalten formatierten Berichten (und nur dort) können Sie festlegen, wie Text, der nicht auf eine Zeile passt, angezeigt wird.

So legen Sie fest, ob lange Felder umbrochen oder abgeschnitten werden:

  1. Erstellen Sie einen neuen Bericht oder öffnen Sie einen vorhandenen Bericht (siehe So erstellen Sie einen neuen Bericht: bzw. So ändern Sie einen vorhandenen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf die Registerkarte Seite einrichten.
  3. Wählen Sie im Feld Langes Feldformat die Option Umbrechen oder die Option Abschneiden.
    • Umbrechen: Zeichen, die nicht auf eine Zeile passen, werden in die nächste Zeile derselben Spalte gesetzt.
    • Abschneiden: Zeichen, die nicht mehr in die für das Feld definierte Spalte passen, werden nicht angezeigt.

Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

Formatieren von Berichten

Sie können Ihre Berichte datensatzweise oder spaltenweise formatieren oder als komprimierten Text.

Datensatz

Im Datensatzformat wird jedes Feld des Requests in einer gesonderten Zeile angezeigt. Hinter jeder Feldbezeichnung ist der zugehörige Wert angegeben.

Sie können festlegen, wie die einzelnen Requests voneinander getrennt werden. Als Trennzeichen können eine oder mehrere Leerzeilen, eine Zeichenfolge oder ein Seitenumbruch dienen.

Spalten

Im Spaltenformat wird jede Feldbezeichnung als Spaltenkopf dargestellt und die Informationen zu jedem Request werden in separaten Zeilen angezeigt.

Sie können festlegen, ob Felder auf die nächste Zeile umbrochen werden sollen, indem Sie die entsprechende Option unter Langes Feldformat wählen:

  • Wenn Sie Umbrechen wählen, werden Zeichen, die nicht auf eine Zeile passen, in der nächste Zeile derselben Spalte gesetzt. Die Tabellenzeile eines Felds kann bei der Ausgabe also in mehreren Textzeilen angezeigt werden.
  • Wenn Sie Abschneiden wählen, werden Zeichen, die nicht in die für das Feld definierte Spalte passen, auch nicht angezeigt.

Komprimierter Text

Wenn Sie das komprimierte Textformat verwenden, haben Sie bessere Formatierungsmöglichkeiten für Berichte als im standardmäßigen CSV-Format, wenn Sie einen Bericht exportieren.

Der Bericht erscheint im komprimierten Format mit Kommata (bzw. Leerzeichen oder einem anderen festgelegten Zeichen) zwischen den Spalten. In vielen Desktop-Publishing-Anwendungen sind Dateien mit durch Kommata getrennten Werten (*.csv) als Eingabe zulässig. Weitere Informationen finden Sie unter So exportieren Sie einen Bericht in eine Datei:.

So legen Sie das Berichtsformat fest:

  1. Erstellen Sie einen neuen Bericht (siehe So erstellen Sie einen neuen Bericht:).
  2. Klicken Sie im Dialogfeld Eigenschaften auf Seite einrichten.
  3. Wählen Sie in der Gruppe Berichtsformat eines der folgenden Berichtsformate aus: Datensatz, Spalten oder Komprimierter Text. Weitere Informationen finden Sie unter So definieren Sie Titel, Kopfzeile und Fußzeile:.
  4. Wenn Sie die Berichtseigenschaften wie gewünscht definiert haben, klicken Sie auf OK.

Festlegen von Vorgabeeinstellungen für Berichtsformate

Sie können die Vorgabeeinstellungen für alle neuen Berichte im Dialogfeld Optionen festlegen. Siehe Berichtsoptionen.


Speichern von Berichten

Wenn Sie Berichte speichern, werden die Berichtsdateien unter dem Namen <Berichtsname>.arr in dem Ordner gespeichert, der im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad angegeben ist. Siehe Allgemeine Optionen.

So speichern Sie einen neuen Bericht:

  1. Erstellen Sie den Bericht. Weitere Informationen finden Sie unter So erstellen Sie einen neuen Bericht:.
  2. Schließen Sie das Dialogfeld Berichtseigenschaften.

    3. Der neue Bericht wird im Fenster Bericht im Bereich Formatvorschau angezeigt.

  3. Wählen Sie Bericht > Speichern unter aus.

    4. Das Dialogfeld Berichtsformat speichern unter wird angezeigt.

  4. Geben Sie den Namen des Berichts in das Feld Name ein.
  5. Wählen Sie im Feld Pfad den Ordner aus, in dem Sie den Bericht speichern möchten.

    6. Sie können nur aus den in der Liste aufgeführten Pfaden auswählen. Die angezeigten Pfade sind jene, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad aufgelistet sind (siehe Allgemeine Optionen).

  6. Geben Sie eine Beschreibung des Berichts in das Feld Kommentar ein.

    7. Diese Beschreibung wird in der Berichtsliste verwendet. Wenn Sie mit vielen Forms arbeiten, ist es nützlich, einen Bericht an der zugehörigen Form zu erkennen. Dies hilft Ihnen bei der Auswahl des richtigen Berichts für die Form.

  7. Klicken Sie auf OK.
  8. Wenn Sie weitere Änderungen an dem Bericht, den Sie speichern möchten, vornehmen, wählen Sie Bericht > Speichern.

So speichern Sie den Bericht unter einem neuen Namen:

  1. Markieren Sie im Fenster Bericht den Bericht, den Sie umbenennen möchten.
  2. Wählen Sie Bericht > Speichern unter aus.

    3. Das Dialogfeld Berichtsformat speichern unter wird angezeigt.

  3. Geben Sie den Namen des neuen Berichts in das Feld Name ein.
  4. Wählen Sie im Feld Pfad den Ordner aus, in dem Sie den Bericht speichern möchten.

    5. Sie können nur aus den in der Liste aufgeführten Pfaden auswählen. Die angezeigten Pfade sind jene, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad aufgelistet sind (siehe Allgemeine Optionen).

  5. Geben Sie eine Beschreibung des Berichts in das Feld Kommentar ein.

    6. Diese Beschreibung wird in der Berichtsliste verwendet. Wenn Sie mit vielen Forms arbeiten, ist es nützlich, einen Bericht an der zugehörigen Form zu erkennen.

  6. Klicken Sie auf OK.

    7. Der Bericht wird unter dem neuen Namen gespeichert. Der ursprüngliche Bericht bleibt weiterhin in der Liste und behält seinen Namen.


Anzeigen einer Berichtsvorschau vor dem Drucken

Sie können eine Vorschau eines Berichts im Fenster Berichtsvorschau oder einem Texteditor anzeigen.

So zeigen Sie eine Berichtsvorschau mit einem Texteditor an:

  1. Stellen Sie den Texteditor ein, den Sie für die Berichtsvorschau verwenden möchten. Weitere Informationen finden Sie unter So wählen Sie einen Texteditor für die Berichtsvorschau aus:.
  2. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  3. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  4. Wählen Sie Extras > Berichtserstellung aus.

    5. Das Fenster Bericht wird angezeigt. Es enthält eine Liste aller vorhandenen Berichte.

  5. Markieren Sie den gewünschten Bericht.
  6. Wählen Sie in der Menüleiste Bericht > Vorschau aus.

    7. Der in Schritt 1 ausgewählte Texteditor wird ausgeführt und zeigt den Bericht an.

  7. Wenn Sie den Bericht von diesem Fenster aus drucken möchten, wählen Sie Datei > Drucken.

So wählen Sie einen Texteditor für die Berichtsvorschau aus:

  1. Melden Sie sich bei Remedy User an.
  2. Wählen Sie Extras > Optionen aus.

    3. Das Dialogfeld Optionen wird angezeigt.

  3. Klicken Sie auf die Registerkarte Erweitert. Weitere Informationen finden Sie unter Erweiterte Optionen.
  4. Aktivieren Sie das Kontrollkästchen im Bereich Bericht.
  5. Geben Sie den Pfadnamen des Programms ein oder klicken Sie auf die Schaltfläche rechts neben diesem Feld, um nach einem Programm zu suchen.

So zeigen Sie ein Berichtvorschau im Fenster „Berichtvorschau“ an:

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie Extras > Berichtserstellung aus.

    4. Das Fenster Bericht wird angezeigt. Es enthält eine Liste aller vorhandenen Berichte im angegebenen Suchpfad.

  4. Markieren Sie den gewünschten Bericht.
  5. Wählen Sie in der Menüleiste Bericht > Vorschau aus.

    6. Der Bericht wird im Fenster Berichtsvorschau angezeigt.

  6. Wenn Sie den Bericht von diesem Fenster aus drucken möchten, wählen Sie in der Menüleiste Datei > Drucken.

    7. Der Bericht wird auf dem ausgewählten Drucker gedruckt.


Drucken eines Berichts

Sie können einen Bericht drucken, ohne ihn in der Vorschau anzuzeigen oder ihn zunächst anzeigen und anschließend vom Fenster Berichtsvorschau aus drucken.

So drucken Sie einen Bericht ohne Anzeige in der Vorschau:

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie Extras > Berichtserstellung aus.

    4. Das Fenster Bericht wird angezeigt. Es enthält eine Liste aller vorhandenen Berichte im angegebenen Suchpfad.

  4. Markieren Sie den gewünschten Bericht.
  5. Wählen Sie in der Menüleiste Bericht > Drucken aus.

    6. Das Dialogfeld Drucken wird angezeigt.

  6. Bestimmen Sie den Drucker, den Seitenbereich und die Anzahl der Exemplare.
  7. Klicken Sie auf OK.

    8. Der Bericht wird auf dem ausgewählten Drucker gedruckt.

So drucken Sie einen Bericht im Fenster „Berichtsvorschau“:

  1. Lassen Sie sich den Bericht im Fenster Berichtsvorschau anzeigen. Weitere Informationen finden Sie unter So zeigen Sie ein Berichtvorschau im Fenster „Berichtvorschau“ an:.
  2. Wählen Sie in der Menüleiste Datei > Drucken aus.

    3. Das Dialogfeld Drucken wird angezeigt.

  3. Bestimmen Sie den Drucker, den Seitenbereich und die Anzahl der Exemplare.
  4. Klicken Sie auf OK.


Für Berichte verwendete Forms

Bei der Berichtserstellung in AR System werden drei Berichtserstellungs-Forms verwendet: eine Report-Form, eine Report Type-Form und eine Report Selection-Form. Bei diesen Forms handelt es sich um automatisch erzeugte Forms, in denen Berichtsinformationen gespeichert und angezeigt werden können. Alle diese Forms befinden sich auf dem AR System-Server, der auf der Registerkarte Erweitert des Dialogfelds Optionen als Bericht-Server angegeben wurde. (Weitere Informationen finden Sie unter Erweiterte Optionen.) Wenn Sie einen Bericht auswählen, befindet er sich auf dem durch diese Einstellung festgelegten AR System-Server. Wenn Sie im Dialogfeld Optionen keinen Bericht-Server ausgewählt haben, wird davon ausgegangen, dass sich diese Berichtserstellungs-Forms auf dem gleichen AR System-Server befinden wie die Form, deren Daten im Bericht verwendet werden.

Report-Form

Die Report-Form ordnet Berichte bestimmten Forms zu und bietet einen Mechanismus, mit dem Administratoren die Berechtigung erteilen können, einen Bericht auszuführen. Die Berichtsdefinitionsdateien sind in der Report-Form als Anlagenfelder gespeichert.

Wenn Sie in Remedy User im Dialogfeld Optionen einen Bericht-Server ausgewählt haben, wird der Bericht auf diesem Server gespeichert. Da dieser Server-Name als zentrale Benutzereinstellung interpretiert wird, müssen Sie bei einem Einstellungs-Server angemeldet sein, um auf Berichte in dieser Form zuzugreifen.

Sowohl Administratoren als auch Benutzer können Einträge in Report-Forms anzeigen, eingeben und ändern.

Eingeben oder Ändern eines Eintrags in der Report-Form

Wenn Sie einen Berichtseintrag in der Report-Form hinzufügen oder ändern möchten, geben Sie die entsprechenden Informationen in die folgenden Felder ein:

  • Berichtsname: Geben Sie einen eindeutigen Namen für den Bericht ein.
  • Name des Berichtssatzes: Mit diesem Feld werden lokale Varianten eines Berichts festgelegt. Der Name des Berichtssatzes sollte für alle lokalen Varianten eines Berichts gleich sein. Beispiel: Wenn Sie über eine französische und deutsche Version eines Berichts mit dem Namen Mitarbeiterdaten verfügen, sollten Sie Namen wie Mitarbeiterdaten_Deutsch und Mitarbeiterdaten_Französisch verwenden. Die Kombination aus Name des Berichtssatzes und Gebietsschema muss eindeutig sein.
  • Gebietsschema: Geben Sie das Gebietsschema für den Bericht ein.
  • Report Type: Wählen Sie einen Berichtstyp aus, Crystal oder AR System.
  • Form-Name: Geben Sie die AR System-Form ein, der der Bericht zugeordnet ist.
  • Server: Geben Sie den Namen des -Servers ein, auf dem sich die Daten für den Bericht befinden.
  • Assignee-Gruppen (Nur Administratoren): Wählen Sie eine oder mehrere Gruppen mit der Berechtigung aus, diesen Bericht anzuzeigen und zu ändern.
  • Status: Wählen Sie eine Statuskategorie für diesen Bericht aus.
    • Aktiv: Der Bericht steht in der Report Selection-Form zur Auswahl bereit.
    • Inaktiv: Der Bericht steht nicht in der Report Selection-Form zur Auswahl bereit.
    • Anstehend: Der Bericht ist vorübergehend offline.
  • Berichtdefinitionsdatei: Fügen Sie die Definitiosdatei für diesen Bericht hinzu, entweder <Berichtsname>.arr für programmeigene Berichte oder <Berichtsname>.rpt für Crystal-Berichte.
  • Kurzbeschreibung: Geben Sie eine Kurzbeschreibung des Berichts ein.

Report Type-Form

Die Report Type-Form gibt an, wie die einzelnen Berichtsarten erstellt, bearbeitet und ausgeführt werden. Benutzer können die Einträge in dieser Form anzeigen, aber nur Administratoren können Einträge ändern. Obwohl die Einträge in Remedy User angezeigt und geändert werden können, werden die Einträge selbst nur im Web verwendet.

Report Selection-Form

Die Report Selection-Form wird vom Workflow verwendet, um die Benutzer zur Eingabe der Berichte aufzufordern, die sie ausführen möchten. Die Auswahl in dieser Form wird nur im Web verwendet.


Exportieren von Berichten

So exportieren Sie einen Bericht in eine Datei:

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie in der Menüleiste Extras > Berichtserstellung aus.

    4. Das Fenster Bericht wird angezeigt. Es enthält eine Liste aller vorhandenen Berichte im Ordner.

  4. Wählen Sie einen Bericht aus.
  5. Wählen Sie in der Menüleiste Bericht > Exportieren in > Datei aus.

    6. Das Dialogfeld Berichtsausgabe an Datei wird angezeigt.

  6. Wählen Sie im Feld Dateityp eines der folgenden Formate aus:
    • Berichtsdateien (*.rep): Dies ist der Standarddateityp. Der Bericht wird abhängig von der Einstellung Format als Datensatz-, Spalten- oder komprimierter Textbericht gespeichert. Weitere Informationen finden Sie unter So legen Sie das Berichtsformat fest:.
    • Durch Kommata getrennte Dateien (*.csv): Verwenden Sie diesen Dateityp, wenn die Daten des Berichts in anderen Anwendungen wie Kalkulationstabellen verwendet werden sollen. Wenn Sie die Berichtsdaten beispielsweise in einer Microsoft Excel-Tabelle verwenden möchten, exportieren Sie ihn in einer CSV-Datei, öffnen Sie Excel und importieren Sie die Daten in die Excel-Datei.
    • AR-Exportdateien (*.arx): Verwenden Sie diesen Dateityp, um Requests zu exportieren, die Sie in anderen AR System-Forms verwenden möchten. Dieser Dateityp ist mit Remedy Import kompatibel. Wenn Remedy Import installiert ist, können Sie die Daten aus der ARX-Datei in eine andere AR System-Form importieren.

      • Bei Requests, die Anlagen enthalten, werden die Anlagen in einem neuen Verzeichnis gespeichert, das beim Speichern des Berichts als ARX-Datei automatisch erstellt wird. Weitere Informationen finden Sie unter Exportieren von Berichten mit Anlagen in ARX-Dateien. Weitere Informationen zum Importieren von Berichten finden Sie in der Hilfe von Remedy Import.

    • ARXML-Dateien (.xml): Bei ARXML handelt es sich um einen XML-Standard von AR System, der vom World Wide Web Consortium (W3C) XForm-Standard abgeleitet wurde. ARXML wird durch Exportieren von Daten aus Remedy User erzeugt und enthält mehrere Elemente, die für die Verwendung in AR System erforderlich sind. Wenn Sie XML-Daten mit Remedy Import in eine AR System-Form importieren möchten, müssen die Daten die ARXML-Spezifikation einhalten. Daten, die als ARXML-Datei exportiert wurden, entsprechen dieser Spezifikation. Weitere Informationen zur ARXML-Spezifikation finden Sie im Handbuch Developing AR System Applications: Advanced.
    • ASCII-Dateien (.asc): Wenn Sie dieses Format verwenden möchten, wählen Sie Alle Dateien (*.*) und geben Sie dann den Berichtsnamen und die Erweiterung .asc manuell ein.

      • Wenn Sie einen ASCII-Bericht mit Remedy Import in eine AR System-Form importieren möchten, müssen für diesen Bericht bestimmte Spezifikationen eingehalten werden. Weitere Informationen finden Sie unter Erstellen einer ASCII-Datei.

  7. Geben Sie den Namen des Berichts (ohne Dateinamenerweiterung) in das Feld Dateiname ein. Bei ASCII-Dateien müssen Sie die Erweiterung .asc eingeben.
  8. Wählen Sie den Ordner aus, in dem Sie den Bericht speichern möchten.
  9. (Optional) Fügen Sie die Datei in eine vorhandene Datei ein oder überschreiben Sie die Datei:
    • Um den Bericht in eine vorhandene Datei einzufügen, wählen Sie eine Datei und aktivieren das Kontrollkästchen Anfügen.
    • Um eine vorhandene Datei zu überschreiben, wählen Sie eine Datei und deaktivieren das Kontrollkästchen Anfügen.
  10. Klicken Sie auf Speichern.

    11. Wenn Sie eine vorhandene Datei überschreiben, werden Sie in einem Dialogfeld zur Bestätigung aufgefordert.

  11. Klicken Sie auf Ja.

    12. Der Bericht wird in einer Datei des angegebenen Dateityps gespeichert.

Exportieren von Berichten mit Anlagen in ARX-Dateien

Wenn Sie einen Bericht mit Anlagen in eine ARX-Datei exportieren, wird ein zusätzliches Verzeichnis erstellt, das die Anlagedateien enthält. Das Verzeichnis erhält einen Namen, der aus dem Dateinamen und einem ganzzahligen Zeitstempel besteht, wie z. B. <Dateiname>_917732184.

Die ARX-Datei enthält Namen des neuen Verzeichnisses und der Anlagedateien. Bei doppelten Namen von Anlagen werden an die Dateinamen Suffixe angehängt, damit sie eindeutig sind.

Hinweis: Wenn die Daten von Remedy Import verwendet werden, sind die ARX-Datei und das Anlagenverzeichnis erforderlich und müssen sich im gleichen Verzeichnis befinden.

Erstellen einer ASCII-Datei

Wenn Sie einen Bericht im ASCII-Format exportieren und die betreffende Datei mit Remedy Import importieren möchten, müssen Sie bestimmte Einstellungen verwenden. Gehen Sie folgendermaßen vor, um eine ASCII-Datei für Remedy Import zu erstellen.

So erstellen Sie eine ASCII-Datei:

  1. Wählen Sie in der Menüleiste Extras > Berichtserstellung aus.
  2. Wählen Sie im Fenster Bericht einen Bericht aus.
  3. Klicken Sie mit der rechten Maustaste auf den Bericht und wählen Sie Eigenschaften, um das Dialogfeld Eigenschaften für den Bericht zu öffnen.
  4. Klicken Sie auf die Registerkarte Seite einrichten.
  5. Wählen Sie Komprimierter Text im Bereich Berichtsformat.
  6. Lassen Sie die folgenden Felder im Bereich Allgemein leer:
    • Titel
    • Kopfzeile
    • Fußzeile
  7. Wählen Sie im Feldmenü Spaltentitel pro den Eintrag Seite.
  8. Geben Sie die Trennzeichendefinitionen an:
    1. Legen Sie Spaltentitel auf Kein fest.
    2. Geben Sie in das Feld Spalte eine eindeutige Trennzeichenfolge ein, die in den Datensätzen nicht vorkommt, wie z. B. ein Semikolon (;). Merken Sie sich diese Trennzeichenfolge, da sie im Feld Feld-Trennzeichen des Dialogfelds Open Data File benötigt wird, wenn Sie die Datei mit Remedy Import importieren.
  9. Wählen Sie im Feldmenü Seitenumbruch pro den Eintrag Keine.
  10. Legen Sie ggf. weitere Optionen fest.
  11. Klicken Sie auf OK.
  12. Wählen Sie in der Menüleiste Bericht > Exportieren in > Datei aus.

    13. Das Dialogfeld Berichtsausgabe an Datei wird geöffnet.

  13. Geben Sie Dateiname und Verzeichnis an.
    1. Wählen Sie im Feld Dateityp den Eintrag Alle Dateien (*.*) aus.
    2. Weisen Sie der Datei im Feld Dateiname einen Namen mit der Erweiterung .asc zu.
    3. Wählen Sie im Feld Speichern in ein Zielverzeichnis aus.
  14. Klicken Sie auf Speichern.

Verwenden von DDE zum Exportieren eines Berichts an eine andere Windows-Anwendung

Sie können den Inhalt eines Berichts mit Hilfe von DDE (Dynamic Data Exchange, Dynamischer Datenaustausch) in eine andere Anwendung exportieren. Die Anwendung, in die Sie den Bericht exportieren möchten, muss bereits auf dem Rechner installiert sein.

Führen Sie zum Exportieren eines Berichts in eine Anwendung mit DDE folgende Schritte aus:

  • Im Dialogfeld Optionen auf der Registerkarte Berichte das Kontrollkästchen Bericht an Anwendungen zulassen aktivieren. Weitere Informationen finden Sie unter Exportieren von Berichten mit Anlagen in ARX-Dateien.
  • Die erforderlichen Informationen in der Datei dde.ini angeben. Weitere Informationen finden Sie unter Angeben der für DDE erforderlichen Einträge.
  • Den Bericht in eine andere Anwendung exportieren. Weitere Informationen finden Sie unter Exportieren eines Berichts direkt in eine Anwendung.

Einstellen der Option „Bericht an Anwendungen zulassen“

Durch die Option Bericht an Anwendungen zulassen können Sie Berichtsdaten in andere Anwendungen exportieren.

So lassen Sie das Exportieren von Berichtsdaten in andere Anwendungen zu:

  1. Wählen Sie Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Berichte.
  3. Aktivieren Sie das Kontrollkästchen Bericht an Anwendungen zulassen.

Angeben der für DDE erforderlichen Einträge

Um die für den dynamischen Datenaustausch (DDE) erforderlichen Einträge anzugeben, muss eine dde.ini-Datei in Ihrem AR System-Ausgangsordner vorhanden sein. Die Datei dde.ini ähnelt anderen *.ini-Dateien von Windows. Wenn keine Datei dde.ini in Ihrem AR System-Ausgangsordner vorhanden ist, müssen Sie eine solche erstellen.

Sie können die Datei dde.ini zur Verwendung mit mehreren Anwendungen einrichten.

In der Dokumentation zum DDE der betreffenden Applikation finden Sie Informationen zur Einrichtung der Datei dde.ini zur Verwendung mit dieser Anwendung. Weitere Informationen zu DDE und Action Request System finden Sie im Handbuch Developing AR System Applications: Advanced.

So geben Sie die für DDE erforderlichen Einträge an:

  1. Öffnen Sie die Datei dde.ini in einem Texteditor.
  2. Erstellen Sie die erforderlichen Einträge:

    3. Eintrag
    Beschreibung
    Application
    Gibt den Namen der Anwendung an. Verwenden Sie den Namen des DDE-Servers dieser Anwendung. Beispiel:
    Application = excel
    Command
    Geben Sie in den Command-Einträgen spezielle, für die Anwendung erforderliche Befehle ein. Sie können beliebig viele Befehle hinzufügen. Verwenden Sie dazu die Einträge Command1 bis Command n in der richtigen Reihenfolge.
    Da Berichte immer in eine temporäre Datei geschrieben werden, können Sie den Pfadnamen dieser temporären Datei in einer Command-Zeile angeben. Verwenden Sie dazu die Parameter %f und %N. Wenn Sie %f angeben, ersetzt AR System den Parameter mit dem vollständigen Pfadnamen der Datei, die den Bericht enthält. Wenn Sie %N angeben, ersetzt AR System den Parameter nur mit dem Namen der Datei, die den Bericht enthält. Weitere Informationen finden Sie in der DDE-Dokumentation der Anwendung. Beispiel:
    Command1=[NEW(1)][PASTE()][SAVE.AS(,0)]
    Format
    Legt das Spalten-Trennzeichen fest. Geben Sie Tab, CSV, Record oder CurrentFormat ein. Diese Auswahl hat Vorrang vor allen Spalten-Trennzeichen, die Sie in den Dialogfeldern Berichtseinstellungen, Seite einrichten oder Berichtsoptionen eingegeben haben. Beispiel:
    Format = Tab
    Beim Format Record wird der Bericht in Form von Datensätzen an die Anwendung gesendet. Alle Informationen für die Seiteneinrichtung werden zurückgesetzt. Sie können auch einen optionalen Parameter, CharsPerLine, angeben. Wenn CharsPerLine nicht angegeben wird, wird als Standardwert 80 verwendet.
    Bei CurrentFormat werden die aktuellen Einstellungen für Format und Seiteneinrichtung verwendet.
    Path
    Gibt den vollständigen Pfad der Anwendung auf Ihrem Computer an. Geben Sie in diesem Eintrag - gemeinsam mit dem Pfadnamen - alle erforderlichen Parameter an, denn dieser Wert wird zum Starten der Anwendung verwendet. Beispiel:
    Path = c:\excel\excel.exe
    Topic
    Zu jeder Anwendung gehört eine Reihe von DDE-Themen (topics). Beispiel:
    Topic = system
    Weitere Informationen finden Sie in der DDE-Dokumentation der Anwendung.
    XFRDATA
    Legt fest, wie die andere Anwendung den Bericht entgegennehmen muss. Tragen Sie Clipboard oder File ein. Beispiel:
    XFRDATA = Clipboard
    Weitere Informationen finden Sie in der DDE-Dokumentation der Anwendung.

Das folgende Beispiel zeigt eine dde.ini-Datei, die einen Bericht über die Zwischenablage an Microsoft Excel sendet. Außerdem enthält die Datei auf Word für Windows bezogene Einträge mit den Formateinträgen Record und CurrentFormat.

[excelrecord]

 Path=c:\excel\excel.exe

 Application=excel

 Topic=system

 Format=TAB

 XFRDATA=Clipboard

 Command1=[NEW(1)][PASTE()][SAVE.AS(,0)]

 [wordrecord]

 Path=c:\msoffice\winword\winword.exe

 Application=winword

 Topic=system

 Format=Record

 CharsPerLine=100

 XFRDATA=Clipboard

 Command1=[FileNew .Template="Normal", .NewTemplate = 0]

 Command2=[Editpaste]

 [wordcurrformat]

 Path=c:\msoffice\winword\winword.exe

 Application=winword

 Topic=system

 Format=CurrentFormat

 XFRDATA=Clipboard

 Command1=[FileNew .Template="Normal", .NewTemplate = 0]

 Command2=[Editpaste]

Exportieren eines Berichts direkt in eine Anwendung

Mit Hilfe von DDE (Dynamic Data Exchange, Dynamischer Datenaustausch) können Sie den Inhalt eines Berichts direkt von AR System in eine Anwendung exportieren, ohne eine CSV-Datei erstellen zu müssen. Weitere Informationen zur Verwendung von DDE finden Sie unter Verwenden von DDE zum Exportieren eines Berichts an eine andere Windows-Anwendung.

So exportieren Sie einen Bericht direkt in eine andere Anwendung:

  1. Vergewissern Sie sich, dass im Dialogfeld Optionen die Option Bericht an Anwendungen zulassen aktiviert ist. Weitere Informationen finden Sie unter Verwenden von DDE zum Exportieren eines Berichts an eine andere Windows-Anwendung.
  2. Vergewissern Sie sich, dass Sie die Einträge, die für DDE benötigt werden, in der Datei dde.ini enthalten sind. Weitere Informationen finden Sie unter Angeben der für DDE erforderlichen Einträge.
  3. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  4. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  5. Wählen Sie in der Menüleiste Extras > Berichtserstellung aus.

    6. Das Fenster Bericht wird für die Form angezeigt und enthält alle vorhandenen Berichte.

  6. Wählen Sie einen Bericht aus.
  7. Wählen Sie in der Menüleiste Bericht > Exportieren in > Anwendung aus.

    8. Das Dialogfeld Bericht an Anwendung wird angezeigt. Sie erhalten eine entsprechende Meldung, falls die Datei dde.ini nicht vorhanden ist.

  8. Wählen Sie den Namen der Anwendung aus, an die der Bericht gesendet werden soll.

    9. Der Name der Anwendung ist in diesem Fall der Name des betreffenden Abschnitts in der Datei dde.ini, nicht der Name des Programms selbst. Wenn Sie die Berichtsdaten beispielsweise in Microsoft Excel exportieren, heißt der Abschnitt in der Datei dde.ini möglicherweise [excelrecord]. Geben Sie dann diesen Namen ein, nicht excel.exe.

  9. Klicken Sie auf OK.

    10. Falls die andere Anwendung nicht bereits läuft, wird sie gestartet. Falls sie bereits geöffnet ist, wird sie aktiv und zeigt den Inhalt des Berichts an. Sie können den Bericht jetzt bearbeiten. Wenn der Name der Anwendung nicht in der Datei dde.ini definiert ist, erhalten Sie eine Meldung.

    Hinweis: Wenn Sie einen Bericht mit DDE an eine andere Anwendung senden, werden die Einstellungen für die Seiteneinrichtung und den Bericht ignoriert. Wenn Sie ein Spalten-Trennzeichen als Voreinstellung oder Option für den Bericht festgelegt haben, wird dieses ignoriert. Stattdessen wird der Wert im Eintrag Format in der Datei dde.ini verwendet.


Gemeinsames Verwenden eines Berichts

Es gibt zwei Möglichkeiten zum gemeinsamen Verwenden von Berichten:

  • Kopieren Sie die Berichtsdatei eines anderen Benutzers. Berichtsdateien werden als <Berichtsname>.arr in einem der Ordner gespeichert, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad angegeben sind (siehe Allgemeine Optionen). Sie können einen benutzerdefinierten Bericht in einen dieser Ordner kopieren.
  • Geben sie das Verzeichnis mit der Berichtsdatei, auf die Sie zugreifen möchten, im Suchpfad auf der Registerkarte Allgemein im Dialogfeld Optionen an. Der Ordner mit den gemeinsam verwendeten Berichten kann sich beispielsweise auf einem gemeinsam genutz ten Netzwerk-Computer befinden. Als Suchpfad ist normalerweise der Ordner C:\Programme\AR System\Home\Arcmds eingestellt.

    • Sie können Berichte gemeinsam mit Kollegen verwenden, die mit Remedy User auf unterschiedlichen Plattformen arbeiten. Unter Umständen müssen Sie jedoch die Seiteneinrichtung und Seitengröße anpassen, bevor Sie den Bericht drucken können.

So legen Sie den Suchpfad fest:

  1. Wählen Sie Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Allgemein.
  3. Wenn Sie den Suchpfad ändern möchten, geben Sie den gesamten Namen des Ordners ein, auf den Sie zugreifen möchten. Wenn Sie mehr als einen Ordner angeben möchten, trennen Sie die einzelnen Ordnernamen durch ein Semikolon. Sie können jeden Ordner angeben, auf den Sie Zugriff haben.

    4. Sie können auch auf die Schaltfläche Durchsuchen klicken und im Dialogfeld Suchpfad auswählen einen Ordner auswählen. Der Ordner wird dem Suchpfad automatisch hinzugefügt.

  4. Klicken Sie auf OK.

Weitere Informationen

Weitere Informationen finden Sie in den folgenden Abschnitten:

  • Allgemeine Optionen
  • Berichtsoptionen.
  • Berichte.


Verwenden von Crystal Reports in Remedy User

Falls Sie die Crystal Reports-Engine installiert haben, können Sie vordefinierte Berichte anzeigen, die aus Remedy User in Crystal Reports erstellt werden.

Im Fenster Bericht von Remedy User werden alle Berichte aus Ordnern angezeigt, die im Suchpfad (auf der Registerkarte Allgemein des Dialogfelds Optionen) enthalten sind. In der Spalte Typ wird angegeben, ob die Berichte AR System- oder Crystal-Berichte sind.

Die Verwaltung von in Crystal Reports erstellen Berichten gleicht der von Berichten, die mit dem Berichtswerkzeug von Remedy User erstellt wurden. Dazu gehören die Vorschau, das Drucken, das Exportieren in Dateien und das Löschen. Sie können einen Crystal-Bericht nicht in eine Anwendung exportieren.

Sie können in Crystal Reports erstellte Berichte nicht in Remedy User entwerfen oder ändern. Informieren Sie sich in Ihrer Dokumentation zu Crystal Reports über das Entwerfen und Ändern von Berichten.

Hinweis: In Crystal Reports können Sie festlegen, wie Datum/Uhrzeit-Zeichenfolgen behandelt werden sollen, wenn sie in Ihrem Bericht verwendet werden. Wenn Sie die Option Convert to Date auf der Registerkarte Reporting des Dialogfelds File Options auswählen, bestimmen Sie damit, dass Zeichenfolgen mit Datum und Uhrzeit aus AR System in Crystal Reports in Datumszeichenfolgen konvertiert werden. Wenn Sie diese Option auswählen, können Sie allerdings die Auswahlbedingung „is equal“ (auf der Registerkarte Select des Dialogfelds Create Report Expert in Crystal Reports) nicht verwenden. Das Datums-/Uhrzeitfeld von AR System kann nur mit den Optionen Convert to String oder Keep Date-Time Typearbeiten.

Wenn Sie Crystal Reports ausführen und in den Berichten Feldnamen oder Form-Namen vorhanden sind, die Sonderzeichen enthalten, müssen Sie die Sonderzeichen u. U. durch Unterstriche ersetzen. Aktivieren Sie dazu unter Extras > Optionen > Erweitert das Kontrollkästchen ODBC verwendet Unterstriche.

Wenn Sie Crystal Reports ausführen und eine ähnliche Fehlermeldung wie „Dieser Feldname ist unbekannt“ erhalten, weist dies normalerweise darauf hin, dass im Bericht Sonderzeichen verwendet werden. Sie können dann das Kontrollkästchen ODBC verwendet Unterstriche entsprechend ändern.

Vorschau von Berichten, die mit Crystal Reports erstellt wurden

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie Extras > Berichtserstellung aus. Das Fenster Bericht wird angezeigt und enthält alle vorhandenen Berichte. In der Spalte Typ wird der Typ des Berichts angegeben: AR System oder Crystal.
  4. Markieren Sie den Crystal-Bericht, den Sie anzeigen möchten.
  5. Wählen Sie in der Menüleiste Bericht > Vorschau aus.

    6. Es wird ein Fenster geöffnet, in dem der Bericht angezeigt wird.

    In diesem Fenster können Sie die Ansicht des Berichts vergrößern oder verkleinern, ihn drucken oder exportieren. Weitere Informationen zu diesen Vorgängen entnehmen Sie Ihrer Dokumentation zu Crystal Reports.

Drucken von Berichten, die in Crystal Reports erstellt wurden

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie Extras > Berichtserstellung aus.

    4. Das Fenster Bericht wird angezeigt und enthält alle vorhandenen Berichte. In der Spalte Typ wird der Typ des Berichts angegeben: AR System oder Crystal.

  4. Markieren Sie den Bericht, den Sie drucken möchten.
  5. Wählen Sie Bericht > Drucken aus.

    6. Der Bericht wird gedruckt.

Exportieren von Berichten, die in Crystal Reports erstellt wurden

  1. Öffnen Sie die Form, für die der Bericht erstellt wurde, im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Bestimmen Sie, welche Requests in den Bericht mit einbezogen werden sollen. Weitere Informationen finden Sie unter Auswählen von Requests zur Aufnahme in einen Bericht.
  3. Wählen Sie Extras > Berichtserstellung aus.

    4. Das Fenster Bericht wird angezeigt und enthält alle vorhandenen Berichte. In der Spalte Typ wird der Typ des Berichts angegeben: Crystal oder AR System.

  4. Markieren Sie den Bericht, den Sie exportieren möchten.
  5. Wählen Sie Bericht > Exportieren in > Datei aus.

    6. Das Dialogfeld Exportieren wird angezeigt.

  6. Wählen Sie das gewünschte Format und den Zielort.

    7. Welche Dialogfelder genau angezeigt werden, hängt vom gewählten Format und Zielort ab. Weitere Informationen über diese Optionen und die Werte, die Sie eingeben müssen, können Sie der Dokumentation zu Crystal Reports entnehmen.


Makros

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über Makros
  • Aufzeichnen eines Makros
  • Aufzeichnen eines Makros mit Variablen
  • Ausführen eines Makros
  • Abbrechen oder Löschen eines Makros
  • So löschen Sie ein Makro:
  • Umbenennen eines Makros
  • Gemeinsames Verwenden eines Makros


Überblick über Makros

Zum Automatisieren häufig ausgeführter Vorgänge können Sie Makros erstellen. Sie können Makros mit Menübefehlen aufzeichnen und ausführen, oder Sie können die Makroleiste einblenden, um deren Schaltflächen zu verwenden.

Weitere Informationen finden Sie unter So blenden Sie die Makroleiste ein oder aus:.

Es folgen einige Beispiele für automatisierte Vorgänge:

  • Ein Makro, mit dem eine Form im Modus Suchen geöffnet wird und Suchkriterien in die Felder der Form eingefügt werden. Sie können das Makro ausführen, der Suche weitere spezielle Suchkriterien hinzufügen und dann die Suche starten. Dieses Makro ist nützlich, wenn Sie viele Suchvorgänge mit ähnlichen Kriterien ausführen.
  • Ein Makro, mit dem eine Form im Modus Neu geöffnet wird und allgemeine Informationen in die Felder der Form eingefügt werden. Dieses Makro ist nützlich, wenn Sie viele Requests mit ähnlichen Informationen erstellen. Sie können dann zusätzliche Informationen hinzufügen, die speziell auf den aktuellen Request bezogen sind, und den Request speichern.
  • Ein Makro, mit dem andere Makros ausgeführt werden. Führen Sie während der Aufzeichnung eines neuen Makros ein bereits vorhandenes Makro aus. Sie können so sehr leistungsfähige Makros erstellen, mit denen eine Reihe komplexer Aufgaben bewältigt werden können.
  • Ein Makro, das einen Bericht erstellt. Dieses Makro ist von Nutzen, wenn Sie oft einen bestimmten Bericht ausführen.
  • Ein Makro, mit dem Suchvorgänge aufgezeichnet werden. Dabei kann es sich um gespeicherte, zuletzt durchgeführte oder vordefinierte Suchvorgänge handeln.

    • Hinweis: Einstellungen im Dialogfeld Optionen können nicht mit einem Makro aufgezeichnet werden.


Aufzeichnen eines Makros

Testen Sie vor dem Aufzeichnen eines Makros den Vorgang, den Sie aufzeichnen möchten, damit gewährleistet ist, dass bei der späteren Ausführung des Makros tatsächlich die gewünschten Ergebnisse erzielt werden.

So zeichnen Sie ein Makro auf:

  1. Wählen Sie in der Menüleiste Extras > Makro aufzeichnen aus.
  2. Führen Sie die Schritte aus, die als Makro aufgezeichnet werden sollen. Informationen zum Einfügen von Variableninformationen finden Sie unter Aufzeichnen eines Makros mit Variablen.

    3. Damit keine Standardwerte als Teil des Makros aufgezeichnet werden, wählen Sie bei der Aufzeichnung Bearbeiten > Alles löschen.

    Während der Aufzeichnung werden einige Vorgänge nicht wirklich durchgeführt, z. B. das Erstellen eines neuen Requests, das Ändern eines vorhandenen Requests, das Festlegen von Optionen und das Ändern von Fenstergröße oder -position. Für diese Vorgänge erhalten Sie die Meldung, dass kein Datenbankvorgang durchgeführt wurde.

    Ein Beispiel für die Aufzeichnung eines Makros für einer Suchabfrage finden Sie unter So zeichnen Sie ein Makro für eine Suchabfrage auf:.

  3. Wählen Sie in der Menüleiste Extras > Makro speichern aus.

    4. Das Dialogfeld Makro speichern wird angezeigt.

  4. Geben Sie in das Feld Makroname einen Namen aus maximal 80 Zeichen ein.
  5. Geben Sie im Feld Pfad den Pfad an, unter dem das Makro gespeichert werden soll.

    6. Die angezeigten Pfade sind jene, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad aufgelistet sind.

  6. Geben Sie im Feld Hilfetext eine Beschreibung des Makros ein.
  7. Wenn Sie weitere Schritte als Teil des Makros aufzeichnen und den Speichervorgang abbrechen möchten, klicken Sie auf Aufzeichnung fortsetzen Wenn Sie so weit sind, das Makro zu speichern, wiederholen Sie die Schritte 3 bis 6.
  8. Klicken Sie auf Speichern, um die Aufzeichnung zu beenden und das Makro zu speichern. Klicken Sie auf Abbrechen, um die Aufzeichnung zu beenden, ohne das Makro zu speichern.

    9. An den Makronamen wird das Suffix .arq angehängt.

So zeichnen Sie ein Makro für eine Suchabfrage auf:

  1. Melden Sie sich bei Remedy User an.
  2. Wählen Sie in der Menüleiste Extras > Makro aufzeichnen aus.
  3. Öffnen Sie die Form, für die Sie die Suchabfrage durchführen möchten, im Modus Suchen. Das folgende Beispiel verwendet eine Form mit dem Namen UserRecords.
  4. Wählen Sie in der Menüleiste Bearbeiten > Alles löschen aus.
  5. Geben Sie die Informationen in der Form ein, in der der Suchvorgang erfolgen soll. Das folgende Beispiel zeigt eine Suchabfrage, die alle Requests abruft, die von Demo eingegeben wurden und den Status Neu aufweisen.
  6. Klicken Sie auf Suchen.

    7. Die Suchergebnisse werden im Ergebnisbereich angezeigt.

  7. Wählen Sie in der Menüleiste Extras > Makro speichern aus.

    8. Das Dialogfeld Makro speichern wird geöffnet.

  8. Geben Sie im Feld Makroname einen Namen für das Makro ein.
  9. Wählen Sie den Pfad aus, in dem Sie das Makro speichern möchten.
  10. Geben Sie einen Hilfetext mit Informationen zu Funktionsweise des Makros ein (siehe folgendes Beispiel).
  11. Klicken Sie auf Speichern.

Aufzeichnen eines Makros mit Variablen

Sie können Makros aufzeichnen, bei denen Sie während der Ausführung Werte für Variablen in bestimmte Felder eingeben können. So können Sie beispielsweise ein Makro erstellen, das bestimmten Personen zugewiesene Requests mit kritischer Priorität sucht und anzeigt. Dabei können Sie jedes Mal, wenn Sie das Makro ausführen, eine andere Person angeben, die einen Request eingegeben hat.

Um ein Makro mit Variablen zu erstellen, zeichnen Sie die Suche wie in So zeichnen Sie ein Makro auf: beschrieben auf, geben aber für die variablen Angaben einen in Dollarzeichen ($) eingeschlossenen Aufforderungstext ein. Damit die Person, die einen Request eingegeben hat, bei jeder Ausführung des Makros neu angegeben werden kann, geben Sie den Aufforderungstext $User Name$ anstelle eines bestimmten Namens in das Feld Submitter ein.

Während der Aufzeichnung der Suche werden Sie zur Eingabe eines Beispielwerts für diese Variable aufgefordert.

Die Werte, die Sie dafür eingeben, werden bei der Aufzeichnung verwendet, aber nicht als Teil des Makros beibehalten.

Hinweis: Sie können keine Dollarzeichen ($) als Teil einer Variablen verwenden.

Bei Auswahlfeldern (Optionsfelder und Dropdown-Listen) müssen Sie die Leiste für erweiterte Suche verwenden, um Variablenwerte anzugeben. Weitere Informationen finden Sie unter Verwenden der Leiste für erweiterte Suche.


Ausführen eines Makros

Falls das Makro Variablen enthält, wird das Dialogfeld Makroparameter angezeigt, wenn Sie Variablen eingeben müssen. Geben Sie die erforderlichen Informationen ein und klicken Sie auf OK.

Die Ausführung des Makros wird fortgesetzt. Weitere Informationen finden Sie unter Aufzeichnen eines Makros mit Variablen.

So führen Sie ein Makro aus:

  1. Wählen Sie in der Menüleiste Extras > Makro ausführen aus.

    2. Das Dialogfeld Makro ausführen wird angezeigt. Wenn das von Ihnen gewünschte Makro nicht in der Liste angezeigt wird, müssen Sie ggf. den Suchpfad ändern. Es stehen nur Makros zur Verfügung, die in Verzeichnissen gespeichert wurden, die im Suchpfad auf der Registerkarte Allgemein des Dialogfelds Optionen enthalten sind.

  2. Wählen Sie das Makro aus.

    3. Der Pfad und der Hilfetext für das Makro werden angezeigt.

  3. Klicken Sie auf OK.

    4. Das Makro wird ausgeführt.


Abbrechen oder Löschen eines Makros

Sie können Ihre Einstellungen so festlegen, dass beim Löschen eines Makros eine Bestätigungsmeldung angezeigt wird. Weitere Informationen finden Sie unter Bestätigungsoptionen.

So brechen Sie ein Makro ab:

  1. Wählen Sie während der Makroaufzeichnung Extras > Aufzeichnung abbrechen.

    2. In einem Dialogfeld werden Sie um Bestätigung gebeten.

  2. Klicken Sie auf Ja.

    3. Die Aufzeichnung wird abgebrochen und das Makro wird nicht gespeichert.

So löschen Sie ein Makro:

  1. Wählen Sie Extras > Verwalten > Makros aus.

    2. Das Dialogfeld Makros verwalten wird angezeigt.

  2. Markieren Sie das Makro, das Sie löschen möchten.
  3. Klicken Sie auf Löschen.
  4. Falls Sie in einem Dialogfeld zur Bestätigung aufgefordert werden, klicken Sie auf Ja.

    5. Das Makro wird gelöscht.

  5. Klicken Sie auf Schließen.


Umbenennen eines Makros

Beim Umbenennen eines Makros wird das Makro nicht mit dem ursprünglichen Namen gespeichert.

So benennen Sie ein Makro um:

  1. Wählen Sie Extras > Verwalten > Makros aus.

    2. Das Dialogfeld Makros verwalten wird angezeigt.

  2. Markieren Sie das Makro, das umbenannt werden soll.
  3. Geben Sie in das Feld Neuer Name einen Namen aus maximal 80 Zeichen ein.
  4. Ändern oder ergänzen Sie den Hilfetext nach Bedarf.
  5. Klicken Sie auf Ändern.

    6. Der neue Name erscheint im Feld Makros.

  6. Klicken Sie auf Schließen.


Gemeinsames Verwenden eines Makros

Es gibt zwei Möglichkeiten zum gemeinsamen Verwenden von Makros:

  • Sie können das Makro eines anderen Benutzers kopieren. Makrodateien werden als <Makroname>.arq in einem der Ordner gespeichert, die im Dialogfeld Optionen auf der Registerkarte Allgemein unter Suchpfad angegeben sind.
  • Geben sie das Verzeichnis mit der Makrodatei, auf die Sie zugreifen möchten, im Suchpfad auf der Registerkarte Allgemein im Dialogfeld Optionen an (siehe Allgemeine Optionen). Als Suchpfad ist normalerweise der Ordner C:\Programme\AR System\Home\Arcmds eingestellt. Normalerweise ist es kein Problem, Makros gemeinsam mit Kollegen zu verwenden, die mit Remedy User auf verschiedenen Plattformen arbeiten. Es ist jedoch möglich, dass Makros, die gedruckte Berichte erzeugen, auf unterschiedlichen Plattformen nicht funktionieren.

So legen Sie den Suchpfad fest:

  1. Wählen Sie Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Allgemein.
  3. Wenn Sie den Suchpfad ändern möchten, geben Sie den gesamten Namen des Ordners ein, auf den Sie zugreifen möchten. Wenn Sie mehr als einen Ordner angeben möchten, trennen Sie die einzelnen Ordnernamen durch ein Semikolon. Sie können jeden Ordner angeben, auf den Sie Zugriff haben.

    4. Sie können auch auf die Schaltfläche Durchsuchen klicken und im Dialogfeld Suchpfad auswählen einen Ordner auswählen. Der Ordner wird dem Suchpfad automatisch hinzugefügt.

  4. Klicken Sie auf OK.


Anpassen von Remedy User

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Anpassen des Hauptfensters
  • Anpassen des Ergebnis- oder Detailbereichs
  • Anpassen einer Form
  • Definieren von Feldeigenschaften
  • Positionieren von Feldern
  • Arbeiten mit dem Raster
  • Ausfüllen von Feldern


Anpassen des Hauptfensters

So blenden Sie die Standard-Symbolleiste ein oder aus:

  • Wählen Sie in der Menüleiste Ansicht > Symbolleiste aus.

    • Ein Häkchen neben dem Menübefehl zeigt an, dass die Symbolleiste sichtbar ist.

Verschieben von Symbolleisten

Die folgenden Symbolleisten können beliebig auf dem Bildschirm verschoben werden:

  • Standard-Symbolleiste
  • Form-spezifische Symbolleisten
  • Makroleiste

Die Ausgabeleiste kann nicht verschoben werden. Sie können jedoch ihre Position an den oberen oder unteren Rand des Detailbereichs verlegen. Weitere Informationen finden Sie unter So blenden Sie die Standard-Symbolleiste ein oder aus:.

Die Symbolleiste Ansicht anpassen kann nicht verschoben werden.

So verschieben Sie eine Symbolleiste:

  1. Klicken Sie auf der Symbolleiste auf eine Stelle, an der sich keine Schaltfläche befindet, und ziehen Sie die Symbolleiste bei gedrückter Maustaste an die gewünschte Position auf dem Bildschirm.
  2. Wenn Sie die Symbolleiste verankern möchten, ziehen Sie sie an den Rand des Hauptfensters von Remedy User.
  3. Lassen Sie die Maustaste los.

So verschieben Sie eine Symbolleiste an den Rand des Bildschirms, ohne sie zu verankern:

  • Drücken Sie die Strg-Taste und führen Sie obige Schritte aus.

So setzen Sie die Symbolleisten auf ihre ursprüngliche Position zurück:

  • Doppelklicken Sie auf die Symbolleiste.

    • Daraufhin kehrt diese auf ihre ursprüngliche Position im Hauptfenster zurück.

So ändern Sie die Position der Ausgabeleiste:

  • Wählen Sie Ansicht > Ausgabeleiste > Oben oder Ansicht > Ausgabeleiste > Unten.

    • Die Position der Ausgabeleiste im Form-Fenster wird entsprechend geändert.

    Hinweis: Vergewissern Sie sich, dass Sie Ansicht > Ausgabeleiste > Sichtbar ausgewählt haben, damit das Häkchen angezeigt wird.

So blenden Sie die Ausgabeleiste ein oder aus:

  • Wählen Sie in der Menüleiste Ansicht > Ausgabeleiste > Sichtbar aus.

    • Das Kästchen links neben dem Menüeintrag zeigt an, ob die Leiste sichtbar ist. Wenn ein Häkchen angezeigt wird, ist die Ausgabeleiste sichtbar.

Zum Ausblenden der Ausgabeleiste klicken Sie mit der rechten Maustaste auf das Symbol der Ausgabeleiste und wählen Ausgabeleiste ausblenden.

So blenden Sie die Makroleiste ein oder aus:

  • Wählen Sie in der Menüleiste Ansicht > Makroleiste aus.

    • Ein Häkchen neben dem Menübefehl zeigt an, dass die Makroleiste sichtbar ist. Die Makroleiste wird neben der Standard-Symbolleiste angezeigt.

So blenden Sie die Leiste für erweiterte Suche ein oder aus:

  • Klicken Sie, wenn sich der Detailbereich im Suchmodus befindet, auf die Schaltfläche Erweitert im Banner des Detailbereichs, um die Leiste für erweiterte Suche ein- oder auszublenden.

So zeigen Sie die Leiste für erweiterte Suche an, wenn ein Fenster im Modus Suchen geöffnet wird:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Wählen Sie auf der Registerkarte Allgemein die Option Leiste für erweiterte Suche im Bereich Beim Öffnen.

    3. Hinweis: Wenn Sie Suchkriterien auf der Leiste für erweiterte Suche eingeben und die Leiste danach ausblenden, werden die Kriterien weiterhin für die Suche verwendet. Stellen Sie vor dem Ausblenden der Leiste für erweiterte Suche sicher, dass sie leer ist, wenn Sie die Suchkriterien nicht weiter verwenden möchten.

So blenden Sie die Statusleiste ein oder aus:

  • Wählen Sie in der Menüleiste Ansicht > Statusleiste aus.

    • Ein Häkchen neben dem Menübefehl zeigt an, dass die Statusleiste sichtbar ist.


Anpassen des Ergebnis- oder Detailbereichs

So blenden Sie den Ergebnis- oder Detailbereich ein oder aus:

  • Wählen Sie in der Menüleiste Ansicht > Ergebnisse oder Ansicht > Details aus.

    • Das Kästchen links neben dem Menüeintrag zeigt an, ob der Bereich sichtbar ist. Wenn kein Häkchen angezeigt wird, ist der Bereich nicht sichtbar. Mindestens ein Bereich ist aber immer sichtbar. Sie können nicht beide Bereiche ausblenden.

Ändern des Layouts für den Ergebnis- oder Detailbereich

Sie können das Standard-Layout des Ergebnis- oder Detailbereichs in einer Form im Menü Ansicht oder im Dialogfeld Optionen ändern.

So ändern Sie das Bereichs-Layout im Menü „Ansicht“:

  • Wählen Sie in der Menüleiste Ansicht > Bereichs-Layout und wählen Sie im Menü eine Position aus.

    • D kennzeichnet den Detailbereich.
    • E kennzeichnet den Ergebnisbereich.

    Die Bereiche können entweder am linken, rechten, oberen oder unteren Rand des Form-Fensters angezeigt werden. Das Häkchen zeigt die gewählte Position an.

So ändern Sie das Bereichs-Layout im Dialogfeld „Optionen“:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.
  2. Klicken Sie auf die Registerkarte Vorgehen.
  3. Klicken Sie auf eine Optionsschaltfläche, um die Position des Detailbereichs und des Ergebnisbereichs auszuwählen.
  4. Klicken Sie auf OK.

    5. Hinweis: Falls in einer Form keine Änderungen am Layout der Bereiche zulässig sind, sind diese Optionen nicht verfügbar.

Siehe auch Bereichs-Layout.

So ändern Sie die Größe des Ergebnis- oder Detailbereichs:

  1. Zeigen Sie mit dem Mauszeiger auf die Trennlinie zwischen Ergebnis- und Detailbereich.

    2. Der Zeiger nimmt die Gestalt eines Doppelpfeils an.

  2. Ziehen Sie mit gedrückter Maustaste, um die Größe des Bereichs zu ändern.
  3. Lassen Sie die Maustaste los, wenn die Bereiche die gewünschte Größe aufweisen.


Anpassen einer Form

Falls Sie die erforderlichen Berechtigungen haben, können Sie für jede Form eine benutzerdefinierte Ansicht erstellen. Sie können Feldeigenschaften wie Bezeichnung, Position, Größe und Anordnung ändern.

Die angepasste Ansicht wird im AR System-Ausgangsordner in einer Datei mit dem Namen <Form-Name>.arv gespeichert. Legen Sie immer Sicherungskopien von Ansichten an, die Sie erstellt haben.

Hinweis: Prüfen Sie vor dem Anpassen einer Form, ob es bereits eine Ansicht gibt, die sich für Ihre Zwecke eignet. Wählen Sie Ansicht > Ansicht anpassen und dann Layout > Ansicht > Form-Ansichten, um eine Liste der vorhandenen Ansichten anzuzeigen.

So öffnen Sie eine Form zum Anpassen:

  1. Wählen Sie Extras > Ansicht anpassen aus.

    2. Das Dialogfeld Ansicht anpassen wird geöffnet.

  2. Markieren Sie die Form, die Sie anpassen möchten. Wenn die gewünschte Form nicht angezeigt wird, suchen Sie danach. Weitere Informationen finden Sie unter So suchen Sie eine Form zum Anpassen:.
  3. Klicken Sie auf Öffnen.

    4. Wenn Sie nicht zum Anpassen der Form berechtigt sind, wird eine Meldung angezeigt.

    Wenn Sie zum Anpassen berechtigt sind, wird die Form im Fenster Ansicht anpassen geöffnet. Sie können mit dem Anpassen der Form beginnen. Siehe Anpassen einer Form.

    Im Fenster Ansicht anpassen sind normalerweise verborgene Felder sichtbar.

  4. Wenn Sie mit dem Anpassen der Form fertig sind, wählen Sie Aktionen > Speichern.

    5. Die neue Ansicht wird im Ausgangsordner mit dem Namen <Form-Name>.arv gespeichert. Die erste Zeile von angepassten Ansichten enthält #&USER. Vordefinierte Ansichten enthalten #&ADMIN.

    Hinweis: Sie können immer nur eine Form zum Anpassen öffnen.

So suchen Sie eine Form zum Anpassen:

  1. Wählen Sie Extras > Ansicht anpassen aus.

    2. Das Dialogfeld Ansicht anpassen wird geöffnet.

  2. Klicken Sie auf die Registerkarte Suche.
  3. Geben Sie im Feld Schlüsselwörter ein Wort oder einen Begriff ein, das bzw. der die gesuchte Form beschreibt.
  4. Klicken Sie auf Suchen.

    5. Die Form-Namen, die das von Ihnen eingegebene Wort oder den Begriff enthalten, werden aufgelistet. Sie werden in der Reihenfolge des Grades ihrer Übereinstimmung mit den Suchkriterien aufgeführt. Im Feld unterhalb der Form-Liste wird die Anzahl der übereinstimmenden Forms angegeben.

So wählen Sie eine Ansicht zum Anpassen aus:

  1. Öffnen Sie eine Form, deren Ansicht Sie anpassen möchten. Siehe So öffnen Sie eine Form zum Anpassen: oder So suchen Sie eine Form zum Anpassen:.
  2. Wählen Sie in der Menüleiste Layout > Ansicht > Form-Ansichten aus.

    3. Das Fenster Ansicht auswählen wird geöffnet und listet jede für diese Form erstellte Ansicht und das dazugehörige Gebietsschema auf. Es werden nur programmeigene Ansichten angezeigt.

  3. Wählen Sie die anzupassende Ansicht aus.

Wiederherstellen einer vorherigen Ansicht

Sie können eine vorherige Ansicht wiederherstellen, wenn Sie über eine Sicherungskopie der Ansicht verfügen oder die beim Anpassen einer Form vorgenommenen Änderungen noch nicht gespeichert haben.

Hinweis: Legen Sie immer Sicherungskopien von angepassten Ansichten an. Speichern Sie diese Sicherungskopien nicht in Ihrem AR System-Ausgangsordner.

Um eine Ansicht zu speichern, kopieren Sie die entsprechende Datei <Form-Name>.arv in Ihrem Ausgangsordner in eine andere Datei, damit die Datei nicht überschrieben wird. Kopieren Sie sie nicht in die Datei <Form-Name>.bak im Ausgangsordner, da dieser Dateiname von Remedy User verwendet wird.

So stellen Sie die ursprüngliche Ansicht einer Form wieder her:

Falls bei einer Form, die Sie angepasst haben, Probleme auftreten, können Sie die ursprüngliche Ansicht der Form wiederherstellen.

  • Suchen Sie im Ausgangsordner die angepasste Ansicht der Form, die als Datei mit dem Namen <Form-Name>.arv gespeichert ist, und löschen Sie sie.

So stellen Sie eine gespeicherte Ansicht wieder her:

  1. Suchen Sie die Sicherungskopie der Ansicht, die Sie erstellt haben (siehe "Wiederherstellen einer vorherigen Ansicht.").
  2. Kopieren Sie die Sicherungskopie der Ansicht in den Ausgangsordner. Verwenden Sie dabei das Format <Form-Name>.arv. Bestätigen Sie das Überschreiben der vorhandenen Datei im Ausgangsordner.
  3. Wählen Sie in der Menüleiste von Remedy User Datei > Öffnen > Ausgangsordner oder Datei > Öffnen > Objektliste, um die Form zu öffnen.

So stellen Sie eine Ansicht beim Anpassen einer Form wieder her:

  • Wählen Sie im Fenster Ansicht anpassen der Form in der Menüleiste die Option Layout > Ansicht > Zurücksetzen auf gespeicherte.

    • Die Form wird in der vorherigen Ansicht angezeigt.

    Wenn Sie die Änderungen bereits gespeichert haben, müssen Sie die Ansicht aus einer Sicherungskopie der vorherigen Ansicht wiederherstellen.


Definieren von Feldeigenschaften

Wenn Sie über die entsprechende Berechtigung verfügen, können Sie die Eigenschaften von Feldern in einer Form ändern, wenn die Form im Modus Ansicht anpassen geöffnet ist. Die von Ihnen vorgenommenen Änderungen wirken sich auf das Erscheinungsbild der Form in allen Form-Modi aus.

So ändern Sie die Feldbezeichnung:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie das Feld.

    3. Sie können die Feldeigenschaften in dem Bereich am unteren Rand der Form ändern. Die Eigenschaften, die Sie nicht ändern können, sind deaktiviert.

  3. Geben Sie in das Feld Bezeichnung einen Namen mit maximal 80 Zeichen ein.

    4. Sie können eine beliebige Kombination aus Zeichen und Leerzeichen verwenden. Beachten Sie beim Ändern der Feldbezeichnung generell die folgenden Punkte:

    • Geben Sie den Feldern aussagekräftige Namen.
    • Vermeiden Sie die mehrfache Vergabe von Namen. Sie verhindern dadurch Probleme beim Arbeiten mit der Leiste für erweiterte Suche und bei Berichtsdefinitionen.
    • Vermeiden Sie leere Feldbezeichnungen.
  4. Klicken Sie auf eine beliebige Stelle in der Form, damit die Änderungen wirksam werden.

So ändern Sie die Position der Feldbezeichnung:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie das Feld.

    3. Sie können die Feldeigenschaften in dem Bereich am unteren Rand der Form ändern. Die Eigenschaften, die Sie nicht ändern können, sind deaktiviert.

  3. Wählen Sie im Feld Position entweder Links oder Oben, um festzulegen, ob die Feldbezeichnung links neben oder über dem Feld angezeigt wird.
  4. Klicken Sie auf eine beliebige Stelle in der Form, damit die Änderungen wirksam werden.

So ändern Sie die Größe von Feldern:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie ein beliebiges Feld.
  3. Setzen Sie den Cursor auf einen der Ziehpunkte des Felds. Halten Sie die Maustaste gedrückt und ziehen Sie die Maus in die Richtung, in der die Größe des Felds geändert werden soll.

    4. Wenn eine Option zur Ausrichtung am Raster aktiviert ist, wird der Ziehpunkt, den Sie bewegen, automatisch am nächsten Rasterpunkt ausgerichtet.

    Hinweis: Durch diesen Vorgang können Sie die Größe von Feldern näherungsweise festlegen. Administratoren können die Größe einiger Felder durch Angabe der genauen Höhe und Breite exakter bestimmen.

So blenden Sie ein Feld ein oder aus:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.

    2. Alle Felder in der Form werden angezeigt, auch diejenigen, die als verborgen gekennzeichnet sind. Verborgene Felder werden im Fenster Ansicht anpassen mit abgeblendeten Bezeichnungen angezeigt.

  2. Wählen Sie das Feld, das Sie aus- oder einblenden möchten.

    3. Sie können die Feldeigenschaften in dem Bereich am unteren Rand der Form ändern. Die Eigenschaften, die Sie nicht ändern können, sind deaktiviert.

  3. Markieren Sie das Kontrollkästchen Feld ausblenden, um das Feld auszublenden. Deaktivieren Sie das Kontrollkästchen, um das Feld einzublenden.

    4. Verborgene Felder werden nicht gelöscht. Sie sind in der Form in allen Detailbereichs-Modi nicht sichtbar. Der für Ihre Form definierte Workflow kann Ihre Auswahl der Sichtbarkeit von Feldern außer Kraft setzen.

  4. Klicken Sie auf eine beliebige Stelle in der Form, damit die Änderungen wirksam werden.

    5. Hinweis: Blenden Sie keine erforderlichen Felder aus. Andernfalls können Sie möglicherweise keine neuen Requests erstellen oder keine Änderungen an bestehenden Requests vornehmen. Blenden Sie auch keine vom System verwalteten Felder aus.

So ändern Sie die Zeilenzahl für ein Feld:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie ein Feld.
  3. Geben Sie im Feld Zeilenzahl die Anzahl der zur Anzeige von Optionsschaltflächen oder von Textfeldern verwendeten Zeilen ein.
  4. Klicken Sie auf eine beliebige Stelle in der Form, damit die Änderungen wirksam werden.


Positionieren von Feldern

So verschieben Sie Felder:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie eine Ausrichtungsoption für das Raster, um die Felder am Raster auszurichten. Weitere Informationen finden Sie unter So richten Sie Felder am Raster aus:.
  3. Markieren Sie das Feld oder die Felder, die Sie verschieben möchten:
    • Um ein einzelnes Feld auszuwählen, klicken Sie darauf.
    • Um alle Felder in einem Bereich der Form auszuwählen, klicken Sie auf einen leeren Teil der Form und ziehen Sie mit der Maus. Ein Auswahlfeld wird geöffnet. Wenn alle Felder, die Sie markieren möchten, vom Auswahlfeld umschlossen sind, lassen Sie die Maustaste los.
    • Wenn Sie ein Feld zur Auswahlgruppe hinzufügen oder daraus entfernen möchten, klicken Sie mit der Maus auf das Feld und halten dabei die Umschalt-Taste gedrückt. Wenn Sie Ihre Auswahl getroffen haben, lassen Sie die Umschalt-Taste los.
    • Um mehrere einzelne Felder auszuwählen, drücken Sie die Umschalt-Taste und klicken auf die einzelnen Felder. Wenn Sie Ihre Auswahl getroffen haben, lassen Sie die Umschalt-Taste los.
    • Um alle Felder in der Form auszuwählen, wählen Sie Layout > Alles markieren.
    • Um eine einzelne Registerkarte auszuwählen, klicken Sie auf die Registerkarte. Um mehrere Registerkarten auszuwählen, klicken Sie direkt neben die Feldgrenze. Beachten Sie, dass das Verschieben von Feldern mit Registerkarten sich vom Verschieben anderer Felder unterscheidet. Weitere Informationen finden Sie unter So verschieben Sie Felder auf Registerkarten:.
  4. Ziehen Sie mit der Maus die Felder auf die gewünschte Position.
  5. Klicken Sie auf einen leeren Bereich der Form, um die Auswahl der Felder aufzuheben.

    6. Hinweis: Durch diesen Vorgang werden die Felder an eine ungefähre Position auf der Form verschoben. Sie können die genauen X- und Y-Koordinaten der Felder angeben. Weitere Informationen finden Sie im folgenden Abschnitt.

So ändern Sie die X- und Y-Koordinaten eines Felds:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie ein Feld.

    3. Sie können die Feldeigenschaften in dem Bereich am unteren Rand der Form ändern. Die Eigenschaften, die Sie nicht ändern können, sind deaktiviert.

  3. Geben Sie in den Feldern X und Y die X- und Y-Koordinaten für das Feld ein.

    4. Durch das Festlegen dieser Koordinaten können Sie ein Feld auf dem Bildschirm genau positionieren, damit das Navigieren durch die Form mit der Tabulatortaste richtig funktioniert. Standardmäßig springen Sie mit der Tabulatortaste von oben nach unten und von links nach rechts von Feld zu Feld. Damit Sie sich mit der Tabulatortaste richtig von links nach rechts durch die Felder einer Zeile bewegen können, müssen diese Felder die gleiche Y-Koordinate besitzen.

    Hinweis: Wenn der Administrator die Reihenfolge festgelegt hat, in der mit der Tabulatortaste von Feld zu Feld gesprungen wird, können Sie diese Reihenfolge nicht ändern.

  4. Klicken Sie auf eine beliebige Stelle in der Form, damit die Änderungen wirksam werden.

So verschieben Sie Felder auf Registerkarten:

Die Form kann ein Seitenfeld mit mehreren Registerkarten enthalten, die Felder enthalten. Führen Sie die folgenden Schritte aus, wenn Sie Felder von einer Registerkarte auf eine andere Registerkarte verschieben möchten.

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie eine Ausrichtungsoption für das Raster, um die Felder am Raster auszurichten. Weitere Informationen finden Sie unter So richten Sie Felder am Raster aus:.
  3. Klicken Sie auf die Registerkarte, aus der Sie das Feld verschieben möchten.
  4. Wählen Sie das Feld oder die Felder, die Sie verschieben möchten.
  5. Verschieben Sie das Feld in den Hintergrund der Form.
  6. Wählen Sie die Registerkarte, auf die Sie das Feld verschieben möchten.
  7. Markieren Sie das Feld erneut.
  8. Verschieben Sie das Feld auf die neue Registerkarte.
  9. Klicken Sie auf einen leeren Bereich der Form, um die Auswahl der Felder aufzuheben.

    10. Hinweis: Durch diesen Vorgang werden die Felder an eine ungefähre Position auf der Form verschoben. Sie können die genauen X- und Y-Koordinaten angeben. Weitere Informationen finden Sie unter So ändern Sie die Zeilenzahl für ein Feld:.

So ordnen Sie Felder übereinander liegend an:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie das Feld bzw. die Felder aus:
    • Um ein einzelnes Feld auszuwählen, klicken Sie darauf.
    • Um alle Felder in einem Bereich der Form auszuwählen, klicken Sie auf einen leeren Teil der Form und ziehen Sie mit der Maus. Ein Auswahlfeld wird geöffnet. Wenn alle Felder, die Sie markieren möchten, vom Auswahlfeld umschlossen sind, lassen Sie die Maustaste los.
    • Wenn Sie ein Feld zur Auswahlgruppe hinzufügen oder daraus entfernen möchten, klicken Sie mit der Maus auf das Feld und halten dabei die Umschalt-Taste gedrückt. Wenn Sie Ihre Auswahl getroffen haben, lassen Sie die Umschalt-Taste los.
    • Um mehrere einzelne Felder auszuwählen, drücken Sie die Umschalt-Taste und klicken auf die einzelnen Felder. Wenn Sie Ihre Auswahl getroffen haben, lassen Sie die Umschalt-Taste los.
    • Um alle Felder in der Form auszuwählen, wählen Sie Layout > Alles markieren.
    • Um eine einzelne Registerkarte auszuwählen, klicken Sie auf die Registerkarte. Um mehrere Registerkarten auszuwählen, klicken Sie direkt neben die Feldgrenze.
  3. Wenn Sie die ausgewählten Felder vor anderen Feldern in den Vordergrund stellen möchten, wählen Sie in der Menüleiste Layout > Nach vorne bringen.
  4. Um die ausgewählten Felder hinter andere Felder zu stellen, wählen Sie in der Menüleiste Layout > Nach hinten stellen.

    5. Hinweis: Einige Felder können nicht hinter andere gestellt werden. Dazu gehören Schaltflächen mit Grafiken, Grafiken, Bereiche mit Anlagen, Tabellen und Registerkarten. Vermeiden Sie das Übereinanderlegen solcher Felder.

So richten Sie Felder aus:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Markieren Sie die Felder, die Sie ausrichten möchten.

    3. Stellen Sie sicher, dass das zuletzt markierte Feld dasjenige ist, an dem Sie die anderen Felder ausrichten möchten. Das zuletzt markierte Feld ist durch einen dunklen Rahmen gekennzeichnet. Um dieses Feld zu ändern, drücken Sie die Strg-Taste und klicken auf das Feld, das Sie auswählen möchten.

  3. Wählen Sie Layout > Felder ausrichten > <Ausrichtungsoption> oder die entsprechende Schaltfläche auf der Symbolleiste:

    4. Symbolleisten-Symbol
    Menüauswahl
    Links richtet den linken Rand aller ausgewählten Felder, einschließlich der Feldbezeichnungen, am linken Rand des zuletzt ausgewählten Felds aus.
    Rechts richtet den rechten Rand aller ausgewählten Felder, einschließlich der dazugehörigen Feldsymbole, am rechten Rand des zuletzt ausgewählten Felds aus.
    Wert links richtet den linken Rand des Dateneingabebereichs aller ausgewählten Felder am linken Rand des Dateneingabebereichs des zuletzt ausgewählten Felds aus.
    Wert rechts richtet den rechten Rand des Dateneingabebereichs aller ausgewählten Felder am rechten Rand des Dateneingabebereichs des zuletzt ausgewählten Felds aus.
    Kein Symbolleisten-Symbol
    Zentriert richtet alle ausgewählten Felder und die dazugehörigen Feldbezeichnungen horizontal an der Mitte der zuletzt ausgewählten Felder aus.
    Oben richtet den oberen Rand aller ausgewählten Felder und der dazugehörigen Feldbezeichnungen am oberen Rand des zuletzt ausgewählten Felds aus.
    Unten richtet den unteren Rand aller ausgewählten Felder und der dazugehörigen Feldbezeichnungen am unteren Rand des zuletzt ausgewählten Felds aus.

So vergrößern oder verkleinern Sie die Abstände zwischen Feldern:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie Layout > Vergrößern aus.

    3. Das Dialogfeld Vergrößerungsrate wird geöffnet. Mit diesem Dialogfeld können Sie den Abstand zwischen allen Feldern in der Form im gleichen Maßstab vergrößern oder verkleinern.

  3. Verwenden Sie Prozentwerte zwischen 0 und 200 für Horizontale Erweiterung und Vertikale Erweiterung.

    4. Werte kleiner als 100 verkleinern den Abstand zwischen Feldern. Werte größer als 100 vergrößern den Abstand.

  4. Klicken Sie auf OK.

    5. Die Felder in der Form verändern sich entsprechend.


Arbeiten mit dem Raster

So blenden Sie das Raster ein oder aus:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie in der Menüleiste Layout > Raster anzeigen aus.

    3. Das Häkchen neben Raster anzeigen wird ein- bzw. ausgeblendet und zeigt auf diese Weise an, ob das Raster sichtbar ist. Wenn das Häkchen vorhanden ist, wird das Raster angezeigt.

So ändern Sie die Rastergröße:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie in der Menüleiste Layout > Rastergröße aus.

    3. Das Dialogfeld Rastergröße einstellen wird geöffnet.

  3. Geben Sie in die Felder Breite und Höhe einen Wert zwischen 2 und 100 in Pixel ein.
  4. Klicken Sie auf OK.

So richten Sie Felder am Raster aus:

  1. Öffnen Sie die Form, die Sie anpassen möchten. Weitere Informationen finden Sie unter So öffnen Sie eine Form zum Anpassen:.
  2. Wählen Sie in der Menüleiste Layout > Am Raster ausrichten > <Ausrichtungsoption>. Ein Häkchen kennzeichnet die zurzeit ausgewählte Ausrichtungsoption:
    • Keine deaktiviert alle möglicherweise eingestellten Ausrichtungsoptionen, sodass Sie Felder beliebig auf der Form verschieben können, ohne die Feldpositionen am Raster auszurichten.
    • Links richtet den linken Rand eines Felds, einschließlich der Feldbezeichnung, beim Verschieben am Raster aus.
    • Wert links richtet den linken Rand des Dateneingabebereichs eines Felds beim Verschieben am Raster aus.
    • Rechts richtet den rechten Rand eines Felds, einschließlich aller dazugehörigen Feldsymbole, beim Verschieben am Raster aus.
    • Wert rechts richtet den rechten Rand des Dateneingabebereichs eines Felds beim Verschieben am Raster aus.


Ausfüllen von Feldern

Standardfeldwerte

Sie können Zeit sparen, indem Sie Feldern Standardwerte zuweisen.

  • Wenn Sie viele ähnliche Requests erstellen müssen, können Sie den Feldern, die oft dieselben Daten enthalten, Standardwerte zuweisen. Wenn Sie einen neuen Request erstellen, brauchen Sie dann nur noch die restlichen Felder auszufüllen.
  • Wenn Sie viele ähnliche Suchen durchführen müssen, können Sie den Feldern, anhand derer Sie am häufigsten suchen, Standardkriterien zuweisen.

Sie können allen Feldern Standardwerte zuweisen (mit Ausnahme von Anlagefeldern), auf die Sie zugreifen können und für die keine speziellen Berechtigungen erforderlich sind. Von Ihnen zugewiesene benutzerdefinierte Standardwerte setzen in der Form definierte Standardwerte außer Kraft.

Falls für ein Feld, das leer sein soll, bereits Standardwerte festgelegt wurden, müssen Sie den Standardwert $NULL$ als Benutzer-Standardwert definieren. Sie können das Schlüsselwort $NULL$ in jedem Feld außer einem Auswahlfeld (Optionsschaltfläche oder Liste) verwenden.

Ihre Standardwerte werden im AR System-Ausgangsordner unter dem Dateinamen <Form-Name>.ard gespeichert.

Die Standardwerte aus dieser Datei werden bei Auswahl der Option Bearbeiten > Auf Standard zurücksetzen automatisch geladen. Wenn Sie für das Vorgehen in den Modi Neu und Suchen im Dialogfeld Optionen auf der Registerkarte Vorgehen die Option Felder auf Standardwerte einstellen aktiviert haben, werden die Standardwerte in die Felder geladen, sobald Sie eine Form im Modus Neu oder Suchen öffnen.

So definieren Sie Standardfeldwerte:

  1. Wählen Sie Extras > Feldstandardwerte anpassen aus.

    2. Das Dialogfeld Feldstandardwerte anpassen wird geöffnet.

  2. Markieren Sie die Form, der Sie Feldstandardwerte zuweisen möchten. Wenn die gewünschte Form nicht angezeigt wird, suchen Sie danach. Weitere Informationen finden Sie unter So suchen Sie eine Form zum Anpassen von Feldstandardwerten:.
  3. Klicken Sie auf OK.

    4. Die markierte Form wird im Fenster Feldstandardwerte anpassen angezeigt.

  4. Geben Sie neue Standardwerte in Felder ein oder ersetzen Sie vorhandene Werte.

    5. Falls für ein Feld, das leer sein soll, bereits Standardwerte festgelegt wurden, geben Sie den Standardwert $NULL$ als Benutzer-Standardwert an. Weitere Informationen finden Sie unter Verwenden von Schlüsselwörtern.

  5. Wählen Sie Aktionen > Speichern aus.
  6. Wählen Sie Datei > Schließen aus.

    7. Wenn als Vorgehen die Option zum Anzeigen von Feldstandardwerten eingestellt ist, werden beim nächsten Öffnen der Form im Modus Neu oder Suchen diese Werte angezeigt. Sie können auch in der Menüleiste Bearbeiten > Auf Standard zurücksetzen wählen. Die Werte werden dann angezeigt.

So suchen Sie eine Form zum Anpassen von Feldstandardwerten:

  1. Wählen Sie Extras > Feldstandardwerte anpassen aus.

    2. Das Dialogfeld Feldstandardwerte anpassen wird geöffnet.

  2. Klicken Sie auf die Registerkarte Suche.
  3. Geben Sie im Feld Schlüsselwörter ein Wort oder einen Begriff ein, das bzw. der die gesuchte Form beschreibt.
  4. Klicken Sie auf Suchen.

    5. Die Form-Namen, die das von Ihnen eingegebene Wort oder den Begriff enthalten, werden aufgelistet. Sie werden in der Reihenfolge des Grades ihrer Übereinstimmung mit den Suchkriterien aufgeführt. Im Feld unterhalb der Form-Liste wird die Anzahl der übereinstimmenden Forms angegeben.

Ändern von Tabellen

Sie haben die folgenden Möglichkeiten, die Informationen in Tabellenfeldern zu ändern:

  • Falls Sie die erforderlichen Berechtigungen haben, können Sie ein Feld in der Tabelle bearbeiten. Diese Änderungen können nicht gespeichert werden.
  • Sie können in einem Tabellenfeld auch die Quellen-Form öffnen und die Daten dort bearbeiten und speichern.

Sie können auch die Spaltenbreite ändern, wenn sich die Form im Modus Suchen oder Neu befindet, allerdings nicht, wenn Sie sich im Fenster Ansicht anpassen befinden.

Hinweis: Sie können nicht die Spaltenreihenfolge oder die Anzeigeeigenschaften einzelner Spalten ändern.

Weitere Informationen

  • Tabellenfelder
  • Anzeigen von Suchergebnissen.


Festlegen der Einstellungen in Remedy User

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Allgemeine Optionen
  • Vorgehensoptionen
  • Anzeigeoptionen
  • Optionen für die Farbeinstellung
  • Bestätigungsoptionen
  • Homepage-Optionen
  • Berichtsoptionen
  • Erweiterte Optionen
  • Protokollierungsoptionen
  • Optionen für das Gebietsschema
  • Dateioptionen
  • Festlegen zentralisierter Einstellungen


Allgemeine Optionen

Auf der Registerkarte Allgemein des Dialogfelds Optionen (Extras > Optionen) können Sie folgende Vorgabewerte einstellen:

Beim Starten

Im Bereich von Beim Starten können Sie folgende Optionen auswählen:

  • Wenn Sie Remedy User maximieren: wählen, füllt Remedy User beim Starten den Bildschirm aus.
  • Wenn die Option Zum Anmelden auffordern aktiviert ist, müssen Sie bei jedem Start von Remedy User Benutzername, Passwort und Einstellungs-Server eingeben.

    • Wenn diese Option nicht aktiviert ist, werden der von Ihnen eingegebene Benutzername und Einstellungs-Server sowie das eingegebene Passwort gespeichert und beim nächsten Start von Remedy User zur automatischen Anmeldung herangezogen, egal, ob Sie oder ein anderer Benutzer sich anmeldet. Sie werden jedoch unabhängig von dieser Einstellung in einer der folgenden Situationen zur Anmeldung aufgefordert:

    • Vom Administrator wurde festgelegt, dass Sie sich anmelden müssen.
    • Sie verwenden Remedy User auf dem Rechner eines anderen Benutzers. Weitere Informationen finden Sie unter Festlegen zentralisierter Einstellungen.
    • Im Dialogfeld Benutzer wurde kein Benutzerkonto mit einem Verzeichnispfad für den Ausgangsordner auf Ihrem lokalen Rechner angegeben. Weitere Informationen finden Sie unter So fügen Sie einen Benutzer hinzu: oder So ändern Sie einen ungültigen Ausgangsordner:.

      • Warnung: Wenn Zum Anmelden auffordern deaktiviert ist und Sie als letzter Benutzer angemeldet waren, werden andere Benutzer, die auf diesem Rechner auf Remedy User zugreifen, automatisch unter Ihrem Namen angemeldet. Um das zu verhindern, sollten Sie unbedingt Zum Anmelden auffordern aktivieren.

  • Flaches Aussehen bei Forms: Wenn diese Option gewählt ist, werden Felder ohne Schatten angezeigt, sodass die Felder in der Form „flach“ dargestellt werden.

Beim Beenden

Wenn Arbeitsbereich speichern aktiviert ist, wird der Arbeitsbereich beim nächsten Start von Remedy User genau so wieder geöffnet, wie Sie ihn geschlossen haben, d. h., dass auch die zuletzt geöffneten Fenster in der gleichen Größe und an der gleichen Stelle wieder angezeigt werden.

Beim Öffnen

Sie können folgende Optionen wählen:

  • Leiste für erweiterte Suche: Wenn Sie diese Option wählen, wird die Leiste für erweiterte Suche immer angezeigt, wenn Sie eine Form im Modus Suchen öffnen.
  • Fenster maximieren: Wenn Sie diese Option wählen, füllt eine Form beim Öffnen das Hauptfenster von Remedy User aus.

Suchpfad

Der Suchpfad bestimmt die Ordner, in denen Sie Zugriff auf die benutzerdefinierten Berichte und Makros haben. Als Pfad ist normalerweise der Ordner C:\Programme\AR System\Home\Arcmds eingestellt.

Wenn Sie den Suchpfad ändern möchten, geben Sie den gesamten Namen des Ordners ein, auf den Sie zugreifen möchten. Wenn Sie mehr als einen Ordner angeben möchten, trennen Sie die einzelnen Ordnernamen durch ein Semikolon. Sie können jeden Ordner angeben, auf den Sie Zugriff haben.

Sie können auf die Schaltfläche Durchsuchen klicken und im Dialogfeld Suchpfad auswählen einen Ordner auswählen. Der Ordner wird dem Suchpfad automatisch hinzugefügt.

Hinweis: Wenn Sie alle Ordner (einschließlich Home\Arcmds) aus dem Suchpfad löschen, können Sie auf keinerlei benutzerdefinierten Berichte und Makros zugreifen.

Anzahl der Einträge in der Liste zuletzt verwendeter Elemente

Die Anzahl zuletzt verwendeter Einträge beträgt standardmäßig fünf. Sie können vier bis neun Einträge festlegen. Diese Einstellung gilt für folgende Listen in der Menüleiste:

  • Datei > Zuletzt benutzte neue Forms > <Form-Name>: Listet die zuletzt im Modus Neu verwendeten Forms auf.
  • Datei > Zuletzt benutzte Such-Forms > <Form-Name>: Listet die zuletzt im Modus Suchen verwendeten Forms auf.
  • Datei > Zuletzt benutzte Requests > <Form-Name>: Listet die zuletzt verwendeten Elemente auf.
  • Aktionen > Zuletzt durchgeführte Suchvorgänge > <Name der Suche>: Listet die zuletzt durchgeführten Suchvorgänge auf.


Vorgehensoptionen

Auf der Registerkarte Vorgehen des Dialogfelds Optionen (Extras > Optionen) können Sie die Verhaltensweise der Forms für verschiedene Modi festlegen. Sie können auch das Anzeigeverhalten von Feldermenüs festlegen.

„Bei neuen Einträgen“ und „Bei Suchvorgängen“

  • Einstellen des Feld-Verhaltens in den Modi Neu und Suchen: Wenn Sie eine Form im Modus Neu oder Suchen öffnen, können Sie die folgenden Feld-Verhalten festlegen:
    • Alle Felder löschen löscht alle Informationen in den Form-Feldern, wenn die Form geöffnet wird. Sie können die entsprechenden Felder ausfüllen, um einen neuen Request zu erstellen oder Suchkriterien festzulegen. Dies ist die Voreinstellung für den Modus Suchen.
    • Vorherige Feldwerte behalten behält die Informationen bei, die beim letzten Mal, als anhand der Form ein neuer Request erstellt oder eine Suche durchgeführt wurde, eingegeben wurden. Sie können diese Daten ändern, um einen neuen Request oder neue Suchkriterien einzugeben. Beim ersten Öffnen einer Form im Modus Suchen ist die Form leer. Im Modus Neu werden Standardfeldwerte eingesetzt.
    • Felder auf Standardwerte einstellen füllt die Felder der Form mit allen Standardwerten, die für die Form definiert sind. Sie können diese Werte ändern, um einen neuen Request zu erstellen oder eine neue Suche durchzuführen. Wenn keine Standardwerte festgelegt wurden, bleiben die Felder leer. Weitere Informationen finden Sie unter Standardfeldwerte.

Bei Suchvorgängen

  • Einstellen eines Grenzwertes für die Anzahl der Suchergebnisse: Im Feld Zahl der Suchergebnisse begrenzen können Sie die maximale Anzahl von Requests angeben, die bei einer Suche zurückgegeben werden. Wenn bei einer Suche mehr als diese Anzahl an Übereinstimmungen gefunden wird, werden nur so viele Requests angezeigt, wie vorgegeben. Eine Meldung informiert Sie darüber, dass die übrigen übereinstimmenden Requests nicht angezeigt werden. Wenn Sie alle übereinstimmenden Ergebnisse anzeigen möchten, erhöhen Sie den Wert in diesem Feld und führen die Suche noch einmal durch. Wenn kein Grenzwert für die Anzahl der Requests festgelegt sein soll, deaktivieren Sie das Kontrollkästchen oder legen Sie den Wert auf Null fest, damit alle Requests für die betreffende Form zurückgegeben werden.

    • Der voreingestellte Wert für Zahl der Suchergebnisse begrenzen beträgt 1000. Der maximale Wert, den Sie eingeben können, ist 9999.

    Hinweis: Der Administrator hat möglicherweise bereits eine maximale Anzahl festgelegt. Diesen Grenzwert können Sie nicht überschreiten.

  • Einstellen des Anzeigeverhaltens für Suchergebnisse: Wenn Sie Nur Ergebnisliste anzeigen markieren, wird nach jeder Suche nur die Ergebnisliste angezeigt. Sie haben die Möglichkeit, nach der aktuellen Suche den Detailbereich, die Ergebnisliste oder beide anzuzeigen, indem Sie Details und/oder Ergebnis im Menü Ansicht wählen.

Feldmenüs

  • Einstellen des Anzeigeverhaltens für Feldermenüs: Sie können das Anzeigeverhalten der Feldermenüs festlegen:
    • Smart-Menüs zeigen Menüs in der üblichen Form von Popup-Menüs an, außer das Menü umfasst mehr als vier Ebenen oder die Gesamtzahl der Menüeinträge übersteigt 200. In diesen Fällen wird das Menü als Listenfeld angezeigt.

      • Wählen Sie Beim Starten erweitern, wenn alle Ebenen von Listenfeldermenüs beim Öffnen des Menüs angezeigt werden sollen.

    • Popup-Menüs sind die standardmäßige Anzeigeform. Hierarchische Menüs werden mit Pfeilen dargestellt, die anzeigen, dass Sie den Mauszeiger nach rechts bewegen müssen, um die Menüauswahl untergeordneter Ebenen anzuzeigen.

      • Selbst wenn Sie Popup-Menüs als Anzeigeverhalten festlegen, wird bei umfangreichen Menüs u. U. ein Listenfeld verwendet. Dies ist dann der Fall, wenn in einem Popup-Menü nicht alle Menüeinträge einwandfrei angezeigt werden (z. B. bei geringer Bildschirmauflösung).

    • Listenfelder zeigen Menüs in Strukturansichten an. Aktivieren Sie diese Option, um große Menüs anzeigen zu lassen.

      • Wählen Sie Beim Starten erweitern, wenn alle Ebenen von Listenfeldermenüs beim Öffnen des Menüs angezeigt werden sollen.

Journal-Felder

Einstellen der Reihenfolge in Journal-Feldern: Sie können festlegen, wie Journal-Einträge in Journal-Feldern sortiert werden. Wenn die zuletzt vorgenommenen Einträge zuerst angezeigt werden sollen, aktivieren Sie das Kontrollkästchen Zuletzt benutzte zuerst anzeigen.

Bereichs-Layout

Sie können eine Standardposition für den Ergebnis- und den Detailbereich festlegen, indem Sie eine der durch Symbole dargestellten Optionen auswählen. E kennzeichnet den Ergebnisbereich; D kennzeichnet den Detailbereich. Wenn Sie eine Auswahl vornehmen möchten, klicken Sie auf die Optionsschaltfläche des Symbols, das die gewünschten Positionen anzeigt. Weitere Informationen finden Sie unter Ändern des Layouts für den Ergebnis- oder Detailbereich.


Anzeigeoptionen

Auf der Registerkarte Anzeige des Dialogfelds Optionen (Extras > Optionen) können Sie Einstellungen vornehmen, welche die Schriftart, den Schriftschnitt und die Schriftgröße für Feldtypen in einer Form ändern. Für jeden Feldtyp gibt es eine Standardeinstellung, die Sie jederzeit wiederherstellen können.

Das Ändern der Schriftart kann die Größe der Form verändern. Die Form gleicht Änderungen an der Schriftart möglicherweise aus, um die Feldausrichtung beizubehalten und das Überlappen von Feldern zu verhindern. Falls Änderungen der Schriftart zu Problemen mit der Form-Größe führen, können Sie die Standardwerte wiederherstellen.

Hinweis: Als Standardeinstellung werden erforderliche Felder fett formatiert angezeigt, vom System erstellte Felder kursiv und optionale Felder in normaler Schrift. Wenn Sie die Einstellungen für die Anzeige ändern, wählen Sie Schriftarten, die eine Unterscheidung dieser Felder weiterhin ermöglichen.

So ändern Sie die Schriftattribute eines Felds:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Anzeige.
  3. Klicken Sie im Feld Feldtyp auf das Feld, dessen Attribute Sie ändern möchten.
  4. Wählen Sie die gewünschten Werte für Schriftart, Schriftschnitt und Schriftgrad.
  5. Klicken Sie auf OK.

    6. Alle Forms, die diesen Feldtyp enthalten, zeigen nun die von Ihnen ausgewählten Attribute an.

    Hinweis: Informationen zum Wiederherstellen der Standardeinstellungen für ein Feld finden Sie unter So setzen Sie ein Feld auf seine Standardanzeige zurück:.

So setzen Sie ein Feld auf seine Standardanzeige zurück:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Anzeige.
  3. Klicken Sie im Feld Feldtyp auf das Feld, dessen Attribute Sie auf die Standardeinstellungen zurücksetzen möchten.
  4. Klicken Sie auf Auf Standard zurücksetzen. Um für alle Felder wieder die Standardanzeige einzustellen, klicken Sie auf Alle auf Standard zurücksetzen.
  5. Klicken Sie auf OK.

    6. Alle Felder dieses Typs werden auf die Standardeinstellungen für Schriftart, Format und Größe zurückgesetzt.


Optionen für die Farbeinstellung

Auf der Registerkarte Farbe des Dialogfelds Optionen (Extras > Optionen) können Sie die Hintergrundfarbe der Forms ändern. Sie können für jeden Modus eine andere Farbe festlegen. Sie können die Standardfarben jederzeit wiederherstellen, indem Sie auf die Schaltfläche Alle auf Standard zurücksetzen klicken.

Hinweis: Falls die Farbe einer Form durch den Administrator festgelegt wurde, können Sie die Farbe nicht ändern.

Auf der Registerkarte Farbe wird nur die Hintergrundfarbe geändert. Die Farbe der Leiste für erweiterte Suche können Sie auf der Registerkarte Darstellung des Dialogfelds Eigenschaften von Anzeige ändern, das Sie über die Windows-Systemsteuerung aufrufen. Wählen Sie dazu Start > Einstellungen > Systemsteuerung.

So ändern Sie die Hintergrundfarben:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Farbe.
  3. Wählen Sie in der Menüliste Fenstertyp aus, für welchen Fenstertyp Sie die Hintergrundfarben ändern möchten.
  4. Klicken Sie auf die Optionsschaltfläche Farbe.
  5. Wählen Sie aus der Menüliste Farbe die gewünschte Farbe aus.

    6. Im Vorschaubereich wird ein Beispiel mit der gewählten Farbe angezeigt.

    Sie können wieder die Standardfarben herstellen, indem Sie auf die Schaltfläche Alle auf Standard zurücksetzen klicken.

  6. Klicken Sie auf OK.


Bestätigungsoptionen

Auf der Registerkarte Bestätigung des Dialogfelds Optionen (Extras > Optionen) können Sie festlegen, ob eine Meldung zum Bestätigen der Transaktion angezeigt wird, bevor die Änderung vorgenommen wird:

Sie können Sie die folgenden Bestätigungsoptionen festlegen:

  • Nach dem Erstellen eines neuen Request: Ist diese Option ausgewählt, wird eine Aufforderung zur Bestätigung angezeigt, wenn Sie einen neuen Request speichern. In der Meldung wird die Request-ID angezeigt.
  • Beim Löschen eines Makros: Bei dieser Option wird eine Meldung angezeigt, wenn Sie versuchen, ein Makro zu löschen. Sie müssen das Löschen des Makros bestätigen.
  • Beim Löschen eines Berichts: Bei dieser Option wird eine Meldung angezeigt, wenn Sie versuchen, einen Bericht zu löschen. Sie müssen das Löschen des Berichts bestätigen.
  • Beim Löschen einer gespeicherten Suche: Bei dieser Option wird eine Meldung angezeigt, wenn Sie versuchen, eine gespeicherte Suche zu löschen. Sie müssen das Löschen der gespeicherten Suche bestätigen.


Homepage-Optionen

Sie können eine Homepage festlegen, die beim Anmelden bei Remedy User automatisch geöffnet wird.

So legen Sie eine Homepage fest:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Homepage.
  3. Geben Sie den Namen des Servers ein, auf dem sich die Homepage-Form befindet.
  4. Geben Sie den Namen einer Form auf dem Server ein, die als Homepage verwendet werden soll.

    5. Sie müssen für diese Form über die richtigen Berechtigungen verfügen.

  5. Klicken Sie auf OK.

Sie können in den Einstellungen festlegen, ob die Option Objektliste, die das Dialogfeld Öffnen aufruft, angezeigt wird oder nicht.

So aktivieren bzw. deaktivieren Sie die Objektliste:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Homepage.
  3. Wählen Sie im Feld Objektliste eine Option aus.

    4. Sie haben folgende Optionen:

    • Aktivieren, Alle anzeigen: In der Objektliste werden alle Applikationen, Leitfäden und Forms auf den Servern angezeigt, bei denen Sie angemeldet sind.
    • Aktivieren, Nur Einstiegspunkte anzeigen: In der Objektliste werden nur die Einstiegspunkte und Applikationen angezeigt, für die Sie über die entsprechenden Berechtigungen verfügen.
    • Deaktivieren: Die Menüoption Datei > Öffnen > Objektliste wird im Menü deaktiviert. Ebenso wird die entsprechende Schaltfläche in der Symbolleiste deaktiviert. Ein Zugriff auf die Objektliste ist dann nicht möglich.
  4. Klicken Sie auf OK.


Berichtsoptionen

Auf der Registerkarte Berichte des Dialogfelds Optionen (Auswahl von Extras > Optionen in der Menüleiste) können Sie die Vorgabeeinstellungen für alle neuen Berichte festlegen. Alle neuen Berichte werden automatisch mit diesen Einstellungen erstellt. Wenn Sie diese Einstellungen für einzelne Berichte ändern möchten, verwenden Sie dazu die Registerkarte Seite einrichten des Dialogfelds Berichtseigenschaften. Siehe Definieren der Seiteneinrichtung für einen Bericht.

Folgende Vorgabewerte können eingestellt werden:

Standardpapiergröße

  • Ausrichtung: Die Vorgabeausrichtung ist Hochformat (Seite steht aufrecht). Sie können stattdessen Querformat einstellen (Seite liegt quer).
  • Zeilen pro Seite: Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden. Für gedruckte Berichte wird diese Angabe in der Druckereinrichtung festgelegt.
  • Zeichen pro Zeile: Sie können die maximale Zeichenzahl für eine Zeile festlegen und so bestimmen, ab welchem Punkt lange Zeilen auf die nächste Zeile umbrochen werden. Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden. Für gedruckte Berichte wird diese Angabe in der Druckereinrichtung festgelegt.
  • Standardseitengröße des Druckers: Mit dieser Option werden die Seiteneinstellungen auf die Standardseitengröße des verwendeten Druckers eingestellt. Einstellungen des Benutzers werden ignoriert.

Standardränder

  • Links und Rechts: Diese Rändereinstellungen geben die Anzahl von Leerzeichen am linken und rechten Rand der Seite an. In der Standardeinstellung sind die Ränder auf 0 Zeichen gesetzt.
  • Oben und Unten: Diese Rändereinstellungen geben die Anzahl von Leerzeilen am oberen und unteren Rand der Seite an. In der Standardeinstellung sind die Ränder auf 1 Zeile gesetzt.

Diverse Voreinstellungen

  • Seitenumbruch pro: Sie können festlegen, dass eine neue Seite angelegt wird pro Request oder pro Seite bzw. keine neue Seite angelegt wird.
  • Spaltentitel pro: Sie können festlegen, dass Spaltentitel wiederholt werden pro Request oder pro Seite bzw. keine Spaltentitel wiederholt werden.
  • Bericht an Anwendungen zulassen: Wenn diese Option ausgewählt ist, ist Bericht > Exportieren in > Anwendung aktiviert und Sie können mit Hilfe von DDE (Dynamic Data Exchange) einen Bericht direkt an eine andere Windows-Anwendung senden. Diese Option können Sie nur verwenden, wenn Sie die erforderlichen Angaben in der Datei dde.ini enthalten sind. Weitere Informationen finden Sie unter Verwenden von DDE zum Exportieren eines Berichts an eine andere Windows-Anwendung und Exportieren eines Berichts direkt in eine Anwendung. Weitere Informationen zu DDE finden Sie außerdem im Handbuch Developing AR System Applications: Advanced .

Standardtrennzeichen

  • Sie können Standardtrennzeichen für Spalten, Requests und Spaltentitel angeben. Spalten und Requests werden in der Standardeinstellung durch ein Leerzeichen getrennt. Spaltentitel werden durch Bindestriche (-) getrennt.

Sie können nicht die Tabulator-Taste verwenden, um Tabulatorsprünge zu erstellen. Verwenden Sie das Sonderzeichen für Tabulator (\t), wenn das Trennzeichen einen Tabulator enthalten soll. Jedes der folgenden Sonderzeichen kann verwendet werden:

\b
Rückschritt
\n
Neue Zeile
\t
Tabulator
\\
umgekehrter Schrägstrich
\<nnn>
ASCII-Zeichen


Erweiterte Optionen

Auf der Registerkarte Erweitert des Dialogfelds Optionen (Auswahl von Extras > Optionen in der Menüleiste) können Sie Optionen für Forms, Tabellenfelder und Berichte festlegen.

Folgende Vorgabewerte können eingestellt werden:

Forms

  • Standard-Form-Ansicht: Forms können verschiedene Layouts, sogenannte „Ansichten“, besitzen. Der Administrator kann verschiedene Ansichten erstellen, die für unterschiedliche Zwecke eingesetzt werden oder für verschiedene Plattformen und Bildschirmgrößen konzipiert sind.

    • Jede Form hat eine Standardansicht. Im Feld Standard-Form-Ansicht können Sie die Ansicht angeben, die als Standard für alle Forms verwendet wird. Erkundigen Sie sich bei Ihrem Administrator, welcher Name hier eingetragen werden sollte, oder lassen Sie das Feld leer. Wenn Sie einen ungültigen Ansichtsnamen eingeben, wird die voreingestellte Standardansicht verwendet.

    Hinweis: Sie können einzelne Forms Ihren Anforderungen anpassen. Weitere Informationen finden Sie unter Anpassen einer Form.

  • Geöffnete Fenster mit Erweiterung anzeigen: Forms, die von anderen Forms aus als Fenster geöffnet werden, können verschiedene Layouts, sogenannte „Ansichten“, besitzen. Der Administrator kann verschiedene Ansichten dieser Forms erstellen, die für unterschiedliche Zwecke eingesetzt werden oder für verschiedene Plattformen und Bildschirmgrößen konzipiert sind.

    • Jede Form hat eine Standardansicht. Im Feld Geöffnete Fenster mit Erweiterung anzeigen können Sie die Erweiterung angeben, die als Standard für alle Forms verwendet wird, die aus anderen Forms geöffnet wurden. Erkundigen Sie sich bei Ihrem Administrator, welcher Name hier eingetragen werden sollte, oder lassen Sie das Feld leer. Wenn Sie eine ungültige Erweiterung eingeben, wird die voreingestellte Standardansicht verwendet.

  • Verborgene Forms anzeigen (nur Administrator): Auf diese Option haben Sie nur Zugriff, wenn Sie als Administrator oder Subadministrator bei einem aktiven Server im Dialogfeld Konten angemeldet sind.

    • Wenn die Homepage für einen Administrator oder Subadministrator geöffnet ist, werden alle Forms angezeigt, gleichgültig, ob sie als verborgen oder als sichtbar gekennzeichnet sind. Wenn diese Option nicht aktiviert ist, stehen nur die als sichtbar gekennzeichneten Forms zur Verfügung.

Tabellenfelder

Tabellenfelder werden in Forms als Tabellen angezeigt. Darin werden bestimmte Daten aus einer Form angezeigt, die anhand von der Form definierter Kriterien ausgewählt werden.

Angezeigte Inhalte aktualisieren: Durch eine Form wird auch kontrolliert, wann Tabellen aktualisiert werden. Eine Form kann zum Beispiel festlegen, dass eine Tabelle immer dann aktualisiert wird, wenn ein Request im Detailbereich angezeigt wird. Sollte dies die Arbeitsgeschwindigkeit verlangsamen, können Sie die automatische Aktualisierung auch deaktivieren. Deaktivieren Sie dazu das Kontrollkästchen Angezeigte Inhalte aktualisieren. Klicken Sie zum manuellen Aktualisieren auf die Tabelle, wenn Sie diese auf Änderungen überprüfen wollen.

Berichte

Sie können für Berichte die folgenden Optionen festlegen:

  • Bericht-Server: Sie können auswählen, auf welchem Server Berichte gespeichert werden sollen, und über die Report-Form auf Berichte auf diesem Server zugreifen Sie müssen an einem Einstellungs-Server angemeldet sein, um über die Report-Form auf Berichte zuzugreifen. Weitere Informationen finden Sie unter Für Berichte verwendete Forms.
    • Im Feld Server geben Sie den Namen des Servers ein, auf dem sich die Report-Form befindet. Diese Eingabe ist erforderlich, wenn der Server, auf dem sich die Report-Form befindet, ein anderer Server ist als der Einstellungs-Server, an dem Sie angemeldet sind.
    • In den Feldern TCP und RPC geben Sie die TCP- und RPC-Nummern für diesen Server an.

      • Die TCP-Nummer ist die Port-Nummer des angegebenen AR System-Servers oder des privaten Servers.

      Die RPC-Nummer ist die Programmnummer des angegebenen AR System-Servers. Über diese Nummer können Sie eine Verbindung zu einem privaten Server herstellen.

  • Programm für die Vorschau von Berichten: Sie können ein Programm angeben, das anstelle des Fensters Berichtsvorschau zur Vorschau und zum Drucken von Berichten verwendet werden soll. Es wird ein einfacher Texteditor wie zum Beispiel WordPad empfohlen.
  • ODBC verwendet Unterstriche: Aktivieren Sie dieses Kontrollkästchen, wenn Sie Crystal Reports ausführen und in den Berichten Feldnamen oder Form-Namen vorhanden sind, die Sonderzeichen enthalten. Wenn Sie dieses Kontrollkästchen aktivieren, werden alle Sonderzeichen durch Unterstriche ersetzt.

    • Wenn Sie Crystal Reports ausführen und eine ähnliche Fehlermeldung wie „Dieser Feldname ist unbekannt“ erhalten, weist dies normalerweise darauf hin, dass im Bericht Sonderzeichen verwendet werden. Sie können dann das Kontrollkästchen ODBC verwendet Unterstriche entsprechend ändern.


Protokollierungsoptionen

Auf der Registerkarte Protokollierung des Dialogfelds Optionen (Extras > Optionen) können Sie Einstellungen für die Workflow-Protokollierung vornehmen.

Protokolldateien zeichnen Informationen über die internen Arbeitsprozesse von Remedy User auf. Diese Dateien werden, sofern kein anderer Pfad angegeben wurde, im Remedy User-Ordner gespeichert.

Hinweis: Verwenden Sie diese Funktion nur, wenn Sie vom Administrator die Aufforderung dazu erhalten.

So aktivieren Sie die Workflow-Protokollierung:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.

    2. Das Dialogfeld Optionen wird angezeigt.

  2. Klicken Sie auf die Registerkarte Protokollierung.
  3. Wählen Sie den auszuführenden Protokollierungstyp aus:
    • Wählen Sie im Bereich Client die Option Active Links oder Makro.
    • Wählen Sie im Bereich Server die Option API, Datenbank oder Filter.

      • Die Server-Protokollierung ist nur dann verfügbar, wenn sie vom Administrator aktiviert wurde.

  4. Geben Sie im Feld Protokolldateienpfad einen Pfadnamen und ein Verzeichnis ein, in dem die Protokolldatei gespeichert werden soll.

    5. Warnung: Wenn Sie die Workflow-Protokollierung aktivieren und aktiviert lassen, kann die entstehende Protokolldatei viel Festplattenspeicher belegen und die Leistung herabsetzen. Verwenden Sie diese Funktion nur für bestimmte Zwecke und deaktivieren Sie sie danach wieder.


Optionen für das Gebietsschema

Auf der Registerkarte Gebietsschema des Dialogfelds Optionen können Sie die Vorgabewerte für Gebietsschema-Einstellungen festlegen.

Sie können folgende Einstellungen ändern:

Gebietsschema

Gebietsschema anzeigen: Listet Gebietsschemas in folgendem Format auf: <Sprache>_<Ländercode> (z. B. en_US für US-Englisch). Ist dieses Feld leer, werden die Gebietsschema-Einstellungen von Windows verwendet. Sie können die Windows-Einstellungen außer Kraft setzen oder ein anderes Gebietsschema anzeigen, indem Sie ein Gebietsschema aus der Liste auswählen.

Stil für Datum/Uhrzeit

Stil für Datum/Uhrzeit legt fest, wie Datum und Uhrzeit angezeigt werden.

  • Lang: Das lange Format zeigt den Wochentag, das Datum und die Uhrzeit an.
  • Kurz: Das kurze Format zeigt nur Datum und Uhrzeit an, z. B. 2/17/01 12:00:00 AM (USA) oder 17.02.01 00:00 (Europa).
  • Benutzerdefiniertes Format: Zeigt eine Liste weiterer zur Auswahl stehender Formate für Datum und Uhrzeit an.

Uhrzeit

Zeitzone: Gibt die für das ausgewählte Gebietsschema verwendet Zeitzone an. Wenn Sie eine andere Zeitzone verwenden möchten, wählen Sie eine neue Zeitzone aus der Liste aus. Diese Einstellung gilt für Werte in Datum/Uhrzeit-Feldern, aber nicht für Werte in Uhrzeit-Feldern.

Weitere Informationen zu Datum/Uhrzeit-Feldern finden Sie unter Datum- und Uhrzeit-Felder.

Währung

Anfangstyp: Gibt die Währung an, die in einem Währungsfeld angezeigt wird, wenn Sie eine Form im Modus Neu öffnen.


Dateioptionen

Auf der Registerkarte Datei des Dialogfelds Optionen (Auswahl von Extras > Optionen in der Menüleiste) können Sie die Bedingungen angeben, bei denen Einstellungsdateien auf einen Einstellungs-Server herauf- bzw. von einem Einstellungs-Server heruntergeladen werden. Die Felder auf dieser Registerkarte sind deaktiviert, wenn Sie nicht bei einem Einstellungs-Server angemeldet sind.

In der AR System User Central File-Form sind die Benutzerdateien für die folgenden Dateitypen gespeichert:

  • Makros (.arq)
  • AR-Berichte (.arr)
  • Crystal-Berichte (.rpt)
  • Suchen, wie z. B. gespeicherte oder zuletzt benutzte Suchen (.srh)
  • Dateien mit Benutzerdaten, wie z. B. der persönlichen Auswahl (.dat)
  • Benutzerdefinierte Feldstandardwerte (.ard)

Für das Herunterladen sind die folgenden Optionen verfügbar:

  • Bei Anmeldung: Wenn Sie sich anmelden, werden automatisch alle Dateien des ausgewählten Dateityps vom Einstellungs-Server in Ihren AR System-Ausgangsordner heruntergeladen.
  • Bei Bedarf: Die Datei wird vom Einstellungs-Server in Ihren Ausgangsordner nur dann heruntergeladen, wenn darauf zugegriffen wird.
  • Manuell: Die Dateien werden mit Extras > Verwalten > Dateien > Herunterladen in der Menüleiste heruntergeladen.

Für das Hochladen sind die folgenden Optionen verfügbar:

  • Bei erneuter Anmeldung oder beim Beenden: Alle Dateien des ausgewählten Typs werden nach der nächsten Anmeldung bzw. beim Beenden von AR System automatisch auf den Einstellungs-Server hochgeladen.
  • Sofort speichern: Alle Dateien des ausgewählten Typs werden auf den Einstellungs-Server hochgeladen, wenn sie geändert oder gespeichert werden.
  • Manell: Die ausgewählten Dateien werden mit Extras > Verwalten > Dateien > Hochladen manuell hochgeladen.

Weitere Informationen finden Sie unter Hochladen und Herunterladen von Einstellungsdateien.


Festlegen zentralisierter Einstellungen

AR System bietet eine Methode, mit der Sie auf anderen Computern, auf denen AR System installiert ist, auf Ihre Benutzereinstellungen zugreifen können. Wenn Ihr Administrator bei der Installation einen AR System-Server als Einstellungs-Server angegeben hat, werden die Einstellungen, die Sie im Dialogfeld Optionen (Extras > Optionen) konfiguriert haben, auch in einer User Preferences-Form auf diesem Server gespeichert. So können Sie von Computern anderer Benutzer aus auf Ihre Einstellungen zugreifen. Wenn Sie beispielsweise ein anderes Büro aufsuchen, können Sie auf Ihre Einstellungen zugreifen, indem Sie eine Verbindung mit dem festgelegten Einstellungs-Server herstellen.

Einstellungs-Server und Einstellungs-Forms

Ein Einstellungs-Server ist ein Server, auf dem Einstellungen der Benutzer und Administratoren gespeichert sind. Wenn der Administrator während der Installation von AR System einen Einstellungs-Server angegeben hat, stellt dieser Server drei Einstellungs-Forms zur Verfügung, in denen die Voreinstellungen gespeichert sind. Über diese Forms sind Ihre Einstellungen von beliebigen Computern aus, auf denen AR System installiert ist, erreichbar. Eine dieser Forms (Remedy Administrator Preference) wird von Administratoren verwendet. Die beiden anderen Forms (AR System User Preference und AR System User Central File) werden zum Speichern Ihrer Voreinstellungen verwendet.

In die AR System User Preference-Form werden die Daten der Einstellungen eingetragen, die Sie im Dialogfeld Optionen angegeben haben (Extras > Optionen). Wenn Sie sich bei einem Einstellungs-Server anmelden, sind diese Einstellungen von jedem Computer aus zugänglich, auf dem AR System installiert ist und Einstellungs-Server angegeben sind.

In der AR System User Central File-Form sind die Benutzerdateien für die folgenden Dateitypen gespeichert:

  • Makros (.arq)
  • AR-Berichte (.arr)
  • Crystal-Berichte (.rpt)
  • Suchen, wie z. B. gespeicherte oder zuletzt benutzte Suchen (.srh)
  • Dateien mit Benutzerdaten, wie z. B. der persönlichen Auswahl (.dat)
  • Benutzerdefinierte Feldstandardwerte (.ard)

Sie können diese Dateien zwischen Ihrem lokalen Rechner und dem Einstellungs-Server hoch- und herunterladen. Weitere Informationen finden Sie unter Hochladen und Herunterladen von Einstellungsdateien.

Lokale und zentralisierte Einstellungen

Die Einstellungen, die Sie im Dialogfeld Optionen festlegen, werden lokal in der Datei ar.ini gespeichert (falls Sie nicht an einem Einstellungs-Server angemeldet sind) oder zentral auf dem Einstellungs-Server (falls Sie an einem Einstellungs-Server angemeldet sind). Wenn Sie sich bei einem Einstellungs-Server anmelden, werden diese Einstellungen in die User Preferences-Form eingetragen, sodass ein zentralisierter Zugriff auf Ihre Einstellungen möglich ist.

Falls Sie sich nicht an einem Einstellungs-Server anmelden möchten, wählen Sie im Feld Einstellungs-Server bei der Anmeldung (keine).

Hochladen und Herunterladen von Einstellungsdateien

Wenn Ihr Administrator einen Einstellungs-Server festgelegt hat, werden die Dateien, die Ihre Einstellungen für Makros, gespeicherte und zuletzt durchgeführte Suchvorgänge, Berichte, benutzerdefinierte Vorgaben und persönliche Auswahlen in der AR System User Central Files-Form gespeichert. Wenn Sie bei einem Einstellungs-Server angemeldet sind, können Sie diese Dateien zwischen der Central Files-Form und Ihrem lokalen Rechner hoch- und herunterladen.

So legen Sie die Optionen für das Hoch- und Herunterladen von Einstellungsdateien fest:

  1. Wählen Sie in der Menüleiste Extras > Optionen aus.
  2. Klicken Sie auf die Registerkarte Dateien. (Die Felder auf dieser Registerkarte sind deaktiviert, wenn Sie nicht bei einem Einstellungs-Server angemeldet sind.)
  3. Wählen Sie die Optionen für das Herunterladen aus.
    • Bei Anmeldung: Wenn Sie sich anmelden, werden automatisch alle Dateien des ausgewählten Dateityps vom Einstellungs-Server in Ihren AR System-Ausgangsordner heruntergeladen.
    • Bei Bedarf: Die Datei wird vom Einstellungs-Server in Ihren Ausgangsordner nur dann heruntergeladen, wenn darauf zugegriffen wird.
    • Manuell: Die Dateien werden mit Extras > Verwalten > Dateien > Herunterladen manuell heruntergeladen.
  4. Wählen Sie die Optionen für das Hochladen aus.
    • Bei erneuter Anmeldung oder beim Beenden: Alle Dateien des ausgewählten Typs werden nach der nächsten Anmeldung bzw. beim Beenden von AR System automatisch auf den Einstellungs-Server hochgeladen.
    • Sofort speichern: Alle Dateien des ausgewählten Typs werden auf den Einstellungs-Server hochgeladen, wenn sie geändert oder gespeichert werden.
    • Manuell: Die ausgewählten Dateien werden mit Extras > Verwalten > Dateien > Hochladen manuell hochgeladen.
  5. Klicken Sie auf OK.

Siehe auch Dateioptionen.

So laden Sie eine Datei von Ihrem lokalen Rechner manuell auf den Einstellungs-Server hoch:

  1. Wählen Sie in der Menüleiste Extras > Verwalten > Dateien > Hochladen aus.

    2. Das Dialogfeld Dateien auf Einstellungs-Server hochladen wird angezeigt.

    Das Dialogfeld enthält zwei Listen: eine für Dateien, die auf dem lokalen Rechner gespeichert sind, die andere für Dateien, die auf dem Einstellungs-Server gespeichert sind. Sie können bestimmte Dateien auswählen, die hochgeladen werden sollen, oder alle Dateien in der Liste Dateien auf lokalem Datenträger hochladen.

  2. Führen Sie einen der beiden folgenden Schritte durch.
    • So laden Sie ausgewählte Dateien hoch:
    1. Klicken Sie in der Liste Dateien auf lokalem Datenträger auf das Pluszeichen (+) neben dem Dateityp, um die Namen der Dateien anzuzeigen, die Sie hochladen wollen. Wählen Sie dann die Dateien aus, die hochgeladen werden sollen.
    2. Klicken Sie auf Hinzufügen.

      3. Die ausgewählten Dateien werden zu der Liste Dateien auf Einstellungs-Server hinzugefügt.

      • So laden Sie alle Dateien hoch:
        • Klicken Sie auf Alle hinzufügen.

          • Alle Dateien in der Liste Dateien auf lokalem Datenträger werden zu der Liste Dateien auf Einstellungs-Server hinzugefügt.

          Hinweis: Wenn Sie Dateien entfernen müssen, die Sie zum Hochladen ausgewählt haben, markieren Sie die Dateien und klicken auf Entfernen oder auf Alle entfernen.

  3. Klicken Sie auf Transfer.

    4. Während die Dateien hochgeladen werden, wird der Transferstatus angezeigt. Wenn Sie das Hochladen beenden möchten, klicken Sie auf Abbrechen, bevor der Transfer abgeschlossen wurde.

  4. (Optional) Um eine Liste der hochgeladenen Dateien und Details zum Hochladen anzuzeigen, klicken Sie auf Details anzeigen. Daraufhin wird eine Liste der hochgeladenen Dateien mit ihren vollständigen Verzeichnispfaden angezeigt.
  5. Klicken Sie auf Fertig, um das Dialogfeld Hochladen zu schließen.

So laden Sie eine Datei vom Einstellungs-Server manuell auf Ihren lokalen Rechner herunter:

  1. Wählen Sie Extras > Verwalten > Dateien > Herunterladen.

    2. Das Dialogfeld Dateien auf lokalen Datenträger herunterladen wird angezeigt. Es enthält zwei Listen: eine für Dateien, die auf dem Einstellungs-Server gespeichert sind, die andere für Dateien, die auf dem lokalen Rechner gespeichert sind. Sie können bestimmte Dateien auswählen, die heruntergeladen werden sollen, oder alle Dateien in der Liste Dateien auf Einstellungs-Server herunterladen.

  2. Führen Sie einen der beiden folgenden Schritte durch.
    • So laden Sie ausgewählte Dateien herunter:
    1. Klicken Sie in der Liste Dateien auf Einstellungs-Server auf das Pluszeichen (+) neben dem Dateityp, um die Namen der Dateien anzuzeigen, die Sie herunterladen wollen. Wählen Sie dann die Dateien aus, die heruntergeladen werden sollen.
    2. Klicken Sie auf Hinzufügen.

      3. Die ausgewählten Dateien werden zu der Liste Dateien auf lokalem Datenträger hinzugefügt.

      • So laden Sie alle Dateien herunter:
        • Klicken Sie auf Alle hinzufügen.

          • Alle Dateien in der Liste Dateien auf Einstellungs-Server werden zu der Liste Dateien auf lokalem Datenträger hinzugefügt.

          Hinweis: Wenn Sie Dateien entfernen müssen, die Sie zum Herunterladen ausgewählt haben, markieren Sie die Dateien und klicken auf Entfernen oder auf Alle entfernen.

  3. Klicken Sie auf Transfer.

    4. Während die Dateien heruntergeladen werden, wird der Transferstatus angezeigt. Wenn Sie das Herunterladen beenden möchten, klicken Sie auf Abbrechen, bevor der Transfer abgeschlossen wurde.

  4. (Optional) Um eine Liste der heruntergeladenen Dateien und Details zum Herunterladen anzuzeigen, klicken Sie auf Details anzeigen. Daraufhin wird eine Liste der heruntergeladenen Dateien mit ihren vollständigen Verzeichnispfaden angezeigt.
  5. Klicken Sie auf Fertig, um das Dialogfeld Herunterladen zu schließen.

So löschen Sie eine Datei auf dem Einstellungs-Server oder auf Ihrem lokalen Rechner:

  1. Wählen Sie in der Menüleiste Extras > Verwalten > Dateien > Löschen aus.

    2. Das Dialogfeld Dateien löschen wird angezeigt. Es enthält zwei Listen mit Dateitypen: eine für Dateien, die auf dem Einstellungs-Server gespeichert sind, die andere für Dateien, die auf dem lokalen Rechner gespeichert sind. Unter jeder Liste wird eine Schaltfläche Löschen angezeigt.

  2. Klicken Sie in einer der beiden Listen auf das Pluszeichen (+) neben dem Dateityp, um die Namen der Dateien anzuzeigen, die Sie löschen wollen. Wählen Sie dann die Dateien aus, die gelöscht werden sollen.

    3. Hinweis: Wenn Sie den Dateityp markieren (z. B. Makros), werden die unter dem Typ aufgeführten Dateien nicht gelöscht. Es werden nur die jeweils markierten Dateien gelöscht.

  3. Klicken Sie auf Löschen.
  4. Beantworten Sie die Bestätigungsfrage mit Ja, um das Löschen zu bestätigen, oder mit Nein, um den Löschvorgang abzubrechen.
  5. Klicken Sie im Dialogfeld Dateien löschen auf Schließen.


Senden von Forms, Requests und Suchabfragen via E-Mail

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Senden von Forms via E-Mail
  • Senden von Requests via E-Mail
  • Senden von Suchabfragen via E-Mail


Senden von Forms via E-Mail

Die E-Mail enthält einen Verweis auf die Form als Anlage zu dieser Nachricht. Standardmäßig ist der Dateityp der Anlage eine AR System-Task (*.ARTask) und der Dateiname lautet <Form-Name>.ARTask.

Der Empfänger kann die Form öffnen, indem er in der E-Mail auf den Verweis doppelklickt.

Hinweis: Damit der E-Mail-Empfänger eine Form öffnen kann, muss auf seinem Computer AR System Version 4.0 (oder höher) installiert sein. Der Rechner des Empfängers muss auf den Server zugreifen können, auf dem sich die Form befindet.

So senden Sie Forms via E-Mail:

  1. Öffnen Sie eine Form. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Wählen Sie in der Menüleiste Datei > Senden > Form > E-Mail-Empfänger aus.

    3. Falls Ihr E-Mail-System den Sendekonventionen von Microsoft entspricht, wird die Form als Anlage einer Nachricht in Ihrem E-Mail-System angezeigt.

  3. Geben Sie die E-Mail-Adresse des Empfängers und andere erforderliche Informationen ein.
  4. Schicken Sie die Nachricht ab.


Senden von Requests via E-Mail

Die E-Mail enthält einen Verweis auf den Request als Anlage zu dieser Nachricht. Standardmäßig ist der Dateityp der Anlage eine AR System-Task (*.ARTask) und der Dateiname lautet <Form-Name> #<Request-ID>.ARTask.

Der Empfänger kann den Request öffnen, indem er in der E-Mail auf den Verweis doppelklickt.

Hinweis: Damit der E-Mail-Empfänger einen Request öffnen kann, muss auf seinem Computer AR System Version 4.0 (oder höher) installiert sein. Der Rechner des Empfängers muss auf den Server zugreifen können, auf dem sich die Form befindet.

So senden Sie Requests via E-Mail:

  1. Suchen Sie nach einem Request und markieren Sie ihn. Weitere Informationen finden Sie unter Suchen nach Requests.
  2. Wählen Sie in der Menüleiste Datei > Senden > Request > E-Mail-Empfänger aus.

    3. Falls Ihr E-Mail-System den Sendekonventionen von Microsoft entspricht, wird der Request als Anlage einer Nachricht in Ihrem E-Mail-System angezeigt.

  3. Geben Sie die E-Mail-Adresse des Empfängers und andere erforderliche Informationen ein.
  4. Schicken Sie die Nachricht ab.


Senden von Suchabfragen via E-Mail

Die E-Mail enthält einen Verweis auf die Suchabfrage als Anlage zur Nachricht. Standardmäßig ist der Dateityp der Anlage eine AR System-Task (*.ARTask) und der Dateiname lautet Search <Form-Name> .ARTask. Der Empfänger kann die Suchabfrage öffnen, indem er in der E-Mail auf den Verweis doppelklickt.

Hinweis: Damit der E-Mail-Empfänger eine Suchabfrage öffnen kann, muss auf seinem Computer AR System Version 4.0 (oder höher) installiert sein. Der Rechner des Empfängers muss auf den Server zugreifen können, auf dem sich die Form befindet.

So senden Sie Suchabfragen via E-Mail:

  1. Öffnen Sie eine Form im Modus Suchen. Weitere Informationen finden Sie unter Öffnen einer Form.
  2. Führen Sie eine Suche durch. Weitere Informationen finden Sie unter Suchen nach Requests.
  3. Wählen Sie in der Menüleiste Datei > Senden > Suchabfrage > E-Mail-Empfänger aus.

    4. Falls Ihr E-Mail-System den Sendekonventionen von Microsoft entspricht, wird der Request als Anlage einer Nachricht in Ihrem E-Mail-System angezeigt.

  4. Geben Sie die E-Mail-Adresse des Empfängers und alle weiteren benötigten Informationen ein.
  5. Schicken Sie die Nachricht ab.


Warnmeldungen

In diesem Abschnitt werden die folgenden Themen behandelt:

  • Überblick über Warnmeldungen
  • Empfangen und Anzeigen von Warnmeldungen


Überblick über Warnmeldungen

Warnmeldungen werden generiert, wenn bestimmte Bedingungen erfüllt sind, z. B. wenn ein Request eingegeben wurde oder wenn die Verarbeitung eines Requests fortschreitet. Warnmeldungen können von einem AR System-Server oder von einem separaten Programm wie Remedy Flashboards kommen.

Remedy Alert ist ein separater Client, der umgehend ein Signal ausgibt, wenn eine Warnmeldung eingeht. Dieses Signal kann ein akustisches Signal, ein blinkendes Symbol in der Task-Leiste oder ein Dialogfeld sein, das automatisch geöffnet wird. Das verwendete Signal hängt von der Konfiguration von Remedy Alert ab. Wenn Sie eine Warnmeldung erhalten haben, können Sie eine Liste von Warnmeldungen in Remedy User öffnen und den Quell-Request anzeigen, der die Warnmeldung verursacht hat.

Sie können in Remedy User auch Warnmeldungen erstellen, ändern, anzeigen und danach suchen, unabhängig davon, ob Remedy Alert installiert ist.

Weitere Informationen über Remedy Alert finden Sie in der Online-Hilfe von Remedy Alert.


Empfangen und Anzeigen von Warnmeldungen

Wenn Remedy Alert installiert ist, werden Sie beim Empfang von Warnmeldungen darüber informiert. Zeigen Sie andernfalls die Warnmeldungen in Remedy User an, um festzustellen, ob neue Warnmeldungen empfangen wurden.

So zeigen Sie Warnmeldungen an:

  1. Wählen Sie in der Menüleiste von Remedy User Extras > Warnmeldungen anzeigen aus.

    2. Daraufhin wird die Liste der Warnmeldungen angezeigt, in der die Warnmeldungen aller angeschlossenen Server aufgeführt sind.

  2. Die Liste enthält für jeden Alarm die folgenden Informationen:
    • Erstellungsdatum: Datum der Erstellung der Warnmeldung.
    • Lesestatus: In der ersten Spalte (mit der Überschrift R) wird ein „x“ angezeigt, wenn die Warnmeldung gelesen wurde.
    • Priorität: Eine Zahl, die in der Spalte P die Priorität der Warnmeldung anzeigt.
    • Quelle: Die Quelle, von der die Warnmeldung stammt. AR bedeutet eine Warnmeldung von AR System; FB bedeutet eine Warnmeldung von Remedy Flashboards. Ein Sternchen hinter AR (AR*) in der Spalte S bedeutet, dass eine Warnmeldung aufgrund der Erstellung eines AR System-Quelleintrags in einer Join-Form erzeugt wurde.
    • Meldung: Eine der Warnmeldung zugeordnete Meldung.
    • Request: Die ID-Nummer des Requests, von dem die Warnmeldung generiert wurde.
    • Form: Der Name der Form, in dem der Quell-Request gespeichert ist.
    • Server: Der Name des Servers, auf dem die Warnmeldung gespeichert ist.

    Informationen zum Anzeigen der Details einer Warnmeldung finden Sie unter "So zeigen Sie die Details einer Warnmeldung an:."

So zeigen Sie die Details einer Warnmeldung an:

  • Doppelklicken Sie auf die Warnmeldung, oder klicken Sie mit der rechten Maustaste auf die Warnmeldung und wählen Sie Details aus dem Kontextmenü aus.
    • Wenn es sich bei der Warnmeldung um eine AR System-Warnmeldung handelt (AR), wird der Request, von dem die Warnmeldung generiert wurde, im Modus Ändern geöffnet.
    • Wenn es sich bei der Warnmeldung um eine Remedy Flashboards-Warnmeldung handelt (FB), wird das Remedy Flashboards User-Tool gestartet und die Flashboards angezeigt, in denen die Warnmeldung ausgelöst wurde.

      • Hinweis: Wenn eine Warnmeldung von einer unbekannten Quelle stammt, ist die Menüauswahl Details deaktiviert.

So markieren Sie eine Warnmeldung als gelesen oder nicht gelesen:

  1. Wählen Sie im Fenster Liste der Warnmeldungen eine Warnmeldung aus.
  2. Wählen Sie in der Liste der Warnmeldungen im Menü Warnmeldungen die Option Als gelesen markieren bzw. Als nicht gelesen markieren aus. Sie können auch mit der rechten Maustaste auf eine Warnmeldung klicken und den entsprechenden Eintrag aus dem Kontextmenü auswählen.

    3. In der ersten Spalte der Liste der Warnmeldungen wird ein „x“ angezeigt, wenn die Warnmeldung als gelesen markiert ist.

So löschen Sie eine Warnmeldung:

  1. Wählen Sie im Fenster Liste der Warnmeldungen eine Warnmeldung aus.
  2. Wählen Sie in der Liste der Warnmeldungen im Menü Warnmeldungen die Option Löschen aus, oder klicken Sie mit der rechten Maustaste auf die Warnmeldung und wählen Sie Löschen aus dem Kontextmenü aus.
  3. Klicken Sie im Bestätigungsdialogfeld auf OK, um das Löschen zu bestätigen.

    4. Die Warnmeldung wird gelöscht.


Glossar

Action Request

Siehe Request.

Action Request System (AR System)

Anpassbare Client-/Server-Software als Grundlage zur Erstellung von Applikationen, die eine breite Palette von geschäftlichen Abläufen automatisieren, verfolgen und verwalten können.

Active Link

Ein Workflow, der Remedy User veranlasst, bestimmte Vorgänge als Reaktion auf bestimmte Benutzeraktionen auszuführen. AR System-Administratoren können viele Arten von Active Links definieren. So gibt es beispielsweise Active Links, die Makros ausführen, Felder auf bestimmte Werte festlegen, unabhängige Systemvorgänge ausführen, interaktive Meldungen an den Benutzer ausgeben oder Feldeigenschaften ändern. Active Links werden auf dem Client-Rechner ausgeführt.

Administrator

Eine Person, die für die Verwaltung von AR System verantwortlich ist. Dazu gehören auch das Einrichten von Forms, das Festlegen von Benutzerzugriffsrechten und die Festlegung des Workflow-Prozesses.

Administrator-Gruppe

Eine von mehreren speziellen Zugriffssteuerungsgruppen in AR System. Mitglieder dieser Gruppe haben vollen und uneingeschränkten Zugriff auf AR System. Dazu gehören auch die uneingeschränkten Rechte zum Erstellen von Forms, Filtern, Eskalationen, Active Links, Menüs, Leitfäden und Applikationen. Siehe auch Subadministrator-Gruppe.

Administrator-Voreinstellung

Der Wert, den der AR System-Administrator beim Entwerfen einer Form einem Feld zuweist. Wenn Benutzer Voreinstellungen festlegen, wird dieser Wert automatisch in das Feld eingetragen. Benutzer können die Administrator-Voreinstellung überschreiben, indem sie ihre eigene Voreinstellung festlegen oder einen anderen Wert eingeben. Siehe auch Benutzervoreinstellung.

Anlage

Ein Feld, über das Sie in der Datenbank Raum für Anlagen in Form von Text, Grafiken, Audio- oder Videodateien zuweisen können.

Ansicht

Siehe Form-Ansicht.

Ansichts-Layout

Die Positionierung von Feldern in einer Benutzer-Ansicht.

API (Application Programming Interface, Anwendungsprogrammierschnittstelle)

Eine Gruppe von Funktionen, die Anwendungsprogrammierern Zugriff auf die gesamten Funktionen eines Produkts gewährt. Die API von AR System ist dokumentiert im C API Reference Guide.

Applikation

Eine Gruppe von Forms (und der dazugehörige Workflow), die von einem Administrator zusammengefasst werden und für eine bestimmte geschäftliche Funktion gedacht sind, beispielsweise Mitarbeiterverwaltung oder Help Desk. Eine Applikation ist auch ein Server-Objekt in Remedy Administrator.

AR System-Client

Der Teil der Software von AR System, der benötigt wird, damit Benutzer von einer lokalen Workstation aus auf einen AR System-Server zugreifen können. Die Client-Tools in AR System sind Remedy Administrator, Remedy User, Remedy Import und Remedy Alert. Die Hardware, auf der AR System-Client-Software ausgeführt wird.

AR System-Server

Die gesamte AR System-Software, einschließlich der AR System-Server-Prozesse und Prozesse für Fast-, Listen- und Eskalations-Server. Bei der Installation auf einer Workstation im Netzwerk bietet die Server-Software Zugriff auf die gesamten Funktionen von AR System. Auf die Server-Software kann über das Netzwerk von UNIX-Workstations oder 32-Bit-Windows-PCs, auf denen die AR System-Client-Software ausgeführt wird, zugegriffen werden. Die Hardware, auf der AR System-Server-Software ausgeführt wird.

Assignee

Die Person, der die Verantwortung für die Verarbeitung eines Requests zugewiesen ist.

Assignee-Gruppe

Eine von mehreren speziellen Zugriffssteuerungsgruppen in AR System. Benutzer sind für Requests, für die ihnen die Verantwortung zugewiesen wurde, automatisch Mitglied dieser impliziten Gruppe (d. h., ihr Name steht im Feld Zugewiesen an). Siehe auch Submitter-Gruppe.

Ausgabeleiste

Der Teil des Hauptfensters, der Anweisungen oder nützliche Informationen für den Benutzer anzeigt.

Ausgangsordner

Ein Ordner auf dem Client-Rechner, in dem Einstellungen, Anpassungen und Dateien eines bestimmten Benutzers abgelegt sind.

Auswahlliste

Eine Liste die angezeigt wird, wenn ein Active Link eine Suche durchführt, bei der mehr als ein Request gefunden wird.

Bedienfeld

Eine Form, die als zentraler Zugangspunkt verwendet wird, und wo die Benutzer wählen, welche geschäftlichen Vorgänge sie durchführen möchten.

Befehlszeilenoption

Ein Parameter, der angibt, wie die Tools von AR System ausgeführt werden.

Benachrichtigung

Eine Warnmeldung oder E-Mail, die den Benutzer darüber informiert, dass ein AR System-Ereignis eingetreten ist. Siehe auch Warnmeldung, Remedy Alert.

Benutzer

Eine Person mit Zugriffsrechten auf AR System. Siehe auch Zugriffskontrolle, Gruppe, Berechtigung.

Benutzerbefehl

In Remedy User für UNIX ist dies ein Betriebssystembefehl (oder eine Applikation, die von einer Betriebssystembefehlszeile ausgeführt werden kann), der über das Menü Ausführen des Suchfensters ausgeführt wird. Benutzer können ihre eigenen Benutzerbefehle definieren.

Benutzerdefinierte Erweiterung

Siehe Benutzerbefehl.

Benutzereinstellungen

Siehe Einstellungen.

Benutzervoreinstellung

Ein Wert oder eine Reihe von Werten, die ein Benutzer als Standard festlegen kann. Eine Benutzervoreinstellung setzt die Administrator-Voreinstellung des AR System-Administrators außer Kraft. Siehe auch Administrator-Voreinstellung.

Berechtigung

Eine Eigenschafteneinstellung, mit der AR System-Administratoren festlegen, wer einzelne Felder einer Form anzeigen und ändern kann. Administratoren legen auch Berechtigungen für Forms und Active Links fest. Berechtigungen werden für jede Zugriffssteuerungsgruppe definiert. Siehe auch Zugriffskontrolle, Gruppe, Benutzer.

Bereich

Die nach oben und nach unten beschränkten zulässigen Werte. Ist beispielsweise der Bereich eines Integer-Felds -10 bis 100, können Benutzer eine beliebige Ganzzahl zwischen einschließlich minus 10 und plus 100 angeben.

Berichtsformat

Das Layout, das Benutzer bei der Erstellung eines Berichts aus einer Suche in AR System festlegen. Die Benutzer können wählen, welche Felder gedruckt werden sollen und welches Format der Bericht haben soll.

Character-Datentyp

Der in Feldern mit alphanumerischem Inhalt verwendete Datentyp.

Character-Menü

Ein Menü, das der Administrator von AR System erstellen und jedem Character-Feld hinzufügen kann.

Client

Siehe AR System-Client.

Container

Die Leitfäden und Applikationen zugrunde liegende Datenstruktur.

Control-Datentyp

Der Datentyp für Felder, die Active Links ausführen. Dieser Felder enthalten keine Daten.

Core-Feld

Eines aus einer Gruppe von grundlegenden Feldern, die allen Forms in AR System gemeinsam sind. AR System-Administratoren können diese Felder nicht aus einer Form entfernen.

Currency-Datentyp

Der in Feldern mit Währungsdaten verwendete Datentyp. Währungsdaten werden in vier Teilen gespeichert: ein Dezimalwert, ein Währungscode, ein Umrechnungsdatum und mindestens ein funktionaler (umgerechneter) Währungswert. Benutzer können die einzelnen Bestandteile anzeigen oder suchen. Ebenso kann ein Workflow auf die einzelnen Bestandteile zugreifen. Siehe auch Zulässige Währung, Funktionale Währung, Währungscode.

Customize-Gruppe

Eine von mehreren speziellen Zugriffssteuerungsgruppen in AR System. Über diese Gruppe erhalten Benutzer das Recht, in Remedy User das Layout ihrer Forms anzupassen und benutzerdefinierte Befehle (in UNIX) zu erstellen.

Date/Time-Datentyp

Der in Feldern mit Datum-/Uhrzeitangaben verwendete Datentyp. Die Werte reichen vom 1. Januar 1970 bis zum 1. Januar 2038. Siehe auch Date-Datentyp, Time-Datentyp.

Date-Datentyp

Der in Feldern mit Kalenderangaben verwendete Datentyp. Date-Werte werden als Anzahl der Tage vom Beginn des Date-Feldbereichs gespeichert. Der Bereich für Date-Werte reicht vom 1. Januar 4713 v.Chr. bis zum 1. Januar 9999 n.Chr. Siehe auch Date/Time-Datentyp.

Dateimenü

Ein Menü mit Einträgen, die aus einer Datei abgerufen werden, die ein formatiertes Character-Menü enthält.

Datenfeld

Ein Feld, in dem Daten in der Datenbank abgelegt sind. Zu den Datenfeldern zählen: Character, Date/Time, Date, Time, Diary, Integer, Real, Decimal, Selection, Attachment und Currency.

Datentyp

Die Eigenschaft eines Felds, die festlegt, welche Art von Informationen dieses Feld enthält. Die Auswahlmöglichkeiten sind: Character, Date/Time, Date, Time, Diary, Integer, Real, Decimal, Selection, Currency, Trim, Control und Attachment.

Decimal-Datentyp

In diesen Feldern sind Zahlenwerte mit feststehendem Dezimaltrennzeichen gespeichert. In Feldern dieses Typs können Sie Mengeninformationen in einem Request speichern.

Definition

Die Struktur, in der Daten in AR System organisiert sind und verarbeitet werden.

Detailbereich

Der Teil des Hauptfensters, in dem Felder zur Dateneingabe angezeigt werden.

Dialogfeld

Eine Gruppe von Feldern, die den Benutzern angezeigt werden und eine Eingabe erfordern, damit der Benutzer mit dem Ausfüllen der Form fortfahren kann. Der Administrator erstellt ein Dialogfeld durch eine Active Link-Aktion.

Diary-Datentyp

Der Datentyp, der für solche Felder verwendet wird, die den Verlauf der für einen Request ausgeführten Aktionen aufzeichnen. Dieses Feld enthält Daten des Typs Character. An dieses Feld werden nur Daten angehängt, und jeder neue Eintrag wird mit Uhrzeit, Datum und Name des Benutzers, der das Element eingegeben hat, gekennzeichnet.

Dynamischer Datenaustausch (DDE)

Eine Funktion zum Datenaustausch zwischen verschiedenen Windows-Applikationen. Weitere Informationen finden Sie in der Dokumentation zu Windows. (Nur für Windows)

Dynamisches Menü

Ein Menü, das eine Suche startet, wenn der Benutzer das Menüsymbol auswählt. Aus den Ergebnissen der Suche wird eine Liste von Einträgen erstellt, aus der der Benutzer auswählen kann. Siehe auch Character-Menü.

Eigenschaft

Ein definiertes Attribut. Zu den Eigenschaften eines Felds zählen sein Datentyp, physische Eigenschaften wie die Länge und die Unterscheidung, ob es erforderlich oder optional ist.

Einstellungen

Die Optionen, Anpassungen und Dateien, die auf dem System für einen bestimmten Benutzer gespeichert sind. Einstellungen können lokal auf einem Client-Rechner oder zum Zugriff von einem beliebigen Client-Rechner aus zentral auf einem Einstellungs-Server gespeichert werden. Siehe auch Einstellungs-Form, Einstellungs-Server, Ausgangsordner.

Einstellungs-Form

Eine Form auf einem Einstellungs-Server, die Benutzer- und/oder Administratoreinstellungen zentral speichert, sodass diese Einstellungen von allen Client-Rechnern aus verfügbar sind. Die Einstellungs-Forms von AR System sind die AR System User Preference-Form, AR System User Central File-Form und Remedy Administrator Preference-Form.

Einstellungs-Server

Dieser AR System-Server speichert Benutzereinstellungen zentral in einer oder mehreren Einstellungs-Forms.

Eintrag

Eine Zeile in der Datenbank, die einen Request darstellt.

E-Mail-Vorlage

Eine Vorlage zur Übermittlung von Requests per E-Mail. Der AR System-Administrator erstellt mit Hilfe der Exportfunktion Vorlagen aus einer bereits vorhandenen Form.

Ergebnisbereich

Der Teil des Form-Fensters, in dem die Ergebnisse einer Suche angezeigt werden.

Ergebnisliste

Eine Liste von Requests, die einer Suchabfrage von Remedy User entspricht.

Eskalation

Workflow, der zu festgelegten Zeiten oder in regelmäßigen Abständen nach Requests sucht, die eine bestimmte Bedingung erfüllen, und dann an allen gefundenen Requests bestimmte Vorgänge durchführt. Der Administrator von AR System kann Eskalationen definieren, die zum Beispiel eine Person benachrichtigen, einen Prozess durchführen, Werte für bestimmte Felder festlegen oder einen Eintrag in eine Protokolldatei schreiben. Eskalationen werden auf dem AR System-Server ausgeführt.

Exportieren

Ein Befehl in Remedy Administrator, der Definitionen (z. B. Forms, Filter, Active Links und E-Mail-Vorlagen) in eine Datei überträgt.

Die Fähigkeit, Daten in eine Datei zu übertragen zur Archivierung oder Übertragung durch die Berichtsfunktion in Remedy User.

Siehe auch Importieren.

Feld

Der wichtigste Bestandteil von Forms in AR System. Zu den AR System-Feldern gehören: Datenfelder, Tabellenfelder, Seitenfelder, Steuerungsfelder für Active Links (Schaltflächen, Menüelemente und Symbolleisten-Schaltflächen), Anlagengruppenfelder, Ansichtsfelder sowie Umrandungsfelder.

Filter

Ein Workflow, der jede Server-Transaktion auf bestimmte Bedingungen überprüft und bestimmte Aktionen ausführt, wenn diese Bedingungen erfüllt sind. AR System-Administratoren können viele Arten von Filtern definieren. Sie können Filter definieren, die Felder auf bestimmte Werte setzen, unabhängige Systemprozesse ausführen, interaktive Meldungen an Benutzer ausgeben, Benutzer über die Änderung eines Request-Status benachrichtigen oder Einträge in Prüfprotokolldateien vornehmen. Filter werden auf dem Server ausgeführt.

Fixed-Lizenz

Eine Lizenz, die einem Benutzer permanent zugewiesen ist und jederzeit den Zugriff auf die lizenzierten Funktionen von AR System ermöglicht. Siehe auch Floating-Lizenz, Write-Lizenz.

Floating-Lizenz

Eine Lizenz, die auf einem Server gespeichert ist und einem Benutzer, der eine Lizenz anfordert und für den in der User-Form als Lizenztyp Floating-Lizenzen definiert sind, vorübergehend zugewiesen wird. Falls zum Zeitpunkt dieser Anforderung keine Floating-Lizenz verfügbar ist, muss der Benutzer warten, bis eine Lizenz verfügbar ist. Siehe auch Fixed-Lizenz, Write-Lizenz.

Form

Eine Zusammenstellung von Feldern, die zusammen einen Datensatz in AR System darstellen. AR System-Administratoren können die Felder und den Workflow, die bzw. der einer Form zugeordnet sind, definieren und ändern. Eine Applikation in AR System kann viele Forms umfassen.

Form-Ansicht

Das Bildschirm-Layout einer Form, die im Detailbereich von Remedy User oder in einem Web-Browser angezeigt wird. AR System-Administratoren können mehrere Form-Ansichten erstellen und benennen. Diese können dann von Benutzern mit der Berechtigung zum Anpassen weiter geändert werden. Administratoren können in den verschiedenen Form-Ansichten andere Felder einfügen oder ausblenden und Ansichten für bestimmte Gebietsschemata oder Benutzerrollen erstellen.

Funktionale Währung

Ein alternativer Währungstyp, in den der Wert in einem Währungsfeld umgerechnet wird. Die Werte für funktionale Währungen werden basierend auf Währungsumrechnungsfaktoren umgerechnet, die in einer Form auf dem Server verwaltet werden. Funktionale Währungswerte werden als Bestandteil der Daten im Währungsfeld gespeichert und können von Benutzern angezeigt oder gesucht werden. Ebenso kann ein Workflow auf die einzelnen Bestandteile zugreifen. Siehe auch Currency-Datentyp, Zulässige Währung.

Gastbenutzer

Ein nicht registrierter Benutzer, dem nur ein eingeschränkter Funktionsumfang zur Verfügung steht (Eingeben von Requests und möglicherweise Überprüfen dieser Requests). Der Administrator kann festlegen, ob nicht registrierte Benutzer auf Ihrer Site zugelassen sind.

Group-Form

Die Form, über die Sie neue Gruppen einfügen, Gruppen löschen oder Gruppenberechtigungen ändern.

Gruppe

Eine Kategorie in AR System zur Definition des Benutzerzugriffs auf Form-Felder und -Funktionen. In AR System sind verschiedene spezielle Gruppen definiert: Public, Administrator, Customize, Submitter, Assignee, Assignee Group und Flashboards Administrator. Über die Group-Form können Sie weitere Gruppen definieren.

Siehe auch Zugriffskontrolle, Berechtigung, Benutzer.

Hauptfenster

Das Fenster von Remedy User, das eine Form im Detailbereich und auf Wunsch die Ergebnisse einer Suche im Ergebnisbereich und Aufforderungstext in der Ausgabeleiste anzeigt.

Haupt-Form

Mit dieser Form interagieren Benutzer direkt. Applikationen verwenden möglicherweise mehrere Haupt-Forms. Haupt-Forms werden manchmal auch als Primär-Forms bezeichnet.

Importieren

Ein Befehl in Remedy Administrator, der Definitionen aus einer Export-Datei an den aktuellen Server überträgt. Der Import-Befehl von Remedy, der einen oder mehrere Dateneinträge aus einer Archivdatei in eine Form überträgt. Siehe auch Exportieren.

Integer-Datentyp

Ein Datentyp für Felder mit numerischen Werten zwischen -2147483647 und 2147483647. Der Bereich für ein bestimmtes Feld kann durch den AR System-Administrator eingegrenzt werden.

Join-Form

Dieser Form-Typ enthält Daten aus zwei oder mehr AR System-Forms. Join-Forms verhalten sich zwar in vielerlei Hinsicht wie gewöhnliche AR System-Forms, speichern jedoch keine unabhängigen Daten. Join-Forms verweisen auf Daten, die in den beiden AR System-Forms gespeichert sind, welche zum Erstellen der Join-Form verwendet wurden.

Leiste für erweiterte Suche

Die Zeile von Schaltflächen, das Feld Suchkriterien und die Menüliste Felder, die unten im Detailbereich von Remedy User angezeigt werden, wenn der Benutzer auf die Schaltfläche Erweitert klickt. Über diese Leiste können Sie komplexe Suchkriterien eingeben.

Leitfaden

Eine Reihe von geordneten Schritten, mit denen Benutzer ein bestimmtes Ziel erreichen können. Für jeden Schritt können in der Ausgabeleiste Anleitungen angezeigt werden, wenn der Administrator solche Anleitungen verfasst. Intern ist ein Leitfaden eine Sammlung geordneter Active Links und auch ein AR System-Server-Objekt. Ein Leitfaden wird einer Form zugeordnet.

Liste der Warnmeldungen

Die Liste der Warnmeldungen, die zu einem Benutzer gehören, kann in Remedy User oder in einem Web-Client angezeigt werden.

Lizenz

Siehe Fixed-Lizenz, Floating-Lizenz, Read-Lizenz, Restricted Read-Lizenz, Write-Lizenz.

Makro

Eine zusammengehörende Reihe von Vorgängen, die zur späteren Ausführung aufgezeichnet wurden. Makros eignen sich zum Automatisieren von häufig verwendeten oder komplexen Suchvorgängen.

Menüeintrag

Ein Befehl, auf den Sie über ein Menü zugreifen können.

Operator

Operatoren sind Funktionen, mit denen Sie erweiterte Suchen definieren oder Qualifikationen erstellen können.

Optionsgruppe

Siehe Selection-Datentyp.

Public-Gruppe

Eine von AR System bereitgestellte Zugriffssteuerungsgruppe. Jeder Benutzer ist automatisch Mitglied dieser Gruppe.

Qualifizierung

Eine vollständige Definition der Suchkriterien, die im Feld Qualifizierung angegeben wird.

Qualifizierungsleiste

Die Qualifizierungsleiste in Remedy Administrator besteht aus einer Reihe von Schaltflächen, dem Feld Qualifizierung und der Menüliste. Hier können Sie komplexe Suchkriterien festlegen.

Read-Lizenz

Eine Lizenz, die einen Benutzer berechtigt, AR System Forms zu durchsuchen und neue Requests einzugeben. Der Benutzer ist allerdings nicht berechtigt, vorhandene Requests zu verändern. Siehe auch Restricted Read-Lizenz, Write-Lizenz.

Real-Datentyp

Der Datentyp für Felder, die Gleitkommazahlen enthalten. Bereich und Genauigkeit können vom AR System-Administrator festgelegt werden.

Remedy Administrator

Das Client-Tool von AR System, das von AR System-Administratoren und -Subadministratoren verwendet wird, um das System für die Verwendung durch Support-Personal und Benutzer einzurichten. Dazu gehören das Einrichten von Forms, das Festlegen von Zugriffsberechtigungen (für Benutzer und Gruppen) sowie das Erstellen von Filtern, Eskalationen, Active Links, Menüs, Leitfäden und Applikationen.

Remedy Alert

Das Client-Tool von AR System ab Version 5.0, das Benutzer informiert, wenn sie eine Warnmeldung erhalten. Siehe auch Warnmeldung, Benachrichtigung, Remedy Notifier.

Remedy Import

Das Client-Tool von AR System, mit dem AR System-Administratoren Datensätze aus einer Archivdatei in eine Form übertragen.

Remedy Notifier

Das Client-Tool von AR System-Versionen vor Version 5.0, über das eine Benachrichtigung an Benutzer gesendet werden kann. Siehe auch Warnmeldung, Benachrichtigung, Remedy Alert.

Remedy User

Das Client-Tool von AR System, über das Benutzer Requests eingeben und deren Bearbeitung verfolgen. Benutzer können mit Remedy User auch die Datenbank durchsuchen, Berichte erstellen und vorhandene Requests ändern.

Request

Daten, die ein Ereignis (eine Transaktion) beschreiben, beispielsweise ein Problem oder eine Service-Anforderung.

Reserviertes Feld

Eines aus einer Reihe von Feldern mit bestimmten Regeln und Interpretationen, die in AR System festgelegt sind.

Restricted Read-Lizenz

Eine Lizenz, die einen Benutzer berechtigt, AR System Forms zu durchsuchen und neue Requests einzugeben. Der Benutzer ist allerdings nicht berechtigt, vorhandene Requests zu ändern. Dagegen berechtigen Restricted Read-Lizenzen die Benutzer, gleichzeitig mit identischen Anmeldefunktionen von mehreren Computern aus auf das AR System zuzugreifen. Siehe auch Read-Lizenz.

Schaltfläche

Ein Feld in einer Form, auf das der Benutzer klicken kann, um einen Active Link auszuführen. Eine Bitmap kann eine Schaltfläche darstellen. Siehe auch Menüeintrag, Symbolleisten-Schaltfläche.

Schreibgeschützte Form

Ein Typ Form, der schreibgeschützte Felder enthält, in die nichts eingegeben werden kann. Schreibgeschützte Forms werden zur Erstellung von Bedienfeldern und Dialogfeldern verwendet.

Seitenfeld

Dieser Feldtyp fasst verwandte Felder zu Gruppen zusammen und enthält zur Bezeichnung dieser Gruppen Registerkarten.

Selection-Datentyp

Der Datentyp für Felder, für die nur eine einzige von verschiedenen zur Verfügung stehenden Auswahlmöglichkeiten gewählt werden kann. Mehrere Auswahlmöglichkeiten werden als Optionsschaltflächen oder als Liste dargestellt. Eine einzelne Auswahlmöglichkeit kann als Kontrollkästchen dargestellt werden.

SQL-Menü

Eine Menüliste, die über einen direkten SQL-Befehl Werte aus einer Datenbanktabelle abruft.

Statusfeld

Das Core-Feld, in dem AR System die verschiedenen Stufen der Bearbeitung eines Requests protokolliert.

Statusverlauf

Daten, aus denen der Fortschritt bei der Bearbeitung eines Requests hervorgeht. Die Benutzer können in Remedy User über den Detailbereich (der sich im Modus Ändern befinden muss) den Statusverlauf aufrufen.

Subadministrator

Eine Person mit eingeschränktem Administratorzugriff auf AR System. Dieser Zugriff wird vom Administrator festgelegt.

Subadministrator-Gruppe

Eine von mehreren speziellen Zugriffssteuerungsgruppen in AR System. Die Mitglieder dieser Gruppe verfügen über eingeschränkten Administratorzugriff auf AR System. Dieser Zugriff wird vom Administrator festgelegt.

Submitter-Gruppe

Eine von mehreren speziellen Zugriffssteuerungsgruppen in AR System. Ein Benutzer gehört für Requests, die er selbst eingegeben hat, automatisch dieser impliziten Gruppe an. Siehe auch Assignee-Gruppe.

Suche

Der Vorgang, bei dem eine Auswahl von Requests angezeigt wird, die den vom Benutzer eingegebenen Suchkriterien entsprechen.

Suchmenü

Eine Menüliste mit Einträgen, die aus Feldern einer angegebenen Form eingelesen werden.

Symbolleiste

Die Leiste mit Schaltflächen unter der Menüleiste, über die Sie bequem auf häufig verwendete Menübefehle zugreifen können.

Symbolleisten-Schaltfläche

Eine Grafik als Abkürzung für Menüeinträge, die einen Active Link auslöst. Siehe auch Schaltfläche, Menüeintrag.

Tabellenfeld

Ein Feldtyp, in dem Daten aus anderen Requests im Kontext des aktuellen Requests angezeigt werden. Die Daten werden in Form einer Kalkulationstabelle angezeigt.

Task

Ein Zeiger in Remedy User, über den Benutzer Forms, Applikationen und Leitfäden öffnen können.

Time-Datentyp

Der in Feldern mit Uhrzeitangaben verwendete Datentyp. Time-Werte werden als Anzahl der Sekunden nach 00:00:00 Uhr gespeichert. Siehe auch Date/Time-Datentyp.

Trim-Datentyp

Der Datentyp von Feldern, mit denen sich die Benutzerfreundlichkeit und Darstellung einer Form verbessern lassen. Dieser Datentyp umfasst Linien, Kästen, URL-Links und Text. Diese Felder enthalten keine Daten.

Umrandung

Linien, Kästen, Text und URL-Links, durch welche die Bedienung und das Aussehen einer Form verbessert werden.

User-Form

Die Form, in der Administratoren Benutzer zu AR System hinzufügen und den Zugriffstyp für jeden Benutzer festlegen.

Variable

Ein Datenelement, dessen Wert sich abhängig von bestimmten Bedingungen ändert.

Verborgenes Feld

Ein Feld, das zwar vorhanden, in der Benutzeransicht einer Form aber nicht sichtbar ist.

Voreinstellung

Eine vom AR System-Administrator oder vom Benutzer definierte Einstellung oder ein Wert, der automatisch in ein Feld geschrieben wird, falls der Benutzer beim Eingeben eines neuen Requests keine andere Einstellung bzw. keinen anderen Wert eingibt. Siehe auch Administrator-Voreinstellung, Benutzervoreinstellung.

VUI (View User Interface, Ansichtsbenutzeroberfläche)

Eine Struktur, die Informationen über eine bestimmte Ansicht enthält.

Währungscode

Ein Code mit drei Buchstaben, der einen Währungstyp darstellt, z. B. USD für US-Dollar.

Warnmeldung

Eine Benachrichtigung des AR System-Servers oder eines anderen Programms, dass bestimmte Bedingungen vorliegen. Beispielsweise wurde ein Request eingegeben oder bei der Verarbeitung eines Requests wurden Fortschritte gemacht.

Wildcard

Ein Zeichen, das in Suchen als Platzhalter für andere Zeichen dient. So können Benutzer beispielsweise bei Suchanweisungen in Character- und Journal-Feldern Wildcards verwenden, die für einzelne Zeichen, Zeichenfolgen oder Zeichen aus einem bestimmten Bereich oder einer bestimmten Gruppe stehen.

Workflow

Die Aktionen, die von Filtern, Active Links und Eskalationen ausgeführt werden.

Write-Lizenz

Eine Lizenz, mit der ein Benutzer Daten in vorhandenen Requests entsprechend den für Felder und Form eingestellten Berechtigungen ändern und speichern kann. Siehe auch Fixed-Lizenz, Floating-Lizenz, Read-Lizenz Restricted Read-Lizenz.

Zugriffsberechtigung

Siehe Berechtigung.

Zugriffskontrolle

Eine Sicherheitsfunktion, mit der ein Administrator von AR System den Benutzerzugriff auf Forms, bestimmte Felder innerhalb einer Form und auf bestimmte Funktionen des Systems einschränken kann. Siehe auch Gruppe, Berechtigung, Benutzer.

Zulässige Währung

Ein Währungstyp, der im Währungsfeldmenü angezeigt wird. Benutzer können bei der Eingabe von Währungswerten nur den zulässigen Währungstyp verwenden. Siehe auch Currency-Datentyp, Funktionale Währung.


.topic 0
Dateien mit angepassten Feldstandardwerten (.ard)

.topic 0
Crystal-Berichtsdateien (.rpt)

.topic 0
Schließt das Dialogfeld und speichert alle von Ihnen vorgenommenen Änderungen.

.topic 0
"Klicken Sie hier, um Dateien aus der Liste der herunter- oder hochzuladenden Dateien zu entfernen."

.topic 0
"Wählen Sie das Feld aus, nach dem sortiert werden soll."

.topic 0
"Zeigt in Datums-/Uhrzeitfeldern das Datum und die Uhrzeit in Kurzform an, wie z. B. 28.2.00 00:00:00."

.topic 0
"„Feldstandardwerte anpassen“ (Menü „Extras“)Öffnet das Dialogfeld „Feldstandardwerte anpassen“, in dem Sie die Form auswählen können, für die Sie die Feldstandardwerte festlegen möchten."

.topic 0
„Makroleiste“ (Menü „Ansicht“)Blendet die Makroleiste ein oder aus.

.topic 0
„Vorschau“ (Menü „Bericht“)Zeigt den erzeugten Bericht in einem neuen Fenster an, so dass er vor dem Druck geprüft werden kann."

.topic 0
„Alles markieren“ (Menü „Layout“)Markiert alle Felder in der Form.

.topic 0
"Klicken Sie hier, um die Dateien und Ordner Ihres Systems zur durchsuchen."

.topic 0
"Geben Sie in dieses Feld Hilfetext ein, damit Sie und andere Benutzer wissen, welche Aufgabe das Makro erfüllt."

.topic 0
Geben Sie den Kopfzeilentext für den Bericht ein. Kopfzeilen erscheinen oben auf jeder Seite des Berichts.

.topic 0
"Klicken Sie hier, um die neuen Felder nach dem markierten Feld in die Liste „Ausgewählte Felder“ einzufügen."

.topic 0
Fügen Sie die neuen Felder vor dem markierten Feld in die Liste „Ausgewählte Felder“ ein.

.topic 0
"Klicken Sie hier, um in der Liste „Ausgewählte Felder“ eine Statistik zu ändern."

.topic 0
"Klicken Sie hier, um im Ausdruck Anführungszeichen zu erstellen."

.topic 0
"Geben Sie die Y-Koordinate für das Feld ein. So können Sie ein Feld präzise auf dem Bildschirm positionieren, damit das Navigieren durch die Form mit der Tabulatortaste richtig funktioniert."

.topic 0
Geben Sie eine Schriftgröße ein.

.topic 0
Geben Sie eine Schriftgröße ein.

.topic 0
Öffnet ein Fenster „Durchsuchen“ in dem Sie nach verfügbaren Ordnern suchen können.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Geben Sie Prozentwerte (zwischen 0 und 200) ein, um den Abstand zwischen den Feldern der Form gleichmäßig zu vergrößern oder zu verkleinern. Werte kleiner als 100 verkleinern den Abstand zwischen Feldern. Werte größer als 100 vergrößern den Abstand."

.topic 0
"Zeigt eine Liste der Makros an, die in dem im Feld „Suchpfad“ angezeigten Pfad zur Verfügung stehen."

.topic 0
"Zeigt den Pfad des Makros an, das im Feld „Makro“ gewählt wurde."

.topic 0
"Geben Sie Werte an, mit denen beim Öffnen einer Form im Modus „Neu“ Felder gefüllt werden sollen."

.topic 0
"Klicken Sie auf den Pfeil, um die Statistik nach oben zu verschieben."

.topic 0
"Klicken Sie hier, um alle Dateien der Liste der Dateien hinzuzufügen, die vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen."

.topic 0
"Die RPC-Nummer (Remote Procedure Call), die für den Berichtsserver verwendet wird. Wenn Sie eine RPC-Nummer eingeben müssen und Unterstützung benötigen, wenden Sie sich an den Administrator."

.topic 0
"Wählen Sie diese Option, wenn Sie mit Crystal Reports arbeiten und wenn es in Ihren Berichten Feld- oder Formnamen gibt, die Sonderzeichen enthalten. Wenn Sie dieses Kontrollkästchen aktivieren, werden alle Sonderzeichen durch Unterstriche ersetzt."

.topic 0
"Geben Sie den Namen des Servers ein, auf dem sich Ihre Homepage befindet."

.topic 0
Zeigt Einzelheiten zur zuletzt fertig gestellten Übertragung einschließlich Dateiname und Pfad an.

.topic 0
Listet die aktuell auf dem lokalen Computer gespeicherten Dateien auf.

.topic 0
"Der Administrator kann das Kontrollkästchen „Verborgene Forms anzeigen“ deaktivieren und dann im Menü „Datei“ auf „Öffnen“ klicken, um eine Liste der Elemente anzuzeigen, die für Benutzer ohne Administratorstatus sichtbar sind."

.topic 0
"Wählen Sie das Feld aus, nach dem sortiert werden soll."

.topic 0
"Geben Sie an, wie Journal-Einträge in Journal-Feldern sortiert werden."

.topic 0
„AR System im WWW - Produktneuigkeiten“ (Menü „Hilfe“)Öffnet die Seite „Remedy-Unternehmensinformationen“ im Web-Browser.

.topic 0
„Zuletzt durchgeführte Suchvorgänge“ (Menü „Aktionen“)Führt die kürzlich durchgeführten Suchvorgänge auf.

.topic 0
"„Sortieroptionen“ (Menü „Aktionen“)Öffnet das Dialogfeld „Sortieroptionen“, in dem Sie angeben können, wie die Ergebnisliste sortiert werden soll."

.topic 0
„Am Raster ausrichten - Wert links“ (Menü „Layout“)Richtet die linke Kante des Dateneingabebereichs aller markierten Felder beim Verschieben der Felder am Raster aus.

.topic 0
Zeigt den Hilfetext für das Makro an.

.topic 0
Druckt die Seite im Querformat.

.topic 0
"Geben Sie das Trennzeichen an, mit dem Requests getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
Zeigt jedes Feld des Requests in einer gesonderten Zeile an. Auf die Feldbezeichnung folgt der Wert des Feldes.

.topic 0
"Geben Sie die Anzahl Zeichen an, die im Bericht für dieses Feld angezeigt werden sollen."

.topic 0
"Wählen Sie eine Operation für diese Statistik aus: „Minimum“, „Maximum“, „Anzahl“, „Mittelwert“ oder „Summe“."

.topic 0
"Das Größer-/Gleich-Zeichen (>=) sucht nach Inhalten, die größer als der oder gleich dem Wert sind."

.topic 0
Geben Sie eine Qualifikation für die Suche an.

.topic 0
"Geben Sie die X-Koordinate für das Feld ein. So können Sie ein Feld präzise auf dem Bildschirm positionieren, damit das Navigieren durch die Form mit der Tabulatortaste richtig funktioniert."

.topic 0
Geben Sie einen Namen zum Speichern der aktuellen Suche ein.

.topic 0
"Geben Sie einen Spaltentitel pro Request, pro Seite oder „Keine“ an."

.topic 0
Wählen Sie einen Anwendungsnamen aus der Menüliste aus.

.topic 0
"Geben Sie Prozentwerte (zwischen 0 und 200) ein, um den Abstand zwischen den Feldern der Form gleichmäßig zu vergrößern oder zu verkleinern. Werte kleiner als 100 verkleinern den Abstand zwischen Feldern. Werte größer als 100 vergrößern den Abstand."

.topic 0
"Klicken Sie hier, um die markierten Dateien der Liste der Dateien hinzuzufügen, die an den Einstellungsserver hochgeladen oder von diesem heruntergeladen werden sollen."

.topic 0
"Das Gebietsschema, in dem die Informationen angezeigt werden sollen. Wählen Sie ein Gebietsschema aus der Liste aus."

.topic 0
"Klicken Sie auf den nach oben oder nach unten weisenden Pfeil, um die markierte Statistik in der Liste zu verschieben."

.topic 0
"Die Bedingungen, unter denen Suchdateien vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Die Bedingungen, unter denen Crystal-Berichtsdateien vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
Fügt alle Felder aus der Feldliste hinzu.

.topic 0
"Wenn dieses Kontrollkästchen aktiviert wird, werden Requests mit einem gleichen Wert im Feld innerhalb des Berichts gruppiert."

.topic 0
"Wählen Sie das Feld aus, nach dem sortiert werden soll."

.topic 0
„Ausgabeleiste - Unten“ (Menü „Extras“)Positioniert die Ausgabeleiste im unteren Bereich des aktiven Fensters.

.topic 0
"„Eigenschaften“ (Menü „Bericht“)Öffnet das Dialogfeld „Eigenschaften“, in dem Sie Felder auswählen, sortieren, Statistiken angeben und die Seiteneinrichtung für den Bericht definieren können."

.topic 0
„Felder ausrichten - Unten“ (Menü „Layout“)Richtet die unteren Kanten aller markierten Felder an der unteren Kante des zuletzt markierten Feldes aus.

.topic 0
"Geben Sie in dieses Feld Hilfetext ein, damit Sie und andere Benutzer wissen, welche Aufgabe das Makro erfüllt."

.topic 0
"Zeigt eine Liste der verfügbaren Makros in dem Verzeichnis an, das Sie im Feld „Suchpfad“ ausgewählt haben."

.topic 0
"Definiert, wie die Seite gedruckt wird - im Hochformat oder im Querformat."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spaltentitel getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
Geben Sie eine Bezeichnung für das markierte Feld an.

.topic 0
"Das Kleiner-als-Zeichen (<) sucht nach Inhalten, die kleiner als der Wert sind."

.topic 0
Geben Sie die gewünschte Feldbreite in Pixel an.

.topic 0
"Klicken Sie hier, um eine Namensliste der Forms anzuzeigen, die das Wort oder den Begriff enthalten, das oder den Sie im Feld „Suchbegriff(e) eingeben“ eingegeben haben."

.topic 0
"Geben Sie die Felder ein, nach denen sortiert werden soll."

.topic 0
"Klicken Sie auf „Absteigend“, um das Feld in absteigender Reihenfolge zu sortieren."

.topic 0
"Gibt die Anzahl der kürzlich verwendeten Elemente an, die in Listen aufgeführt werden. Als Standardwert gilt 5. Sie können 4 bis 9 Elemente festlegen."

.topic 0
Definiert die Seitenausrichtung - Hochformat oder Querformat.

.topic 0
"Die Anzahl Zeilen je Seite. Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden. Für gedruckte Berichte wird diese Angabe in der Druckereinrichtung festgelegt."

.topic 0
"Geben Sie einen Seitenumbruch pro Request, pro Seite oder „Keine“ an."

.topic 0
"Geben Sie in dieses Feld Hilfetext ein, damit Sie und andere Benutzer wissen, welche Aufgabe das Makro erfüllt."

.topic 0
"Bringt Sie zum Request zurück, speichert diesen jedoch nicht."

.topic 0
"Wählen Sie diese Option, um die Active Link-Protokollierung zu aktivieren."

.topic 0
"Gibt die Standardposition des Ergebnisbereichs in allen Forms an. Der Detailbereich nimmt dann die gegenüberliegende Position ein. Wenn Sie beispielsweise „Oben“ wählen, wird der Ergebnisbereich im oberen und der Detailbereich im unteren Abschnitt der Form angezeigt. Wählen Sie eine Position aus der Liste, also entweder „Oben“, „Unten“, „Links“ oder „Rechts“."

.topic 0
Zeigt Einzelheiten zur zuletzt fertig gestellten Übertragung einschließlich Dateiname und Pfad an.

.topic 0
Makro-Dateien (.arq)

.topic 0
"Wenn dieses Kontrollkästchen aktiviert wird, werden Requests mit einem gleichen Wert im Feld innerhalb des Berichts gruppiert."

.topic 0
"„Berichterstellung“ (Menü „Extras“)Öffnet das Fenster „Bericht“, in dem Sie Berichte entwerfen, ändern, erzeugen und verwalten können."

.topic 0
"„Bereichslayout“ (Menü „Ansicht“)Hier können Sie das Layout des Ergebnis- und des Detailbereichs festlegen. Sie haben vier Layoutoptionen. Dieser Menübefehl ist deaktiviert, wenn Sie nicht über die erforderlichen Zugriffsberechtigungen verfügen."

.topic 0
"„Autom. Aktualisierung“ (Menü „Ansicht“)Öffnet das Dialogfeld „Autom. Aktualisierung“. In diesem Dialogfeld können Sie die automatische Aktualisierung der Ergebnisliste aktivieren. Wird diese Funktion aktiviert, führt das User-Tool die Suche nach Ablauf eines festgelegten Intervalls automatisch erneut durch und aktualisiert die Ergebnisliste mit neuen Daten."

.topic 0
„Vorheriger“ (Menü „Aktionen“)Wählt den vorherigen Request in der Ergebnisliste aus und zeigt diesen im Detailbereich an.

.topic 0
„Neu“ (Menü „Bericht“)Öffnet das Fenster „Bericht“. Hier kann ein neuer Bericht erstellt und definiert werden.

.topic 0
„Felder ausrichten - Wert links“ (Menü „Layout“)Richtet den linken Rand des Dateneingabebereichs aller ausgewählten Felder am linken Rand des Dateneingabebereichs des zuletzt ausgewählten Feldes aus.

.topic 0
"Beendet die Aufzeichnungssitzung, ohne das Makro zu speichern, und schließt das Dialogfeld."

.topic 0
"Wählen Sie das Verzeichnis aus, in dem Sie nach einem Makro suchen möchten."

.topic 0
"Zeigt den Pfad des Makros an, das im Feld „Makro“ gewählt wurde."

.topic 0
Bestimmt die Position des Spaltentitels.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
"Wählen Sie eine Operation für diese Statistik aus: „Minimum“, „Maximum“, „Anzahl“, „Mittelwert“ oder „Summe“."

.topic 0
"Verwenden Sie das Pluszeichen (+), um zwei numerische Werte (ganze Zahlen, reelle Werte, Dezimalzahlen) hinzuzufügen, um ein ganzzahliges Intervall zu einem Datum/Uhrzeit-Wert hinzuzufügen oder um zwei Zeichenfolgen zu verketten."

.topic 0
"Klicken Sie hier, um festzulegen, dass die Feldbezeichnung oberhalb des Feldes anzeigt wird."

.topic 0
"Klicken Sie auf „Absteigend“, um das Feld in absteigender Reihenfolge zu sortieren."

.topic 0
"Wenn das Kontrollkästchen „Arbeitsbereich speichern“ aktiviert ist, wird der Arbeitsbereich beim nächsten Start des User-Tools genau so wieder geöffnet, wie Sie ihn geschlossen haben, d. h., dass auch die zuletzt geöffneten Fenster in der gleichen Größe und an der gleichen Stelle wieder angezeigt werden."

.topic 0
"Geben Sie einen Spaltentitel pro Request, pro Seite oder „Keine“ ein."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spaltentitel getrennt werden sollen. Das Standardzeichen ist ein Bindestrich."

.topic 0
Listet die von Ihnen definierten Suchen auf.

.topic 0
"Die RPC-Nummer (Remote Procedure Call), die für den Berichtsserver verwendet wird. Wenn Sie eine RPC-Nummer eingeben müssen und Unterstützung benötigen, wenden Sie sich an den Administrator."

.topic 0
"Das Format, in dem das Datum angezeigt wird, also entweder im Kurzformat, im Langformat oder in einem von Ihnen gewählten benutzerdefinierten Format. Wenn Sie sich für ein benutzerdefiniertes Format entscheiden, wählen Sie ein Datumsformat aus der Liste aus."

.topic 0
"Der Name des Servers, der als Berichtsserver verwendet wird."

.topic 0
Blendet eine Liste übertragener Dateien und zugehöriger Details ein oder aus.

.topic 0
Geben Sie eine Qualifikation für die Suche an.

.topic 0
Definiert die Bedingungen für die Durchführung von Sortiervorgängen.

.topic 0
Definiert die Randeinstellungen für den Bericht.

.topic 0
Sortiert das Feld in aufsteigender Reihenfolge vom niedrigsten bis zum höchsten Wert oder von A bis Z.

.topic 0
"Wenn dieses Kontrollkästchen aktiviert wird, werden Requests mit einem gleichen Wert im Feld innerhalb des Berichts gruppiert."

.topic 0
Geben Sie den Kopfzeilentext für den Bericht ein. Kopfzeilen erscheinen oben auf jeder Seite des Berichts.

.topic 0
„Ausgabeleiste - Oben“ (Menü „Extras“)Positioniert die Ausgabeleiste im oberen Bereich des aktiven Fensters.

.topic 0
„Am Raster ausrichten - Wert rechts“ (Menü „Layout“)Richtet die rechte Kante des Dateneingabebereichs aller markierten Felder beim Verschieben der Felder am Raster aus.

.topic 0
„Nach hinten stellen“ (Menü „Layout“)Setzt das ausgewählte Feld hinter alle anderen Felder.

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spalten getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spaltentitel getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
"Umbricht Text, der nicht auf eine Zeile passt, und setzt diesen in der nächste Zeile derselben Spalte fort. Die Tabellenzeile eines Felds kann bei der Ausgabe also in mehreren Textzeilen angezeigt werden."

.topic 0
"Klicken Sie hier, um ein Feld aus der Liste „Ausgewählte Felder“ zu entfernen."

.topic 0
"Listet die Felder auf, die im Bericht angezeigt werden."

.topic 0
Listet die von Ihnen definierten Statistiken auf.

.topic 0
Geben Sie eine Beschreibung des Berichts ein. Dieser Kommentar wird in der Berichtsliste angezeigt und verdeutlicht den Zweck des Berichts.

.topic 0
Geben Sie die Anzahl der zur Anzeige von Optionsschaltflächen oder von Textfeldern verwendeten Zeilen an.

.topic 0
"Klicken Sie auf „Absteigend“, um das Feld in absteigender Reihenfolge zu sortieren."

.topic 0
"Geben Sie die Ansicht an, die als Standard für alle Forms verwendet wird."

.topic 0
"Geben Sie die Werte an, die beim Öffnen einer Form im Modus „Neu“ ausgefüllt werden sollen - „Alle Felder löschen“, „Vorherige Feldwerte behalten“ oder „Felder auf Standardwerte einstellen“."

.topic 0
Wählen Sie ein Schriftformat aus der Liste aus.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Geben Sie einen Seitenumbruch pro Request, pro Seite oder „Keine“ an."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Requests getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
"Geben Sie Prozentwerte (zwischen 0 und 200) ein, um den Abstand zwischen den Feldern der Form gleichmäßig zu vergrößern oder zu verkleinern. Werte kleiner als 100 verkleinern den Abstand zwischen Feldern. Werte größer als 100 vergrößern den Abstand."

.topic 0
"Löscht die Makros, die im Feld „Makros“ markiert sind."

.topic 0
"Geben Sie eine Beschreibung des Berichts ein. Führen Sie Details auf wie beispielsweise seine Funktion und die Form, auf die er sich bezieht, um andere Benutzer über den Zweck des Berichts zu informieren."

.topic 0
"Geben Sie die Trennzeichen an, mit denen Spalten, Requests und Spaltentitel getrennt werden sollen."

.topic 0
Definieren Sie verschiedene Standards für Berichtsformate.

.topic 0
Definiert den Titel des Berichts sowie den Inhalt von Kopf- und Fußzeile.

.topic 0
"Gibt die standardmäßig für alle Forms zu verwendende Erweiterung an, die von anderen Forms geöffnet werden."

.topic 0
"Wenn dieses Kontrollkästchen aktiviert wird, werden Requests mit einem gleichen Wert im Feld innerhalb des Berichts gruppiert."

.topic 0
Sortiert das Feld in absteigender Reihenfolge vom höchsten bis zum niedrigsten Wert oder von Z bis A.

.topic 0
"Legen Sie fest, wann eine Bestätigungsaufforderung angezeigt werden soll."

.topic 0
„In neuen Request“ (Menü „Bearbeiten“)Kopiert den Inhalt des Detailbereichs in ein anderes Fenster im Modus „Neu“ oder ändert den Modus auf „Neu“ und kopiert den Inhalt des Detailbereichs in die neue Form. Auf diese Weise können Sie einen neuen Request erstellen.

.topic 0
„Nächster“ (Menü „Aktionen“)Wählt den nächsten Request in der Ergebnisliste aus und zeigt diesen im Detailbereich an.

.topic 0
"„Alle ändern“ (Menü „Aktionen“)Ändert den Modus des Detailbereichs auf „Alle ändern“ und leert alle Felder in der Form. Die Änderungen, die Sie an den Feldern vornehmen, wirken sich auf alle ausgewählten Requests aus. Dieser Befehl steht nur zur Verfügung, wenn Ihnen der Administrator die notwendige Zugriffsberechtigung erteilt hat."

.topic 0
"Wählen Sie das Verzeichnis aus, in dem Sie nach einem Makro suchen möchten."

.topic 0
Bestimmt die Position des Spaltentitels.

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Listet die Felder auf, die im Bericht verwendet werden können."

.topic 0
Geben Sie eine Bezeichnung für das markierte Feld an.

.topic 0
"Das Kleiner-/Gleich-Zeichen (<=) sucht nach Inhalten, die kleiner als der oder gleich dem Wert sind."

.topic 0
"Klicken Sie auf „Absteigend“, um das Feld in absteigender Reihenfolge zu sortieren."

.topic 0
"Geben Sie die maximale Anzahl Requests an, die bei einer Suche zurückgegeben werden."

.topic 0
"Verwenden Sie dieses Feld, um die maximale Anzahl Requests angeben, die bei einer Suche zurückgegeben werden."

.topic 0
"Wenn das Kontrollkästchen „Leiste für erweiterte Suche“ aktiviert ist, wird im Suchfenster immer die Leiste für erweiterte Suche angezeigt, wenn ein neues Fenster geöffnet wird."

.topic 0
Wählen Sie eine Ansicht aus und klicken Sie auf OK.

.topic 0
Geben Sie den Namen des Berichts ein.

.topic 0
"Geben Sie eine Beschreibung des Berichts ein. Führen Sie Details auf wie beispielsweise seine Funktion und die Form, auf die er sich bezieht, um andere Benutzer über den Zweck des Berichts zu informieren."

.topic 0
"Klicken Sie auf den Pfeil, um die Statistik nach unten zu verschieben."

.topic 0
"Kurzformat: Zeigt den Tag, den Monat, das Jahr und die Uhrzeit an. Beispiel: 1.10.2001, 00:00:00."

.topic 0
Definiert die Seitengrößeneigenschaften des Berichts.

.topic 0
"Jede Form hat eine Standardansicht. Im Feld „Ansichtserweiterung des geöffneten Fensters“ können Sie die Erweiterung angeben, die als Standard für alle Forms verwendet werden soll, die von anderen Forms geöffnet werden. Erkundigen Sie sich bei Ihrem Administrator, welcher Name hier eingetragen werden sollte, oder lassen Sie das Feld leer. Wenn Sie eine ungültige Erweiterung eingeben, wird die voreingestellte Standardansicht verwendet."

.topic 0
"Die Bedingungen, unter denen Makrodateien vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Klicken Sie hier, wenn die Übertragung von Dateien an den oder vom Einstellungsserver abgeschlossen ist."

.topic 0
"Wenn eine Datei nicht erfolgreich übertragen werden konnte, wird diese Meldung angezeigt. Zum Anzeigen von Details klicken Sie auf „Details anzeigen“."

.topic 0
Macht alle von Ihnen vorgenommenen Änderungen rückgängig und schließt das Dialogfeld.

.topic 0
"Wenn dieses Kontrollkästchen aktiviert wird, werden Requests mit einem gleichen Wert im Feld innerhalb des Berichts gruppiert."

.topic 0
Sortiert das Feld in aufsteigender Reihenfolge vom niedrigsten bis zum höchsten Wert oder von A bis Z.

.topic 0
Wählen Sie das Format für Datums-/Uhrzeitfelder aus.

.topic 0
Mit den Optionen unter „Beim Öffnen“ können Sie das Verhalten neuer Fenster anpassen.

.topic 0
"Geben Sie an, ob der aktuelle Arbeitsbereich beim nächsten Öffnen des User-Tools erneut angezeigt werden soll."

.topic 0
"„Neue Suche“ (Menü „Aktionen“)Wenn sich eine Form nicht im Modus „Suchen“ befindet, ändern Sie den Modus auf „Suchen“, damit Sie eine neue Suche definieren können."

.topic 0
„Felder ausrichten - Links“ (Menü „Layout“)Richtet die linke Kante aller markierten Felder an der linken Kante des zuletzt markierten Feldes aus.

.topic 0
„Felder ausrichten - Oben“ (Menü „Layout“)Richtet die oberen Kanten aller markierten Felder an der oberen Kante des zuletzt markierten Feldes aus.

.topic 0
"Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
Druckt die Seite im Hochformat. Dies ist die Standardeinstellung.

.topic 0
Geben Sie den Namen des Berichts ein.

.topic 0
"Verwenden Sie das Minuszeichen (-), um zwei numerische Werte zu subtrahieren (ganze Zahlen, reelle Werte, Dezimalzahlen), um zwei Datum-/Uhrzeitwerte zu subtrahieren (woraus sich eine ganze Zahl ergibt), oder um ein ganzzahliges Intervall von einem Datums-/Zeitwert zu subtrahieren."

.topic 0
"Verwenden Sie das Multiplikationszeichen (*), um zwei numerische Werte zu multiplizieren."

.topic 0
"Klicken Sie auf „Absteigend“, um das Feld in absteigender Reihenfolge zu sortieren."

.topic 0
"Klicken Sie auf „Aufsteigend“, um das Feld in aufsteigender Reihenfolge zu sortieren."

.topic 0
"Wählen Sie „Deaktivieren“, um die ursprüngliche Sortierreihenfolge wiederherzustellen. Wenn keine Sortieroptionen angegeben wurden oder „Deaktiviert“ ausgewählt wurde, werden die Elemente in den Suchläufen in aufsteigender Reihenfolge nach Request-ID sortiert."

.topic 0
"Wenn Sie sich für die Anzeige von Menüs als „Smart-Menüs“ oder Listenfelder entschieden haben, aktivieren Sie das Kontrollkästchen „Beim Starten erweitern“, damit alle Ebenen von Listenfeldmenüs beim Öffnen der Menüs angezeigt werden."

.topic 0
Geben Sie eine Schriftgröße ein.

.topic 0
"Wählen Sie das Verzeichnis aus, in dem Sie nach einem Makro suchen möchten."

.topic 0
Geben Sie den Namen der Protokolldatei ein.

.topic 0
"Klicken Sie hier, um die verfügbaren Ordner nach der Protokolldatei zu durchsuchen."

.topic 0
Definieren Sie die Standardränder.

.topic 0
"Zeigt den Informationstyp an, der für jede aufgeführte Statistik bereitgestellt wird."

.topic 0
Benutzerdatendateien (.dat)

.topic 0
"Die Bedingungen, unter denen Benutzerdatendateien vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Die Bedingungen, unter denen AR System-Berichtsdateien vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
Sortiert das Feld in absteigender Reihenfolge vom höchsten bis zum niedrigsten Wert oder von Z bis A.

.topic 0
„Senden an - E-Mail-Empfänger“ (Menü „Datei“)Sendet den Request per E-Mail an einen anderen Benutzer oder speichert ihn auf dem Desktop.

.topic 0
"Listet die zuletzt gespeicherten Requests auf. Sie können einen Request öffnen, indem Sie ihn in dieser Liste markieren. Sie können die Anzahl der hier angezeigten zuletzt gespeicherten Requests im Dialogfeld „Optionen“ festlegen."

.topic 0
„Alles einfügen“ (Menü „Bearbeiten“)Fügt sämtliche Feldinhalte aus der Zwischenablage in das aktive Fenster ein. Diese Befehl steht nur bei Vorlage zweier identischer Forms zur Verfügung.

.topic 0
"„Statusverlauf“ (Menü „Ansicht“)Öffnet das Dialogfeld „Statusverlauf“. Dieser Befehl steht nur zur Verfügung, wenn sich die Form im Modus „Ändern“ oder „Anzeigen“ befindet."

.topic 0
"Schneidet Informationen ab, die nicht in die von Ihnen für das Feld definierte Spaltenbreite passen."

.topic 0
Listet die Bezeichnung für jedes Feld auf.

.topic 0
"Geben Sie einen Ausdruck mit einem beliebigen der folgenden Werte ein: numerische Felder, Datumsfelder, Statusverlaufsfelder, Schlüsselwörter, Zahlen oder arithmetische Operatoren (+, -, *, / und %). Ausdrücke sind für alle statistischen Vorgänge erforderlich, mit Ausnahme von „Anzahl“."

.topic 0
"Legen Sie den Statistikbereich als „Bericht“ oder <Gruppenebene> fest. Dadurch wird bestimmt, an welcher Stelle die Statistik erscheint."

.topic 0
"Klicken Sie hier, um die neue Statistik vor der markierten Statistik einzufügen."

.topic 0
"Das Ungleich-Zeichen (!=) sucht Inhalte, die nicht gleich dem Wert sind."

.topic 0
Der LIKE-Operator führt eine Mustersuche durch.

.topic 0
Geben Sie die Länge eines Textfeldes ein.

.topic 0
Geben Sie die Länge eines Textfeldes ein.

.topic 0
"Klicken Sie auf „Aufsteigend“, um das Feld in aufsteigender Reihenfolge zu sortieren."

.topic 0
"Bei dem Versuch, einen Bericht zu löschen, wird eine Meldung angezeigt. Sie müssen das Löschen des Berichts bestätigen."

.topic 0
Wählen Sie eine Schriftart aus der Liste aus.

.topic 0
Wählen Sie ein Schriftformat aus der Liste aus.

.topic 0
"Gibt die Anzahl der kürzlich verwendeten Elemente an, die in Listen aufgeführt werden. Als Standardwert gilt 5. Sie können 4 bis 9 Elemente festlegen."

.topic 0
Druckt die Seite im Querformat.

.topic 0
"Die Zeilenlänge (in Zeicheneinheiten). Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden."

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
Geben Sie die gewünschte Anzahl Pixel (zwischen 2 und 100) zum Ändern der Rasterweite an.

.topic 0
Geben Sie einen Namen für das Makro ein.

.topic 0
Geben Sie eine Hintergrundfarbe für jeden Fenstertyp an.

.topic 0
"Zeigt die Liste der Dateitypen an, die gegenwärtig auf dem lokalen Computer gespeichert sind. Um eine Liste der Dateien eines bestimmten Typs anzuzeigen, klicken Sie auf das Pluszeichen neben dem jeweiligen Dateityp."

.topic 0
"Die Nummer des Datenübertragungs-Protokolls (Transmission Control Protocol, TCP) für diesen Berichtsserver. Wenn Sie eine TCP-Nummer eingeben müssen und nicht mit Sicherheit wissen, wie sie lautet, wenden Sie sich an den Administrator."

.topic 0
Definiert die Formatierungseigenschaften des Berichts.

.topic 0
73032

.topic 0
"Die Bedingungen, unter denen Dateien mit angepassten Feldstandardwerten vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Die Bedingungen, unter denen Benutzerdatendateien vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
Sortiert das Feld in aufsteigender Reihenfolge vom niedrigsten bis zum höchsten Wert oder von A bis Z.

.topic 0
Mit den Optionen unter „Beim Starten“ können Sie das Verhalten des User-Tools beim Start anpassen.

.topic 0
"„Makro ausführen“ (Menü „Tools“)Öffnet das Dialogfeld „Makro ausführen“, in dem alle Makros aufgeführt sind, die sich in dem im Suchpfad angegebenen Ordner befinden. Hier können Sie ein Makro zum Ausführen auswählen."

.topic 0
„Leiste für erweiterte Suche“ (Menü „Ansicht“)Blendet die Leiste für erweiterte Suche ein oder aus.

.topic 0
"„Optionen“ (Menü „Extras“)Öffnet das Dialogfeld „Optionen“, in dem Sie Einstellungen und Standards für die Arbeit mit dem User-Tool vorgeben können."

.topic 0
"„Neu <Request-Name>“ (Menü „Aktionen“)Wenn sich eine Form nicht im Modus „Neu“ befindet, ändern Sie den Modus hiermit auf „Neu“, damit Sie einen neuen Request definieren können."

.topic 0
„Exportieren in Datei“ (Menü „Bericht“)Erzeugt den Bericht und speichert ihn in einer Datei.

.topic 0
„Exportieren in Anwendung“ (Menü „Bericht“)Erzeugt den Bericht und senden ihn an eine andere Anwendung.

.topic 0
"„Am Raster ausrichten - Links“ (Menü „Layout“)Richtet die linke Kante aller markierten Felder (einschließlich der Feldbezeichnungen) am Raster aus, wenn die Felder verschoben werden."

.topic 0
"„Am Raster ausrichten - Vergrößern“ (Menü „Layout“)Öffnet das Dialogfeld „Vergrößerungsrate“, in dem Sie den Abstand zwischen allen Feldern auf der Form gleichmäßig vergrößern oder verkleinern können."

.topic 0
Geben Sie den Namen des Makros ein.

.topic 0
"Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Definiert die Anzahl Zeilen je Seite. Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden. Für gedruckte Berichte wird diese Angabe in der Druckereinrichtung festgelegt."

.topic 0
"Geben Sie die Anzahl Zeichen an, die im Bericht für dieses Feld angezeigt werden sollen."

.topic 0
Geben Sie den Namen des Berichts ein.

.topic 0
"Der OR-Operator macht aus dem Ergebnis zweier Bedingungen ein logisches OR. Das Ergebnis ist nur wahr, wenn eine der beiden Bedingungen erfüllt wird."

.topic 0
"Geben Sie die Anzahl Minuten an, nach denen die Suche erneut durchgeführt und die Liste aktualisiert werden soll. Sie können einen Wert zwischen 1 und 99 Minuten festlegen."

.topic 0
"Geben Sie die Y-Koordinate für das Feld ein. So können Sie ein Feld präzise auf dem Bildschirm positionieren, damit das Navigieren durch die Form mit der Tabulatortaste richtig funktioniert."

.topic 0
Geben Sie die Anzahl der zur Anzeige von Optionsschaltflächen oder von Textfeldern verwendeten Zeilen ein.

.topic 0
Zeigt eine Liste der am häufigsten geöffneten Forms an.

.topic 0
"Klicken Sie auf „Aufsteigend“, um das Feld in aufsteigender Reihenfolge zu sortieren."

.topic 0
"Ist diese Option aktiviert, wird eine Tabelle jedes Mal aktualisiert, wenn im Detailbereich ein Request angezeigt wird."

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spalten getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
"Wählen Sie das Verzeichnis aus, in dem Sie nach einem Makro suchen möchten."

.topic 0
"Zeigt den Pfad des Makros an, das im Feld „Makro“ gewählt wurde."

.topic 0
Geben Sie den Namen des Berichts ein.

.topic 0
Verwendet die vom Remedy-Administrator definierte Standardfarbe.

.topic 0
"Wählen Sie diese Option, um die Filterprotokollierung zu aktivieren."

.topic 0
"Mit den Optionen unter „Bei Suchvorgängen“ können Sie festlegen, was während einer Suche passiert."

.topic 0
"Aktivieren Sie dieses Kontrollkästchen, damit nach jeder Suche nur die Ergebnisliste angezeigt wird."

.topic 0
"Klicken Sie auf den Pfeil, um das Feld nach oben zu verschieben."

.topic 0
"Zeigt die Sammlung Requests an, aus denen sich die vorherige Gruppe zusammensetzt."

.topic 0
Öffnen Sie eine Form im Modus „Neu“.

.topic 0
"Der Name der Form, die Sie als Homepage öffnen möchten."

.topic 0
"Geben Sie Prozentwerte (zwischen 0 und 200) ein, um den Abstand zwischen den Feldern der Form gleichmäßig zu vergrößern oder zu verkleinern. Werte kleiner als 100 verkleinern den Abstand zwischen Feldern. Werte größer als 100 vergrößern den Abstand."

.topic 0
Suchdateien (.srh)

.topic 0
"Ist diese Option gewählt, können Berichte mit der Befehlsfolge „Bericht“ > „Exportieren in“ > „Anwendung“ in Anwendungen exportiert werden."

.topic 0
"Klicken Sie hier, um Dateien aus der Liste der herunter- oder hochzuladenden Dateien zu entfernen."

.topic 0
Sortiert das Feld in absteigender Reihenfolge vom höchsten bis zum niedrigsten Wert oder von Z bis A.

.topic 0
"Wenn das Kontrollkästchen „Remedy User maximieren“ aktiviert ist, wird das Hauptfenster „Remedy User“ beim Start maximiert."

.topic 0
"„Makros verwalten“ (Menü „Extras“)Öffnet das Dialogfeld „Makros verwalten“, indem die darin aufgeführten Makros umbenannt oder gelöscht werden können."

.topic 0
"Listet die zuletzt geöffneten Forms auf. Sie können eine Form im Modus „Neu“ öffnen, indem Sie sie in dieser Liste markieren. Sie können die Anzahl der hier angezeigten zuletzt gespeicherten Requests im Dialogfeld „Optionen“ festlegen."

.topic 0
„Auf Standard zurücksetzen“ (Menü „Bearbeiten“)Setzt die Werte der Felder im aktiven Fenster auf die Standardwerte zurück.

.topic 0
„Löschen“ (Menü „Bericht“)Löscht den ausgewählten Bericht.

.topic 0
„Drucken“ (Menü „Bericht“)Erzeugt den Bericht und übergibt ihn an einen Drucker.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
"Geben Sie einen Ausdruck mit einem der folgenden Werte ein: numerische Felder, Datumsfelder, Statusverlaufsfelder, Schlüsselwörter, Zahlen oder arithmetische Operatoren (+, -, *, / und %)."

.topic 0
"Legen Sie den Statistikbereich als „Bericht“ oder <Gruppenebene> fest. Dadurch wird bestimmt, an welcher Stelle die Statistik erscheint."

.topic 0
Geben Sie eine Beschreibung des Berichts ein. Dieser Kommentar wird in der Berichtsliste angezeigt und verdeutlicht den Zweck des Berichts.

.topic 0
"Geben Sie die Anzahl Minuten an, nach denen die Suche erneut durchgeführt und die Liste aktualisiert werden soll. Sie können einen Wert zwischen 1 und 99 Minuten festlegen."

.topic 0
"Geben Sie die X-Koordinate für das Feld ein. So können Sie ein Feld präzise auf dem Bildschirm positionieren, damit das Navigieren durch die Form mit der Tabulatortaste richtig funktioniert."

.topic 0
Geben Sie die gewünschte Feldhöhe in Pixel an.

.topic 0
"Klicken Sie auf „Aufsteigend“, um das Feld in aufsteigender Reihenfolge zu sortieren."

.topic 0
"Legen Sie das Vorgehen für die Anzeige der Feldmenüs fest. Wählen Sie als Anzeigeform Smart-Menüs, Popup-Menüs oder Listenfelder."

.topic 0
Wählen Sie einen Feldtyp aus.

.topic 0
Wählen Sie eine Schriftart aus der Liste aus.

.topic 0
"Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spalten getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
Löscht die im Feld „Eigene Suchvorgänge“ markierten Suchvorgänge.

.topic 0
Wählen Sie eine Farbe für den Fenstertyp aus.

.topic 0
"Wählen Sie den Fenstertyp aus, für den Sie die Hintergrundfarben ändern möchten."

.topic 0
"Klicken Sie auf den Pfeil, um das Feld nach unten zu verschieben."

.topic 0
"Zeigt die Sammlung Requests an, aus denen sich die nächste Gruppe zusammensetzt."

.topic 0
"Der Name des Servers, der als Berichtsserver verwendet wird. Geben Sie den Namen des Berichtsservers ein."

.topic 0
"Langes Format: Zeigt den Wochentag, den Tag, den Monat, das Jahr und die Uhrzeit an. Beispiel: Montag, 01.10.01, 00:00:00."

.topic 0
Sortiert das Feld in aufsteigender Reihenfolge vom niedrigsten bis zum höchsten Wert oder von A bis Z.

.topic 0
"Geben Sie den Schriftartnamen, das Schriftformat und die Schriftgröße für jeden Feldtyp ein."

.topic 0
"„Ansicht anpassen“ (Menü „Extras“)Öffnet das Dialogfeld „Ansicht anpassen“, in dem Sie die Form wählen können, die angepasst werden soll."

.topic 0
„Makro aufzeichnen“ oder „Aufzeichnung abbrechen“ (Menü „Extras“)Mit dem Befehl „Makro aufzeichnen“ wird die Makroaufzeichnung gestartet. Mit dem Befehl „Aufzeichnung abbrechen“ wird die Makroaufzeichnung ohne Speichern abgebrochen.

.topic 0
„AR System im WWW - Service und Support“ (Menü „Hilfe“)Öffnet die für Kunden vorgesehene Seite im Web-Browser.

.topic 0
„Am Raster ausrichten - Nein“ (Menü „Layout“)Mit dieser Option wird die Ausrichtung am Raster deaktiviert und Felder können beliebig und ohne Rasterausrichtung in der Form verschoben werden.

.topic 0
Geben Sie den Namen des Makros ein.

.topic 0
Geben Sie den Fußzeilentext für den Bericht ein. Fußzeilen erscheinen unten auf jeder Seite des Berichts.

.topic 0
"Geben Sie die Bezeichnung ein, die diese Statistik im Bericht kennzeichnet. Sie können bis zu 128 Zeichen eingeben."

.topic 0
"Mit Klammern steuern Sie die Reihenfolge, in welcher der Ausdruck ausgeführt wird. Vorgänge innerhalb von Klammern werden zusammen als eine Einheit ausgeführt."

.topic 0
"Der AND-Operator macht aus dem Ergebnis zweier Bedingungen ein logisches AND. Das Ergebnis ist nur wahr, wenn beide Bedingungen erfüllt sind."

.topic 0
Geben Sie die gewünschte Feldhöhe in Pixel an.

.topic 0
"Klicken Sie auf „Aufsteigend“, um das Feld in aufsteigender Reihenfolge zu sortieren."

.topic 0
"Bewirkt beim Speichern eines neuen Requests die Anzeige einer Bestätigungsmeldung, die besagt, dass erfolgreich ein neuer Request erstellt wurde. In der Meldung wird die Request-ID angezeigt."

.topic 0
Wählen Sie einen Feldtyp aus.

.topic 0
"Die Zeilenlänge (in Zeicheneinheiten). Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden."

.topic 0
"Geben Sie in dieses Feld Hilfetext ein, damit Sie und andere Benutzer wissen, welche Aufgabe das Makro erfüllt."

.topic 0
Wählen Sie eine Farbe für den Fenstertyp aus.

.topic 0
Zeigt die von Ihnen gewählte Farbe an.

.topic 0
"Wählen Sie diese Option, um die Datenbankprotokollierung zu aktivieren."

.topic 0
Geben Sie ein Programm für die Vorschau von Berichten an.

.topic 0
"Erstellt einen Bericht im komprimierten Textformat mit einem Komma (oder einem anderen Trennzeichen) zwischen jeder Spalte. Das komprimierte Format kann zum Exportieren von Berichten in andere Anwendungen verwendet werden, die mit CSV-Dateien arbeiten (Comma-Separated Values)."

.topic 0
"Wählen Sie ein Feld aus der Liste aus, nach dem sortiert werden soll. Dieses Feld ist das fünfte Kriterium, das als Suchkriterium verwendet wird."

.topic 0
"Der Name des Servers, auf dem sich Ihre Homepage befindet."

.topic 0
"Die Bedingungen, unter denen Dateien mit angepassten Feldstandardwerten vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
Sortiert das Feld in absteigender Reihenfolge vom höchsten bis zum niedrigsten Wert oder von Z bis A.

.topic 0
"„Am Raster ausrichten - Rechts“ (Menü „Layout“)Richtet die rechte Kante aller markierten Felder (einschließlich aller zugehörigen Feldsymbole) am Raster aus, wenn die Felder verschoben werden."

.topic 0
„Raster anzeigen“ (Menü „Layout“)Zeigt das Formular mit Rasterlinien an.

.topic 0
"Zeigt den Pfad des Makros an, das im Feld „Makro“ gewählt wurde."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Requests getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
Listet die Breite (in Zeichen) eines jeden Feldes auf.

.topic 0
"Listet die Felder in der Form auf, für die Sie einen Bericht erstellen."

.topic 0
"Klicken Sie hier, um die neue Statistik vor der markierten Statistik einzufügen."

.topic 0
"Wählen Sie den Ordner aus, in dem Sie den Bericht speichern möchten."

.topic 0
"Das Gleichheitszeichen (=) sucht Inhalte, die exakt gleich dem Wert sind."

.topic 0
"Geben Sie die Ansicht an, die als Standard für alle Forms verwendet wird."

.topic 0
"Legen Sie das Vorgehen für die Anzeige der Feldmenüs fest. Wählen Sie als Anzeigeform Smart-Menüs, Popup-Menüs oder Listenfelder."

.topic 0
"Bei dem Versuch, eine gespeicherte Suche zu löschen, wird eine Meldung angezeigt. Sie müssen das Löschen der gespeicherten Suche bestätigen."

.topic 0
"Wenn das Kontrollkästchen „Zum Anmelden auffordern“ aktiviert ist, müssen Sie jedes Mal, wenn Sie das User-Tool starten, Ihren Benutzernamen und Ihr Passwort eingeben."

.topic 0
"Verwenden Sie diese Option, um die Anzahl der kürzlich verwendeten Elemente anzugeben, die in Listen aufgeführt werden. Als Standardwert gilt 5. Sie können 4 bis 9 Elemente festlegen."

.topic 0
"Wenn das Kontrollkästchen „Fenster maximieren“ beim Öffnen der Form aktiviert ist, füllt diese das gesamte Fenster „User-Tool“ aus."

.topic 0
Druckt die Seite im Hochformat. Dies ist die Standardeinstellung.

.topic 0
"Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spaltentitel getrennt werden sollen. Das Standardzeichen ist ein Bindestrich."

.topic 0
"Wählen Sie eine Ansicht aus, und klicken Sie auf OK."

.topic 0
"Zeigt eine Liste der Makros an, die in dem im Feld „Suchpfad“ angezeigten Pfad zur Verfügung stehen."

.topic 0
Geben Sie einen Namen für das Makro ein.

.topic 0
"Wählen Sie den Fenstertyp aus, für den Sie die Hintergrundfarben ändern möchten."

.topic 0
"Ist diese Option aktiviert, werden die standardmäßigen Seitenformateinstellungen des Druckers verwendet."

.topic 0
"Definiert, wie lange Felder in einem Bericht angezeigt werden sollen."

.topic 0
"Wählen Sie, wie Statistiken im Bericht angezeigt werden sollen: auf einer einzigen Zeile, auf mehreren Zeilen oder im Spaltenformat."

.topic 0
"Wählen Sie ein Feld aus der Liste aus, nach dem sortiert werden soll. Dieses Feld ist das vierte Kriterium, das als Suchkriterium verwendet wird."

.topic 0
"Geben Sie den Namen der Form ein, die Sie als Homepage öffnen möchten."

.topic 0
"Definiert die Währung, die beim Öffnen einer Form in einem leeren Währungsfeld verwendet wird. Wählen Sie eine Währung aus der Liste aus."

.topic 0
"Definiert die Anzahl Zeilen je Seite. Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden. Für gedruckte Berichte wird diese Angabe in der Druckereinrichtung festgelegt."

.topic 0
Dient zum Abbruch der Übertragung.

.topic 0
Der Fortschritt der aktuellen Übertragung.

.topic 0
Listet die aktuell auf dem Einstellungsserver gespeicherten Dateien auf.

.topic 0
73031

.topic 0
"Die Bedingungen, unter denen AR System-Berichtsdateien vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
Sortiert das Feld in aufsteigender Reihenfolge vom niedrigsten bis zum höchsten Wert oder von A bis Z.

.topic 0
"Klicken Sie auf diese Schaltfläche, um nach einem Programm für die Berichtsvorschau zu suchen."

.topic 0
"„Definierte Suchvorgänge“ (Menü „Aktionen“)Listet die vom Remedy-Administrator definierten Suchen auf, die für diese Form spezifisch sind."

.topic 0
„Felder ausrichten - Zentriert“ (Menü „Layout“)Richtet die markierten Felder am Mittelpunkt des zuletzt markierten Feldes aus.

.topic 0
Geben Sie den Fußzeilentext für den Bericht ein. Fußzeilen erscheinen unten auf jeder Seite des Berichts.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am linken Seitenrand.

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
"Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
"Definiert die Anzahl der Leerzeilen am unteren Seitenrand des Berichts (einschließlich Fußzeile, falls vorhanden)."

.topic 0
"Geben Sie das Trennzeichen an, mit dem Spalten getrennt werden sollen."

.topic 0
Zeigt jede Feldbezeichnung als Spaltenkopf und die Informationen zu jedem Request in separaten Zeilen an.

.topic 0
Geben Sie die gewünschte Feldbreite in Pixel an.

.topic 0
Hiermit sortieren Sie die Felder in aufsteigender oder absteigende Reihenfolge.

.topic 0
"Wählen Sie „Permanent“, um die Sortierreihenfolge auf alle Suchen in dieser Form anzuwenden."

.topic 0
"Geben Sie die Werte an, die beim Öffnen einer Form im Modus „Suchen“ ausgefüllt werden sollen - „Alle Felder löschen“, „Vorherige Feldwerte behalten“ oder „Felder auf Standardwerte einstellen“."

.topic 0
"Wenn das Kontrollkästchen „Makroleiste anzeigen“ aktiviert ist, wird die Makroleiste immer angezeigt."

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
"Geben Sie das Trennzeichen an, mit dem Requests getrennt werden sollen. Das Standardzeichen ist ein Leerschritt."

.topic 0
Geben Sie Ansichtsoptionen für Forms ein.

.topic 0
"Die Bedingungen, unter denen Makrodateien vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Klicken Sie hier, um die Übertragung der markierten Dateien an den oder vom Einstellungsserver zu starten."

.topic 0
"Definiert, wie die Daten im Bericht getrennt werden."

.topic 0
"Wählen Sie ein Feld aus der Liste aus, nach dem sortiert werden soll. Dieses Feld ist das dritte Kriterium, das als Suchkriterium verwendet wird."

.topic 0
"Wählen Sie diese Option, um die klassische Task-Liste zu aktivieren oder zu deaktivieren. Sie haben folgende Optionen: „Aktivieren, Alle anzeigen“: Im Dialogfeld „Öffnen“ werden alle Anwendungen, Leitfäden und Forms auf den Servern aufgeführt, bei denen Sie angemeldet sind. „Aktivieren, Nur Einstiegspunkte anzeigen“: Im Dialogfeld „Öffnen werden nur die Einstiegspunkte und Anwendungen angezeigt, für die Berechtigungen vorhanden sind. Deaktivieren: Der Eintrag „Datei > Öffnen > Klassische Task-Liste“ wird im Menü und in der Symbolleiste deaktiviert."

.topic 0
"Definiert die Anzahl Zeilen pro Seite in einem Bericht, der an den Bildschirm oder an eine Datei gesendet wird. Bei gedruckten Berichten werden diese Angaben der Druckereinrichtung entnommen."

.topic 0
"Die Bedingungen, unter denen Crystal-Berichtsdateien vom lokalen Computer auf den Einstellungsserver hochgeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"Desktop-Symbol von Remedy User - Doppelklicken Sie auf dieses Symbol, um das User-Tool zu öffnen."

.topic 0
"„Konten“ (Menü „Extras“)Öffnet das Dialogfeld „Konten“. Hier können Sie Servereigenschaften anzeigen und Benutzer und Server hinzufügen, ändern oder löschen."

.topic 0
„AR System im WWW - Home“ (Menü „Hilfe“)Öffnet die Remedy-Homepage im Web-Browser.

.topic 0
"„Suche speichern“ (Menü „Aktionen“)Hier können Sie der aktuellen Suche einen Namen zuweisen, um sie später erneut zu verwenden. Gespeicherte Suchvorgänge finden Sie unter „Aktionen“ > „Eigene Suchvorgänge“."

.topic 0
"„Eigene Suchvorgänge“ (Menü „Aktionen“)Listet die von Ihnen definierten und gespeicherten Suchen auf, die für diese Form spezifisch sind."

.topic 0
"„Speichern unter“ (Menü „Bericht“)Öffnet das Dialogfeld „Berichtsformat speichern unter“, in dem Sie einen neuen Bericht speichern oder einen vorhandenen unter einem neuen Namen speichern können."

.topic 0
„Felder ausrichten - Rechts“ (Menü „Layout“)Richtet den rechten Rand aller ausgewählten Felder (einschließlich der dazugehörigen Feldsymbole) am rechten Rand des zuletzt ausgewählten Feldes aus.

.topic 0
„Nach vorne bringen“ (Menü „Layout“)Setzt das ausgewählte Feld vor alle anderen Felder.

.topic 0
"Geben Sie den Pfad ein, in dem das Makro gespeichert werden soll."

.topic 0
"Zeigt eine Liste der verfügbaren Makros in dem Verzeichnis an, das Sie im Feld „Suchpfad“ ausgewählt haben."

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
"Geben Sie die Bezeichnung ein, die diese Statistik im Bericht kennzeichnet. Sie können bis zu 128 Zeichen eingeben."

.topic 0
"Wählen Sie den Ordner aus, in dem Sie den Bericht speichern möchten."

.topic 0
"Wählen Sie ein Feld aus, das als Suchkriterium in das Feld „Suchkriterien“ eingegeben werden soll."

.topic 0
"Klicken Sie hier, um festzulegen, dass die Feldbezeichnung links des Feldes anzeigt wird."

.topic 0
"Geben Sie die maximale Anzahl von Requests an, die bei einer Suche zurückgegeben werden."

.topic 0
Wählen Sie ein Schriftformat aus der Liste aus.

.topic 0
Setzen Sie alle Feldtypen auf den Standard zurück.

.topic 0
Geben Sie einen Namen zum Speichern der aktuellen Suche ein.

.topic 0
Geben Sie die gewünschte Anzahl Pixel (zwischen 2 und 100) zum Ändern der Rasterweite an.

.topic 0
Geben Sie die gewünschte Anzahl Pixel (zwischen 2 und 100) zum Ändern der Rasterhöhe an.

.topic 0
Geben Sie den Namen der Protokolldatei ein.

.topic 0
"Wählen Sie diese Option, um die Protokollierung zu aktivieren. Das User-Tool protokolliert die Elemente, die Sie in den Client- und Serverbereichen auswählen."

.topic 0
"Das Format, in dem das Datum angezeigt wird, also entweder im Kurzformat, im Langformat oder in einem von Ihnen gewählten benutzerdefinierten Format. Wenn Sie sich für ein benutzerdefiniertes Format entscheiden, wählen Sie ein Datumsformat aus der Liste aus."

.topic 0
"Wählen Sie, wie Statistiken im Bericht angezeigt werden sollen: auf einer einzigen Zeile, auf mehreren Zeilen oder im Spaltenformat."

.topic 0
"Wählen Sie ein Feld aus der Liste aus, nach dem sortiert werden soll. Dieses Feld ist das zweite Kriterium, das als Suchkriterium verwendet wird."

.topic 0
"Klicken Sie hier, um alle Dateien vom lokalen Computer auf den Einstellungsserver hochzuladen."

.topic 0
"Entfernt die markierten Dateien aus der Liste der Dateien, die an den Einstellungsserver hochgeladen oder von diesem heruntergeladen werden sollen. Zum Markieren einer Datei klicken Sie auf das Pluszeichen neben dem Dateityp und wählen dann die Datei aus."

.topic 0
Sortiert das Feld in absteigender Reihenfolge vom höchsten bis zum niedrigsten Wert oder von Z bis A.

.topic 0
"Geben Sie an, ob eine Tabelle jedes Mal aktualisiert werden soll, wenn im Detailbereich ein Request angezeigt wird."

.topic 0
"„Makro speichern“ (Menü „Extras“)Stoppt die Makroaufzeichnung und öffnet das Dialogfeld „Makro speichern“, in dem der Name, die Speicherposition und eine Beschreibung des Makros angegeben werden können."

.topic 0
„Eigene Suchvorgänge verwalten“ (Menü „Extras“)Öffnet das Dialogfeld „Eigene Suchvorgänge verwalten“. Sie können die aufgeführten Suchvorgänge löschen.

.topic 0
"„Rastergröße“ (Menü „Layout“)Öffnet das Dialogfeld „Rastergröße einstellen“, in dem Sie die Größe des Rasters festlegen können."

.topic 0
„Zurücksetzen - auf gespeicherte“ (Menü „Layout“)Versetzt die Form in den Zustand vor der Anpassung zurück.

.topic 0
Geben Sie einen Titel für den Bericht ein. Der Titel wird nur auf der ersten Seite des Berichts angezeigt.

.topic 0
"Definiert die Zeilenlänge (in Zeicheneinheiten). Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden."

.topic 0
"Geben Sie einen Seitenumbruch pro Request, pro Seite oder „Keine“ an."

.topic 0
"Klicken Sie hier, um eine Statistik aus der Liste „Ausgewählte Felder“ zu entfernen."

.topic 0
"Verwenden Sie das Divisionszeichen (/), um zwei numerische Werte zu dividieren."

.topic 0
Zeigt eine Statusmeldung an.

.topic 0
"Wählen Sie ein Feld aus der Liste aus, nach dem sortiert werden soll. Dieses Feld ist das erste Kriterium, das als Suchkriterium verwendet wird."

.topic 0
"Geben Sie an, wie Journal-Einträge in Journal-Feldern sortiert werden. Wenn die zuletzt vorgenommenen Einträge zuerst angezeigt werden sollen, aktivieren Sie das Kontrollkästchen „Zuletzt benutzte zuerst anzeigen“."

.topic 0
Setzen Sie die ausgewählten Feldtypen auf den Standard zurück.

.topic 0
"Bestimmt die Ordner, in denen Sie Zugriff auf die benutzerdefinierten Berichte und Makros haben. Dieser Pfad wird in der Regel auf „C:\Programme\Remedy\Home\Arcmds“ festgelegt."

.topic 0
Geben Sie die gewünschte Anzahl Pixel (zwischen 2 und 100) zum Ändern der Rasterhöhe an.

.topic 0
"Wählen Sie diese Option, um die API-Protokollierung zu aktivieren."

.topic 0
Gibt die Standardposition des Ergebnisbereichs in Forms an. Wählen Sie eine Position aus der Liste aus.

.topic 0
"Der Name des Servers, der als Berichtsserver verwendet wird. Geben Sie den Namen des Berichtsservers ein"

.topic 0
"Die Zeitzone, die diesem Gebietsschema zugeordnet werden soll. Wählen Sie eine Zeitzone aus der Liste aus."

.topic 0
"Die Nummer des Datenübertragungs-Protokolls (Transmission Control Protocol, TCP) für diesen Berichtsserver."

.topic 0
"Wählen Sie „Nächster Vorgang“, um die Sortierreihenfolge nur auf die nächste Suche in dieser Form anzuwenden."

.topic 0
"Diese Option wird verwendet, um die klassische Task-Liste zu aktivieren oder zu deaktivieren."

.topic 0
AR System-Berichtsdateien (.arr)

.topic 0
"Wählen Sie das Feld aus, nach dem sortiert werden soll."

.topic 0
"Markieren Sie das Makro, das gelöscht oder geändert werden soll."

.topic 0
"Symbol „Berichtsfenster“ Klicken Sie hierauf, um das Berichtsfenster zu öffnen."

.topic 0
„Speichern“ (Menü „Bericht“)Speichert die von Ihnen an einem Bericht vorgenommenen Änderungen.

.topic 0
"Geben Sie den Pfad ein, in dem das Makro gespeichert werden soll."

.topic 0
Definiert die Anzahl von Leerzeicheneinheiten am rechten Seitenrand.

.topic 0
"Definiert die Zeilenlänge (in Zeicheneinheiten). Diese Einstellung wird für Berichte verwendet, die an den Bildschirm oder eine Datei gesendet werden."

.topic 0
"Listet die Felder auf, die im Bericht angezeigt werden."

.topic 0
"Mit Klammern steuern Sie die Reihenfolge, in welcher der Ausdruck ausgeführt wird. Vorgänge innerhalb von Klammern werden zusammen als eine Einheit ausgeführt."

.topic 0
"Bei dem Versuch, ein Makro zu löschen, wird eine Meldung angezeigt. Sie müssen das Löschen des Makros bestätigen."

.topic 0
Wählen Sie eine Schriftart aus der Liste aus.

.topic 0
"Bestimmt die Ordner, in denen Sie Zugriff auf die benutzerdefinierten Berichte und Makros haben. Dieser Pfad wird in der Regel auf „C:\Programme\AR System\Home\Arcmds“ festgelegt."

.topic 0
Speichert den Request.

.topic 0
"Wählen Sie diese Option, um die Makro-Protokollierung zu aktivieren."

.topic 0
"Geben Sie an, wie die Menüs angezeigt werden sollen: als Popup-Menüs, als Listenfelder oder als Smart-Menüs."

.topic 0
Definieren Sie die Standardseitengröße.

.topic 0
Wendet die vorgenommenen Änderungen an und hält das Dialogfeld offen.

.topic 0
"„Wenn diese Option ausgewählt ist, werden Felder ohne Schatten angezeigt, so dass sie in der Form flach erscheinen."

.topic 0
"Hier wird angegeben, wie viel Prozent der Übertragung bereits erfolgt sind."

.topic 0
"Die Bedingungen, unter denen Suchdateien vom Einstellungsserver auf den lokalen Computer heruntergeladen werden sollen. Wählen Sie eine Option aus der Liste aus."

.topic 0
"„Fügt die markierten Dateien der Liste der Dateien hinzu, die an den Einstellungsserver hochgeladen oder von diesem heruntergeladen werden sollen. Zum Markieren einer Datei klicken Sie auf das Pluszeichen neben dem Dateityp und wählen dann die Datei aus."

.topic 0
"Wählen Sie das Feld aus, nach dem sortiert werden soll."

.topic 0
"„Wenn dieses Kontrollkästchen aktiviert ist, werden Berichte in dem im nachstehenden Feld angegebenen Programm in der Vorschau angezeigt."

.topic 0
„„Ausgabeleiste sichtbar“ (Menü „Extras“)Blendet die Ausgabeliste ein oder aus.

.topic 0
"„„Details“ (Menü „Ansicht“)Blendet den Detailbereich ein oder aus. Ein Häkchen neben dem Menübefehl zeigt an, dass der Bereich sichtbar ist."

.topic 0
Zeigt den Hilfetext für das Makro an.

.topic 0
Geben Sie einen Titel für den Bericht ein. Der Titel wird nur auf der ersten Seite des Berichts angezeigt.

.topic 0
"„Geben Sie einen Seitenumbruch pro Request, pro Seite oder „Keine“ an."

.topic 0
"Das Größer-als-Zeichen (<) sucht nach Inhalten, die größer als der Wert sind."

.topic 0
"„Der NOT-Operator negiert die darauf folgende Bedingung. Wenn die Bedingung falsch ist, ist das Ergebnis wahr."

.topic 0
"Klicken Sie auf „Ein“, damit AR System die Ergebnisliste automatisch aktualisiert."

.topic 0
"Klicken Sie auf „Aus“, um die automatische Aktualisierung zu deaktivieren. Sie müssen die Ergebnisliste dann manuell aktualisieren."

.topic 0
"„Geben Sie einen Namen für das Feld ein. Sie können bis zu 30 Zeichen eingeben (oder 15 bei Gebietsschemata, die mit Multibyte arbeiten)."

.topic 0
"Geben Sie ein Wort oder einen Begriff ein, das bzw. der die gesuchte Form beschreibt."

.topic 0
"„Definiert die Anzahl der Leerzeilen am oberen Seitenrand des Berichts (einschließlich Kopfzeile, falls vorhanden)."

.topic 0
Wählen Sie einen Anwendungsnamen aus der Menüliste aus.

.topic 0
Ändert das Makro mit den von Ihnen eingegebenen Daten.

.topic 0
Zeigt die von Ihnen gewählte Farbe an.

.topic 0
Setzt die Farben auf die vom Administrator von AR System definierten Standardfarben zurück.

.topic 0
"„Zeigt die Dateitypen an, die auf dem Einstellungsserver gespeichert sind. Um eine Liste der Dateien eines bestimmten Typs anzuzeigen, klicken Sie auf das Pluszeichen neben dem jeweiligen Dateityp."

.topic 0
Öffnen Sie eine Form im Modus „Suchen“.